<?php

class Ajax extends CI_Controller {

    function __construct() {
        parent::__construct();
    }

    function generatepdf_po_request_secto() {
        $this->load->library("Pdf");
        $mpdf = new mPDF('', 'A4', '', '', 15, 15, 20, 20, 10, 10);
        $mpdf->SetDisplayMode('fullpage');
        $mpdf->SetFont('sans-serif');
        $mpdf->setAutoTopMargin = 'stretch';
        $mpdf->setAutoBottomMargin = 'stretch';
        $mpdf->list_indent_first_level = 0;
        $mpdf->autoPageBreak = true;
        $mpdf->useActiveForms = false;
        $mpdf->annotOpacity = 0;
        parse_str($_POST['emailForm'], $emailForm);
        $fromemail = $emailForm['from_email'];
        $week_no_email = $emailForm['week_no_email'];
        $year_email = $emailForm['year_email'];
        $folder_name_email = $emailForm['folder_name_email'];
        $file_name_email = $emailForm['file_name_email'];
        $stylesheet = file_get_contents($purl . 'styles/pdf_style.css');
        $html = $_POST['pdf_data'];
        $headerHTML = '<div class="header-page header">' . $_POST['header_of_pdf'] . '</div>';
        $mpdf->SetHTMLHeader($headerHTML);
        $footerHTML = '<div class="footer">
                    <div class="company-info">
                        &nbsp;
                    </div>
                    <div class="paging">
                        Page {PAGENO} of {nb}
                    </div>
                </div>';
        $mpdf->SetHTMLFooter($footerHTML);
        $mpdf->WriteHTML($stylesheet, 1);
        $mpdf->WriteHTML($html);
        $current_date = date('d_m_Y');
        $fname = UPLOAD_PATH . $folder_name_email . '/' . $file_name_email . '.pdf';
        $mpdf->Output("$fname", 'F');
        $purl = base_url();
        echo json_encode(true);
    }

    function emailto_secto_inv() {
        include_once('../mailClass.php');
        parse_str($_POST['emailForm'], $emailForm);
        $fromemail = $emailForm['from_email'];
        $purl = base_url();
        $current_date = date('d_m_Y');
        $week_no_email = $emailForm['week_no_email'];
        $year_email = $emailForm['year_email'];
        $tag_id = $emailForm['tag_id'];
        $folder_name_email = $emailForm['folder_name_email'];
        $file_name_email = $emailForm['file_name_email'];
        $empid = $emailForm['employee_leader_email'];
        $to_list = explode(',', $emailForm['to']);
        $i = 0;
        foreach ($to_list as $to) {
            if ($to != '') {
                $m = new Mail;
                $m->To($to);
                $m->From("$fromemail");
                if (isset($emailForm['po_file']) && !empty($emailForm['po_file'])) {
                    $fname = $file_name_email . '.pdf';
                    $m->Attach("../uploads/$folder_name_email/$fname", "application/pdf");
                }
                $m->Subject($emailForm['message']);
                $m->Body($_POST[text_editor_sms]);
                if ($i == 0) {
                    if (isset($emailForm['sendcopy']) && !empty($emailForm['sendcopy'])) {
                        $m->Cc($fromemail);
                    }
                }
                $m->Priority(3);
                $m->content_type('text/html');
                $m->Send();
                $i++;
            }
        }

        $this->db->query("update emp_contractor_invoice set send_email_status=1 where year_number='$year_email' and week_number='$week_no_email' and employee_id='$empid'");
        echo json_encode(true);
    }

    function jget_product_type_list_controller() {
        $str = "<option value=''>Select Type</option>";
        $query = $this->db->query("select * from product_section where section_status=1 and category_id='$_POST[category_id]' order by section_name desc");
        foreach ($query->result_array() as $c) {
            if ($c['section_id'] == $sel) {
                $str .= "<option title='" . $c['section_name'] . "' value='" . $c['section_id'] . "' selected>" . $c['section_name'] . "</option>";
            } else {
                $str .= "<option title='" . $c['section_name'] . "' value='" . $c['section_id'] . "' >" . $c['section_name'] . "</option>";
            }
        }
        echo $str;
    }

    function load_product_list_from_type() {
        $con = " ";
        $incj = $_POST['incj'];
        $sql = "select product_name,product_description,product_code,product_id  from products as p where category_id='$_POST[category_id]' and  section_id='$_POST[section_id]' and customer_id=2";
        $res = $this->db->query($sql);
        $std = $res->result_array();
        if (count($std) > 0) {
            $data .= "<option value=''>Select Product</option>";
            $k = 1;
            foreach ($std as $row) {
//                $hit = "javascript:getPurchaseProductInfo('$row[product_code]',$incj);";
                $data .= "<option title='" . $row['product_name'] . "' rel='{$row['product_id']}' value='{$row['product_id']}'>" . $row['product_description'] . '</option>';
                $k++;
            }
        }
        echo $data;
    }

    function jget_product_info_cont() {
//        $con = " and material_id='{$_POST['material_id']}'";
//        $query = $this->db->query("select * from material where 1 $con order by material_description asc");
//        $result_info = $query->row_array();
//        echo json_encode($result_info);
        $con = " and products.product_id='{$_POST['material_id']}'";
        $query = $this->db->query("select products.unit_name_new,products.product_id,products.product_name,products.product_buy_price as product_actual_unit_cost,product_sale_price,markup_percent,product_description,product_description_web from products where 1 $con order by products.product_name asc");
        $result_info = $query->row_array();
        echo json_encode($result_info);
    }

}

?>