<?php

class Home extends CI_Controller {

    private $dir = 'home';

    function __construct() {
         parent::__construct();
        $this->load->model('home_model');
        common::is_logged();
    }

    function index() {
        $employee_id = $this->session->userdata('employee_id');
        $data = sql::row('employee', "employee_id='$employee_id'");
        $data['dir'] = $this->dir;
        $data['page'] = 'index';
        $this->load->view('main', $data);
    }

    function emp_cont_index() {
        $employee_id = $this->session->userdata('employee_id');
        $data = sql::row('employee', "employee_id='$employee_id'");
        if ($data['app_invoice'] != 1) {
            redirect('home');
        }

        $cyear = date('Y');
        $data['info'] = sql::rows("emp_contractor_invoice", "employee_id='$employee_id' order by invoice_number desc");
        $data['infop'] = sql::rows("wages_summary_week", "which_employee_id='$employee_id'  and year_number='$cyear' and approve=0 and total_gross_pay>0 order by week_number desc");
        $data['infoa'] = sql::rows("wages_summary_week", "which_employee_id='$employee_id'  and year_number='$cyear' and approve=1  and total_gross_pay>0  order by week_number desc");
        
        $data['dir'] = $this->dir;
        $data['page'] = 'emp_cont_index';
        $this->load->view('main', $data);
    }

    function get_jcountry() {
        $data = $this->home_model->get_jcountry_options($_POST['country_id']);
        echo $data;
    }

    function insert_subsistance($week = '', $year = '') {
        $poling_data = sql::rows("tag_details", "code_status='complete' and week_number='$week' and year='$year' group by date_replaced asc,employee_id asc");
        foreach ($poling_data as $pol) {
            $employee_id = $pol['employee_id'];
            $day_rate_allready_exist = sql::rows("poling_subsistance", "employee_id='$employee_id' and request_date='$pol[date_replaced]'", "day_rate");
            if (count($day_rate_allready_exist) == 0) {
                if ($employee_id != '') {
                    $year = date('Y', strtotime($pol['date_replaced']));
                    $week_number = date("W", strtotime($pol['date_replaced']));
                    $team_info = sql::row("team", "employee_id='$employee_id' group by employee_id order by team_id desc", "teamname_id");
                    $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
                    $str = date('D', strtotime($pol['date_replaced']));
                    $day_name_for_sub = strtolower($str);
                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
                    $request_data = array(
                        'employee_id' => $employee_id,
                        'week_number' => $week_number,
                        'year' => $year,
                        'request_date' => $pol['date_replaced'],
                        'request_comment' => $pol['request_comment'],
                        'teamname_id' => $team_info[teamname_id],
                        'teamname_name' => $teamname_info[teamname_name],
                        'day_rate' => $employee_info[day_rate],
                        'subsistance' => $employee_info[subsistance]
                    );
                    $this->db->insert('poling_subsistance', $request_data);
                }
            } else {
                $year = date('Y', strtotime($pol['date_replaced']));
                $week_number = date("W", strtotime($pol['date_replaced']));
                $team_info = sql::row("team", "employee_id='$employee_id' group by employee_id order by team_id desc", "teamname_id");
                $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
                $str = date('D', strtotime($pol['date_replaced']));
                $day_name_for_sub = strtolower($str);
                $employee_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
                $request_data = array(
                    'employee_id' => $employee_id,
                    'week_number' => $week_number,
                    'year' => $year,
                    'request_date' => $pol['date_replaced'],
                    'request_comment' => $pol['request_comment'],
                    'teamname_id' => $team_info[teamname_id],
                    'teamname_name' => $teamname_info[teamname_name],
                    'day_rate' => $employee_info[day_rate],
                    'subsistance' => $employee_info[subsistance]
                );
                $this->db->update('poling_subsistance', $request_data, array("request_date" => $pol['date_replaced'], 'employee_id' => $employee_id,));
            }
        }
    }

    function saveswap() {
        $employee_id = $this->session->userdata('employee_id');
        $which_employee_with_you = $_POST['which_employee_with_you'];

        if ($which_employee_with_you != '') {
//            $teamname_pull = sql::row("team", "employee_id='$employee_id' order by team_id desc limit 0,1", "teamname_id");
//            $team_data_exist = sql::rows("team", "teamname_id='$teamname_pull[teamname_id]' order by team_id desc limit 0,2");
//            if (count($team_data_exist) > 0) {
//                $team_array = array();
//                foreach ($team_data_exist as $team_d) {
//                    array_push($team_array, $team_d[employee_id]);
//                }
//            }
//            if (!in_array($which_employee_with_you, $team_array)) {
            $today_date = date('Y-m-d');
            $week_no = date('W', strtotime($today_date));
            $year = date('Y');
            $week_no = sprintf("%02u", $week_no);
            $date1 = date("Y-m-d", strtotime($year . "W" . $week_no . "1"));
            $last_work_date = sql::row("tag_details", "employee_id='$employee_id' or employee_id='$which_employee_with_you' and date_replaced between '$date1' and '$today_date'", "count(tag_details_id) as counter,max(date_replaced) as date_replaced");
            if ($last_work_date[counter] > 0) {
                $team_need_to_create = $today_date;
            } else {
                $team_need_to_create = $date1;
            }

            $leader_first_name = $this->session->userdata('employee_first_name');
            $leader_last_name = $this->session->userdata('employee_last_name');
            $second_employee = sql::row("employee", "employee_id='$which_employee_with_you'", "employee_first_name,employee_last_name");

            $teamname_data = array(
                'teamname_name' => $leader_first_name . ' ' . $leader_last_name . ' / ' . $second_employee[employee_first_name] . ' ' . $second_employee[employee_last_name]
            );
            $this->db->insert('teamname', $teamname_data);
            $_POST[teamname_id] = $this->db->insert_id();
            $_POST[teamname_name] = $leader_first_name . ' ' . $leader_last_name . ' / ' . $second_employee[employee_first_name] . ' ' . $second_employee[employee_last_name];

            $team_data = array(
                'teamname_id' => $_POST[teamname_id],
                'effective_date' => $team_need_to_create,
                'employee_id' => $employee_id
            );
            $this->db->insert('team', $team_data);
            $_POST[team_id] = $this->db->insert_id();
            if ($employee_id != "$which_employee_with_you") {
                $team_data = array(
                    'teamname_id' => $_POST[teamname_id],
                    'effective_date' => $team_need_to_create,
                    'employee_id' => $which_employee_with_you
                );
                $this->db->insert('team', $team_data);
            }
//            }
            $_POST['effective_date'] = date('Y-m-d');
        }

        $swap = $this->session->userdata('sfile0');
        $site_setup = $this->session->userdata('sfile1');
        $swap_back = $this->session->userdata('sfile2');
        $site_setup_2 = $this->session->userdata('sfile3');
        $req_date = date('Y-m-d');
        $year = date('Y', strtotime($req_date));
        $week_number = date("W", strtotime($req_date));

        if ($_POST['current_team_correct'] == '') {
            $_POST['current_team_correct'] = 0;
        }


        $swap_data = array(
            'current_team_correct' => $_POST['current_team_correct'],
            'team_id' => $_POST[team_id],
            'teamname_id' => $_POST[teamname_id],
            'teamname_name' => $_POST[teamname_name],
            'site_username' => $_POST[site_username],
            'employee_id' => $employee_id,
            'which_employee_with_you' => $which_employee_with_you,
            'employee_first_name' => $_POST[employee_first_name],
            'employee_last_name' => $_POST[employee_last_name],
            'week_number' => $week_number,
            'swap_image' => $swap,
            'site_image' => $site_setup,
            'swap_image_back' => $swap_back,
            'site_image_2' => $site_setup_2,
            'tag_id' => $_POST[tag_id],
            'req_date' => $req_date,
            'year' => $year,
            'phase' => $_POST[phase],
            'wono' => $_POST[wono],
            'effective_date' => $_POST['effective_date'],
        );
        $this->db->insert('swap', $swap_data);
        $data['msg'] = $this->session->set_flashdata('msg', "WASP Saved Successfully");
        $this->session->unset_userdata('sfile0');
        $this->session->unset_userdata('sfile1');
        $this->session->unset_userdata('sfile2');
        $this->session->unset_userdata('sfile3');
        echo '1';
        //redirect('schedule/timesheet_step_one');
    }

    function message_list() {
        $employee_id = $this->session->userdata('employee_id');
        $data['elist'] = sql::rows('employee', "employee_id!='$employee_id' and employee_status=1");
        $data['dir'] = 'home';
        $data['page'] = 'message_list';
        $this->load->view('main', $data);
    }

    function send_sms($employee_id = '') {
        $session_employee_id = $this->session->userdata('employee_id');
        if ($session_employee_id == '') {
            redirect('login');
        }
        $data['elist'] = sql::rows('message_list', "group_id is NULL and (employee_id='$employee_id' or session_employee_id='$employee_id') and (employee_id='$session_employee_id' or session_employee_id='$session_employee_id') order by date_time asc");
        $this->db->query("update message_list set message_status=1 where employee_id='$session_employee_id' and group_id is NULL");
        $data['to_employee'] = $employee_id;
        $data['dir'] = 'home';
        $data['page'] = 'message_details';
        $this->load->view('main', $data);
    }

    function start_chat($employee_id = '') {
        $session_employee_id = $this->session->userdata('employee_id');
        if ($session_employee_id == '') {
            redirect('login');
        }
//       group_id is NULL  and (session_employee_id='$session_employee_id' or employee_id='$session_employee_id')
        $data['elist'] = sql::rows('message_list', "1 order by date_time asc");
//        $this->db->query("update message_list set message_status=1 where employee_id='$session_employee_id' and group_id is NULL");
        $data['to_employee'] = $employee_id;
        $data['dir'] = 'home';
        $data['page'] = 'start_chat';
        $this->load->view('main', $data);
    }

    function save_message($to = '', $last_id = '') {
//        $_POST[to_employee]=$to;
//        $_POST[last_id]=$last_id;
        $session_employee_id = $this->session->userdata('employee_id');
        if ($_POST[message] != '') {
            $m_data = array(
                'employee_id' => $_POST[to_employee],
                'message' => $_POST[message],
                'session_employee_id' => $session_employee_id
            );
            $this->db->insert('message_list', $m_data);
        }
        if ($_POST[last_id] > 0) {
            $elist = sql::rows('message_list', "message_list_id>$_POST[last_id] and (employee_id='$_POST[to_employee]' or employee_id='$session_employee_id') order by date_time asc");
        }
        if (count($elist) > 0) {
            $mlist_new = '';
            foreach ($elist as $el) {
                $employee = sql::row("employee", "employee_id='$el[session_employee_id]'", "employee_first_name,employee_last_name,image");
                $mlist_new .= "<li style='padding: 10px;border-bottom: 1px solid #eee;'>";
                $mlist_new .= '<img style="float:left;width: 40px; height: 40px; display: inline-block; margin-right: 10px; vertical-align: middle; border: 1px solid #eee; border-radius: 50%;" src="' . base_url() . '../uploads/employee/' . $employee[image] . '" onerror="' . "this.src='images/img.jpg'" . '" alt="">';


                $mlist_new .= '<span style="padding:6px 0;display: inline-block;float:right;width:calc(100% - 60px)">';
                if ($el[session_employee_id] != $session_employee_id) {
                    $style_new = 'text-align:right;padding-right:10px;';
                } else {
                    $style_new = '';
                }
                $mlist_new .= '<span style="color:#3f97a5;display:block;padding:0;' . $style_new . '">' . $employee['employee_first_name'] . '&nbsp;' . $employee['employee_last_name'] . '</span>';
                $mlist_new .= '<span style="padding:5px 0;display:block;' . $style_new . '">' . $el['message'] . '</span>';
                $mlist_new .= '<span style="color:#989898;font-size: 12px;display:block;padding:0;' . $style_new . '">' . date('j M, h:i:s', strtotime($el['date_time'])) . '</span>';
                $mlist_new .= '</span>';
                $mlist_new .= "<div class='clear'></div></li>";
            }
            echo $mlist_new;
        } else {
            echo '0';
        }
    }

    function get_last_id() {
        $session_employee_id = $this->session->userdata('employee_id');
        $elist = sql::row('message_list', "employee_id='$_POST[to_employee]' or employee_id='$session_employee_id'", "max(message_list_id) as message_list_id");
        echo $elist[message_list_id];
    }

    function group_list() {
        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select group_message_list.*,section.section_name from group_message_list 
               left join section on section.section_id=group_message_list.section_id  where 1 order by date_time desc,message_status asc");
        $data['chat_group'] = $query->result_array();
        $data['first_group_id'] = $data['chat_group'][0]['group_message_list_id'];
        $data['all_emp_name'] = sql::rows("employee", "1", "employee_id,employee_first_name,employee_last_name");

        $data['dir'] = 'home';
        $data['page'] = 'group_list';
        $this->load->view('main', $data);
    }

    function group_details($message_group_id = '') {
        $query1 = $this->db->query("select message_list.*,employee.employee_first_name,employee.employee_last_name from message_list 
               left join employee on employee.employee_id=message_list.employee_id where 1 and message_list.group_id='{$message_group_id}' order by date_time asc,message_status asc");
        $data['active_chat_group_id'] = $message_group_id;
        $data['chat_details'] = $query1->result_array();
        $this->db->query("update message_list set message_status=1 where group_id='$message_group_id'");

        $data['dir'] = 'home';
        $data['page'] = 'group_details';
        $this->load->view('main', $data);
    }

    function save_and_get_message_for() {
        $who_post = $this->session->userdata('employee_id');
        $date_now = date('Y-m-d H:i:s');
        $data = array(
            'group_id' => $_POST['group_id'],
            'message' => $_POST['message'],
            'session_employee_id' => $who_post,
            'employee_id' => $who_post,
            'date_time' => $date_now,
        );
        $this->db->insert('message_list', $data);
        $str = '';
        $str .= '<li style="float:left;">';
        $str .= '<a href="javascript:void(0)">';
        $str .= '<p style="font-size:11px;color:#989898;">' . date('d M y H:i:s', strtotime($date_now)) . '</p>';
        $str .= '<p>';
        $str .= '<b style="margin-left:20px;">' . $this->session->userdata('employee_first_name') . '&nbsp;' . $this->session->userdata('employee_last_name') . '</b>';
        $str .= '</p>';
        $str .= '<p style="font-size:12px;">' . $_POST['message'] . '</p>';
        $str .= '</a>';
        $str .= '</li><div class="clear"></div>';

        echo $str;
    }

    function save_start_message($to = '', $last_id = '') {
        $session_employee_id = $this->session->userdata('employee_id');
        if ($_POST[message] != '') {
            $m_data = array(
                'employee_id' => $_POST[to_employee],
                'message' => $_POST[message],
                'session_employee_id' => $session_employee_id
            );
            $this->db->insert('message_list', $m_data);
        }
        if ($_POST[last_id] > 0) {
            $elist = sql::rows('message_list', "message_list_id>$_POST[last_id] and (employee_id='$_POST[to_employee]' or employee_id='$session_employee_id') order by date_time asc");
        }
        if (count($elist) > 0) {
            $mlist_new = '';
            foreach ($elist as $el) {
                $employee = sql::row("employee", "employee_id='$el[session_employee_id]'", "employee_first_name,employee_last_name,image");
                $mlist_new .= "<li style='padding: 10px;border-bottom: 1px solid #eee;'>";
                $mlist_new .= '<img style="float:left;width: 40px; height: 40px; display: inline-block; margin-right: 10px; vertical-align: middle; border: 1px solid #eee; border-radius: 50%;" src="' . base_url() . '../uploads/employee/' . $employee[image] . '" onerror="' . "this.src='images/img.jpg'" . '" alt="">';


                $mlist_new .= '<span style="padding:6px 0;display: inline-block;float:right;width:calc(100% - 60px)">';
                if ($el[session_employee_id] != $session_employee_id) {
                    $style_new = 'text-align:right;padding-right:10px;';
                } else {
                    $style_new = '';
                }
                $mlist_new .= '<span style="color:#3f97a5;display:block;padding:0;' . $style_new . '">' . $employee['employee_first_name'] . '&nbsp;' . $employee['employee_last_name'] . '</span>';
                $mlist_new .= '<span style="padding:5px 0;display:block;' . $style_new . '">' . $el['message'] . '</span>';
                $mlist_new .= '<span style="color:#989898;font-size: 12px;display:block;padding:0;' . $style_new . '">' . date('j M, h:i:s', strtotime($el['date_time'])) . '</span>';
                $mlist_new .= '</span>';
                $mlist_new .= "<div class='clear'></div></li>";
            }
            echo $mlist_new;
        } else {
            echo '0';
        }
    }

    function assigned_job() {
        $employee_id = $this->session->userdata('employee_id');
        $date_of_data = date('Y-m-d');
        $team_data = sql::rows("team", "1 and effective_date<='$date_of_data' and employee_id='$employee_id' order by team_id desc limit 0,1", "teamname_id");
        if (count($team_data) > 0) {
            $i = 1;
            $all_employee_sql = '';
            foreach ($team_data as $every_team) {
                $team_emp_data = sql::rows("team", "teamname_id='$every_team[teamname_id]'", "employee_id");
                if (count($team_emp_data) > 0) {
                    $j = 1;
                    foreach ($team_emp_data as $every_employee) {
                        $all_employee_sql .= "actual_hour.employee_id='$every_employee[employee_id]'";
                        if (count($team_emp_data) != $j) {
                            $all_employee_sql .= ' or ';
                        }
                        $j++;
                    }
                    if (count($team_data) != $i) {
                        $all_employee_sql .= ' or ';
                    }
                }
                $i++;
            }
        }
        if ($all_employee_sql != '') {
            $query = $this->db->query("select tag_sub.sub_name,actual_hour.tag_sub_id,tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,tag.job_number,tag.service_number,tag.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
left join tag_sub on tag_sub.tag_sub_id=actual_hour.tag_sub_id 
where 1 and tag.newstatus=1 and ($all_employee_sql)   group by actual_hour.tag_id asc,actual_hour.tag_sub_id asc");



//               $query = $this->db->query("select tag_sub.sub_name,tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.tag_id,actual_hour.tag_sub_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//left join tag_sub on tag_sub.tag_sub_id=actual_hour.tag_sub_id 
//where 1 and actual_hour.employee_id='$employee_id' and tag.newstatus=1  group by actual_hour.tag_id asc,actual_hour.tag_sub_id asc");


            $data['rows'] = $query->result_array();
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'home';
        $data['page'] = 'assigned_job';
        $data['page_title'] = 'assigned job';
        $this->load->view('main', $data);
    }
	
	 
     function pic0() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic1() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic2() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic3() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }
	

}

?>