<?php

class Timesheet extends CI_Controller {

    private $dir = 'timesheet';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }
 
    function day_rate_request_day() {
        $this->session->set_userdata("its_day_rate", "1");
		
		
		        $current_week = date('W');
        $info_count = sql::rows("day_rate_request", "employee_id='$employee_id' and week_number='$current_week'");
        $totday_date_name = strtolower(date('D'));
        if (($totday_date_name == 'mon' || count($info_count) == 0)) {
            redirect('timesheet/approve_previous_week_day_rate');
        } else {
            redirect('timesheet/day_rate_request/3');
        }
		
		
        //redirect('timesheet/day_rate_request/3');
		// redirect('timesheet/approve_previous_week_day_rate');
    }

    function day_rate_request_met() {
        $this->session->set_userdata("its_day_rate", "0");
        redirect('timesheet/day_rate_request');
    }

    function day_rate_request($redirect_yes = '', $request_date_yes = '') {
        $employee_id = $this->session->userdata("employee_id");
        $leader_info = sql::row("team", "employee_id='{$employee_id}' and leader=1", "employee_id,leader");

        if ($leader_info['leader'] == 1 && $redirect_yes == '') {
            redirect('timesheet/approve_work');
        }


        if ($redirect_yes == '') {
            $redirect_yes = 1;
        }

        $totday_date_name = strtolower(date('D'));

        $current_week = date('W');

//        echo $current_week;exit;
//        $totday_date_name = 'mon';


        $employee_id = $this->session->userdata("employee_id");
        $info_count = sql::rows("day_rate_request", "employee_id='$employee_id' and week_number='$current_week'");


        if (($totday_date_name == 'mon' || count($info_count) == 0) && $redirect_yes == 1) {
            redirect('timesheet/approve_previous_week_day_rate');
        }

        $employee_id = $this->session->userdata('employee_id');
        if ($_POST['dateinput'] != '') {
            $day_rate_allready_exist = sql::rows("day_rate_request", "employee_id='$employee_id' and request_date='{$_POST['dateinput']}'", "day_rate");
        }
        if (is_array($day_rate_allready_exist) && count($day_rate_allready_exist) > 0) {
            $this->session->set_flashdata('msg', 'Request for this date is exist');
            redirect('timesheet/day_rate_request/3');
        }
        if ($employee_id != '' && $_POST['job_number'] != '') {
            $year = date('Y', strtotime($_POST['dateinput']));
            $week_number = date("W", strtotime($_POST['dateinput']));
            $team_info = sql::row("team", "employee_id='$employee_id' order by team_id desc limit 0,1", "teamname_id");
            $teamname_info = sql::row("teamname", "teamname_id='{$team_info['teamname_id']}'", "teamname_name");
            $str = date('D', strtotime($_POST['dateinput']));
            $day_name_for_sub = 'sub_' . strtolower($str);

            $day_name = strtolower($str);


            $employee_salary_info = sql::row("employee_salary", "employee_id='$employee_id'", "*,$day_name_for_sub as subsistance");

            $employee_info = sql::row("employee", "employee_id='$employee_id'");


            if ($_POST['rate_type'] == 1) {
                $employee_salary_info['day_rate'] = $employee_salary_info['day_rate'];
            }
            if ($_POST['rate_type'] == 2) {
                $employee_salary_info['day_rate'] = $employee_salary_info['day_rate'] / 2;
            }

            $change_status = 0;
            if ($request_date_yes != '') {
                $change_status = 1;
            }

            $description_info = sql::row("description", "description_id='{$_POST['description_id']}'");
            $team_of_all_employee = $_POST['team_name'];
            $request_data = array(
                'job_number_day_rate' => $_POST['job_number'],
                'description_name_day_rate' => $description_info['description_name'],
                'job_type_id' => $_POST['description_id'],
                'tag_id' => $_POST['tag_id'],
                'employee_id' => $employee_id,
                'week_number' => $week_number,
                'year' => $year,
                'request_date' => $_POST['dateinput'],
                'day_rate_type' => $_POST['rate_type'],
                'request_comment' => $_POST['request_comment'],
                'teamname_id' => $team_info['teamname_id'],
                'teamname_name' => $teamname_info['teamname_name'],
                'team_people' => $team_of_all_employee,
                'poles_counter' => $_POST['poles_counter'],
                'day_rate' => $employee_salary_info['day_rate'],
                'subsistance' => $employee_salary_info['subsistance'],
                'change_status' => $change_status
            );
            $this->db->insert('day_rate_request', $request_data);
            if ($_POST['rate_type'] == 1 || $_POST['rate_type'] == 2) {
                $tag_details_data_wages_everyday = array(
                    'job_number_day_rate' => $_POST['job_number'],
                    'tag_id' => $_POST['tag_id'],
                    'description_name_day_rate' => $description_info['description_name'],
                    'work_date' => $_POST['dateinput'],
                    'sub_contractor' => $employee_info['sub_contractor'],
                    'employee_id' => $employee_id,
                    'teamname_id' => $team_info['teamname_id'],
                    'subsistance' => $employee_salary_info['subsistance'],
                    'rate' => $employee_salary_info['day_rate'],
                    'type_of_work' => 'Day Rate',
                    'devide_cost' => $employee_salary_info['day_rate'],
                    'comments' => $_POST['request_comment'],
                    'day_rate_type' => $_POST['rate_type'],
                    'week_no' => $week_number,
                    'year_no' => $year,
                    'user_id' => $this->session->userdata('employee_id'),
                    'employee_first_name' => $employee_info['employee_first_name'],
                    'employee_last_name' => $employee_info['employee_last_name'],
                    'day_name' => $day_name,
                    'team_name' => $team_of_all_employee,
                    'change_status' => $change_status
                );
                $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
            }


//            $query = $this->db->query("select concat(wages_everyday.employee_first_name,' ',wages_everyday.employee_last_name) as 
//                 all_emp,concat(wages_everyday.employee_id) as 
//                 all_emp_ids,sum(devide_cost) as costing,sum(subsistance) as subsistance from wages_everyday where wages_everyday.team_name='$team_of_all_employee' and wages_everyday.week_no='$week_number' and year_no='$year' and employee_id='$employee_id'
//                  ");
//            $wages_data = $query->row_array();
//            $crew_count_array = explode(',', $wages_data['all_emp_ids']);
//            $crew_count = count($crew_count_array);
//            $year = date('Y', strtotime($_POST['dateinput']));
//
//            $bank_data = sql::row("bank_holiday", "bank_holiday_year='$year'", "count(bank_holiday_id) as counter");
//            $annual_data = sql::row("billable_hours", "year='$year'", "annual_leave as counter");
//            $prsi = ($wages_data['costing'] - $wages_data['subsistance']) * $employee_info['prsi'] / 100;
//            $salary = $wages_data['costing'] - $wages_data['subsistance'];
//            $holiday_pay_cal = ($salary + $prsi) * ($bank_data['counter'] + $annual_data['counter']) / (260 - ($bank_data['counter'] + $annual_data['counter']));
//            if ($employee_info[subsistance] == 0 || $employee_info[subsistance] == '') {
//                $prsi = 0;
//                $holiday_pay_cal = 0;
//            }
//            $data = array(
//                'year_number' => $year,
//                'week_number' => $week_number,
//                'team_name' => $team_of_all_employee,
//                'employee_ids' => $wages_data['all_emp_ids'],
//                'employee_id' => $employee_id,
//                'employee_names' => $wages_data['all_emp'],
//                'description_id' => $_POST['description_id'],
//                'description_name' => $description_info['description_name'],
//                'crew' => $crew_count,
//                'cost' => $wages_data['costing'] + $holiday_pay_cal + $prsi,
//                'gross' => $wages_data['costing'] - $wages_data['subsistance'],
//                'sub' => $wages_data['subsistance'],
//                'hpay' => $holiday_pay_cal,
//                'prsi' => $prsi,
//                'total_crew' => $_POST['total_crew'],
//                'pj_salary' => 1500,
//                'overheads_salary' => 3300
//            );
//            $pl_data = sql::row("profit_report", "year_number='$year' and week_number='$week_number' and team_name='$team_of_all_employee' and employee_id='$employee_id'");
//            if (count($pl_data) == 0) {
//                $this->db->insert('profit_report', $data);
//            } else {
//                $this->db->update('profit_report', $data, array("year_number" => $year, "week_number" => $week_number, "team_name" => $team_of_all_employee, "employee_id" => $employee_id));
//            }



            $this->session->set_flashdata('msg', '<span style="color:green;">Day Rate Request Successfull</span>');

            if ($request_date_yes != '') {
                redirect('timesheet/approve_previous_week_day_rate');
//                redirect('home');
            } else {
//                redirect('timesheet/day_rate_request/3');
                redirect('home');
            }
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'timesheet/day_rate_request/3';
        $data['dir'] = 'timesheet';
        $data['page'] = 'day_rate_request';
        $data['page_title'] = 'Day Rate Request';
        $this->load->view('main', $data);
    }

    function day_rate_request_single($request_date_yes = '') {
        $data['request_date_n'] = $request_date_yes;
        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'timesheet/day_rate_request/3/' . $request_date_yes;
        $data['dir'] = 'timesheet';
        $data['page'] = 'day_rate_request';
        $data['page_title'] = 'Day Rate Request';
        $this->load->view('main', $data);
    }

    function approve_work() {
        if (isset($_POST['save'])) {

            if (is_array($_REQUEST['actavo_cabling_details_id'])) {
                $countline = count($_REQUEST['actavo_cabling_details_id']);
            } else {
                $countline = 0;
            }

            for ($i = 0; $i < $countline; $i++) {
                $actavo_cabling_details_id = $_REQUEST['actavo_cabling_details_id'][$i];

                $description_id = $_REQUEST['description_id'][$i];

                $tag_details_data = sql::row("actavo_cabling_details", "actavo_cabling_details_id='$actavo_cabling_details_id'");


                $job_data = sql::row("actavo_cabling", "actavo_cabling_id='{$tag_details_data['actavo_cabling_id']}'", "customer_id");

                $customer_id = $job_data['customer_id'];

                $year = date('Y', strtotime($tag_details_data['submission_date']));
                $week_number = date("W", strtotime($tag_details_data['submission_date']));
                $str = date('D', strtotime($tag_details_data['submission_date']));
                $day_name_for_sub = 'sub_' . strtolower($str);
                $day_name = strtolower($str);

                $all_emp_array = array();

//                echo count($_REQUEST['employee_id_team']);
                $row_count = 0;
                if (is_array($_REQUEST['employee_id_team'])) {
                    $row_count = count($_REQUEST['employee_id_team']);
                }

                for ($j = 0; $j < $row_count; $j++) {
                    $employee_id = $_REQUEST['employee_id_team'][$j];

                    if ($employee_id != '' && $description_id == 1) {
                        $employee_info = sql::row("employee", "employee_id='$employee_id'");
                        $emp_full_name = $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'];
                        $employee_salary_info = sql::row("employee_salary", "employee_id='$employee_id'", "*,$day_name_for_sub as subsistance");
                        array_push($all_emp_array, $emp_full_name);
                        $how_many_employee_work_for_this_pole = count($_REQUEST['employee_id_team']);

                        if ($tag_details_data['rate_card'] != '') {
//                             IN (1,2,3)
                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card']}' and customer_id='$customer_id' and description_id='1' and employee_id='$employee_id'", "rate,description_name");
                            $rate_for_2_person = $rate_info['rate'];
                            if ($rate_for_2_person == '') {
                                $rate_for_2_person = 0;
                            }
                            $rate_for_this_employee = $rate_for_2_person / $how_many_employee_work_for_this_pole;
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => 2,
                                'tag_details_id' => $actavo_cabling_details_id,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'confirm_code_wages' => $tag_details_data['rate_card'],
                                'code' => $tag_details_data['rate_card'],
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info['subsistance'],
                                'rate' => $rate_for_this_employee,
                                'type_of_work' => 'Poling',
                                'devide_cost' => $rate_for_this_employee,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }


                        if ($tag_details_data['rate_card_qty_1'] > 0 && $customer_id == 3) {
                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card_1']}' and customer_id='$customer_id' and description_id='1' and employee_id='$employee_id'", "rate,description_name");
                            $full_meter_rate = $rate_info['rate'] * $tag_details_data['rate_card_qty_1'];
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => 3,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'confirm_code_wages' => $tag_details_data['rate_card_1'],
                                'code' => $tag_details_data['rate_card_qty_1'],
                                'tag_details_id' => $actavo_cabling_details_id,
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info['subsistance'],
                                'rate' => $full_meter_rate,
                                'type_of_work' => 'Poling',
                                'devide_cost' => $full_meter_rate,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }
                    }

                    if ($employee_id != '' && $description_id == 7) {
//                        echo $employee_id;exit;
                        $employee_info = sql::row("employee", "employee_id='$employee_id'");
                        $emp_full_name = $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'];

                        $employee_salary_info = sql::row("employee_salary", "employee_id='$employee_id'", "*,$day_name_for_sub as subsistance");
                        array_push($all_emp_array, $emp_full_name);

                        if ($tag_details_data['rate_card_qty'] > 0) {

                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card']}' and customer_id='$customer_id' and description_id='7' and employee_id='$employee_id'", "rate,description_name");
                            $full_meter_rate = $rate_info['rate'] * $tag_details_data['rate_card_qty'];
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => 2,
                                'tag_details_id' => $actavo_cabling_details_id,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'confirm_code_wages' => $tag_details_data['rate_card'],
                                'code' => $tag_details_data['rate_card_qty'],
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info['subsistance'],
                                'rate' => $full_meter_rate,
                                'type_of_work' => 'Cabling',
                                'devide_cost' => $full_meter_rate,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }

                        if ($tag_details_data['rate_card_qty_1'] > 0) {
                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card_1']}' and customer_id='$customer_id' and description_id='7' and employee_id='$employee_id'", "rate,description_name");
                            $full_meter_rate = $rate_info['rate'] * $tag_details_data['rate_card_qty_1'];
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => 2,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'confirm_code_wages' => $tag_details_data['rate_card_1'],
                                'code' => $tag_details_data['rate_card_qty_1'],
                                'tag_details_id' => $actavo_cabling_details_id,
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info['subsistance'],
                                'rate' => $full_meter_rate,
                                'type_of_work' => 'Cabling Blowing',
                                'devide_cost' => $full_meter_rate,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }



                        if ($tag_details_data['rate_card_qty_2'] > 0) {
                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card_2']}' and customer_id='$customer_id' and description_id='7' and employee_id='$employee_id'", "rate,description_name");
                            $full_meter_rate = $rate_info['rate'] * $tag_details_data['rate_card_qty_2'];
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => 2,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'tag_details_id' => $actavo_cabling_details_id,
                                'confirm_code_wages' => $tag_details_data['rate_card_2'],
                                'code' => $tag_details_data['rate_card_qty_2'],
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info['subsistance'],
                                'rate' => $full_meter_rate,
                                'type_of_work' => 'Cabling Ivy',
                                'devide_cost' => $full_meter_rate,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }
                    }


                    if ($employee_id != '' && $description_id == 6) {
                        $employee_info = sql::row("employee", "employee_id='$employee_id'");
                        $emp_full_name = $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'];
                        $employee_salary_info = sql::row("employee_salary", "employee_id='$employee_id'", "*,$day_name_for_sub as subsistance");
                        array_push($all_emp_array, $emp_full_name);
                        if ($tag_details_data['rate_card_qty'] > 0) {
                            $rate_info = sql::row("emp_rate_cost", "code='{$tag_details_data['rate_card']}' and customer_id='$customer_id' and description_id='6' and employee_id='$employee_id'", "rate,description_name");
                            $full_meter_rate = $rate_info['rate'] * $tag_details_data['rate_card_qty'];
                            $tag_details_data_wages_everyday = array(
                                'job_number_day_rate' => $customer_id,
                                'tag_details_id' => $actavo_cabling_details_id,
                                'tag_id' => $tag_details_data['actavo_cabling_id'],
                                'confirm_code_wages' => $tag_details_data['rate_card'],
                                'code' => $tag_details_data['rate_card_qty'],
                                'description_name_day_rate' => $rate_info['description_name'],
                                'work_date' => $tag_details_data['submission_date'],
                                'employee_id' => $employee_id,
                                'subsistance' => $employee_salary_info[subsistance],
                                'rate' => $full_meter_rate,
                                'type_of_work' => 'Trimming',
                                'devide_cost' => $full_meter_rate,
                                'week_no' => $week_number,
                                'year_no' => $year,
                                'user_id' => $this->session->userdata('employee_id'),
                                'employee_first_name' => $employee_info['employee_first_name'],
                                'employee_last_name' => $employee_info['employee_last_name'],
                                'day_name' => $day_name,
                                'team_name' => $tag_details_data['ies_team'],
                                'change_status' => 0
                            );
                            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                        }
                    }
                }
                $all_employee_work_for = json_encode($all_emp_array);
                $this->db->query("update actavo_cabling_details set status='approved',all_emp='$all_employee_work_for' where actavo_cabling_details_id='$actavo_cabling_details_id'");
            
                if ($tag_details_data['actavo_cabling_id'] != '') {
                    $tag_id_comments = $tag_details_data['actavo_cabling_id'];
                    $team_name_comments = $tag_details_data['ies_team'];
                }
            }
 
            $approve_comments_data = array(
                'tag_id' => $tag_id_comments,
                'team_name' => $team_name_comments,
                'approve_comments' => $_POST['approve_comments'],
                'employee_id' => $this->session->userdata('employee_id'),
                'approve_comments_date' => date('Y-m-d')
            );
            $this->db->insert('pole_approve_notes_app', $approve_comments_data);


            $its_day_rate = $this->session->userdata("its_day_rate");

            if ($its_day_rate == 0) {
                redirect("home");
            } else {
                redirect("timesheet/day_rate_request/1");
            }
        }
//        $its_day_rate = $this->session->userdata("its_day_rate");
//        if ($its_day_rate == 1) {
//            redirect("timesheet/day_rate_request/1");
//        }
        $employee_id = $this->session->userdata("employee_id");
//        $data['info'] = sql::rows("actavo_cabling_details", "status='complete' and leader_id='$employee_id'");



        $query = $this->db->query("select actavo_cabling_details.*,actavo_cabling.description_id from actavo_cabling_details 
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where status='complete' and leader_id='$employee_id' and actavo_cabling.description_id=7");
        $data['info'] = $query->result_array();


        $query = $this->db->query("select actavo_cabling_details.*,actavo_cabling.description_id from actavo_cabling_details 
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where status='complete' and leader_id='$employee_id' and actavo_cabling.description_id=1");
        $data['info_actavo_poling'] = $query->result_array();


        $query = $this->db->query("select actavo_cabling_details.*,actavo_cabling.description_id from actavo_cabling_details 
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where status='complete' and leader_id='$employee_id' and actavo_cabling.description_id=6");
        $data['info_trimming'] = $query->result_array();



        $query = $this->db->query("select count(actavo_cabling_details.actavo_cabling_details_id) as total_pole,
            max(actavo_cabling_details.submission_date) as submission_date,
            actavo_cabling_details.work_type,actavo_cabling.description_id from actavo_cabling_details 
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where status='complete' and leader_id='$employee_id' and actavo_cabling.description_id=1 
            group by actavo_cabling_details.work_type order by actavo_cabling_details.work_type desc");

        $data['info_actavo_summary'] = $query->result_array();

        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'timesheet/approve_work';
        $data['dir'] = 'timesheet';
        $data['page'] = 'approve_work';
        $data['page_title'] = 'Approve work';
        $this->load->view('main', $data);
    }

    function approve_previous_week_day_rate() {

        $week_now = date('W');
        $year = date('Y');

        $week_no = sprintf("%02u", $week_now);
        $date1 = date("Y-m-d", strtotime($year . "W" . $week_no . "1"));

        $minus_seven_days = date("Y-m-d", strtotime($date1 . " - 7 days"));

        $minus_one_days = date("Y-m-d", strtotime($date1 . " - 1 days"));

        $employee_id = $this->session->userdata("employee_id");
        $is_it_approved_already = sql::rows("day_rate_request", "request_date between '$minus_seven_days' and '$minus_one_days' and employee_id='$employee_id' and status=1 order by request_date asc");

        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata("employee_id");

            if (is_array($_REQUEST['day_rate_request_id'])) {
                $countline = count($_REQUEST['day_rate_request_id']);
            } else {
                $countline = 0;
            }


            for ($i = 0; $i < $countline; $i++) {
                $day_rate_request_id = $_REQUEST['day_rate_request_id'][$i];
                $this->db->query("update day_rate_request set status='1' where day_rate_request_id='$day_rate_request_id'");
            }
            redirect("timesheet/day_rate_request/2");
        }


//        $data['info'] = sql::rows("day_rate_request", "employee_id='$employee_id' and status=0 order by request_date asc");
//        if (count($data['info']) > 0) {
//            $day_1 = $data['info'][0]['request_date'];
//            $start_info = sql::row("date_list", "date_work='$day_1'", "start");
//            $minus_seven_days = $start_info['start'];
//        }
//,day_rate_request.*   


        $query = $this->db->query("select max(day_rate_request.status) as status,max(day_rate_request.request_date) as request_date,max(day_rate_request.day_rate_request_id) as day_rate_request_id,max(day_rate_request.day_rate_type) as day_rate_type,
            date_list.date_work from date_list 
            left join day_rate_request on day_rate_request.request_date=date_list.date_work and day_rate_request.employee_id='$employee_id'
            where date_list.date_work between '$minus_seven_days' and '$minus_one_days' group by date_list.date_work");
        $data['info'] = $query->result_array();

        if (is_array($is_it_approved_already) && count($is_it_approved_already) > 0) {
            $data['info'] = array();
        }


        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'timesheet/approve_previous_week_day_rate';
        $data['dir'] = 'timesheet';
        $data['page'] = 'approve_previous_week_day_rate';
        $data['page_title'] = 'Approve Days';
        $this->load->view('main', $data);
    }

    function get_job_list_for_this_customer_and_type_cont() {
        $con .= " ";
        if ($_POST['description_id'] != '') {
            $con .= " and actavo_cabling.description_id='{$_POST['description_id']}' ";
        }
        if ($_POST['job_number'] != '') {
            $con .= " and actavo_cabling.customer_id='{$_POST['job_number']}' ";
        }

//        if ($_POST['description_id'] == 7 && $_POST['job_number'] == 2) {
        echo common::get_table_dropdown_where('', "actavo_cabling", "actavo_cabling_id", "site_username", "Contract", "", " and newstatus=1 $con");
//        }
    }

    function wages($empid = '', $year_number = '', $week_number = '', $employee_show = '') {
        $week_no = sprintf("%02u", $week_number);
        $query = $this->db->query("SELECT *  FROM expense 
                 where 1 and expense.week_number='$week_no' and expense.year='$year_number' and expense.employee_id='$employee_show' order by expense.exp_date asc");
        $data['exp'] = $query->result_array();
        $query = $this->db->query("SELECT sum(exp_value) as exp_value FROM expense 
                 where 1 and expense.week_number='$week_no' and expense.year='$year_number' and expense.employee_id='$employee_show' order by expense.exp_date asc");
        $data['exp_info_total'] = $query->row_array();
        $data['date1'] = date("Y-m-d", strtotime($year_number . "W" . $week_no . "1"));
        $data['date2'] = date("Y-m-d", strtotime($year_number . "W" . $week_no . "7"));
        $pay_d = date('Y-m-d', strtotime("{$data['date2']} -2 day"));
        $data['pay_date'] = date('j-M-y', strtotime("$pay_d +14 day"));
        $data['action'] = 'timesheet/wages/' . $empid . '/' . $year_number . '/' . $week_number . '/' . $employee_show;
        $data['empid'] = $empid;
        $data['year_number'] = $year_number;
        $data['week_number'] = $week_number;
        $data['which_employee_wages'] = common::get_employee_name($employee_show);
        $data['which_employee_id'] = $employee_show;
        $data['default_page'] = 1;
        $data['setup_info'] = sql::row("employee", "employee_id='$employee_show'");
        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'semployee_wk_seperate_new';
        $data['page_title'] = 'Employee Wages report';
        $this->load->view('main', $data);
    }

    function employee_rate() {
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'emp_rate';
        $data['page_title'] = 'Employee Rate';
        $this->load->view('main', $data);
    }

    function get_job_description_list() {
        $con = " ";
        if ($_POST['job_number'] != '') {
            $con .= " and actavo_cabling.customer_id='{$_POST['job_number']}' ";
        }
        $std = sql::rows("actavo_cabling", " 1 $con group by description_id", "description_id,max(description_name) as description_name");
        if (is_array($std) && count($std) > 0) {
            $data .= "<option value=''>Select Project</option>";
            $k = 1;
            foreach ($std as $row) {
                $data .= "<option  value='{$row['description_id']}'>" . $row['description_name'] . '</option>';
                $k++;
            }
        }
        echo $data;
    }

}

?>