<?php

class Work_list_g extends CI_Controller {

    private $dir = 'work_list_g';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

   
    function section_list($contract_id = '', $tag_details_id = '', $section_id_active = '') {
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $this->session->set_userdata("return_contract_id", $contract_id);
        $this->session->set_userdata("return_tag_details_id", $tag_details_id);
        $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $today_date_new = date('Y-m-d');
        $data['site_info'] = $tag_data;
        $employee_id = $this->session->userdata('employee_id');

//            questionsetg.questionset_id

        $query = $this->db->query("select 
            max(msectiong.msection_id) as msection_id,
            max(msectiong.msection_name) as msection_name from questionsetg 
            left join msectiong on msectiong.msection_id=questionsetg.msection_id 
            where 1  and questionsetg.site_type REGEXP '{$tag_data['site_type']}'  
            group by questionsetg.msection_id order by msection_number asc");
        $data['minfo'] = $query->result_array();
        $data['contract_id'] = $contract_id;
        $data['tag_details_id'] = $tag_details_id;
        $data['tag_data'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'section_list';
        $data['page_title'] = "Work Calender";
        $this->load->view('main', $data);
    }

    
    function inspection($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '', $inner_section = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['start_l_new'] = $start_l;
        $data['inner_section'] = $inner_section;
        $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");



        $tag_data['contract_id'] = 0;

        $data['site_info'] = $tag_data;
        $con = '';
        if ($qset_id > 0) {
            $con = " and questionset_id='$qset_id'";
        }
        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
        $data['question_set_data'] = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' $con order by questionset_number asc limit $start_l,1");
        $inserted_qset_id = $data['question_set_data']['questionset_id'];


        $this->session->set_userdata("general_site_qid", $inserted_qset_id);

        $how_many_inner_section = sql::row("inspection_section_general", "tag_details_id='$tag_details_id'", "max(inner_section_number) as max_q");
        if ($how_many_inner_section['max_q'] != '') {
            $how_many_inner_section['max_q'] = $how_many_inner_section['max_q'] - 1;
        }
        $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");
        $all_question_count = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as ques_c");
        $answered_count = sql::row("inspection_details_general", "tag_details_id='$tag_details_id'", "count(inspection_details_id) as ans_c");
        if ($answered_count['ans_c'] > 0 && $tag_data['system_site_status'] < 3) {
            $this->db->query("update tag_details_general set system_site_status=2,system_site_date=' $today_date_new' where tag_details_id='$tag_details_id'");
        }
        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
        $question_set_data = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' order by questionset_id asc limit $start_l,1");
        if ($question_set_data['is_checked'] == '') {
            $this->session->set_flashdata('msg', "Work Completed for this section");
            redirect('work_list_g/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }
        if ($inner_section != '') {
            $data['check_allready_inputed'] = sql::row("inspection_details_general", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id' and inner_section_number='$inner_section'");
        } else {
            $data['check_allready_inputed'] = sql::row("inspection_details_general", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id'");
        }
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        $data['qset_id'] = $qset_id;
        $data['section_info'] = sql::row("sectiong", "section_id='$section_id'");
        $data['start_l'] = $start_l + 1;
        $data['section_id'] = $section_id;
        $main_section_id = $data['section_info']['msection_id'];


        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection_general", "tag_details_id='$tag_details_id'");
            if ($is_exist['tag_details_id'] == '') {
                $request_data = array(
                    'employee_id' => $employee_id,
                    'tag_details_id' => $tag_details_id,
                    'assigned_employee' => $schedule_tracker_data['employee_name'],
                    'inspection_date' => $cdate,
                    'week' => date('W', strtotime($cdate)),
                    'year' => date('Y', strtotime($cdate))
                );
                $this->db->insert('inspection_general', $request_data);
                $inspection_id = $this->db->insert_id();
                if ($tag_data['system_site_status'] < 3) {
                    $this->db->query("update tag_details_general set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
                }
                $mess = 'Sites ' . $tag_data['site_number'] . ' inspection started by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_general('WIP', $mess, $tag_data['contract_id'], $tag_details_id);
            } else {
                $this->db->query("update inspection_general set inspection_date='$cdate' where tag_details_id='$tag_details_id'");
                $inspection_id = $is_exist['inspection_id'];
            }
            $ans_data_table = sql::row("answersg", "answers_id='{$_POST['answers']}'");
            if ($_POST['shared_checked'] == '') {
                $_POST['shared_checked'] = 0;
            }

            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');
            $img4 = $this->session->userdata('file4');
            $img5 = $this->session->userdata('file5');
            $img6 = $this->session->userdata('file6');
            $img7 = $this->session->userdata('file7');

            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("inspection_details_general", "image0='$img0'", "inspection_details_id");
                    if ($d_img0['inspection_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("inspection_details_general", "image1='$img1'", "inspection_details_id");
                    if ($d_img1['inspection_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("inspection_details_general", "image2='$img2'", "inspection_details_id");
                    if ($d_img2['inspection_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("inspection_details_general", "image3='$img3'", "inspection_details_id");
                    if ($d_img3['inspection_details_id'] != '') {
                        $img3 = 0;
                    }
                }
                if ($img4 != '' && $img4 != 0) {
                    $d_img4 = sql::row("inspection_details_general", "image4='$img4'", "inspection_details_id");
                    if ($d_img4['inspection_details_id'] != '') {
                        $img4 = 0;
                    }
                }
                if ($img5 != '' && $img5 != 0) {
                    $d_img5 = sql::row("inspection_details_general", "image5='$img5'", "inspection_details_id");
                    if ($d_img5['inspection_details_id'] != '') {
                        $img5 = 0;
                    }
                }
                if ($img6 != '' && $img6 != 0) {
                    $d_img6 = sql::row("inspection_details_general", "image6='$img6'", "inspection_details_id");
                    if ($d_img6['inspection_details_id'] != '') {
                        $img6 = 0;
                    }
                }
                if ($img7 != '' && $img7 != 0) {
                    $d_img7 = sql::row("inspection_details_general", "image7='$img7'", "inspection_details_id");
                    if ($d_img7['inspection_details_id'] != '') {
                        $img7 = 0;
                    }
                }
            }

            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'inspection_id' => $inspection_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'section_name' => $_POST['section_name'],
                'inner_section_number' => $inner_section,
                'msection_id' => $main_section_id,
                'section_id' => $section_id,
                'questionset_number' => $data['question_set_data']['questionset_number'],
                'questionset_id' => $_POST['questionset_id'],
                'questionset_name' => $_POST['questionset_name'],
                'answers' => $_POST['answers'],
                'answers_long' => $_POST['answers_long'],
                'ans_text' => $ans_data_table['answers_text'],
                'ans_st' => $_POST['ans_st'],
                'qty_answer' => $_POST['qty_answer'],
                'qty_if_failed' => $_POST['qty_if_failed'],
                'inner_section_question_two' => $_POST['inner_section_question_two'],
                'inner_section_answer_two' => $_POST['inner_section_answer_two'],
                'comments' => $_POST['comments'],
                'shared_checked' => $_POST['shared_checked'],
                'provider_name' => $_POST['provider_name'],
                'qty_shared' => $_POST['qty_shared'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7
            );
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                if ($inner_section != '') {
                    $this->db->update('inspection_details_general', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id, "inner_section_number" => $inner_section));
                } else {
                    $this->db->update('inspection_details_general', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id));
                }
            } else {
                $this->db->insert('inspection_details_general', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            if ($qset_id > 0) {
                redirect('work_list_g/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }
            $qset_id_for_redirect = $data['question_set_data']['questionset_id'];

//            if ($_POST['ans_st'] == 'N/A' && ($qset_id_for_redirect == 46 || $qset_id_for_redirect == 60 || $qset_id_for_redirect == 88 || $qset_id_for_redirect == 74 || $qset_id_for_redirect == 102 || $qset_id_for_redirect == 119)) {
//                redirect('work_list_g/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
//            }
            if ($_POST['ans_st'] == 'N/A') {
                redirect('work_list_g/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }

//            if ($_POST['ans_st'] == 'N/A' && ($qset_id_for_redirect == 3 || $qset_id_for_redirect == 5 || $qset_id_for_redirect == 8 || $qset_id_for_redirect == 11 || $qset_id_for_redirect == 14 || $qset_id_for_redirect == 16 || $qset_id_for_redirect == 18 || $qset_id_for_redirect == 19 || $qset_id_for_redirect == 22 || $qset_id_for_redirect == 23 || $qset_id_for_redirect == 24 || $qset_id_for_redirect == 25 || $qset_id_for_redirect == 112)) {
//                redirect('work_list_g/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
//            }


            if ($inner_section != '') {
                redirect('work_list_g/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id . '/' . $inner_section);
            } else {
                redirect('work_list_g/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id);
            }
        }
        if ($inner_section != '') {
            $data['action'] = 'work_list_g/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id . '/' . $inner_section;
        } else {
            $data['action'] = 'work_list_g/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
        }

        $data['ins_data'] = sql::rows("inspection_general", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $count_of_ins = count($data['ins_data']);
        $data['color_info'] = sql::row("color", "color_number='$count_of_ins'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function site_report($tag_details_id = '', $section_id = '', $how_many_question = '') {
        $data['company_info'] = sql::row("company_details");
        $data['tag_details_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $data['site_info'] = $data['tag_details_info'];
        $data['contract_info'] = sql::row("contract", "contract_id='{$data['tag_details_info']['contract_id']}'");
        $data['customer_info'] = sql::row("customer", "customer_id='{$data['contract_info']['customer_id']}'");
        $data['inspection_info'] = sql::row("inspection_general", "tag_details_id='$tag_details_id'");
        $data['inspection_section'] = sql::rows("inspection_section_general", "tag_details_id='$tag_details_id' order by inspection_section_id asc");
        $data['assigned_e'] = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'", "group_concat(distinct(schedule_tracker_general.employee_name)) as all_emp");
        $condition = '';
        if ($section_id != '') {
            $condition = " and inspection_details_general.section_id='$section_id'";
        }
        if ($main_section_id != '') {
            $condition = " and inspection_details_general.msection_id='$main_section_id'";
        }
        $query = $this->db->query("select 
            inspection_details_general.*,
            max(msectiong.msection_name) as msection_name,
            max(sectiong.section_name) as section_name 
            from inspection_details_general 
left join sectiong on sectiong.section_id=inspection_details_general.section_id 
left join msectiong on msectiong.msection_id=sectiong.msection_id 
left join questionsetg on questionsetg.questionset_id=inspection_details_general.questionset_id 
where inspection_details_general.tag_details_id='{$tag_details_id}' $condition 
    group by inspection_details_general.inner_section_number ,
       inspection_details_general.questionset_id,
       inspection_details_general.inspection_details_id 
       order by inspection_details_general.inner_section_number asc,
       msectiong.msection_id asc,
       sectiong.section_id asc,
       questionsetg.questionset_number asc");
        $data['details_info'] = $query->result_array();
        $data['how_many_question'] = $how_many_question;
        $data['default_page'] = 1;
        $data['folder_name_email'] = 'site_report';
        $data['file_name_email'] = 'site_report_' . $tag_details_id;
        $data['subject'] = 'Site Report ' . $data['site_username'] . ' ' . $data['site_number'];
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['section_id'] = $section_id;
        $data['ins_data_count'] = sql::rows("inspection_general", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $count_of_ins = count($data['ins_data_count']);
//        $data['color_info'] = sql::row("color", "color_number='$count_of_ins'");
//        if ($section_id != '') {
//            $data['section_status_rej'] = sql::row("tag_details_approve_app_g", "section_id='$section_id' and section_status=0  and tag_details_id='$tag_details_id'");
//            $data['section_status'] = sql::row("tag_details_approve_app_g", "section_id='$section_id' and section_status=1 and tag_details_id='$tag_details_id'");
//            if ($section_id == 5) {
//                $data['page'] = 'site_report_section_tower_setup';
//            } else if ($section_id == 6) {
//                $data['page'] = 'site_report_section_tower_information';
//            } else if ($section_id == 4) {
//                $data['page'] = 'site_report_section_torque';
//            } else {
        $data['page'] = 'site_report_section';
//            }
//        } else {
//            $data['page'] = 'site_report';
//        }
        $data['tag_details_id_for_unit'] = $tag_details_id;
        $data['popup'] = true;
        $data['calender'] = true;
        $data['main_section_id'] = $main_section_id;
        $data['page_title'] = 'Site Maintenance Inspection';
        $data['page_title_section'] = $data['tag_details_info']['site_number'] . ' ' . $data['tag_details_info']['site_username'] . ' ' . $data['details_info'][0]['section_name'];
        $this->load->view('main', $data);
    }

    function change_status_section($tag_details_id = '', $section_id = '') {
        $site_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
        $site_data['contract_id'] = 0;
        $employee_id = $this->session->userdata('employee_id');
        $this->db->query("insert into tag_details_approve_app_g set section_status=1,section_id='$section_id',tag_details_id='$tag_details_id',done_by='$employee_id'");
        redirect('work_list_g/section_list/' . $site_data['contract_id'] . '/' . $site_data['tag_details_id'] . '/0');
    }

    function move_to_complete($contract_id = '', $tag_details_id = '') {
        $today_date_new = date('Y-m-d');

        $employee_id = $this->session->userdata('employee_id');


        $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id' and work_date<='{$today_date_new}' order by work_date desc limit 0,1");
        $is_it_any_fialed = sql::rows("inspection_details_general", "tag_details_id='$tag_details_id' and  ans_st='Fail'");

        $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'", "site_number,contract_id");
        $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");

        $sales_value_data = sql::row("bt_aircon_ins_cost");
        $sales_cost = $sales_value_data['urate_cost'];


        if (count($is_it_any_fialed) > 0) {
            $this->db->query("update tag_details_general set completed_by_employee_id='$employee_id',employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=3,app_status=3,system_site_date='$today_date_new' where tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as fail by ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt_ins('Complete Fail', $mess, $tag_data['contract_id'], $tag_details_id);
        } else {
            $this->db->query("update tag_details_general set  completed_by_employee_id='$employee_id',employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=3,app_status=4,system_site_date='$today_date_new'  where tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as pass by ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt_ins('Complete Pass', $mess, $tag_data['contract_id'], $tag_details_id);
        }
//        redirect('work_list_g/section_list/' . $contract_id . '/' . $tag_details_id);
          redirect('home');
    }

//    function inspection_information($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '') {
//        $tag_data = sql::row("tag_details_general", "ticket_id='$tag_details_id'");
//        $data['site_info'] = $tag_data;
//        $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'");
//        if (isset($_POST['save'])) {
//            $employee_id = $this->session->userdata('employee_id');
//            $cdate = date('Y-m-d');
//            $is_exist = sql::row("inspection_bt", "tag_details_id='$tag_details_id'");
//
//            $tower_classification_data = sql::row("tsection", "tsection_id='{$_POST['tsection_id']}'");
//
//            $percen_of_flange_bolt_check_on_tower = (($_POST['flange_qty'] * $_POST['nleg_number'] * ($_POST['nsection_number'] - 1)) * 20) / 100;
//            $qty_flange_bolt_to_checked_in_per_section = $percen_of_flange_bolt_check_on_tower / ($_POST['nsection_number'] - 1);
//            $qty_flange_bolt_to_checked_in_per_section_round = ceil($qty_flange_bolt_to_checked_in_per_section);
//
//            $percen_of_raker_bolt_check_on_tower = (($_POST['raker_qty'] * $_POST['nleg_number'] * $_POST['nsection_number']) * 20) / 100;
//            $qty_raker_bolt_to_checked_in_per_section = $percen_of_raker_bolt_check_on_tower / $_POST['nsection_number'];
//            $qty_raker_bolt_to_checked_in_per_section_round = ceil($qty_raker_bolt_to_checked_in_per_section);
//
//            $flange_data = sql::row("flange2", "flange_name='{$_POST['flange_name']}'");
//            $flange_data1 = sql::row("flange2", "flange_name='{$_POST['raker_name']}'");
//
//            $request_data = array(
//                'employee_id' => $employee_id,
//                'tag_details_id' => $tag_details_id,
//                'assigned_employee' => $schedule_tracker_data['employee_name'],
//                'nleg_number' => $_POST['nleg_number'],
//                'nsection_number' => $_POST['nsection_number'],
//                'flange_name' => $_POST['flange_name'],
//                'flange_qty' => $_POST['flange_qty'],
//                'raker_name' => $_POST['raker_name'],
//                'raker_qty' => $_POST['raker_qty'],
//                'qty_of_flange_bolt' => $_POST['flange_qty'] * $_POST['nleg_number'] * ($_POST['nsection_number'] - 1),
//                'qty_of_raker_bolt' => $_POST['raker_qty'] * $_POST['nleg_number'] * $_POST['nsection_number'],
//                'flange_torque_setting' => $flange_data['flange_number'],
//                'raker_torque_setting' => $flange_data1['flange_number'],
//                'percent_flange_bolt' => $percen_of_flange_bolt_check_on_tower,
//                'qty_flange_bolt' => $qty_flange_bolt_to_checked_in_per_section,
//                'round_qty_flange_bolt' => $qty_flange_bolt_to_checked_in_per_section_round,
//                'percent_raker_bolt' => $percen_of_raker_bolt_check_on_tower,
//                'qty_raker_bolt' => $qty_raker_bolt_to_checked_in_per_section,
//                'round_qty_raker_bolt' => $qty_raker_bolt_to_checked_in_per_section_round,
//                'inspection_date' => $cdate,
//                'week' => date('W', strtotime($cdate)),
//                'year' => date('Y', strtotime($cdate))
//            );
//
//            if (count($is_exist) == 0) {
//                $this->db->insert('inspection_bt', $request_data);
//                $inspection_id = $this->db->insert_id();
//            } else {
//                $this->db->update('inspection_bt', $request_data, array("tag_details_id" => $tag_details_id));
//            }
//
//            if ($_POST['nsection_number'] > 0) {
//                $this->db->query("delete from inspection_section_bt where tag_details_id='$tag_details_id'");
//                for ($i = 1; $i <= $_POST['nsection_number']; $i++) {
//
//                    $alpha = common::get_alphabet($i);
//
//                    $request_data_section = array(
//                        'employee_id' => $employee_id,
//                        'tag_details_id' => $tag_details_id,
//                        'inner_section_name' => 'Section ' . $alpha,
//                        'inner_section_number' => $i,
//                        'inner_section_desc' => 'Check ' . $qty_flange_bolt_to_checked_in_per_section_round . ' number flange bolt for <b class="color_code">Section ' . $alpha . '</b>',
//                        'inner_section_desc_r' => 'Check ' . $qty_raker_bolt_to_checked_in_per_section_round . ' number raker bolt for <b class="color_code">Section ' . $alpha . '</b>',
//                        'inner_section_desc1' => 'Flange bolts size ' . $_POST['flange_name'] . ', torque setting  ' . $flange_data['flange_number'],
//                        'inner_section_desc2' => 'Brace bolt size ' . $_POST['raker_name'] . ', torque setting  ' . $flange_data1['flange_number'],
//                    );
//                    $this->db->insert('inspection_section_bt', $request_data_section);
//                }
//            }
//
//            $mess = 'Sites ' . $tag_data['site_number'] . ' Tower Information Completed by team ' . $schedule_tracker_data['employee_name'];
//            common::add_note_bt_ins('Inspection Started', $mess, $tag_data['contract_id'], $tag_details_id);
//
//            redirect('work_list_bt2man/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
//        }
//
//        $data['ins_data'] = sql::row("inspection_bt", "tag_details_id='$tag_details_id'");
//        $data['section_info'] = sql::row("section2", "section_id='$section_id'");
//        $data['action'] = 'work_list_bt2man/inspection_information/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
//        $data['msg'] = $this->session->flashdata('msg');
//        $data['dir'] = $this->dir;
//        $data['page'] = 'inspection_information';
//        $data['page_title'] = 'Start Inspection';
//        $this->load->view('main', $data);
//    }



    function failed_inspection_general($contract_id = '', $tag_details_id = '') {

        $this->session->set_userdata("ticket_id_for_img", $tag_details_id . '_' . 'tag_details_general');

        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $details_data = array(
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'system_site_status' => 11,
                'system_site_date' => date('Y-m-d')
            );
            $this->db->update('tag_details_general', $details_data, array("tag_details_id" => $tag_details_id));


            $img0 = $this->session->userdata('failed_file0');
            $img1 = $this->session->userdata('failed_file1');
            $img2 = $this->session->userdata('failed_file2');
            $img3 = $this->session->userdata('failed_file3');
            $img4 = $this->session->userdata('failed_file4');
            $img5 = $this->session->userdata('failed_file5');
            $img6 = $this->session->userdata('failed_file6');
            $img7 = $this->session->userdata('failed_file7');
            $details_data = array(
                'general_tag_details_id' => $tag_details_id,
                'created_by' => $employee_id,
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'update_system_site_date' => date('Y-m-d H:i:s'),
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            $this->db->insert('all_failed_images', $details_data);


            $this->session->unset_userdata("ticket_id_for_img");
            $this->session->unset_userdata('failed_file0');
            $this->session->unset_userdata('failed_file1');
            $this->session->unset_userdata('failed_file2');
            $this->session->unset_userdata('failed_file3');
            $this->session->unset_userdata('failed_file4');
            $this->session->unset_userdata('failed_file5');
            $this->session->unset_userdata('failed_file6');
            $this->session->unset_userdata('failed_file7');





            $mess = 'Sites ' . $tag_data['site_number'] . ' general job is failed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
            common::add_note_general('Failed Visit', $mess, $tag_data['contract_id'], $tag_details_id);
            redirect('home');
        }
        $data['action'] = 'work_list_g/failed_inspection_general/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'work_list';
        $data['page'] = 'failed_inspection';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

}

?>