<?php

class Work_list_gaeltec extends CI_Controller {

    private $dir = 'work_list_gaeltec';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function info_access_note($contract_id = '', $tag_details_id = '') {
        $data['site_info'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['common_site_info'] = sql::row("general_site", "site_number='{$data['site_info']['site_number']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'info_access_note';
        $data['page_title'] = 'Gaeltec Access Note';
        $this->load->view('main', $data);
    }

    function oos_job_report($contract_id = '', $tag_details_id = '', $not_n = '', $button_show = '') {
        $data['action'] = 'work_list_gaeltec/oos_job_report/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['e'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['purchase'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=1");
        $data['purchase1'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=2");
        $data['purchase2'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=3");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['btn_show'] = $button_show;
        $data['page'] = 'oos_job_report';
        $data['page_title'] = 'Job Report';
        $this->load->view('main', $data);
    }

    function oos_job_report_mat($contract_id = '', $tag_details_id = '') {
        $data['action'] = 'work_list_gaeltec/oos_job_report_mat/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['e'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['purchase'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=1");
        $data['purchase1'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=2");
        $data['purchase2'] = sql::rows("job_gaeltec_details", "tag_details_id='$tag_details_id' and row_details=3");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'oos_job_report_mat';
        $data['page_title'] = 'Material Report';
        $this->load->view('main', $data);
    }

    function section_list($contract_id = '', $tag_details_id = '', $section_id_active = '') {
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $this->session->set_userdata("return_contract_id", $contract_id);
        $this->session->set_userdata("return_tag_details_id", $tag_details_id);
        $tag_data = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $today_date_new = date('Y-m-d');
        $data['site_info'] = $tag_data;
        $employee_id = $this->session->userdata('employee_id');

        $query = $this->db->query("select 
            max(msectiong.msection_id) as msection_id,
            max(msectiong.msection_name) as msection_name from questionsetg 
            left join msectiong on msectiong.msection_id=questionsetg.msection_id 
            where 1  and questionsetg.site_type REGEXP '{$tag_data['site_type']}'  
            group by questionsetg.msection_id order by msection_number asc");
        $data['minfo'] = $query->result_array();
        $data['contract_id'] = $contract_id;
        $data['tag_details_id'] = $tag_details_id;
        $data['tag_data'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'section_list';
        $data['page_title'] = "Work Calender";
        $this->load->view('main', $data);
    }

    function inspection($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '', $inner_section = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['start_l_new'] = $start_l;
        $data['inner_section'] = $inner_section;
        $tag_data = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");



        $tag_data['contract_id'] = 0;

        $data['site_info'] = $tag_data;
        $con = '';
        if ($qset_id > 0) {
            $con = " and questionset_id='$qset_id'";
        }
        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
        $data['question_set_data'] = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' $con order by questionset_number asc limit $start_l,1");
        $inserted_qset_id = $data['question_set_data']['questionset_id'];


        $this->session->set_userdata("general_site_qid", $inserted_qset_id);

        $how_many_inner_section = sql::row("inspection_section_gaeltec", "tag_details_id='$tag_details_id'", "max(inner_section_number) as max_q");
        if ($how_many_inner_section['max_q'] != '') {
            $how_many_inner_section['max_q'] = $how_many_inner_section['max_q'] - 1;
        }
        $schedule_tracker_data = sql::row("schedule_tracker_gaeltec", "tag_details_id='$tag_details_id'");
        $all_question_count = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as ques_c");
        $answered_count = sql::row("inspection_details_gaeltec", "tag_details_id='$tag_details_id'", "count(inspection_details_id) as ans_c");
        if ($answered_count['ans_c'] > 0 && $tag_data['system_site_status'] < 3) {
            $this->db->query("update tag_details_gaeltec set system_site_status=2,system_site_date=' $today_date_new' where tag_details_id='$tag_details_id'");
        }
        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
        $question_set_data = sql::row("questionsetg", "is_checked=1  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' order by questionset_id asc limit $start_l,1");
        if ($question_set_data['is_checked'] == '') {
            $this->session->set_flashdata('msg', "Work Completed for this section");
            redirect('work_list_gaeltec/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }
        if ($inner_section != '') {
            $data['check_allready_inputed'] = sql::row("inspection_details_gaeltec", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id' and inner_section_number='$inner_section'");
        } else {
            $data['check_allready_inputed'] = sql::row("inspection_details_gaeltec", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id'");
        }
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        $data['qset_id'] = $qset_id;
        $data['section_info'] = sql::row("sectiong", "section_id='$section_id'");
        $data['start_l'] = $start_l + 1;
        $data['section_id'] = $section_id;
        $main_section_id = $data['section_info']['msection_id'];


        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection_gaeltec", "tag_details_id='$tag_details_id'");
            if ($is_exist['tag_details_id'] == '') {
                $request_data = array(
                    'employee_id' => $employee_id,
                    'tag_details_id' => $tag_details_id,
                    'assigned_employee' => $schedule_tracker_data['employee_name'],
                    'inspection_date' => $cdate,
                    'week' => date('W', strtotime($cdate)),
                    'year' => date('Y', strtotime($cdate))
                );
                $this->db->insert('inspection_gaeltec', $request_data);
                $inspection_id = $this->db->insert_id();
                if ($tag_data['system_site_status'] < 3) {
                    $this->db->query("update tag_details_gaeltec set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
                }
                $mess = 'Sites ' . $tag_data['site_number'] . ' inspection started by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_gaeltec('WIP', $mess, $tag_data['contract_id'], $tag_details_id);
            } else {
                $this->db->query("update inspection_gaeltec set inspection_date='$cdate' where tag_details_id='$tag_details_id'");
                $inspection_id = $is_exist['inspection_id'];
            }
            $ans_data_table = sql::row("answersg", "answers_id='{$_POST['answers']}'");
            if ($_POST['shared_checked'] == '') {
                $_POST['shared_checked'] = 0;
            }

            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');
            $img4 = $this->session->userdata('file4');
            $img5 = $this->session->userdata('file5');
            $img6 = $this->session->userdata('file6');
            $img7 = $this->session->userdata('file7');

            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("inspection_details_gaeltec", "image0='$img0'", "inspection_details_id");
                    if ($d_img0['inspection_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("inspection_details_gaeltec", "image1='$img1'", "inspection_details_id");
                    if ($d_img1['inspection_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("inspection_details_gaeltec", "image2='$img2'", "inspection_details_id");
                    if ($d_img2['inspection_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("inspection_details_gaeltec", "image3='$img3'", "inspection_details_id");
                    if ($d_img3['inspection_details_id'] != '') {
                        $img3 = 0;
                    }
                }
                if ($img4 != '' && $img4 != 0) {
                    $d_img4 = sql::row("inspection_details_gaeltec", "image4='$img4'", "inspection_details_id");
                    if ($d_img4['inspection_details_id'] != '') {
                        $img4 = 0;
                    }
                }
                if ($img5 != '' && $img5 != 0) {
                    $d_img5 = sql::row("inspection_details_gaeltec", "image5='$img5'", "inspection_details_id");
                    if ($d_img5['inspection_details_id'] != '') {
                        $img5 = 0;
                    }
                }
                if ($img6 != '' && $img6 != 0) {
                    $d_img6 = sql::row("inspection_details_gaeltec", "image6='$img6'", "inspection_details_id");
                    if ($d_img6['inspection_details_id'] != '') {
                        $img6 = 0;
                    }
                }
                if ($img7 != '' && $img7 != 0) {
                    $d_img7 = sql::row("inspection_details_gaeltec", "image7='$img7'", "inspection_details_id");
                    if ($d_img7['inspection_details_id'] != '') {
                        $img7 = 0;
                    }
                }
            }

            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'inspection_id' => $inspection_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'section_name' => $_POST['section_name'],
                'inner_section_number' => $inner_section,
                'msection_id' => $main_section_id,
                'section_id' => $section_id,
                'questionset_number' => $data['question_set_data']['questionset_number'],
                'questionset_id' => $_POST['questionset_id'],
                'questionset_name' => $_POST['questionset_name'],
                'answers' => $_POST['answers'],
                'answers_long' => $_POST['answers_long'],
                'ans_text' => $ans_data_table['answers_text'],
                'ans_st' => $_POST['ans_st'],
                'qty_answer' => $_POST['qty_answer'],
                'qty_if_failed' => $_POST['qty_if_failed'],
                'inner_section_question_two' => $_POST['inner_section_question_two'],
                'inner_section_answer_two' => $_POST['inner_section_answer_two'],
                'comments' => $_POST['comments'],
                'shared_checked' => $_POST['shared_checked'],
                'provider_name' => $_POST['provider_name'],
                'qty_shared' => $_POST['qty_shared'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7
            );
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                if ($inner_section != '') {
                    $this->db->update('inspection_details_gaeltec', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id, "inner_section_number" => $inner_section));
                } else {
                    $this->db->update('inspection_details_gaeltec', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id));
                }
            } else {
                $this->db->insert('inspection_details_gaeltec', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            if ($qset_id > 0) {
                redirect('work_list_gaeltec/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }
            $qset_id_for_redirect = $data['question_set_data']['questionset_id'];
            if ($_POST['ans_st'] == 'N/A') {
                redirect('work_list_gaeltec/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }
            if ($inner_section != '') {
                redirect('work_list_gaeltec/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id . '/' . $inner_section);
            } else {
                redirect('work_list_gaeltec/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id);
            }
        }
        if ($inner_section != '') {
            $data['action'] = 'work_list_gaeltec/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id . '/' . $inner_section;
        } else {
            $data['action'] = 'work_list_gaeltec/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
        }

        $data['ins_data'] = sql::rows("inspection_gaeltec", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $count_of_ins = count($data['ins_data']);
        $data['color_info'] = sql::row("color", "color_number='$count_of_ins'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function site_report($tag_details_id = '', $section_id = '', $how_many_question = '') {
        $data['company_info'] = sql::row("company_details");
        $data['tag_details_info'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'", "*,general_type_name as site_type");
        $data['site_info'] = $data['tag_details_info'];
        $data['contract_info'] = sql::row("contract", "contract_id='{$data['tag_details_info']['contract_id']}'");
        $data['customer_info'] = sql::row("customer", "customer_id='{$data['contract_info']['customer_id']}'");
        $data['inspection_info'] = sql::row("inspection_gaeltec", "tag_details_id='$tag_details_id'");
        $data['inspection_section'] = sql::rows("inspection_section_gaeltec", "tag_details_id='$tag_details_id' order by inspection_section_id asc");
        $data['assigned_e'] = sql::row("schedule_tracker_gaeltec", "tag_details_id='$tag_details_id'", "group_concat(distinct(schedule_tracker_gaeltec.employee_name)) as all_emp");
        $condition = '';
        if ($section_id != '') {
            $condition = " and inspection_details_gaeltec.section_id='$section_id'";
        }
        if ($main_section_id != '') {
            $condition = " and inspection_details_gaeltec.msection_id='$main_section_id'";
        }
        $query = $this->db->query("select 
            inspection_details_gaeltec.*,
            max(msectiong.msection_name) as msection_name,
            max(sectiong.section_name) as section_name 
            from inspection_details_gaeltec 
left join sectiong on sectiong.section_id=inspection_details_gaeltec.section_id 
left join msectiong on msectiong.msection_id=sectiong.msection_id 
left join questionsetg on questionsetg.questionset_id=inspection_details_gaeltec.questionset_id 
where inspection_details_gaeltec.tag_details_id='{$tag_details_id}' $condition 
    group by inspection_details_gaeltec.inner_section_number ,
       inspection_details_gaeltec.questionset_id,
       inspection_details_gaeltec.inspection_details_id 
       order by inspection_details_gaeltec.inner_section_number asc,
       msectiong.msection_id asc,
       sectiong.section_id asc,
       questionsetg.questionset_number asc");
        $data['details_info'] = $query->result_array();
        $data['how_many_question'] = $how_many_question;
        $data['default_page'] = 1;
        $data['folder_name_email'] = 'site_report';
        $data['file_name_email'] = 'site_report_' . $tag_details_id;
        $data['subject'] = 'Site Report ' . $data['site_username'] . ' ' . $data['site_number'];
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['section_id'] = $section_id;
        $data['ins_data_count'] = sql::rows("inspection_gaeltec", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $count_of_ins = count($data['ins_data_count']);
        $data['page'] = 'site_report_section';
        $data['tag_details_id_for_unit'] = $tag_details_id;
        $data['popup'] = true;
        $data['calender'] = true;
        $data['main_section_id'] = $main_section_id;
        $data['page_title'] = 'Site Maintenance Inspection';
        $data['page_title_section'] = $data['tag_details_info']['site_number'] . ' ' . $data['tag_details_info']['site_username'] . ' ' . $data['details_info'][0]['section_name'];
        $this->load->view('main', $data);
    }

    function change_status_section($tag_details_id = '', $section_id = '') {
        $site_data = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $site_data['contract_id'] = 0;
        $employee_id = $this->session->userdata('employee_id');
        $this->db->query("insert into tag_details_approve_app_gaeltec set section_status=1,section_id='$section_id',tag_details_id='$tag_details_id',done_by='$employee_id'");
        redirect('work_list_gaeltec/section_list/' . $site_data['contract_id'] . '/' . $site_data['tag_details_id'] . '/0');
    }

    function move_to_complete($contract_id = '', $tag_details_id = '') {
        $today_date_new = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $schedule_tracker_data = sql::row("schedule_tracker_gaeltec", "tag_details_id='$tag_details_id' and work_date<='{$today_date_new}' order by work_date desc limit 0,1");
        $is_it_any_fialed = sql::rows("inspection_details_gaeltec", "tag_details_id='$tag_details_id' and  ans_st='Fail'");
        $tag_data = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'", "site_number,contract_id,actavo_cabling_id");
        $schedule_tracker_data = sql::row("schedule_tracker_gaeltec", "tag_details_id='$tag_details_id'");
        $sales_value_data = sql::row("bt_aircon_ins_cost");
        $sales_cost = $sales_value_data['urate_cost'];
        if (count($is_it_any_fialed) > 0) {
            $this->db->query("update tag_details_gaeltec set completed_by_employee_id='$employee_id',employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=3,app_status=3,system_site_date='$today_date_new' where tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as fail by ' . $schedule_tracker_data['employee_name'];
            common::add_note_gaeltec('Complete Fail', $mess, $tag_data['contract_id'], $tag_details_id);
        } else {
            $this->db->query("update tag_details_gaeltec set  completed_by_employee_id='$employee_id',employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=3,app_status=4,system_site_date='$today_date_new'  where tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as pass by ' . $schedule_tracker_data['employee_name'];
            common::add_note_gaeltec('Complete Pass', $mess, $tag_data['contract_id'], $tag_details_id);
        }

        $empdata = sql::row("employee", "employee_id='$employee_id'");
        $leader_name = $empdata['employee_first_name'] . ' ' . $empdata['employee_last_name'];
        $this->db->query("update actavo_cabling set  newstatus='3'  where actavo_cabling_id='{$tag_data['actavo_cabling_id']}'");
        $this->db->query("update actavo_cabling_details set  all_emp='$leader_name',submission_date='$today_date_new',status='complete',leader_id='$employee_id',leader_name='$leader_name',ies_team='$leader_name'  where actavo_cabling_id='{$tag_data['actavo_cabling_id']}'");

        redirect('home');
    }

    function failed_inspection_gaeltec($contract_id = '', $tag_details_id = '') {
        $this->session->set_userdata("ticket_id_for_img", $tag_details_id . '_' . 'tag_details_gaeltec');
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $tag_data = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $details_data = array(
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'system_site_status' => 11,
                'system_site_date' => date('Y-m-d')
            );
            $this->db->update('tag_details_gaeltec', $details_data, array("tag_details_id" => $tag_details_id));
            $img0 = $this->session->userdata('failed_file0');
            $img1 = $this->session->userdata('failed_file1');
            $img2 = $this->session->userdata('failed_file2');
            $img3 = $this->session->userdata('failed_file3');
            $img4 = $this->session->userdata('failed_file4');
            $img5 = $this->session->userdata('failed_file5');
            $img6 = $this->session->userdata('failed_file6');
            $img7 = $this->session->userdata('failed_file7');
            $details_data = array(
                'gaeltec_tag_details_id' => $tag_details_id,
                'created_by' => $employee_id,
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'update_system_site_date' => date('Y-m-d H:i:s'),
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            $this->db->insert('all_failed_images', $details_data);
            $this->session->unset_userdata("ticket_id_for_img");
            $this->session->unset_userdata('failed_file0');
            $this->session->unset_userdata('failed_file1');
            $this->session->unset_userdata('failed_file2');
            $this->session->unset_userdata('failed_file3');
            $this->session->unset_userdata('failed_file4');
            $this->session->unset_userdata('failed_file5');
            $this->session->unset_userdata('failed_file6');
            $this->session->unset_userdata('failed_file7');
            $mess = 'Sites ' . $tag_data['site_number'] . ' Gaeltec job is failed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
            common::add_note_gaeltec('Failed Visit', $mess, $tag_data['contract_id'], $tag_details_id);
            redirect('home');
        }
        $data['action'] = 'work_list_gaeltec/failed_inspection_gaeltec/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_gaeltec", "tag_details_id='$tag_details_id'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'work_list_gaeltec';
        $data['page'] = 'failed_inspection';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

    function inspection_pic0() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic0_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic1() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic1_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic2() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic2_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic3() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic3_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic4() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic4_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file4', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic5() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic5_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file5', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic6() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic6_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file6', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic7() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g = $this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'gaeltec_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic7_oos_' . date('Y_m_d_h_i_s') . '_' . $qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file7', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

}

?>