<?php

class work_list_rru extends CI_Controller {

    private $dir = 'work_list_rru';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function ticket_info_oos($contract_id = '', $tag_details_id = '') {
        if (isset($_POST['save'])) {
            redirect('work_list_rru/complete_ticket_oos/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_rru/ticket_info_oos/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$tag_details_id'");
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['m_info'] = sql::rows("rru_work_details", "ticket_id='$tag_details_id'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'ticket_info_oos';
        $data['page_title'] = 'RRU Information';
        $this->load->view('main', $data);
    }

    function start_the_ticket_oos($contract_id = '', $tag_details_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        $tag_data = sql::row("rru_ticket_info", "ticket_id='$tag_details_id'");
        $site_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'", "site_id as site_number");
        $employee_info = sql::row("employee", "employee_id='$employee_id'");
        $details_data = array(
            'system_site_status' => 2,
            'ticket_date_time_start' => date('Y-m-d H:i:s')
        );
        $this->db->update('rru_ticket_info', $details_data, array("ticket_id" => $tag_details_id));
        $mess = ' Sites ' . $site_data['site_number'] . ' started by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' at ' . date('d/m/Y H:i');
        common::add_note_bt_rru('WIP', $mess, $tag_data['contract_id'], $tag_details_id);
        
   
        
//        redirect('work_list_rru/complete_ticket_oos/' . $contract_id . '/' . $tag_details_id);
        
        redirect('work_list_rru/ticket_info_oos/'.$contract_id.'/'. $tag_details_id.'/0');
        
    }

    function failed_inspection_ticket($contract_id = '', $ticket_id = '') {

        $this->session->set_userdata("ticket_id_for_img", $ticket_id . '_' . 'rru_ticket_info');


        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $tag_data = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $details_data = array(
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'system_site_status' => 11,
                'system_site_date' => date('Y-m-d')
            );
            $this->db->update('rru_ticket_info', $details_data, array("ticket_id" => $ticket_id));
            $site_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");


            $img0 = $this->session->userdata('failed_file0');
            $img1 = $this->session->userdata('failed_file1');
            $img2 = $this->session->userdata('failed_file2');
            $img3 = $this->session->userdata('failed_file3');
            $img4 = $this->session->userdata('failed_file4');
            $img5 = $this->session->userdata('failed_file5');
            $img6 = $this->session->userdata('failed_file6');
            $img7 = $this->session->userdata('failed_file7');
            $details_data = array(
                'rru_ticket_id' => $ticket_id,
                'created_by' => $employee_id,
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'update_system_site_date' => date('Y-m-d H:i:s'),
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            $this->db->insert('all_failed_images', $details_data);
            $this->session->unset_userdata("ticket_id_for_img");
            $this->session->unset_userdata('failed_file0');
            $this->session->unset_userdata('failed_file1');
            $this->session->unset_userdata('failed_file2');
            $this->session->unset_userdata('failed_file3');
            $this->session->unset_userdata('failed_file4');
            $this->session->unset_userdata('failed_file5');
            $this->session->unset_userdata('failed_file6');
            $this->session->unset_userdata('failed_file7');




            $mess = 'Sites ' . $site_data['site_id'] . ' inspection is failed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
            common::add_note_bt_rru('Failed Visit', $mess, $tag_data['contract_id'], $ticket_id);
            redirect('home');
        }
        $data['action'] = 'work_list_rru/failed_inspection_ticket/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'failed_inspection_ticket';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

//    function complete_ticket_oos($contract_id = '', $ticket_id = '') {
//        if (isset($_POST['save'])) {
//            $details_data = array(
//                'pre_test_done' => $_POST['pre_test_done']
//            );
//            $this->db->update('rru_ticket_info', $details_data, array("ticket_id" => $ticket_id));
//            $tag_data = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
//            $site_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
//
//            $employee_id = $this->session->userdata('employee_id');
//            $employee_info = sql::row("employee", "employee_id='$employee_id'");
//
//            $mess = 'Sites ' . $site_data['site_id'] . ' Pre test completed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
//            common::add_note_bt_rru('WIP', $mess, $tag_data['contract_id'], $ticket_id);
//
//            redirect('work_list_rru/work_for_serial/' . $contract_id . '/' . $ticket_id);
//        }
//        $data['m_info'] = sql::rows("rru_work_details", "ticket_id='$ticket_id' order by item_number asc");
//
//        $data['action'] = 'work_list_rru/complete_ticket_oos/' . $contract_id . '/' . $ticket_id;
//        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
//        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
//        $data['msg'] = $this->session->flashdata('msg');
//        $data['dir'] = $this->dir;
//        $data['page'] = 'pre_test_ticket';
//        $data['page_title'] = 'Site Information';
//        $this->load->view('main', $data);
//    }

    function work_for_serial($contract_id = '', $ticket_id = '', $work_details_id = '', $start = '', $jstep = '') {
        
//        $site_data = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
//        if ($site_data['system_site_status'] == NULL || $site_data['system_site_status'] == 0  || $site_data['system_site_status'] == 1) {
//            $details_data = array(
//                'system_site_status' => 2,
//                'ticket_date_time_start' => date('Y-m-d H:i:s')
//            );
//            $this->db->update('rru_ticket_info', $details_data, array("ticket_id" => $ticket_id));
//            $mess = ' Sites ' . $site_data['site_id_t'] . ' started by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' at ' . date('d/m/Y H:i');
//            common::add_note_bt_rru('WIP', $mess, 0, $ticket_id);
//        }
        
        
        
        $data['jstep'] = $jstep;
        if ($start == '') {
            $start = 0;
        }
        $rru_serial = sql::row("rru_work_details", "ticket_id='$ticket_id' order by work_details_id asc limit $start,1");
        $data['check_allready_inputed'] = $rru_serial;
        $data['action'] = 'work_list_rru/work_for_serial/' . $contract_id . '/' . $ticket_id . '/' . $rru_serial['work_details_id'] . '/' . $start;

        $this->session->set_userdata("ticket_id_for_img", $ticket_id . '_' . $rru_serial['work_details_id']);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $this->session->unset_userdata('btfile16');
            $this->session->unset_userdata('btfile17');
            $this->session->unset_userdata('btfile18');
            $this->session->unset_userdata('btfile19');
            $this->session->unset_userdata('btfile20');
            $this->session->unset_userdata('btfile21');
            $this->session->unset_userdata('btfile22');
            $this->session->unset_userdata('btfile23');

            $this->session->unset_userdata('btfile24');
            $this->session->unset_userdata('btfile25');
            $this->session->unset_userdata('btfile26');
            $this->session->unset_userdata('btfile27');
            $this->session->unset_userdata('btfile28');
            $this->session->unset_userdata('btfile29');
            $this->session->unset_userdata('btfile30');
            $this->session->unset_userdata('btfile31');

            $this->session->set_userdata('btfile0', $rru_serial['image0']);
            $this->session->set_userdata('btfile1', $rru_serial['image1']);
            $this->session->set_userdata('btfile2', $rru_serial['image2']);
            $this->session->set_userdata('btfile3', $rru_serial['image3']);
            $this->session->set_userdata('btfile4', $rru_serial['image4']);
            $this->session->set_userdata('btfile5', $rru_serial['image5']);
            $this->session->set_userdata('btfile6', $rru_serial['image6']);
            $this->session->set_userdata('btfile7', $rru_serial['image7']);

            $this->session->set_userdata('btfile16', $rru_serial['image16']);
            $this->session->set_userdata('btfile17', $rru_serial['image17']);
            $this->session->set_userdata('btfile18', $rru_serial['image18']);
            $this->session->set_userdata('btfile19', $rru_serial['image19']);
            $this->session->set_userdata('btfile20', $rru_serial['image20']);
            $this->session->set_userdata('btfile21', $rru_serial['image21']);
            $this->session->set_userdata('btfile22', $rru_serial['image22']);
            $this->session->set_userdata('btfile23', $rru_serial['image23']);

            $this->session->set_userdata('btfile24', $rru_serial['image24']);
            $this->session->set_userdata('btfile25', $rru_serial['image25']);
            $this->session->set_userdata('btfile26', $rru_serial['image26']);
            $this->session->set_userdata('btfile27', $rru_serial['image27']);
            $this->session->set_userdata('btfile28', $rru_serial['image28']);
            $this->session->set_userdata('btfile29', $rru_serial['image29']);
            $this->session->set_userdata('btfile30', $rru_serial['image30']);
            $this->session->set_userdata('btfile31', $rru_serial['image31']);

            $data['btfile0'] = $this->session->userdata('btfile0');
            $data['btfile1'] = $this->session->userdata('btfile1');
            $data['btfile2'] = $this->session->userdata('btfile2');
            $data['btfile3'] = $this->session->userdata('btfile3');
            $data['btfile4'] = $this->session->userdata('btfile4');
            $data['btfile5'] = $this->session->userdata('btfile5');
            $data['btfile6'] = $this->session->userdata('btfile6');
            $data['btfile7'] = $this->session->userdata('btfile7');


            $data['btfile16'] = $this->session->userdata('btfile16');
            $data['btfile17'] = $this->session->userdata('btfile17');
            $data['btfile18'] = $this->session->userdata('btfile18');
            $data['btfile19'] = $this->session->userdata('btfile19');
            $data['btfile20'] = $this->session->userdata('btfile20');
            $data['btfile21'] = $this->session->userdata('btfile21');
            $data['btfile22'] = $this->session->userdata('btfile22');
            $data['btfile23'] = $this->session->userdata('btfile23');

            $data['btfile24'] = $this->session->userdata('btfile24');
            $data['btfile25'] = $this->session->userdata('btfile25');
            $data['btfile26'] = $this->session->userdata('btfile26');
            $data['btfile27'] = $this->session->userdata('btfile27');
            $data['btfile28'] = $this->session->userdata('btfile28');
            $data['btfile29'] = $this->session->userdata('btfile29');
            $data['btfile30'] = $this->session->userdata('btfile30');
            $data['btfile31'] = $this->session->userdata('btfile31');
        }

        if (isset($_POST['save'])) {

            $img0 = $this->session->userdata('btfile0');
            $img1 = $this->session->userdata('btfile1');
            $img2 = $this->session->userdata('btfile2');
            $img3 = $this->session->userdata('btfile3');
            $img4 = $this->session->userdata('btfile4');
            $img5 = $this->session->userdata('btfile5');
            $img6 = $this->session->userdata('btfile6');
            $img7 = $this->session->userdata('btfile7');

            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
//            if(isset($_POST['fault_status'])){
//                $_POST['fault_status']=1;
//            }else{
//                $_POST['fault_status']=0;
//            }
            $details_data = array(
                'ticket_id' => $ticket_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'work_details_description' => $_POST['ans_text'],
                'new_serial_number' => $_POST['new_serial_number'],
                'fault_status' => $_POST['fault_status'],
                'rru_status' => 1,
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            $this->db->update('rru_work_details', $details_data, array("work_details_id" => $work_details_id));


            $employee_id = $this->session->userdata('employee_id');
            $employee_info = sql::row("employee", "employee_id='$employee_id'");

            $mess = 'Incident ID:  ' . $rru_serial['incident_id'] . ' completed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
            common::add_note_bt_rru('WIP', $mess, 0, $ticket_id);


            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $start = $start + 1;
            $rru_serial_for_redirect = sql::row("rru_work_details", "ticket_id='$ticket_id' order by work_details_id asc limit $start,1");

//            if (count($rru_serial_for_redirect) > 0) {
//                redirect('work_list_rru/work_for_serial/' . $contract_id . '/' . $ticket_id . '/' . $rru_serial['work_details_id'] . '/' . $start);
//            } else {
//                redirect('work_list_rru/complete_ticket_additional_oos/' . $contract_id . '/' . $ticket_id);
//            }



            redirect('work_list_rru/ticket_info_oos/' . $contract_id . '/' . $ticket_id . '/' . $rru_serial['work_details_id'] . '/' . $start);
        }

        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket_oos';
        $data['page_title'] = 'Start Job';
        $this->load->view('main', $data);
    }

    function save_first_8_image() {
        $ticket_id = $_POST['ticket_id_1'];
        $work_details_id = $_POST['work_details_id_1'];
        $img16 = $this->session->userdata('btfile16');
        $img17 = $this->session->userdata('btfile17');
        $img18 = $this->session->userdata('btfile18');
        $img19 = $this->session->userdata('btfile19');
        $img20 = $this->session->userdata('btfile20');
        $img21 = $this->session->userdata('btfile21');
        $img22 = $this->session->userdata('btfile22');
        $img23 = $this->session->userdata('btfile23');
        $details_data1 = array(
            'rru_status' => 0,
            'image16' => $img16,
            'image17' => $img17,
            'image18' => $img18,
            'image19' => $img19,
            'image20' => $img20,
            'image21' => $img21,
            'image22' => $img22,
            'image23' => $img23,
        );
        $this->db->update('rru_work_details', $details_data1, array("work_details_id" => $work_details_id, "ticket_id" => $ticket_id));
        $rru_serial = sql::row("rru_work_details", "ticket_id='$ticket_id' and work_details_id='$work_details_id'");


        



        $employee_id = $this->session->userdata('employee_id');
        $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,employee_last_name");
        $mess = 'Part Unit Number:  ' . $rru_serial['f_unit_number'] . ' first 8 image is updaloaded by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
        common::add_note_bt_rru('WIP', $mess, 0, $ticket_id);
        $this->session->unset_userdata('btfile16');
        $this->session->unset_userdata('btfile17');
        $this->session->unset_userdata('btfile18');
        $this->session->unset_userdata('btfile19');
        $this->session->unset_userdata('btfile20');
        $this->session->unset_userdata('btfile21');
        $this->session->unset_userdata('btfile22');
        $this->session->unset_userdata('btfile23');
        echo '1';
    }

    function save_second_8_image() {
        $ticket_id = $_POST['ticket_id_2'];
        $work_details_id = $_POST['work_details_id_2'];
        $img24 = $this->session->userdata('btfile24');
        $img25 = $this->session->userdata('btfile25');
        $img26 = $this->session->userdata('btfile26');
        $img27 = $this->session->userdata('btfile27');
        $img28 = $this->session->userdata('btfile28');
        $img29 = $this->session->userdata('btfile29');
        $img30 = $this->session->userdata('btfile30');
        $img31 = $this->session->userdata('btfile31');
        $details_data2 = array(
            'image24' => $img24,
            'image25' => $img25,
            'image26' => $img26,
            'image27' => $img27,
            'image28' => $img28,
            'image29' => $img29,
            'image30' => $img30,
            'image31' => $img31,
        );
        $this->db->update('rru_work_details', $details_data2, array("work_details_id" => $work_details_id, "ticket_id" => $ticket_id));
        $rru_serial = sql::row("rru_work_details", "ticket_id='$ticket_id' and work_details_id='$work_details_id'");
        $employee_id = $this->session->userdata('employee_id');
        $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,employee_last_name");
        'Part Unit Number:  ' . $rru_serial['f_unit_number'] . ' second 8 image is updaloaded by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
        common::add_note_bt_rru('WIP', $mess, 0, $ticket_id);
        $this->session->unset_userdata('btfile24');
        $this->session->unset_userdata('btfile25');
        $this->session->unset_userdata('btfile26');
        $this->session->unset_userdata('btfile27');
        $this->session->unset_userdata('btfile28');
        $this->session->unset_userdata('btfile29');
        $this->session->unset_userdata('btfile30');
        $this->session->unset_userdata('btfile31');
        echo '1';
    }

    function complete_ticket_additional_oos($contract_id = '', $ticket_id = '') {
        $this->session->set_userdata("ticket_id_for_img", $ticket_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');
        }
        $data['check_allready_inputed'] = sql::row("rru_work_details", "ticket_id='$ticket_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->session->set_userdata('btfile8', $data['check_allready_inputed']['image8']);
                $this->session->set_userdata('btfile9', $data['check_allready_inputed']['image9']);
                $this->session->set_userdata('btfile10', $data['check_allready_inputed']['image10']);
                $this->session->set_userdata('btfile11', $data['check_allready_inputed']['image11']);
                $this->session->set_userdata('btfile12', $data['check_allready_inputed']['image12']);
                $this->session->set_userdata('btfile13', $data['check_allready_inputed']['image13']);
                $this->session->set_userdata('btfile14', $data['check_allready_inputed']['image14']);
                $this->session->set_userdata('btfile15', $data['check_allready_inputed']['image15']);

                $data['btfile8'] = $this->session->userdata('btfile8');
                $data['btfile9'] = $this->session->userdata('btfile9');
                $data['btfile10'] = $this->session->userdata('btfile10');
                $data['btfile11'] = $this->session->userdata('btfile11');
                $data['btfile12'] = $this->session->userdata('btfile12');
                $data['btfile13'] = $this->session->userdata('btfile13');
                $data['btfile14'] = $this->session->userdata('btfile14');
                $data['btfile15'] = $this->session->userdata('btfile15');
            }
        }



        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $tag_data = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("rru_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
            $already_inreview = sql::rows("bt_contract_note_rru", "ticket_id='$ticket_id'  and status='Ticket Work in Review'");
            if (count($already_inreview) == 0) {
                $mess = ' site ' . $sites_data['site_id'] . ' reviewing by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_bt_rru('Ticket Work in Review ', $mess, 0, $ticket_id);
            }

            $img8 = $this->session->userdata('btfile8');
            $img9 = $this->session->userdata('btfile9');
            $img10 = $this->session->userdata('btfile10');
            $img11 = $this->session->userdata('btfile11');
            $img12 = $this->session->userdata('btfile12');
            $img13 = $this->session->userdata('btfile13');
            $img14 = $this->session->userdata('btfile14');
            $img15 = $this->session->userdata('btfile15');

            $details_data = array(
                'additional_work_required' => $_POST['shared_checked'],
                'comments' => $_POST['comments'],
                'image8' => $img8,
                'image9' => $img9,
                'image10' => $img10,
                'image11' => $img11,
                'image12' => $img12,
                'image13' => $img13,
                'image14' => $img14,
                'image15' => $img15,
            );
            $this->db->update('rru_work_details', $details_data, array("ticket_id" => $ticket_id));
            $details_data_ticket = array(
                'pre_test_done' => $_POST['pre_test_done'],
                'post_test_done' => $_POST['post_test_done'],
            );
            $this->db->update('rru_ticket_info', $details_data_ticket, array("ticket_id" => $ticket_id));

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');

            redirect('work_list_rru/ticket_in_review_oos/' . $contract_id . '/' . $ticket_id);
        }

        $data['action'] = 'work_list_rru/complete_ticket_additional_oos/' . $contract_id . '/' . $ticket_id;
        $data['m_info'] = sql::rows("rru_work_details", "ticket_id='$ticket_id' order by item_number asc");

        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket_additional_oos';
        $data['page_title'] = 'Start Job';
        $this->load->view('main', $data);
    }

    function ticket_in_review_oos($contract_id = '', $ticket_id = '') {
        if (isset($_POST['save'])) {
            $tag_data = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("rru_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
            if ($tag_data['system_site_status'] < 3) {
                $date_time = date('Y-m-d H:i:s');
                $today_date_new = date('Y-m-d');


                $rate_info = sql::row("rru_rate", "1 order by rru_rate_id desc limit 0,1");

                $this->db->query("update rru_ticket_info set system_site_status=6,system_site_date='$today_date_new',ticket_com_date_time='$date_time',ticket_cost_for_invoice='{$rate_info['rru_rate_amount']}'  where ticket_id='$ticket_id'");
            }
            $mess = ' site ' . $sites_data['site_id'] . ' completed by team ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt_rru('Completed', $mess, 0, $ticket_id);

            $this->session->unset_userdata("is_confirm_rru");
            redirect('home');
        }

        $data['all_check_allready_inputed'] = sql::rows("rru_work_details", "ticket_id='$ticket_id' order by item_number asc");

        $data['check_allready_inputed'] = sql::row("rru_work_details", "ticket_id='$ticket_id'");
        $data['action'] = 'work_list_rru/ticket_in_review_oos/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'");
        $data['step1_edit'] = 'work_list_rru/complete_ticket_oos/' . $contract_id . '/' . $ticket_id;
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket_review_oos';
        $data['page_title'] = 'Review Ticket';
        $this->load->view('main', $data);
    }

    function bt_inspection_pic0() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img0_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic1() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img1_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic2() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img2_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic3() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img3_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic4() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img4_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile4', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic5() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img5_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile5', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic6() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img6_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile6', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic7() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img7_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile7', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic8() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img8_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile8', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic9() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img9_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile9', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic10() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img10_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile10', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic11() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img11_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile11', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic12() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img12_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile12', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic13() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img13_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile13', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic14() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img14_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile14', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic15() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img15_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile15', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic16() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img16_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile16', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic17() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img17_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile17', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic18() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img18_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile18', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic19() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img19_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile19', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic20() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img20_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile20', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic21() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img21_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile21', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic22() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img22_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile22', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic23() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img23_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile23', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic24() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img24_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile24', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic25() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img25_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile25', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic26() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img26_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile26', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic27() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img27_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile27', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic28() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img28_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile28', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic29() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img29_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile29', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic30() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img30_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile30', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic31() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'rru_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img31_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile31', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function update_material_information($ticket_id = '', $used = '') {

        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $product_id = $_POST['product_code'];
            $product_info = sql::row("products", "product_id='$product_id'");
            $data = array(
                "ticket_id" => $ticket_id,
                "product_id" => $_POST['product_code'],
                "unit" => $_POST['unit'],
                "product_name" => $_POST['product_name'],
                "product_price" => $product_info['product_sale_price'],
                'qty' => $_REQUEST['product_quantity'],
                'company' => 'SK',
                'employee_id' => $employee_id
            );
            $this->db->insert("bt_ticket_material_rru", $data);
            redirect("work_list_rru/update_material_information/" . $ticket_id);
        }
        if (isset($_POST['full_update'])) {
            for ($i = 0; $i < count($_REQUEST['bt_ticket_material_id']); $i++) {
                $bt_ticket_material_id = $_REQUEST['bt_ticket_material_id'][$i];
                $data_up = array(
                    'qty' => $_REQUEST['qty'][$i]
                );
                $this->db->update("bt_ticket_material_rru", $data_up, array("bt_ticket_material_id" => $bt_ticket_material_id));
            }
            $count_of_mat = sql::rows("bt_ticket_material_rru", "ticket_id='$ticket_id' and delete_status=0");
            if (count($count_of_mat) > 0) {
                $this->session->set_userdata("mat_used", 1);
            } else {
                $this->session->set_userdata("mat_used", 0);
            }

            $this->session->set_userdata("is_confirm_rru", 1);

            redirect("work_list_rru/complete_ticket_additional_oos/0/" . $ticket_id);
        }
        $data['material_info'] = sql::rows("bt_ticket_material_rru", "ticket_id='{$ticket_id}' and delete_status=0 order by bt_ticket_material_id asc");
        $data['action'] = 'work_list_rru/update_material_information/' . $ticket_id;
        $data['site_info'] = sql::row("rru_ticket_info", "ticket_id='$ticket_id'", "*,site_id_t as site_id,site_username_t as site_username");
        $data['common_site_info'] = $data['site_info'];
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'update_material';
        $data['page_title'] = 'Update Material';
        $this->load->view('main', $data);
    }

    function delete_material($bt_ticket_material_id = '', $ticket_id = '') {
        $this->db->update('bt_ticket_material_rru', array("delete_status" => 1), array("bt_ticket_material_id" => $bt_ticket_material_id));
        redirect('work_list_rru/update_material_information/' . $ticket_id);
    }

}

?>