<?php

class Schedule extends CI_Controller {

    private $dir = 'schedule';

    function __construct() {
         parent::__construct();
        $this->load->model('schedule_model');
        common::is_logged();
    }

    function get_job_details_hourly() {
        if ($_POST[y] != '' && $_POST[m] != '' && $_POST[d] != '') {
            $y = $_POST[y];
            $month = sprintf("%02d", $_POST[m]);
            $day = sprintf("%02d", $_POST[d]);
            $working_date = $y . '-' . $month . '-' . $day;
        }
        $week_number = $_POST['week_no'];
        $step = $_POST['step'];
        if ($step == 1) {
            if ($week_number == 1) {
                $year = $this->session->userdata('year');
                $year = $year + 1;
                $this->session->set_userdata('year', "$year");
                $data['prev'] = 52;
                $data['next'] = $week_number + 1;
            } else if ($week_number == 52) {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $week_number - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $week_number - 1;
                $data['next'] = $week_number + 1;
            }
        }
        if ($step == 0) {
            if ($week_number == 1) {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = 52;
                $data['next'] = $week_number + 1;
            } else if ($week_number == 52) {
                $year = $this->session->userdata('year');
                $year = $year - 1;
                $this->session->set_userdata('year', "$year");
                $data['prev'] = $week_number - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $week_number - 1;
                $data['next'] = $week_number + 1;
            }
        }
        if ($week_number == '') {
            $w = date("W");
            $week_number = $w;
            if ($week_number == 1) {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $data['prev'] = 52;
                $data['next'] = $week_number + 1;
            } else if ($week_number == 52) {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $data['prev'] = $week_number - 1;
                $data['next'] = 1;
            } else {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $data['prev'] = $week_number - 1;
                $data['next'] = $week_number + 1;
            }
        }
        $week_no = $week_number;
        $data['week_no_url'] = $week_no;
        $data['year'] = $this->session->userdata('year');



        // $date = sql::row("work_list", "week_no='$week_no' and year='$year'", "min(work_date) as from_date,max(work_date) as to_date");
        // echo $week_no;exit;
        $week_no = sprintf("%02u", $week_no);
        $date1 = date("Y-m-d", strtotime($year . "W" . $week_no . "1")); // First day of week
        $date2 = date("Y-m-d", strtotime($year . "W" . $week_no . "7")); // Last day of week
        $from_date = $date['from_date'];
        if ($from_date == '') {
            $from_date = $date1;
        }
        $data['start_date_without_schedule'] = $from_date;
        $to_date = $date['to_date'];
        if ($to_date == '') {
            $to_date = $date2;
            $data['week_ending'] = $to_date;
        }
        $str = '';
        if ($working_date == '') {
            $working_date = $date1;
        }
        $data['working_date'] = $working_date;
        if ($_POST['is_ajax'] != 1) {
            $working_date = date('Y-m-d');
        }
        $m = $this->schedule_model->get_job_details_inner($working_date);

        $employee_id_s = $this->session->userdata('employee_id');

        $e_data = sql::row("employee", "employee_id='$employee_id_s'", "sub_contractor");
        if ($e_data[sub_contractor] == 1) {
            $display_none_style = 'style="visibility:hidden;width:0px;height:0"';
            $width = 'style="width:80px;text-align:left;"';
        } else {
            $display_none_style = '';
        }
        foreach ($m as $m) {
            if ($m[site_username] != '') {
                $site_id = $m[site_username];
                $con = "site_username='$site_id'";
                $site_info = sql::row("site", "$con", "site_name,customer_id,site_username");
            }




            $tag_info = sql::row("tag", "tag_id=$m[tag_id]", "site_id,job_number,ads_job_number,service_number,contact_number,description_id,updated_job_status_name");
            $job_info = sql::row("job_register", "job_number='$tag_info[job_number]'");
            $customer_info = sql::row("customers", "customer_id='$job_info[customer_id]'", "customer_name,customer_full_name,color_code");
            $disable_select = '';
            $disable_class_for_arrow = '';
            if ($m['actual_end_time'] != '00:00:00' && $m['actual_start_time'] != '00:00:00') {
                $disable_select = 'disabled="disabled"';
                $disable_class_for_arrow = 'sel_arrow_hide ';
            }


            $str .= '<div class="col-12-12 border-bottom">
                        <div class="width-94 padding-10">
                            <div class="col-12-12 t-left-design text-and-color">
                                
                                    <div class="col-4-12"><p style="display:inline-block;text-align:center;width: 100%;">C: <span>' . $customer_info['customer_full_name'] . '</span></p></div>
                                    <!--<p>J.N: <span>' . $tag_info['job_number'] . '-' . $tag_info['description_id'] . '-' . $tag_info['contact_number'] . $tag_info['service_number'] . '</span></p>-->
                                <!--</div>
                                <div class="col-6-12">-->
                                    <div class="col-4-12"><p  style="display:inline-block;text-align:center;width: 100%;">S.N: <span>' . $site_info['site_name'] . ' </span></p></div>
                                    <div class="col-4-12"><p  style="display:inline-block;text-align:right;width: 100%;"><!--ADS J.Number: --><span>' . $tag_info['ads_job_number'] . ' </span></p></div>
                                
                            </div>
                            <div class="col-12-12 t-right-design">
                                <!--<div class="col-6-12 text-and-color">-->
                                <!--<p style="text-align:left;">ADS#</p>
                                    <Select ' . $disable_select . " " . ' style="width:80px;height:30px;padding:5px;text-align:left" class="' . $disable_class_for_arrow . ' tag_location_id_' . $m['actual_hour_id'] . '" name="tag_location_id[]" onchange="set_ads_description(' . $m[actual_hour_id] . ');">' .
                    //common::get_ads_listing_for_timesheet($m[tag_id],$m[tag_location_id]) .
                    '</Select>-->
                        <!--<p style="text-align:left;margin-top:10px;" class="floor_' . $m['actual_hour_id'] . '"></p>
                            <p style="text-align:left;" class="des_' . $m['actual_hour_id'] . '"></p>
                                <p style="text-align:left;" class="draw_' . $m['actual_hour_id'] . '"></p>
                                </div>-->
                                <div class="col-12-12 text-and-color">

                                    <p style="width:80px;text-align:left;margin:0 auto;">Hours</p>

                                       <p style="text-align:center;">
                                          <Select  ' . $disable_select . " " . $width . ' class="' . $disable_class_for_arrow . ' end_time_ajax_hours_' . $m['actual_hour_id'] . '" name="end_time_hours[]">' .
                    common::get_hours(substr($m[actual_end_time], 0, 2)) .
                    '</Select>

                                            <Select  ' . $disable_select . " " . $display_none_style . ' class="' . $disable_class_for_arrow . ' end_time_ajax_minutes_' . $m['actual_hour_id'] . '" name="end_time_minutes[]">' .
                    common::get_minutes(substr($m[actual_end_time], 3, 2)) .
                    '</Select>
                                       </p>
                                       <div ' . $display_none_style . '>
                                            <p style="width: 130px;margin: 0 auto;"><Select ' . $disable_select . " " . $display_none_style . ' class="' . $disable_class_for_arrow . ' start_time_ajax_hours_' . $m['actual_hour_id'] . '" name="start_time_hours[]">' .
                    common::get_hours(substr($m[actual_start_time], 0, 2)) .
                    '</Select>
                                            <Select  ' . $disable_select . " " . $display_none_style . ' class="' . $disable_class_for_arrow . ' start_time_ajax_minutes_' . $m['actual_hour_id'] . '" name="start_time_minutes[]">' .
                    common::get_minutes(substr($m[actual_start_time], 3, 2)) .
                    '</Select></p></div>
                                        <p>';

            $str .= '</p></div></div>';
            $str .= ' <div class="col-12-12 t-right-design">';
            // $str.= '<p class="col-6-12"><a style="float:left;" href="javascript:void()" onclick="data_by_ajax(' . $m['actual_hour_id'] . ');">Add Work</a></p>';
            if ($m['actual_end_time'] == '00:00:00' && $m['actual_start_time'] == '00:00:00') {
                $str .= '<p class="col-12-12"><a style="text-align:center;width:75px;padding:8px 0;border-radius:0;margin:0 auto;float:none;" href="javascript:void()" class="hidden_save_button_' . $m[actual_hour_id] . '" onclick="save_time_sheet_data_by_ajax(' . $m['actual_hour_id'] . ');">Save</a></p>';
            }
            $str .= '</div><div class="clear"></div>
                        </div>
                    </div>';
        }
        if ($_POST['is_ajax'] == 1) {
            echo $str;
        } else {
            $data['calender_data'] = $str;
            $data['dir'] = $this->dir;
            $data['header_title'] = "schedule";
            $data['page_title'] = 'schedule';

            if ($e_data[sub_contractor] == 1) {
                $data['page'] = 'timesheet_contractor';
            } else {
                $data['page'] = 'timesheet';
            }



            $this->load->view('main', $data);
        }
    }

    function get_job_details_new() {
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_new';
        $data['page_title'] = 'Timesheet New';
        $this->load->view('main', $data);
    }

    function get_week_data() {

        if ($_POST[y] != '' && $_POST[m] != '' && $_POST[d] != '') {
            $y = $_POST[y];
            $month = sprintf("%02d", $_POST[m]);
            $day = sprintf("%02d", $_POST[d]);
            $working_date = $y . '-' . $month . '-' . $day;
        }
        $week_number = $_POST[week_no];
        $step = $_POST[step];
        if ($step == 1) {
            if ($week_number == 1) {
                $year = $this->session->userdata('year');
                $year = $year + 1;
                $this->session->set_userdata('year', "$year");
                $prev = 52;
                $next = $week_number + 1;
            } else if ($week_number == 52) {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $prev = $week_number - 1;
                $next = 1;
            } else {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $prev = $week_number - 1;
                $next = $week_number + 1;
            }
        }

        if ($step == 0) {
            if ($week_number == 1) {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $prev = 52;
                $next = $week_number + 1;
            } else if ($week_number == 52) {
                $year = $this->session->userdata('year');
                $year = $year - 1;
                $this->session->set_userdata('year', "$year");
                $prev = $week_number - 1;
                $next = 1;
            } else {
                $year = $this->session->userdata('year');
                if ($year == '') {
                    $year = date('Y');
                }
                $prev = $week_number - 1;
                $next = $week_number + 1;
            }
        }


        if ($week_number == '') {
            $w = date("W");
            $week_number = $w;
            if ($week_number == 1) {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $prev = 52;
                $next = $week_number + 1;
            } else if ($week_number == 52) {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $prev = $week_number - 1;
                $next = 1;
            } else {
                $year = date('Y');
                $this->session->set_userdata('year', "$year");
                $prev = $week_number - 1;
                $next = $week_number + 1;
            }
        }



        $data['week_no_url'] = $week_no;
        $data['year'] = $this->session->userdata('year');
        $week_no = $week_number;
        $week_no_url = $week_no;

        $date = sql::row("work_list", "week_no='$week_no' and year='$year'", "min(work_date) as from_date,max(work_date) as to_date");
        $week_no = sprintf("%02u", $week_no);
        $date1 = date("Y-m-d", strtotime($year . "W" . $week_no . "1")); // First day of week
        $date2 = date("Y-m-d", strtotime($year . "W" . $week_no . "7")); // Last day of week

        $start_date_without_schedule = $date1;

        $w_pre = 0;
        $w_next = 1;
        $str = '<div class="col-12-12">
        <div class="col-1-12 prev">
            <a href="javascript:void(0);" onclick=get_week_data(' . $prev . ',' . $year . ',' . $w_pre . ')><img height="30px" src="images/prev.png"></a>
        </div>
        <div class="col-10-12">
            <table class="margin-0-auto center current_week"  cellspacing="0" border="0">
                <tr>
                    <td colspan="7" align="center" class="table-title">W- ' . $week_no_url . ', ' . date('F, Y', strtotime($start_date_without_schedule)) . '</td>
                </tr>
                <tr>';


        $start = $start_date_without_schedule;
        $start1 = $start_date_without_schedule;
        for ($i = 0; $i < 7; $i++) {

            $str .= '<td style="font-size:13px; padding:3px 8px;">' . substr(date('D', strtotime($start)), 0, 2) . '</td>';

            $start = date('Y-m-d', strtotime("$start +1 day"));
        }
        $str .= '</tr><tr>';

        $today = $date1;
        $start1 = $start_date_without_schedule;
        for ($i = 0; $i < 7; $i++) {

            $y = substr($start1, 0, 4);
            $m = substr($start1, 5, 2);
            $d = substr($start1, 8, 2);

            if ($i == 0) {
                $str .= '<input type="hidden" class="jyear" value="' . $y . '"><input type="hidden" class="jmonth" value="' . $m . '"><input type="hidden" class="jday" value="' . $d . '">';
            }
            $class_name = '';
            if ($i == 0) {
                $class_name = 'active_date';
            }

            $str .= '<td  style="padding-top:8px;padding-bottom:8px;" class="date_style ' . $class_name . ' d_' . $d . '"><a href="javascript:void(0)" onclick="get_data(' . $y . ',' . $m . ',' . $d . ',' . $week_no_url . ') ">' . date('d', strtotime($start1)) . '</a></td>';
            $start1 = date('Y-m-d', strtotime("$start1 +1 day"));
        }
        $str .= '</tr>
            </table>
        </div>
       <div class="col-1-12 next">
            <a class="float-right" href="javascript:void(0);" onclick=get_week_data(' . $next . ',' . $year . ',' . $w_next . ')><img height="30px" src="images/next.png"></a>
        </div>
    </div>';
        echo $str;
    }

    function update_employee_schedule_time_sheet_ajax() {
        $actual_hour_id = $_POST[actual_hour_id];
        //$actual_hour_id=220;
        //$_POST[tag_location_id]=7;
        //$_POST[start_time]='00:00';
        //$_POST[end_time]='08:00';

        $this->db->query("update actual_hour set tag_location_id='$_POST[tag_location_id]', actual_start_time='$_POST[start_time]',actual_end_time='$_POST[end_time]',day_hours=TIME(TIMEDIFF('$_POST[end_time]','$_POST[start_time]')) where actual_hour_id='$actual_hour_id'");
        $tag_info = sql::row("actual_hour", "actual_hour_id='$actual_hour_id'", "tag_id,work_date,employee_id,week_no,year,day_hours");
        $tag_id = $tag_info['tag_id'];
        $job_complete_date = date('Y-m-d');
        $job_type_info = sql::row("job_type", "job_type_name='Visited'");
        $this->db->query("update tag set updated_job_status_id='$job_type_info[job_type_id]',updated_job_status_name='$job_type_info[job_type_name]' where tag_id='$tag_id'");
        $is_exist = sql::row("job_status", "tag_id='$tag_id' and job_type_id='$job_type_info[job_type_id]'");
        if (count($is_exist) > 0) {
            $this->db->query("update job_status set job_complete_date='$job_complete_date' where tag_id='$tag_id' and job_type_id='$job_type_info[job_type_id]'");
        } else {
            $this->db->query("insert into job_status set job_complete_date='$job_complete_date',tag_id='$tag_id',job_type_id='$job_type_info[job_type_id]'");
        }
        $work_year = date('Y', strtotime($tag_info[work_date]));
        $employee_info = sql::row("employee", "employee_id=$tag_info[employee_id]", "employee_first_name,employee_last_name,billable_hours_id,pay_limit");

        $employee_salary_info = sql::row("employee_salary", "employee_id='$tag_info[employee_id]'");
        if ($tag_info['work_date'] < "$employee_salary_info[salary_date]") {
            $employee_salary_info = sql::row("employee_salary_record", "employee_id='$tag_info[employee_id]' and date<='$tag_info[work_date]' and billable_hours_id=$employee_info[billable_hours_id]' order by e_salary_record_id desc limit 0,1");
        }

        $billable_info = sql::row("billable", "billable_id='$employee_info[billable_hours_id]' or billable_id='$employee_salary_info[billable_hours_id]'", "billable_name");
        $billable_hours_info = sql::row("billable_hours", "billable_hour_name='$employee_info[billable_hours_id]' and year='$work_year'");

        $actual_hours = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and actual_end_time!='00:00:00'", "SEC_TO_TIME( SUM( TIME_TO_SEC(`day_hours`) ) ) AS timeSum,max(actual_hour.actual_end_time) as actual_end_time,min(actual_hour.actual_start_time) as actual_start_time,SUM(TIME_TO_SEC(`day_hours`)) AS total_sec");
        $salary_type_info = sql::row("salary_type", "salary_type_id='$employee_salary_info[salary_type]'", "salary_type_name");
        $day_name = date('l', strtotime($tag_info['work_date']));
        $on_call_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and on_call_status=1", "on_call_status");
        if (count($on_call_info) > 0) {
            $on_call_amount = $employee_salary_info[on_call_rate];
        } else {
            $on_call_amount = 0;
        }

        $training_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and training_status=1", "training_status");
        if (count($training_info) > 0) {
            $training_amount = $employee_salary_info[training];
        } else {
            $training_amount = 0;
        }
        $bank_holiday_info = sql::row("bank_holiday", "bank_holiday_status=1 and bank_holiday_date='$tag_info[work_date]'", "bank_holiday_id");
        if (count($bank_holiday_info) > 0) {
            $holiday_amount = $employee_salary_info[bank_holiday_rate];
        } else {
            $holiday_amount = 0;
        }
        $three_letter_day_name = date('D', strtotime($tag_info['work_date']));
        $rate_info = sql::row("weekly_day_rate", "employee_id='$tag_info[employee_id]' and day_name='$three_letter_day_name'");
        $standard_total = ($billable_hours_info['hours_per_day'] * 60 * 60) + ($billable_hours_info['no_pay_per_day'] * 60);
        $day_rate = ($employee_salary_info[prsi] * ($employee_salary_info[employee_salary_amount] / 100)) + $employee_salary_info[employee_salary_amount] + $employee_salary_info[expense_cost] + $employee_salary_info[travel_cost];
        $hour_rate = $day_rate / $billable_hours_info[hours_per_day];
        if ($actual_hours[total_sec] > $standard_total) {
            $overt = gmdate("H:i:s", $actual_hours[total_sec] - $standard_total);
            $overt_sec = common::get_seconds_from_time($overt);
            $overt_hours = ($overt_sec / 3600);
            $over_amount = $rate_info[overtime_rate] * $overt_hours * $hour_rate;
        } else {
            $overt = '00:00:00';
            $overt_hours = 0;
            $over_amount = 0;
        }

        if ($overt == '00:00:00') {
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - ($billable_hours_info['no_pay_per_day'] * 60);
        } else {
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]);
        }
        $hours_for_this_tag = $second_for_this_tag / 3600;
        $amount_for_this_tag = $hours_for_this_tag * $hour_rate * $rate_info[hourly_rate];
        $data_actual_hour = array(
            'day_amount' => $amount_for_this_tag,
            'no_pay_min' => $billable_hours_info['no_pay_per_day'],
        );
        $this->db->update('actual_hour', $data_actual_hour, array('actual_hour_id' => $actual_hour_id));
        if ($overt > '00:00:00') {
            $this->db->query("update actual_hour set no_pay_min=0,overtime_hours_salary=0,overtime_hours=0 where work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]'");
            $max_actual_end = sql::row("actual_hour", "1 and employee_id='$tag_info[employee_id]' and work_date='$tag_info[work_date]' order by actual_end_time desc limit 0,1", "actual_hour_id");
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - common::get_seconds_from_time($overt) - $billable_hours_info['no_pay_per_day'] * 60;
            $hours_for_this_tag_ov = $second_for_this_tag / 3600;
            $amount_for_this_tag_overtime = $hours_for_this_tag_ov * $hour_rate * $rate_info[hourly_rate];
            $data_actual_hour_over = array(
                'day_amount' => $amount_for_this_tag_overtime,
                'no_pay_min' => $billable_hours_info['no_pay_per_day'],
                'overtime_hours_salary' => $over_amount,
                'overtime_hours' => $overt
            );
            $this->db->update('actual_hour', $data_actual_hour_over, array('actual_hour_id' => $max_actual_end[actual_hour_id]));
        }
        $data = array(
            'employee_id' => $tag_info[employee_id],
            'employee_first_name' => $employee_info[employee_first_name],
            'employee_last_name' => $employee_info[employee_last_name],
            'pay_limit' => $employee_info[pay_limit],
            'week_no' => $tag_info[week_no],
            'work_date' => $tag_info[work_date],
            'day_name' => $day_name,
            'billable_name' => $billable_info[billable_name],
            'salary_type_name' => $salary_type_info[salary_type_name],
            'day_rate' => $employee_salary_info[employee_salary_amount],
            'hour_rate' => $employee_salary_info[hourly_rate],
            'actual_end_time' => $actual_hours[actual_end_time],
            'actual_start_time' => $actual_hours[actual_start_time],
            'standard_hours' => $billable_hours_info[hours_per_day],
            'day_hours' => $actual_hours[timeSum],
            'overtime_hours' => $overt,
            'oncall' => $on_call_amount,
            'hourly_standard_rate' => $rate_info[hourly_rate],
            'overtime_standard_rate' => $rate_info[overtime_rate],
            'expense' => $employee_salary_info[expense_cost],
            'travel' => $employee_salary_info[travel_cost],
            'prsi' => $employee_salary_info[prsi],
            'on_call_week' => $employee_salary_info[on_call_week],
            'period' => $employee_salary_info[period],
            'training' => $training_amount,
            'bank_holiday_rate' => $holiday_amount,
            'no_pay_per_day' => $billable_hours_info[no_pay_per_day],
            'overtime_status' => 0,
            'year' => $tag_info[year],
            'period' => $employee_salary_info[period],
            'uplift_cost' => $employee_salary_info[uplift_cost],
            'is_salary_taxable' => $employee_salary_info['is_salary_taxable'],
            'is_on_call_rate_taxable' => $employee_salary_info['is_on_call_rate_taxable'],
            'is_on_call_week_taxable' => $employee_salary_info['is_on_call_week_taxable'],
            'is_travel_cost_taxable' => $employee_salary_info['is_travel_cost_taxable'],
            'is_expense_cost_taxable' => $employee_salary_info['is_expense_cost_taxable'],
            'is_uplift_cost_taxable' => $employee_salary_info['is_uplift_cost_taxable'],
            'is_training_taxable' => $employee_salary_info['is_training_taxable']
        );
        $is_exist = sql::row("work_salary", "employee_id='$tag_info[employee_id]' and work_date='$tag_info[work_date]'");
        if (count($is_exist) > 0) {
            $this->db->update('work_salary', $data, array('employee_id' => $tag_info[employee_id], 'work_date' => $tag_info[work_date]));
        } else {
            $this->db->insert('work_salary', $data);
        }
    }

    function update_employee_schedule_time_sheet_ajax_subcontractor() {
        $actual_hour_id = $_POST[actual_hour_id];
        $this->db->query("update actual_hour set tag_location_id='$_POST[tag_location_id]', actual_start_time='$_POST[start_time]',actual_end_time='$_POST[end_time]',day_hours=TIME(TIMEDIFF('$_POST[end_time]','$_POST[start_time]')) where actual_hour_id='$actual_hour_id'");
        $tag_info = sql::row("actual_hour", "actual_hour_id='$actual_hour_id'", "tag_id,work_date,employee_id,week_no,year,day_hours");
        $tag_id = $tag_info['tag_id'];
        $job_complete_date = date('Y-m-d');
        $job_type_info = sql::row("job_type", "job_type_name='Visited'");
        $this->db->query("update tag set updated_job_status_id='$job_type_info[job_type_id]',updated_job_status_name='$job_type_info[job_type_name]' where tag_id='$tag_id'");
        $is_exist = sql::row("job_status", "tag_id='$tag_id' and job_type_id='$job_type_info[job_type_id]'");
        if (count($is_exist) > 0) {
            $this->db->query("update job_status set job_complete_date='$job_complete_date' where tag_id='$tag_id' and job_type_id='$job_type_info[job_type_id]'");
        } else {
            $this->db->query("insert into job_status set job_complete_date='$job_complete_date',tag_id='$tag_id',job_type_id='$job_type_info[job_type_id]'");
        }
    }

    function site_schedule_report() {
        if ($_POST['year'] == '') {
            $data['year'] = date('Y');
        } else {
            $data['year'] = $_POST['year'];
        }
        $con = ' 1';
        if ($_POST['tag_id'] != '') {
            $con = " 1 and tag_id='$_POST[tag_id]";
        }




        // $data['tag_data'] = sql::rows("tag");
        $data['tag_data'] = sql::rows("tag", "1 and updated_job_status_name!='BT Approved'");
        $data['site_schedule_report'] = sql::rows("site_schedule_report", "year(date)='$data[year]'");
        $data['dir'] = $this->dir;
        $data['page'] = 'site_schedule_report';
        $data['page_title'] = 'site schedule report';
        $this->load->view('main_table_fixed', $data);
    }

    function mycert() {
        $emp_id = $this->session->userdata('employee_id');
        if ($emp_id == '') {
            redirect('login');
        }
        $query = $this->db->query("select employee_cert.*,cert.cert_name,cert.flag from employee_cert
                left join cert on cert.cert_id=employee_cert.cert_id where employee_cert.employee_id='$emp_id'");
        $data['cert_info'] = $query->result_array();
        $data['dir'] = $this->dir;
        $data['page'] = 'mycert';
        $data['page_title'] = 'mycert';
        $this->load->view('main', $data);
    }

    function site_defect() {
        if ($_POST['save']) {
//            if ($this->form_validation->run('valid_site_defect')) {
            $this->schedule_model->save_defect();
            $this->session->set_flashdata('msg', 'Successfully Added!!!');
            redirect('schedule/site_defect');
//            }
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Site Defect', 'url' => site_url('home')),
            array('title' => 'Add New Site Defect', 'url' => '')
        );
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['action'] = 'schedule/site_defect';
        $data['page'] = 'site_defect';
        $data['page_title'] = 'Add New Defect';
        $this->load->view('main', $data);
    }

    function get_jads_number() {
        $tag_id = $_POST['tag_id'];
        $query = $this->db->query("select tag_component.tag_component_id,category_type.* from tag_component
        left join category_type on category_type.category_type_id=tag_component.category_type_id where tag_component.tag_id='$tag_id' group by tag_component.category_type_id order by category_type.category_type_number asc");
        $rows = $query->result_array();
        $str .= "<option value=''>Select Ads Number</option>";
        foreach ($rows as $row) {
            $str .= "<option value='" . $row[category_type_id] . "' >" . $row['category_number'] . '-' . $row['category_id'] . '-' . $row['category_type_number'] . "</option>";
        }
        echo $str;
    }

    function defect_report() {
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['action'] = 'schedule/site_defect';
        $data['page'] = 'defect_report';
        $data['page_title'] = 'Add New Defect';
        $this->load->view('main', $data);
    }

    function defect_list($tag_id = '', $ads_number = '') {
        $con = ' 1';
        if ($tag_id != '') {
            $con .= " and tag_id='$tag_id'";
        }
        if ($ads_number != '') {
            $con .= " and ads_number='$ads_number'";
        }

        $data['list'] = sql::rows("site_defect_report", "$con");

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['action'] = 'schedule/site_defect';
        $data['page'] = 'defect_list';
        $data['page_title'] = 'Add New Defect';
        $this->load->view('main', $data);
    }

    function list_details($site_defect_report_id = '', $active = '') {
        if ($_POST['save']) {
            $employee_id = $this->session->userdata('employee_id');
            $data_com = array(
                'comment' => $_POST['comment'],
                'site_defect_report_id' => $site_defect_report_id,
                'employee_id' => $employee_id
            );
            $this->db->insert('defect_comment', $data_com);
            redirect('schedule/list_details/' . $site_defect_report_id . '/1');
        }
        $con = ' 1';
        if ($site_defect_report_id != '') {
            $con .= " and site_defect_report_id='$site_defect_report_id'";
        }
        $data['list'] = sql::row("site_defect_report", "$con");
        $query = $this->db->query("select defect_comment.comment,defect_comment.date,employee.employee_first_name,employee.employee_last_name,employee.employee_id  from defect_comment
    left join employee on employee.employee_id=defect_comment.employee_id
    where defect_comment.site_defect_report_id='$site_defect_report_id' order by date desc");
        $data['comment_data'] = $query->result_array();
        $data['ac'] = $active;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['action'] = 'schedule/list_details/' . $site_defect_report_id;
        $data['page'] = 'list_details';
        $data['page_title'] = 'Add New Defect';
        $this->load->view('main', $data);
    }

    function site_defect_status() {
        $this->db->query("update site_defect_report set $_POST[field_name]='$_POST[status]' where site_defect_report_id='$_POST[site_defect_report_id]'");

        $employee_id = $this->session->userdata('employee_id');
        $data = array(
            'tag_id' => $_POST['tag_id'],
            'site_defect_report_id' => $_POST[site_defect_report_id],
            'employee_id' => $employee_id
        );
        $this->db->insert('site_report_closed_by', $data);
    }

    function site_defect_approved() {
        $this->db->query("update site_defect_report set $_POST[field_name]='$_POST[status]' where site_defect_report_id='$_POST[site_defect_report_id]'");

        $this->db->query("update site_defect_report set status='0' where site_defect_report_id='$_POST[site_defect_report_id]'");


        $employee_id = $this->session->userdata('employee_id');

        $datac = array(
            'tag_id' => $_POST['tag_id'],
            'site_defect_report_id' => $_POST[site_defect_report_id],
            'employee_id' => $employee_id
        );
        $this->db->insert('site_report_closed_by', $datac);

        $data = array(
            'tag_id' => $_POST['tag_id'],
            'site_defect_report_id' => $_POST[site_defect_report_id],
            'employee_id' => $employee_id
        );
        $this->db->insert('site_report_approved_by', $data);
    }

    function timesheet_step_one() {
        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");

        if (count($checking_allready_swap) == 0) {
            redirect('schedule/goto_swap');
        }
//        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc");
        //$query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc,actual_hour.employee_id desc");

        $query = $this->db->query("select tag_sub.sub_name,tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.tag_id,actual_hour.tag_sub_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
left join tag_sub on tag_sub.tag_sub_id=actual_hour.tag_sub_id 
where 1 and actual_hour.rock_hole_assign is NULL and tag.job_number=500 and actual_hour.employee_id='$employee_id' and tag.newstatus=1  group by actual_hour.tag_id asc,actual_hour.tag_sub_id asc");

        $data['rows'] = $query->result_array();

        $is_currnt_team = sql::row("team", "employee_id='$employee_id' and current_team=1");

        if ($is_currnt_team['current_team'] != 1) {
            $data['rows'] = array();
        }


//        print_r($data['rows']);

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_one';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function timesheet_step_one_cdr() {
        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");

        if (count($checking_allready_swap) == 0) {
            redirect('schedule/goto_swap');
        }
//        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc");
        //$query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc,actual_hour.employee_id desc");

        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.tag_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and actual_hour.employee_id='$employee_id' and tag.newstatus=5  group by actual_hour.tag_id desc");

        $data['is_cdr'] = 1;
        $data['rows'] = $query->result_array();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_one';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function timesheet_step_two() {
        $employee_id = $this->session->userdata('employee_id');
        $tag_id = $this->session->userdata('tag_id');
        //echo $tag_id;
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and actual_hour.employee_id='$employee_id' and actual_hour.tag_id='$tag_id'  group by actual_hour.tag_id desc");
        $data['rows'] = $query->result_array();
        //print_r($data['rows']);exit;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_two';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function checkmate() {
        $tag_id = 62;
        $_POST[date_replaced] = '2017-11-11';
        $year = 2017;
        $week_no = 45;
        $employee_id = $this->session->userdata('employee_id');

        $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id' and work_date='$_POST[date_replaced]'");
        $week_no = date('W', strtotime($_POST['date_replaced']));
        if (count($is_exist_tag) > 0) {
            $actual_hour_id = $is_exist_tag[actual_hour_id];
            if ($is_exist_tag[actual_end_time] == '' || $is_exist_tag[actual_end_time] == '00:00:00') {
                $is_exist_tag[actual_end_time] = '08:00:00';
            }
            //echo $is_exist_tag[actual_end_time] ;exit;
            $end = $is_exist_tag[actual_end_time] + '01:00:00';
            $end = $end . ':00:00';
            //echo $end;
            // exit;
            $this->db->query("update actual_hour set year='$year',employee_id='$employee_id',week_no='$week_no',work_date='$_POST[date_replaced]',actual_start_time='08:00:00',actual_end_time='$end',day_hours=TIME(TIMEDIFF('$end','08:00:00')) where actual_hour_id='$actual_hour_id'");
        } else {
            $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id' and (work_date='' or work_date='0000-00-00')");
            if (count($is_exist_tag) > 0) {
                $actual_hour_id = $is_exist_tag[actual_hour_id];
                if ($is_exist_tag[actual_end_time] == '' || $is_exist_tag[actual_end_time] == '00:00:00') {
                    $is_exist_tag[actual_end_time] = '08:00:00';
                }
                //echo $is_exist_tag[actual_end_time] ;exit;
                $end = $is_exist_tag[actual_end_time] + '01:00:00';
                $end = $end . ':00:00';
                //echo $end;
                //exit;
                $this->db->query("update actual_hour set year='$year',employee_id='$employee_id',week_no='$week_no',work_date='$_POST[date_replaced]',actual_start_time='08:00:00',actual_end_time='$end',day_hours=TIME(TIMEDIFF('$end','08:00:00')) where actual_hour_id='$actual_hour_id'");
            } else {
                $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id'");
                $actual_data_new = array(
                    'tag_id' => $tag_id,
                    'employee_id' => $employee_id,
                    'actual_start_time' => '08:00:00',
                    'actual_end_time' => '09:00:00',
                    'day_hours' => '01:00:00',
                    'year' => $year,
                    'week_no' => $week_no,
                    'work_date' => $_POST[date_replaced],
                    'job_number' => $is_exist_tag[job_number],
                    'contact_number' => $is_exist_tag[contact_number],
                    'service_number' => $is_exist_tag[service_number],
                    'description_id' => $is_exist_tag[description_id]
                );
                $this->db->insert('actual_hour', $actual_data_new);
                $actual_hour_id = $this->db->insert_id();
            }
        }



        $tag_info = sql::row("actual_hour", "actual_hour_id='$actual_hour_id'", "tag_id,work_date,employee_id,week_no,year,day_hours");
        $work_year = date('Y', strtotime($tag_info[work_date]));
        $employee_info = sql::row("employee", "employee_id=$tag_info[employee_id]", "employee_first_name,employee_last_name,billable_hours_id,pay_limit");

        $employee_salary_info = sql::row("employee_salary", "employee_id='$tag_info[employee_id]'");
        if ($tag_info['work_date'] < "$employee_salary_info[salary_date]") {
            $employee_salary_info = sql::row("employee_salary_record", "employee_id='$tag_info[employee_id]' and date<='$tag_info[work_date]' and billable_hours_id=$employee_info[billable_hours_id]' order by e_salary_record_id desc limit 0,1");
        }

        $billable_info = sql::row("billable", "billable_id='$employee_info[billable_hours_id]' or billable_id='$employee_salary_info[billable_hours_id]'", "billable_name");
        $billable_hours_info = sql::row("billable_hours", "billable_hour_name='$employee_info[billable_hours_id]' and year='$work_year'");

        $actual_hours = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and actual_end_time!='00:00:00'", "SEC_TO_TIME( SUM( TIME_TO_SEC(`day_hours`) ) ) AS timeSum,max(actual_hour.actual_end_time) as actual_end_time,min(actual_hour.actual_start_time) as actual_start_time,SUM(TIME_TO_SEC(`day_hours`)) AS total_sec");
        $salary_type_info = sql::row("salary_type", "salary_type_id='$employee_salary_info[salary_type]'", "salary_type_name");
        $day_name = date('l', strtotime($tag_info['work_date']));
        $on_call_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and on_call_status=1", "on_call_status");
        if (count($on_call_info) > 0) {
            $on_call_amount = $employee_salary_info[on_call_rate];
        } else {
            $on_call_amount = 0;
        }

        $training_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and training_status=1", "training_status");
        if (count($training_info) > 0) {
            $training_amount = $employee_salary_info[training];
        } else {
            $training_amount = 0;
        }
        $bank_holiday_info = sql::row("bank_holiday", "bank_holiday_status=1 and bank_holiday_date='$tag_info[work_date]'", "bank_holiday_id");
        if (count($bank_holiday_info) > 0) {
            $holiday_amount = $employee_salary_info[bank_holiday_rate];
        } else {
            $holiday_amount = 0;
        }
        $three_letter_day_name = date('D', strtotime($tag_info['work_date']));
        $rate_info = sql::row("weekly_day_rate", "employee_id='$tag_info[employee_id]' and day_name='$three_letter_day_name'");
        $standard_total = ($billable_hours_info['hours_per_day'] * 60 * 60) + ($billable_hours_info['no_pay_per_day'] * 60);
        $day_rate = ($employee_salary_info[prsi] * ($employee_salary_info[employee_salary_amount] / 100)) + $employee_salary_info[employee_salary_amount] + $employee_salary_info[expense_cost] + $employee_salary_info[travel_cost];
        $hour_rate = $day_rate / $billable_hours_info[hours_per_day];
        if ($actual_hours[total_sec] > $standard_total) {
            $overt = gmdate("H:i:s", $actual_hours[total_sec] - $standard_total);
            $overt_sec = common::get_seconds_from_time($overt);
            $overt_hours = ($overt_sec / 3600);
            $over_amount = $rate_info[overtime_rate] * $overt_hours * $hour_rate;
        } else {
            $overt = '00:00:00';
            $overt_hours = 0;
            $over_amount = 0;
        }

        if ($overt == '00:00:00') {
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - ($billable_hours_info['no_pay_per_day'] * 60);
        } else {
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]);
        }
        $hours_for_this_tag = $second_for_this_tag / 3600;
        $amount_for_this_tag = $hours_for_this_tag * $hour_rate * $rate_info[hourly_rate];
        $data_actual_hour = array(
            'day_amount' => $amount_for_this_tag,
            'no_pay_min' => $billable_hours_info['no_pay_per_day'],
        );
        $this->db->update('actual_hour', $data_actual_hour, array('actual_hour_id' => $actual_hour_id));
        if ($overt > '00:00:00') {
            $this->db->query("update actual_hour set no_pay_min=0,overtime_hours_salary=0,overtime_hours=0 where work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]'");
            $max_actual_end = sql::row("actual_hour", "1 and employee_id='$tag_info[employee_id]' and work_date='$tag_info[work_date]' order by actual_end_time desc limit 0,1", "actual_hour_id");
            $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - common::get_seconds_from_time($overt) - $billable_hours_info['no_pay_per_day'] * 60;
            $hours_for_this_tag_ov = $second_for_this_tag / 3600;
            $amount_for_this_tag_overtime = $hours_for_this_tag_ov * $hour_rate * $rate_info[hourly_rate];
            $data_actual_hour_over = array(
                'day_amount' => $amount_for_this_tag_overtime,
                'no_pay_min' => $billable_hours_info['no_pay_per_day'],
                'overtime_hours_salary' => $over_amount,
                'overtime_hours' => $overt
            );
            $this->db->update('actual_hour', $data_actual_hour_over, array('actual_hour_id' => $max_actual_end[actual_hour_id]));
        }



        $new_sum_data = sql::row("tag_details", "date_replaced='$_POST[date_replaced]' and employee_id='$employee_id' and code_status='complete'", "sum(power_serve_direct) as power_serve_direct,sum(contractor) as contractor,sum(v_power_serve_direct) as v_power_serve_direct,sum(v_contractor) as v_contractor");

        if ($sub_contractor == 1) {
            $new_sum_data['power_serve_direct'] = 0;
            $new_sum_data['v_power_serve_direct'] = 0;
        } else {
            $new_sum_data['contractor'] = 0;
            $new_sum_data['v_contractor'] = 0;
        }

        $salary_new_value = $new_sum_data['power_serve_direct'] + $new_sum_data['v_power_serve_direct'] + $new_sum_data['contractor'] + $new_sum_data['v_contractor'];
        $sal_hourly_rate = $salary_new_value / $billable_hours_info[hours_per_day];

//$employee_salary_info[employee_salary_amount],
//$employee_salary_info[hourly_rate],

        $data = array(
            'employee_id' => $tag_info[employee_id],
            'employee_first_name' => $employee_info[employee_first_name],
            'employee_last_name' => $employee_info[employee_last_name],
            'pay_limit' => $employee_info[pay_limit],
            'week_no' => $tag_info[week_no],
            'work_date' => $tag_info[work_date],
            'day_name' => $day_name,
            'billable_name' => $billable_info[billable_name],
            'salary_type_name' => $salary_type_info[salary_type_name],
            'day_rate' => $salary_new_value,
            'hour_rate' => $sal_hourly_rate,
            'actual_end_time' => $actual_hours[actual_end_time],
            'actual_start_time' => $actual_hours[actual_start_time],
            'standard_hours' => $billable_hours_info[hours_per_day],
            'day_hours' => $actual_hours[timeSum],
            'overtime_hours' => $overt,
            'oncall' => $on_call_amount,
            'hourly_standard_rate' => $rate_info[hourly_rate],
            'overtime_standard_rate' => $rate_info[overtime_rate],
            'expense' => $employee_salary_info[expense_cost],
            'travel' => $employee_salary_info[travel_cost],
            'prsi' => $employee_salary_info[prsi],
            'on_call_week' => $employee_salary_info[on_call_week],
            'period' => $employee_salary_info[period],
            'training' => $training_amount,
            'bank_holiday_rate' => $holiday_amount,
            'no_pay_per_day' => $billable_hours_info[no_pay_per_day],
            'overtime_status' => 0,
            'year' => $tag_info[year],
            'period' => $employee_salary_info[period],
            'uplift_cost' => $employee_salary_info[uplift_cost],
            'is_salary_taxable' => $employee_salary_info['is_salary_taxable'],
            'is_on_call_rate_taxable' => $employee_salary_info['is_on_call_rate_taxable'],
            'is_on_call_week_taxable' => $employee_salary_info['is_on_call_week_taxable'],
            'is_travel_cost_taxable' => $employee_salary_info['is_travel_cost_taxable'],
            'is_expense_cost_taxable' => $employee_salary_info['is_expense_cost_taxable'],
            'is_uplift_cost_taxable' => $employee_salary_info['is_uplift_cost_taxable'],
            'is_training_taxable' => $employee_salary_info['is_training_taxable']
        );
        $is_exist = sql::row("work_salary", "employee_id='$tag_info[employee_id]' and work_date='$tag_info[work_date]'");
        if (count($is_exist) > 0) {
            $this->db->update('work_salary', $data, array('employee_id' => $tag_info[employee_id], 'work_date' => $tag_info[work_date]));
        } else {
            $this->db->insert('work_salary', $data);
        }
    }

//    function jsave_data_to_tag_details() {
//		if($_POST['confirm_code']==''){
//            echo '0';
//            exit;
//        }
//        $this->session->set_userdata('tag_details_id_for_img', "$_POST[tag_details_id]");
//        $before_image = $this->session->userdata('file0');
//        $after_image = $this->session->userdata('file1');
//
//        $old_barcode_image = $this->session->userdata('file2');
//        $new_barcode_image = $this->session->userdata('file3');
//
//        $year = date('Y', strtotime($_POST['date_replaced']));
//        $sub_contractor = $this->session->userdata('sub_contractor');
//        $employee_id = $this->session->userdata('employee_id');
//        $employee_first_name = $this->session->userdata('employee_first_name');
//        $employee_last_name = $this->session->userdata('employee_last_name');
//        $week_number = date("W", strtotime($_POST['date_replaced']));
//        $pole_rate_data = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id]' and code='$_POST[confirm_code]'");
//        if ($_POST[pole_type_id_varation] != '' && $_POST[confirm_varation_code] != '') {
//            $pole_rate_data_varation = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id_varation]' and code='$_POST[confirm_varation_code]'");
//            if ($sub_contractor == 1) {
//                $pole_rate_data_varation['power_serve_direct'] = 0;
//            } else {
//                $pole_rate_data_varation['contractor'] = 0;
//            }
//        }
//        if ($sub_contractor == 1) {
//            $pole_rate_data['power_serve_direct'] = 0;
//        } else {
//            $pole_rate_data['contractor'] = 0;
//        }
//        if ($_POST[code] == "$_POST[confirm_code]") {
//            $ies_approved = 1;
//        } else {
//            $ies_approved = 0;
//        }
//
//        $tag_details_id_barcode = sql::row("tag_details", "tag_details_id='$_POST[tag_details_id]'", "barcode,tag_id,code,pole_type");
//        $is_exist_new_barcode = sql::rows("tag_details", "new_barcode='$_POST[new_barcode]'", "new_barcode");
//        $tem_data = sql::row("team", "employee_id='$employee_id'  and team.effective_date<='$_POST[date_replaced]' order by team.effective_date desc,team_id desc limit 0,1", "teamname_id");
//        if ($tag_details_id_barcode['pole_type'] == 'D POLE') {
//            $pole_type_id_code = 2;
//        } elseif ($tag_details_id_barcode['pole_type'] = 'FTTH T300') {
//            $pole_type_id_code = 1;
//        } else {
//            $pole_type_id_code = 0;
//        }
//        $pole_rate_info_code = sql::row("pole_rate", "code='$tag_details_id_barcode[code]' and pole_type_id='$pole_type_id_code'");
//
//        if (count($is_exist_new_barcode) == 0) {
//            $tag_details_data = array(
//                'sub_contractor' => $sub_contractor,
//                'code_rate_secto' => $pole_rate_info_code['secto'],
//                'code_rate_ies' => $pole_rate_info_code['power_serve'],
//                'code_rate_contractor' => $pole_rate_info_code['contractor'],
//                'code_rate_employee' => $pole_rate_info_code['power_serve_direct'],
//                'teamname_id' => $tem_data[teamname_id],
//                'employee_id' => $employee_id,
//                'employee_first_name' => $employee_first_name,
//                'employee_last_name' => $employee_last_name,
//                'power_serve_direct' => $pole_rate_data['power_serve_direct'],
//                'power_serve' => $pole_rate_data['power_serve'],
//                'contractor' => $pole_rate_data['contractor'],
//                'secto' => $pole_rate_data['secto'],
//                'week_number' => $week_number,
//                'pole_type_id' => $_POST['pole_type_id'],
//                'pole_type' => $_POST['pole_type_details'],
//                'confirm_pole_type' => $_POST['pole_type_id'],
//                'varation_pole_type' => $_POST['pole_type_id_varation'],
//                'varation_code' => $_POST['confirm_varation_code'],
//                'confirm_code' => $_POST['confirm_code'],
//                'new_barcode' => $_POST['new_barcode'],
//                'code' => $_POST['code'],
//                'year' => $year,
//                'ies_approved' => $ies_approved,
//                'date_replaced' => $_POST['date_replaced'],
//                'comment' => $_POST['comment'],
//                'additional_comment' => $_POST['additional_comment'],
//                'code_status' => 'complete',
//                'before_image' => $before_image,
//                'after_image' => $after_image,
//                'old_barcode_image' => $old_barcode_image,
//                'new_barcode_image' => $new_barcode_image
//            );
//            $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $_POST[tag_details_id]));
//            if ($_POST[pole_type_id_varation] != '' && $_POST[confirm_varation_code] != '') {
//                $tag_details_data_varation = array(
//                    'v_power_serve_direct' => $pole_rate_data_varation['power_serve_direct'],
//                    'v_power_serve' => $pole_rate_data_varation['power_serve'],
//                    'v_contractor' => $pole_rate_data_varation['contractor'],
//                    'v_secto' => $pole_rate_data_varation['secto'],
//                );
//                $this->db->update('tag_details', $tag_details_data_varation, array('tag_details_id' => $_POST[tag_details_id]));
//            }
//            $employee_id = $this->session->userdata('employee_id');
//            $day_rate_allready_exist = sql::rows("poling_subsistance", "employee_id='$employee_id' and request_date='$_POST[date_replaced]'", "day_rate");
//            if (count($day_rate_allready_exist) == 0) {
//                if ($employee_id != '') {
//                    $year = date('Y', strtotime($_POST['date_replaced']));
//                    $week_number = date("W", strtotime($_POST['date_replaced']));
//                    $team_info = sql::row("team", "employee_id='$employee_id' group by employee_id order by team_id desc", "teamname_id");
//                    $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
//                    $str = date('D', strtotime($_POST['date_replaced']));
//                    $day_name_for_sub = strtolower($str);
//                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
//                    $request_data = array(
//                        'employee_id' => $employee_id,
//                        'week_number' => $week_number,
//                        'year' => $year,
//                        'request_date' => $_POST['date_replaced'],
//                        'request_comment' => $_POST['request_comment'],
//                        'teamname_id' => $team_info[teamname_id],
//                        'teamname_name' => $teamname_info[teamname_name],
//                        'day_rate' => $employee_info[day_rate],
//                        'subsistance' => $employee_info[subsistance]
//                    );
//                    $this->db->insert('poling_subsistance', $request_data);
//                }
//            }
//            $this->session->unset_userdata('file0');
//            $this->session->unset_userdata('file1');
//            $this->session->unset_userdata('file2');
//            $this->session->unset_userdata('file3');
//            $this->session->unset_userdata('barcode_session');
//            $this->session->unset_userdata('tag_id');
//            $this->session->set_flashdata('msg', 'Successfully Updated');
//            $tag_id = $tag_details_id_barcode[tag_id];
//            $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id' and work_date='$_POST[date_replaced]'");
//            $week_no = date('W', strtotime($_POST['date_replaced']));
//            if (count($is_exist_tag) > 0) {
//                $actual_hour_id = $is_exist_tag[actual_hour_id];
//                if ($is_exist_tag[actual_end_time] == '' || $is_exist_tag[actual_end_time] == '00:00:00') {
//                    $is_exist_tag[actual_end_time] = '08:00:00';
//                }
//                $end = $is_exist_tag[actual_end_time] + '01:00:00';
//                $end = $end . ':00:00';
//                $this->db->query("update actual_hour set year='$year',week_no='$week_no',work_date='$_POST[date_replaced]',actual_start_time='08:00:00',actual_end_time='$end',day_hours=TIME(TIMEDIFF('$end','08:00:00')) where actual_hour_id='$actual_hour_id'");
//            } else {
//                $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id' and (work_date='' or work_date='0000-00-00')");
//                if (count($is_exist_tag) > 0) {
//                    $actual_hour_id = $is_exist_tag[actual_hour_id];
//                    if ($is_exist_tag[actual_end_time] == '' || $is_exist_tag[actual_end_time] == '00:00:00') {
//                        $is_exist_tag[actual_end_time] = '08:00:00';
//                    }
//                    $end = $is_exist_tag[actual_end_time] + '01:00:00';
//                    $end = $end . ':00:00';
//                    $this->db->query("update actual_hour set year='$year',week_no='$week_no',work_date='$_POST[date_replaced]',actual_start_time='08:00:00',actual_end_time='$end',day_hours=TIME(TIMEDIFF('$end','08:00:00')) where actual_hour_id='$actual_hour_id'");
//                } else {
//                    $is_exist_tag = sql::row("actual_hour", "tag_id='$tag_id'");
//                    $actual_data_new = array(
//                        'tag_id' => $tag_id,
//                        'employee_id' => $employee_id,
//                        'actual_start_time' => '08:00:00',
//                        'actual_end_time' => '09:00:00',
//                        'day_hours' => '01:00:00',
//                        'year' => $year,
//                        'week_no' => $week_no,
//                        'work_date' => $_POST[date_replaced],
//                        'job_number' => $is_exist_tag[job_number],
//                        'contact_number' => $is_exist_tag[contact_number],
//                        'service_number' => $is_exist_tag[service_number],
//                        'description_id' => $is_exist_tag[description_id]
//                    );
//                    $this->db->insert('actual_hour', $actual_data_new);
//                    $actual_hour_id = $this->db->insert_id();
//                }
//            }
//            $tag_info = sql::row("actual_hour", "actual_hour_id='$actual_hour_id'", "tag_id,work_date,employee_id,week_no,year,day_hours");
//            $work_year = date('Y', strtotime($tag_info[work_date]));
//            $employee_info = sql::row("employee", "employee_id=$tag_info[employee_id]", "employee_first_name,employee_last_name,billable_hours_id,pay_limit");
//            $employee_salary_info = sql::row("employee_salary", "employee_id='$tag_info[employee_id]'");
//            if ($tag_info['work_date'] < "$employee_salary_info[salary_date]") {
//                $employee_salary_info = sql::row("employee_salary_record", "employee_id='$tag_info[employee_id]' and date<='$tag_info[work_date]' and billable_hours_id=$employee_info[billable_hours_id]' order by e_salary_record_id desc limit 0,1");
//            }
//            $billable_info = sql::row("billable", "billable_id='$employee_info[billable_hours_id]' or billable_id='$employee_salary_info[billable_hours_id]'", "billable_name");
//            $billable_hours_info = sql::row("billable_hours", "billable_hour_name='$employee_info[billable_hours_id]' and year='$work_year'");
//            $actual_hours = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and actual_end_time!='00:00:00'", "SEC_TO_TIME( SUM( TIME_TO_SEC(`day_hours`) ) ) AS timeSum,max(actual_hour.actual_end_time) as actual_end_time,min(actual_hour.actual_start_time) as actual_start_time,SUM(TIME_TO_SEC(`day_hours`)) AS total_sec");
//            $salary_type_info = sql::row("salary_type", "salary_type_id='$employee_salary_info[salary_type]'", "salary_type_name");
//            $day_name = date('l', strtotime($tag_info['work_date']));
//            $on_call_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and on_call_status=1", "on_call_status");
//            if (count($on_call_info) > 0) {
//                $on_call_amount = $employee_salary_info[on_call_rate];
//            } else {
//                $on_call_amount = 0;
//            }
//            $training_info = sql::row("actual_hour", "work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]' and training_status=1", "training_status");
//            if (count($training_info) > 0) {
//                $training_amount = $employee_salary_info[training];
//            } else {
//                $training_amount = 0;
//            }
//            $bank_holiday_info = sql::row("bank_holiday", "bank_holiday_status=1 and bank_holiday_date='$tag_info[work_date]'", "bank_holiday_id");
//            if (count($bank_holiday_info) > 0) {
//                $holiday_amount = $employee_salary_info[bank_holiday_rate];
//            } else {
//                $holiday_amount = 0;
//            }
//            $three_letter_day_name = date('D', strtotime($tag_info['work_date']));
//            $rate_info = sql::row("weekly_day_rate", "employee_id='$tag_info[employee_id]' and day_name='$three_letter_day_name'");
//            $standard_total = ($billable_hours_info['hours_per_day'] * 60 * 60) + ($billable_hours_info['no_pay_per_day'] * 60);
//            $day_rate = ($employee_salary_info[prsi] * ($employee_salary_info[employee_salary_amount] / 100)) + $employee_salary_info[employee_salary_amount] + $employee_salary_info[expense_cost] + $employee_salary_info[travel_cost];
//            $hour_rate = $day_rate / $billable_hours_info[hours_per_day];
//            if ($actual_hours[total_sec] > $standard_total) {
//                $overt = gmdate("H:i:s", $actual_hours[total_sec] - $standard_total);
//                $overt_sec = common::get_seconds_from_time($overt);
//                $overt_hours = ($overt_sec / 3600);
//                $over_amount = $rate_info[overtime_rate] * $overt_hours * $hour_rate;
//            } else {
//                $overt = '00:00:00';
//                $overt_hours = 0;
//                $over_amount = 0;
//            }
//            if ($overt == '00:00:00') {
//                $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - ($billable_hours_info['no_pay_per_day'] * 60);
//            } else {
//                $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]);
//            }
//            $hours_for_this_tag = $second_for_this_tag / 3600;
//            $amount_for_this_tag = $hours_for_this_tag * $hour_rate * $rate_info[hourly_rate];
//            $data_actual_hour = array(
//                'day_amount' => $amount_for_this_tag,
//                'no_pay_min' => $billable_hours_info['no_pay_per_day'],
//            );
//            $this->db->update('actual_hour', $data_actual_hour, array('actual_hour_id' => $actual_hour_id));
//            if ($overt > '00:00:00') {
//                $this->db->query("update actual_hour set no_pay_min=0,overtime_hours_salary=0,overtime_hours=0 where work_date='$tag_info[work_date]' and employee_id='$tag_info[employee_id]'");
//                $max_actual_end = sql::row("actual_hour", "1 and employee_id='$tag_info[employee_id]' and work_date='$tag_info[work_date]' order by actual_end_time desc limit 0,1", "actual_hour_id");
//                $second_for_this_tag = common::get_seconds_from_time($tag_info[day_hours]) - common::get_seconds_from_time($overt) - $billable_hours_info['no_pay_per_day'] * 60;
//                $hours_for_this_tag_ov = $second_for_this_tag / 3600;
//                $amount_for_this_tag_overtime = $hours_for_this_tag_ov * $hour_rate * $rate_info[hourly_rate];
//                $data_actual_hour_over = array(
//                    'day_amount' => $amount_for_this_tag_overtime,
//                    'no_pay_min' => $billable_hours_info['no_pay_per_day'],
//                    'overtime_hours_salary' => $over_amount,
//                    'overtime_hours' => $overt
//                );
//                $this->db->update('actual_hour', $data_actual_hour_over, array('actual_hour_id' => $max_actual_end[actual_hour_id]));
//            }
//            $new_sum_data = sql::row("tag_details", "date_replaced='$_POST[date_replaced]' and employee_id='$employee_id' and code_status='complete'", "sum(power_serve_direct) as power_serve_direct,sum(contractor) as contractor,sum(v_power_serve_direct) as v_power_serve_direct,sum(v_contractor) as v_contractor");
//            if ($sub_contractor == 1) {
//                $new_sum_data['power_serve_direct'] = 0;
//                $new_sum_data['v_power_serve_direct'] = 0;
//            } else {
//                $new_sum_data['contractor'] = 0;
//                $new_sum_data['v_contractor'] = 0;
//            }
//            $salary_new_value = $new_sum_data['power_serve_direct'] + $new_sum_data['v_power_serve_direct'] + $new_sum_data['contractor'] + $new_sum_data['v_contractor'];
//            $sal_hourly_rate = $salary_new_value / $billable_hours_info[hours_per_day];
//
//            $data_actual_hour_new = array(
//                'day_amount' => $salary_new_value,
//                'no_pay_min' => $billable_hours_info['no_pay_per_day'],
//            );
//            $this->db->update('actual_hour', $data_actual_hour_new, array('actual_hour_id' => $actual_hour_id));
//
//
//
//
//            $running_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='running'", "code,confirm_code,code_status");
//            if (count($running_counter) > 0) {
//                $deserve_for_pending = 0;
//                $deserve_for_approved = 0;
//            }
//
//            $pending_counter = sql::rows("tag_details", "tag_id='$tag_id' and (code_status='complete' or code_status='close') and code!=confirm_code and ies_approved=0", "code,confirm_code,code_status");
//            if (count($pending_counter) > 0 && count($running_counter) == 0) {
//                $deserve_for_pending = 1;
//                $deserve_for_approved = 0;
//            }
//
//            if (count($pending_counter) == 0 && count($running_counter) == 0) {
//                $deserve_for_pending = 0;
//                $deserve_for_approved = 1;
//            }
//
//            $tag_staus_info = sql::row("tag", "tag_id='$tag_id'", "newstatus");
//            if ($tag_staus_info['newstatus'] < 6 && $tag_staus_info['newstatus'] != '') {
//                if ($deserve_for_pending == 1) {
//                    $this->db->update('tag_details', array('ies_approved' => 0), array('tag_details_id' => $tag_details_id));
//                    $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
//                }
//                if ($deserve_for_approved == 1) {
//                    $this->db->update('tag', array('newstatus' => 4), array('tag_id' => $tag_id));
//                    $this->db->update('tag_details', array('ies_approved' => 1), array('tag_details_id' => $tag_details_id));
//                }
//            }
//
//
//            $compare_d = date('Y-m-d', strtotime("$tag_info[work_date]"));
//            $tem_data = sql::row("team", "employee_id='$tag_info[employee_id]'  and team.effective_date<='$compare_d' order by effective_date desc", "teamname_id,effective_date");
//            $sql = $this->db->query("select team.employee_id,employee.employee_first_name,employee.employee_last_name from team
//                            left join employee on employee.employee_id=team.employee_id where team.teamname_id='$tem_data[teamname_id]' and team.effective_date='$tem_data[effective_date]'");
//            $count_data = $sql->result_array();
//            $how_many_in_a_team = count($count_data);
//            if ($how_many_in_a_team > 0) {
//                foreach ($count_data as $c_data) {
//                    $is_contractor = sql::row('employee', "employee_id='$c_data[employee_id]'", "sub_contractor");
//                    if ($is_contractor[sub_contractor] == 1) {
//                        $include_total = 0;
//                    } else {
//                        $include_total = 1;
//                    }
//                    $salary_data = sql::row('employee_salary', "employee_id='$c_data[employee_id]'");
//                    $last_date_of_year = $year . '-12-31';
//                    if ("$last_date_of_year" < "$salary_data[salary_date]") {
//                        $salary_data = sql::row("employee_salary_record", "employee_id='$c_data[employee_id]' and date<='$last_date_of_year' order by e_salary_record_id desc limit 0,1");
//                    }
//                    $salary = $salary_data['employee_salary_amount'];
//                    if ($employee_info[billable_hours_id] == '') {
//                        $employee_info[billable_hours_id] = $employee_salary_info[billable_hours_id];
//                    }
//                    $billable_data = sql::row("billable_hours", "billable_hour_name='$employee_info[billable_hours_id]' and year='$year'");
//                    $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$year'", "count(bank_holiday_id) as t_holiday");
//                    $prsi = (($salary) * ($bank_holiday['t_holiday'] + $billable_data['annual_leave'])) * ($salary_data['prsi'] / 100);
//                    $working_week = (52 * 5) - ($bank_holiday['t_holiday'] + $billable_data['annual_leave']);
//                    $day_cost = (($salary) * ($bank_holiday['t_holiday'] + $billable_data['annual_leave']) + $salary_data['prsi']) / $working_week;
//                    $data = array(
//                        'employee_id' => $c_data[employee_id],
//                        'holiday_cost' => $day_cost,
//                        'teamname_id' => $tem_data[teamname_id],
//                        'include_total' => $include_total,
//                        'employee_first_name' => $c_data[employee_first_name],
//                        'employee_last_name' => $c_data[employee_last_name],
//                        'pay_limit' => $employee_info[pay_limit],
//                        'week_no' => $tag_info[week_no],
//                        'work_date' => $tag_info[work_date],
//                        'day_name' => $day_name,
//                        'billable_name' => $billable_info[billable_name],
//                        'salary_type_name' => $salary_type_info[salary_type_name],
//                        'day_rate' => $salary_new_value / $how_many_in_a_team,
//                        'hour_rate' => $sal_hourly_rate / $how_many_in_a_team,
//                        'actual_end_time' => $actual_hours[actual_end_time],
//                        'actual_start_time' => $actual_hours[actual_start_time],
//                        'standard_hours' => $billable_hours_info[hours_per_day],
//                        'day_hours' => $actual_hours[timeSum],
//                        'overtime_hours' => $overt,
//                        'oncall' => $on_call_amount,
//                        'hourly_standard_rate' => $rate_info[hourly_rate],
//                        'overtime_standard_rate' => $rate_info[overtime_rate],
//                        'expense' => $employee_salary_info[expense_cost],
//                        'travel' => $employee_salary_info[travel_cost],
//                        'prsi' => $employee_salary_info[prsi],
//                        'on_call_week' => $employee_salary_info[on_call_week],
//                        'period' => $employee_salary_info[period],
//                        'training' => $training_amount,
//                        'bank_holiday_rate' => $holiday_amount,
//                        'no_pay_per_day' => $billable_hours_info[no_pay_per_day],
//                        'overtime_status' => 0,
//                        'year' => $tag_info[year],
//                        'period' => $employee_salary_info[period],
//                        'uplift_cost' => $employee_salary_info[uplift_cost],
//                        'is_salary_taxable' => $employee_salary_info['is_salary_taxable'],
//                        'is_on_call_rate_taxable' => $employee_salary_info['is_on_call_rate_taxable'],
//                        'is_on_call_week_taxable' => $employee_salary_info['is_on_call_week_taxable'],
//                        'is_travel_cost_taxable' => $employee_salary_info['is_travel_cost_taxable'],
//                        'is_expense_cost_taxable' => $employee_salary_info['is_expense_cost_taxable'],
//                        'is_uplift_cost_taxable' => $employee_salary_info['is_uplift_cost_taxable'],
//                        'is_training_taxable' => $employee_salary_info['is_training_taxable']
//                    );
//                    $is_exist = sql::row("work_salary", "employee_id='$c_data[employee_id]' and work_date='$tag_info[work_date]'");
//                    if (count($is_exist) > 0) {
//                        $this->db->update('work_salary', $data, array('employee_id' => $c_data[employee_id], 'work_date' => $tag_info[work_date]));
//                    } else {
//                        $this->db->insert('work_salary', $data);
//                    }
//                }
//            } else {
//                $is_contractor = sql::row('employee', "employee_id='$employee_id'", "sub_contractor");
//                if ($is_contractor[sub_contractor] == 1) {
//                    $include_total = 0;
//                } else {
//                    $include_total = 1;
//                }
//                $salary_data = sql::row('employee_salary', "employee_id='$employee_id'");
//                $last_date_of_year = $year . '-12-31';
//                if ("$last_date_of_year" < "$salary_data[salary_date]") {
//                    $salary_data = sql::row("employee_salary_record", "employee_id='$employee_id' and date<='$last_date_of_year' order by e_salary_record_id desc limit 0,1");
//                }
//                $salary = $salary_data['employee_salary_amount'];
//                if ($employee_info[billable_hours_id] == '') {
//                    $employee_info[billable_hours_id] = $employee_salary_info[billable_hours_id];
//                }
//                $billable_data = sql::row("billable_hours", "billable_hour_name='$employee_info[billable_hours_id]' and year='$year'");
//                $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$year'", "count(bank_holiday_id) as t_holiday");
//                $prsi = (($salary) * ($bank_holiday['t_holiday'] + $billable_data['annual_leave'])) * ($salary_data['prsi'] / 100);
//                $working_week = (52 * 5) - ($bank_holiday['t_holiday'] + $billable_data['annual_leave']);
//                $day_cost = (($salary) * ($bank_holiday['t_holiday'] + $billable_data['annual_leave']) + $salary_data['prsi']) / $working_week;
//                $data = array(
//                    'employee_id' => $employee_id,
//                    'holiday_cost' => $day_cost,
//                    'teamname_id' => '',
//                    'include_total' => $include_total,
//                    'employee_first_name' => $employee_first_name,
//                    'employee_last_name' => $employee_last_name,
//                    'pay_limit' => $employee_info[pay_limit],
//                    'week_no' => $tag_info[week_no],
//                    'work_date' => $tag_info[work_date],
//                    'day_name' => $day_name,
//                    'billable_name' => $billable_info[billable_name],
//                    'salary_type_name' => $salary_type_info[salary_type_name],
//                    'day_rate' => $salary_new_value,
//                    'hour_rate' => $sal_hourly_rate,
//                    'actual_end_time' => $actual_hours[actual_end_time],
//                    'actual_start_time' => $actual_hours[actual_start_time],
//                    'standard_hours' => $billable_hours_info[hours_per_day],
//                    'day_hours' => $actual_hours[timeSum],
//                    'overtime_hours' => $overt,
//                    'oncall' => $on_call_amount,
//                    'hourly_standard_rate' => $rate_info[hourly_rate],
//                    'overtime_standard_rate' => $rate_info[overtime_rate],
//                    'expense' => $employee_salary_info[expense_cost],
//                    'travel' => $employee_salary_info[travel_cost],
//                    'prsi' => $employee_salary_info[prsi],
//                    'on_call_week' => $employee_salary_info[on_call_week],
//                    'period' => $employee_salary_info[period],
//                    'training' => $training_amount,
//                    'bank_holiday_rate' => $holiday_amount,
//                    'no_pay_per_day' => $billable_hours_info[no_pay_per_day],
//                    'overtime_status' => 0,
//                    'year' => $tag_info[year],
//                    'period' => $employee_salary_info[period],
//                    'uplift_cost' => $employee_salary_info[uplift_cost],
//                    'is_salary_taxable' => $employee_salary_info['is_salary_taxable'],
//                    'is_on_call_rate_taxable' => $employee_salary_info['is_on_call_rate_taxable'],
//                    'is_on_call_week_taxable' => $employee_salary_info['is_on_call_week_taxable'],
//                    'is_travel_cost_taxable' => $employee_salary_info['is_travel_cost_taxable'],
//                    'is_expense_cost_taxable' => $employee_salary_info['is_expense_cost_taxable'],
//                    'is_uplift_cost_taxable' => $employee_salary_info['is_uplift_cost_taxable'],
//                    'is_training_taxable' => $employee_salary_info['is_training_taxable']
//                );
//                $is_exist = sql::row("work_salary", "employee_id='$employee_id' and work_date='$tag_info[work_date]'");
//                if (count($is_exist) > 0) {
//                    $this->db->update('work_salary', $data, array('employee_id' => $employee_id, 'work_date' => $tag_info[work_date]));
//                } else {
//                    $this->db->insert('work_salary', $data);
//                }
//            }
//            echo '1';
//        } else {
//            echo '0';
//        }
//    }

    function save_img_data_to_tag_details() {
        $this->schedule_model->save_img_data_to_tag_details();
        $this->session->set_flashdata('msg', 'Successfully Updated');
        redirect('schedule/timesheet_step_two');
    }

    function jget_pole_type_list_json() {
        $pole_type_id = $_POST['pole_type_id'];
        $query = $this->db->query("select code,pole_rate_name from pole_rate where pole_rate_status=1 and pole_type_id='$pole_type_id'  and is_varation=0");
        $rows = $query->result_array();
        $str .= "<option value=''>Select Confirm Code</option>";
        foreach ($rows as $row) {
            $str .= "<option  class='tsmall' title='" . $row[pole_rate_name] . "' value='" . $row[code] . "' >" . $row['code'] . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<p style="font-size:10px;color:blue;">' . $row[pole_rate_name] . '</p>)' . "</option>";
        }
        echo $str;
    }

    function jget_pole_type_list_varation_json() {
        $pole_type_id = $_POST['pole_type_id'];
        $query = $this->db->query("select code,pole_rate_name from pole_rate where pole_type_id='$pole_type_id' and is_varation=1");
        $rows = $query->result_array();
        $str .= "<option value=''>Select Confirm Code</option>";
        foreach ($rows as $row) {
            $str .= "<option  class='tsmall' title='" . $row[pole_rate_name] . "' value='" . $row[code] . "' >" . $row['code'] . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<p style="font-size:10px;color:blue;">' . $row[pole_rate_name] . '</p>)' . "</option>";
        }
        echo $str;
    }

    function pic0() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic1() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic2() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function pic3() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/job_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function jbarcode_data_to_session_for_step_two() {
        $this->session->set_userdata('barcode_session', "$_POST[barcode_session]");
        $this->session->set_userdata('tag_id', "$_POST[tag_id]");

        $tag_details_row_data = sql::row("tag_details", "tag_details_id='$_POST[barcode_session]'");
        echo json_encode($tag_details_row_data);
    }

    function timesheet_step_close() {

        $this->session->unset_userdata('file0');
        $this->session->unset_userdata('file1');
        $this->session->unset_userdata('file2');
        $this->session->unset_userdata('file3');

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_close';
        $data['page_title'] = 'Timesheet Step Close';
        $this->load->view('main', $data);
    }

    function saved_data_to_tag_details_for_close() {
        $tag_details_id = $this->session->userdata('barcode_session');
        $year = date('Y', strtotime($_POST['date_replaced']));
        $week_number = date("W", strtotime($_POST['date_replaced']));
        $sub_contractor = $this->session->userdata('sub_contractor');
        $employee_id = $this->session->userdata('employee_id');
        $employee_first_name = $this->session->userdata('employee_first_name');
        $employee_last_name = $this->session->userdata('employee_last_name');

        $before_image = $this->session->userdata('file0');
        $after_image = $this->session->userdata('file1');

        $old_barcode_image = $this->session->userdata('file2');
        $new_barcode_image = $this->session->userdata('file3');

        $tem_data = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 and team.effective_date<='$_POST[date_replaced]' order by team.effective_date desc,team_id desc limit 0,1", "teamname_id");
        $size_data = sql::row("tag_details", "tag_details_id='$tag_details_id'", "size,pole_type,code");

        $polesize_data = sql::row("polesize", "polesize_name='$size_data[size]'", "polesize_code");

        if ($size_data['pole_type'] == 'D POLE') {
            $pole_type_id_code = 2;
        } elseif ($size_data['pole_type'] = 'FTTH T300') {
            $pole_type_id_code = 1;
        } else {
            $pole_type_id_code = 0;
        }
        $pole_rate_info_code = sql::row("pole_rate", "code='$size_data[code]' and pole_type_id='$pole_type_id_code'");


        $tag_details_data = array(
            'negetive_dfe_code' => $polesize_data['polesize_code'],
            'code_rate_secto' => $pole_rate_info_code['secto'],
            'code_rate_ies' => $pole_rate_info_code['power_serve'],
            'code_rate_contractor' => $pole_rate_info_code['contractor'],
            'code_rate_employee' => $pole_rate_info_code['power_serve_direct'],
            'sub_contractor' => $sub_contractor,
            'teamname_id' => $tem_data[teamname_id],
            'employee_id' => $employee_id,
            'employee_first_name' => $employee_first_name,
            'employee_last_name' => $employee_last_name,
            'week_number' => $week_number,
            'year' => $year,
            'date_replaced' => $_POST['date_replaced'],
            'new_barcode' => NULL,
            'comment' => $_POST['comment'],
            'additional_comment' => $_POST['additional_comment'],
            'code_status' => 'close',
            'done_by' => '1',
            'ies_approved' => '0',
            'before_image' => $before_image,
            'after_image' => $after_image,
            'old_barcode_image' => $old_barcode_image,
            'new_barcode_image' => $new_barcode_image
        );
        $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $tag_details_id));

        $tag_info_data = sql::row("tag_details", "tag_details_id='$tag_details_id'", "tag_id");
        $tag_id = $tag_info_data[tag_id];
        $running_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='running'", "code,confirm_code,code_status");
        if (count($running_counter) > 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 0;
        }

        $pending_counter = sql::rows("tag_details", "tag_id='$tag_id' and (code_status='complete' or code_status='close') and code!=confirm_code and ies_approved=0", "code,confirm_code,code_status");
        if (count($pending_counter) > 0 && count($running_counter) == 0) {
            $deserve_for_pending = 1;
            $deserve_for_approved = 0;
        }

        if (count($pending_counter) == 0 && count($running_counter) == 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 1;
        }

        $tag_staus_info = sql::row("tag", "tag_id='$tag_id'", "newstatus");
        if ($tag_staus_info['newstatus'] < 6 && $tag_staus_info['newstatus'] != '') {
            if ($deserve_for_pending == 1) {
                $this->db->update('tag_details', array('ies_approved' => 0), array('tag_details_id' => $tag_details_id));
                $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
            }
            if ($deserve_for_approved == 1) {
                $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
                $this->db->update('tag_details', array('ies_approved' => 1), array('tag_details_id' => $tag_details_id));
            }
        }



        $how_many_poles = sql::rows("tag_details", "1 and tag_id='$tag_id'  group by code_status asc", "count(tag_details_id) as counter,code_status");
        if (count($how_many_poles) > 0) {
            foreach ($how_many_poles as $how) {
                if ($how['code_status'] == 'complete') {
                    $complete = $how['counter'];
                }
                if ($how['code_status'] == 'running') {
                    $running = $how['counter'];
                }
                if ($how['code_status'] == 'close') {
                    $close = $how['counter'];
                }
            }
            $this->db->update('tag', array('complete_counter' => $complete, 'running_counter' => $running, 'close_counter' => $close), array('tag_id' => $tag_id));
        }










        /*

          $tag_info_data = sql::row("tag_details", "tag_details_id='$tag_details_id'", "tag_id");
          $tag_id = $tag_info_data[tag_id];
          $tag_d_count = sql::rows("tag_details", "tag_id='$tag_id' group by code_status", "count(code_status) as code_count,code_status");
          foreach ($tag_d_count as $tag_c) {
          if ($tag_c[code_status] == 'complete') {
          $complete_counter = $tag_c[code_count];
          }
          if ($tag_c[code_status] == 'running') {
          $running_counter = $tag_c[code_count];
          }
          if ($tag_c[code_status] == 'close') {
          $close_counter = $tag_c[code_count];
          }
          $tag_c[code_count] = 0;
          }
          if ($complete_counter > 0) {
          $this->db->update('tag', array('updated_job_status_name' => 'Completed', 'updated_job_status_id' => '14'), array('tag_id' => $tag_id));
          }
          $ies_approved = sql::row("tag_details", "tag_id='$tag_id' and ies_approved=1", "count(ies_approved) as ies_approved_counter");
          $ies_approved_counter = $ies_approved[ies_approved_counter];
          $total_line = $complete_counter + $running_counter;

          if ($running_counter == 0) {
          $this->db->update('tag', array('updated_job_status_name' => 'Pending IES approved', 'updated_job_status_id' => '4'), array('tag_id' => $tag_id));
          }
          if ($ies_approved_counter == $total_line) {
          $this->db->update('tag', array('updated_job_status_name' => 'IES Approved', 'updated_job_status_id' => '5'), array('tag_id' => $tag_id));
          }






          $tag_details_data_for_app_or_pending = sql::rows("tag_details", "tag_id='$tag_id' and code_status!='close'", "code,confirm_code,code_status");
          $deserve_for_pending = 0;
          $deserve_for_approved = 0;
          if (count($tag_details_data_for_app_or_pending) > 0) {
          foreach ($tag_details_data_for_app_or_pending as $t_d_d) {

          if ($t_d_d[code_status] == 'running') {
          $deserve_for_pending = 0;
          $deserve_for_approved = 0;
          break;
          }

          if ($t_d_d[code] != "$t_d_d[confirm_code]") {
          $deserve_for_pending = 1;
          $deserve_for_approved = 0;
          break;
          } else {
          $deserve_for_approved = 1;
          $deserve_for_pending = 0;
          }
          }
          }
          if ($deserve_for_pending == 1) {
          $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
          }
          if ($deserve_for_approved == 1) {
          $this->db->update('tag', array('newstatus' => 4), array('tag_id' => $tag_id));
          }
         */
//            end of this part for pending or approved

        $this->session->unset_userdata('barcode_session');
        $this->session->unset_userdata('file0');
        $this->session->unset_userdata('file1');
        $this->session->unset_userdata('file2');
        $this->session->unset_userdata('file3');
        $this->session->set_flashdata('msg', 'Successfully Updated');
    }

    function jget_new_barcode() {
        $b = $this->session->userdata('barcode_session');
        $t = $this->session->userdata('tag_id');
        if ($_POST[confirm_code] == '6698') {
            $maxBarcode = sql::row("tag_details", "confirm_code='$_POST[confirm_code]'", "max(new_barcode) as new_barcode");
            if ($maxBarcode[new_barcode] == '' || $maxBarcode[new_barcode] == 0) {
                $maxBarcode[new_barcode] = 1;
            } else {
                $maxBarcode[new_barcode] = $maxBarcode[new_barcode] + 1;
            }
            echo $maxBarcode[new_barcode];
        }
    }

    function jget_pole_comments_json() {
        echo common::get_pole_comments($_POST[pole_type_id], $_POST[confirm_code]);
    }

    function jget_additional_data_json() {
        $addi = sql::row("pole_rate", "code='$_POST[confirm_code]' and pole_type_id='$_POST[pole_type_id]' and is_varation=0");
        echo $addi[additional_comment];
    }

    function site_map($tag_id = '', $tag_sub_id = '') {
        $con2 = '';
        if ($tag_id == 0) {
            $con = "";
        } else {
            $con = " and tag_details.tag_id='$tag_id' ";
        }

        if ($tag_sub_id != '' && $tag_sub_id != 0) {
            $con2 = " and tag_details.tag_sub_id='$tag_sub_id'";
        }

        $query = $this->db->query("select tag_details.new_barcode,tag_details.date_replaced,tag_details.rock_hole,tag_details.varation_code,tag_details.code,tag_details.confirm_code,tag.site_username,tag_details.east,tag_details.north,tag_details.date_replaced,tag_details.lat,tag_details.code_status,tag_details.lng,tag_details.barcode,tag_details.wp_no,tag_details.tag_details_id from tag_details
            left join tag on tag.tag_id=tag_details.tag_id where 1 $con $con2 order by tag_details.wp_no asc");
        $data['arrData'] = $query->result_array();
        $data['dir'] = 'schedule';
        $data['page'] = 'site_map';
        $data['page_title'] = 'Site Map';
        $this->load->view('print_main_site_map', $data);
    }
    
    
    function site_map_cdr($tag_id = '', $tag_sub_id = '') {
        $con2 = '';
        if ($tag_id == 0) {
            $con = "";
        } else {
            $con = " and tag_details.tag_id='$tag_id' ";
        }

        if ($tag_sub_id != '' && $tag_sub_id != 0) {
            $con2 = " and tag_details.tag_sub_id='$tag_sub_id'";
        }

        $query = $this->db->query("select tag_details.new_barcode,tag_details.date_replaced,tag_details.rock_hole,tag_details.varation_code,tag_details.code,tag_details.confirm_code,tag.site_username,tag_details.east,tag_details.north,tag_details.date_replaced,tag_details.lat,tag_details.code_status,tag_details.lng,tag_details.barcode,tag_details.wp_no,tag_details.tag_details_id from tag_details
            left join tag on tag.tag_id=tag_details.tag_id where 1 and tag_details.fault_number!='' $con $con2 order by tag_details.wp_no asc");
        $data['arrData'] = $query->result_array();
        $data['dir'] = 'schedule';
        $data['page'] = 'site_map';
        $data['page_title'] = 'Site Map';
        $this->load->view('print_main_site_map', $data);
    }
    

    function assigned_job() {
        $employee_id = $this->session->userdata('employee_id');

        $date_of_data = date('Y-m-d');
        $team_data = sql::rows("team", "1 and effective_date<='$date_of_data' and employee_id='$employee_id' order by team_id desc limit 0,1", "teamname_id");
        if (count($team_data) > 0) {
            $i = 1;
            $all_employee_sql = '';
            foreach ($team_data as $every_team) {
                $team_emp_data = sql::rows("team", "teamname_id='$every_team[teamname_id]'", "employee_id");
                if (count($team_emp_data) > 0) {
                    $j = 1;
                    foreach ($team_emp_data as $every_employee) {
                        $all_employee_sql .= "actual_hour.employee_id='$every_employee[employee_id]'";
                        if (count($team_emp_data) != $j) {
                            $all_employee_sql .= ' or ';
                        }
                        $j++;
                    }
                    if (count($team_data) != $i) {
                        $all_employee_sql .= ' or ';
                    }
                }
                $i++;
            }
        }
        //$all_employee_sql="actual_hour.employee_id='$employee_id'";
        if ($all_employee_sql != '') {
//            $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,tag.job_number,tag.service_number,tag.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and ($all_employee_sql) group by actual_hour.tag_id desc");
//            $data['rows'] = $query->result_array();


            $query = $this->db->query("select tag_sub.sub_name,actual_hour.tag_sub_id,tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,tag.job_number,tag.service_number,tag.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
left join tag_sub on tag_sub.tag_sub_id=actual_hour.tag_sub_id 
where 1 and ($all_employee_sql) group by actual_hour.tag_id desc,actual_hour.tag_sub_id asc");
            $data['rows'] = $query->result_array();
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'assigned_job';
        $data['page_title'] = 'assigned job';
        $this->load->view('main', $data);
    }

    function single_map($tag_details_id = '') {
//		exit;
        $sinfo = sql::row("tag_details", "tag_details_id='$tag_details_id'");
		
		$data['sinfo']=sql::row("pti_sites","site_number='$sinfo[site_number]'","lat,lng,site_address_1 as site_address,site_username,site_number");
		
		
        $data['dir'] = 'schedule';
        $data['page'] = 'single_map';
        $data['page_title'] = 'single Map';
        $this->load->view('print_main_site_map', $data);
    }
	
	    function single_map_bt($tag_details_id = '') {
//		exit;
        $sinfo= sql::row("bt_ticket_info", "ticket_id='$tag_details_id'");
		
			$data['sinfo']=sql::row("bt_sites","site_id='$sinfo[site_id_t]'","lat,lng,address as site_address,site_username,site_id as site_number");
		
		//print_r($data['sinfo']);
        $data['dir'] = 'schedule';
        $data['page'] = 'single_map';
        $data['page_title'] = 'single Map';
        $this->load->view('print_main_site_map', $data);
    }
	

    function day_rate_request() {
        $employee_id = $this->session->userdata('employee_id');

        $day_rate_allready_exist = sql::rows("day_rate_request", "employee_id='$employee_id' and request_date='$_POST[dateinput]'", "day_rate");
        if (count($day_rate_allready_exist) > 0) {
            $this->session->set_flashdata('msg', 'Request for this date is exist');
            redirect('schedule/day_rate_request');
        }

        if ($employee_id != '' && $_POST['request_comment'] != '') {
            $year = date('Y', strtotime($_POST['dateinput']));
            $week_number = date("W", strtotime($_POST['dateinput']));

            $team_info = sql::row("team", "employee_id='$employee_id' order by team_id desc limit 0,1", "teamname_id");
            $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");

            $str = date('D', strtotime($_POST['dateinput']));
            $day_name_for_sub = strtolower($str);

            $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,employee_last_name,sub_contractor,day_rate,$day_name_for_sub as subsistance");

            if ($_POST['rate_type'] == 1) {
                $employee_info[day_rate] = $employee_info[day_rate];
            }
            if ($_POST['rate_type'] == 2) {
                $employee_info[day_rate] = $employee_info[day_rate] / 2;
            }


            $request_data = array(
                'employee_id' => $employee_id,
                'week_number' => $week_number,
                'year' => $year,
                'request_date' => $_POST['dateinput'],
                'day_rate_type' => $_POST['rate_type'],
                'request_comment' => $_POST['request_comment'],
                'teamname_id' => $team_info[teamname_id],
                'teamname_name' => $teamname_info[teamname_name],
                'day_rate' => $employee_info[day_rate],
                'subsistance' => $employee_info[subsistance]
            );
            $this->db->insert('day_rate_request', $request_data);


            $tag_details_data_wages_everyday = array(
                'work_date' => $_POST['dateinput'],
                'sub_contractor' => $employee_info['sub_contractor'],
                'employee_id' => $employee_id,
                'teamname_id' => $team_info[teamname_id],
                'subsistance' => $employee_info[subsistance],
                'rate' => $employee_info[day_rate],
                'type_of_work' => 'Day Rate',
                'devide_cost' => $employee_info[day_rate],
                'comments' => $_POST['request_comment'],
                'day_rate_type' => $_POST['rate_type'],
                'week_no' => $week_number,
                'year_no' => $year,
                'user_id' => $this->session->userdata('employee_id'),
                'employee_first_name' => $employee_info['employee_first_name'],
                'employee_last_name' => $employee_info['employee_last_name'],
                'day_name' => $day_name_for_sub
            );
            $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);





            $this->session->set_flashdata('msg', '<span style="color:green;">Day Rate Request Successfull</span>');
            redirect('schedule/day_rate_request');
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'schedule/day_rate_request';
        $data['dir'] = 'schedule';
        $data['page'] = 'day_rate_request';
        $data['page_title'] = 'Day Rate Request';
        $this->load->view('main', $data);
    }

    function con_tracker($type_id = '', $current_year = '', $current_month = '', $step = '') {
        if ($type_id == '' || $type_id == 0) {
            $this->session->unset_userdata('type_id');
            $type_id = 0;
        }
        if ($current_year == '') {
            $current_year = date('Y');
        }
        if ($step == '') {
            $data['pyear'] = $current_year - 1;
            $data['nyear'] = $current_year + 1;
        }
        if ($step == '1') {
            $data['pyear'] = $current_year - 1;
            $data['nyear'] = $current_year + 1;
        }
        if ($step == '0') {
            $data['pyear'] = $current_year - 1;
            $data['nyear'] = $current_year + 1;
        }
        if ($current_month == '') {
            $current_month = date('m');
        }
        $from_date = $current_year . '-' . $current_month . '-' . '01';
        if ($current_month == '01') {
            $m_name = 'January';
        } else if ($current_month == '02') {
            $m_name = 'February';
        } else if ($current_month == '03') {
            $m_name = 'March';
        } else if ($current_month == '04') {
            $m_name = 'April';
        } else if ($current_month == '05') {
            $m_name = 'May';
        } else if ($current_month == '06') {
            $m_name = 'June';
        } else if ($current_month == '07') {
            $m_name = 'July';
        } else if ($current_month == '08') {
            $m_name = 'August';
        } else if ($current_month == '09') {
            $m_name = 'September';
        } else if ($current_month == '10') {
            $m_name = 'October';
        } else if ($current_month == '11') {
            $m_name = 'November';
        } else if ($current_month == '12') {
            $m_name = 'December';
        }
        $to_date = date('Y-m-t', strtotime("$m_name 01, $current_year"));
        $last_day = date('t', strtotime($to_date));
        $data['details'] = $this->schedule_model->con_tracker($from_date, $to_date, $year, $type_id);
        $data['year'] = $current_year;
        $data['month'] = $current_month;
        $data['from_date'] = $from_date;
        $data['to_date'] = $to_date;
        $data['last_day'] = $last_day;
        $data['type_id'] = $type_id;
        $data['dir'] = $this->dir;
        $data['header_title'] = "Contractor Not Available";
        $data['page_title'] = 'Contractor Not Available';
        $data['page'] = 'con_tracker';
        $this->load->view('main', $data);
    }

    function add_expense() {
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $image1 = $this->session->userdata('efile0');
            $image2 = $this->session->userdata('efile1');
            $image3 = $this->session->userdata('efile2');
            $image4 = $this->session->userdata('efile3');
            $year = date('Y', strtotime($_POST['exp_date']));
            $week_number = date("W", strtotime($_POST['exp_date']));
            $team_info = sql::row("team", "employee_id='$employee_id' group by employee_id order by team_id desc", "max(teamname_id) as teamname_id,max(team_id) as team_id");
            $teamname_info = sql::row("teamname", "teamname_id='{$team_info['teamname_id']}'", "teamname_name");
            $exp_data = array(
                'employee_id' => $employee_id,
                'week_number' => $week_number,
                'year' => $year,
                'teamname_id' => $team_info['teamname_id'],
                'teamname_name' => $teamname_info['teamname_name'],
                'exp_date' => $_POST['exp_date'],
                'exp_value' => $_POST['exp_value'],
                'comment' => $_POST['comment'],
                'inv_image1' => $image1,
                'inv_image2' => $image2,
                'inv_image3' => $image3,
                'inv_image4' => $image4
            );
            $this->db->insert('expense', $exp_data);
            $data['msg'] = $this->session->set_flashdata('msg', "Saved Successfully");
            $this->session->unset_userdata('efile0');
            $this->session->unset_userdata('efile1');
            $this->session->unset_userdata('efile2');
            $this->session->unset_userdata('efile3');
            redirect('home');
        }
        $employee_id = $this->session->userdata('employee_id');
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'add_expense';
        $data['page_title'] = 'Add Expense';
        $this->load->view('main', $data);
    }

    function expense_pic0() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/expense_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('efile0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function expense_pic1() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/expense_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('efile1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function expense_pic2() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/expense_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('efile2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function expense_pic3() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/expense_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('efile3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function timesheet_step_two_for_fault() {
        $employee_id = $this->session->userdata('employee_id');
        $tag_id = $this->session->userdata('tag_id');
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and actual_hour.employee_id='$employee_id' and actual_hour.tag_id='$tag_id'  group by actual_hour.tag_id desc");
        $data['rows'] = $query->result_array();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_two_for_fault';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function jsave_data_to_tag_details_for_fault() {
        $this->session->set_userdata('tag_details_id_for_img', "$_POST[tag_details_id]");
        $old_barcode_image = $this->session->userdata('file2');
        $new_barcode_image = $this->session->userdata('file3');
        $year = date('Y', strtotime($_POST['date_replaced_fault']));
        $employee_id = $this->session->userdata('employee_id');
        $employee_first_name = $this->session->userdata('employee_first_name');
        $employee_last_name = $this->session->userdata('employee_last_name');
        $week_number = date("W", strtotime($_POST['date_replaced_fault']));
        $app_dt = sql::row("tag_details", "tag_details_id='$_POST[tag_details_id]'", "code,confirm_code");
        if ($app_dt[code] == "$app_dt[confirm_code]") {
            $ies_approved = 1;
        } else {
            $ies_approved = 0;
        }
        //$is_exist_new_barcode = sql::rows("tag_details", "new_barcode='$_POST[new_barcode]'", "new_barcode");
//        if (count($is_exist_new_barcode) == 0) {
        $tag_details_data = array(
            'date_replaced_fault' => $_POST['date_replaced_fault'],
            'employee_id_fault' => $employee_id,
            'employee_first_name_fault' => $employee_first_name,
            'employee_last_name_fault' => $employee_last_name,
            'new_barcode' => $_POST['new_barcode'],
            'ies_approved' => $ies_approved,
            'fault_comments' => $_POST['additional_comment'],
            'code_status' => 'complete',
            'old_barcode_image_fault' => $old_barcode_image,
            'new_barcode_image_fault' => $new_barcode_image
        );
        $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $_POST[tag_details_id]));





        $this->session->unset_userdata('file2');
        $this->session->unset_userdata('file3');
        $this->session->unset_userdata('barcode_session');
        $this->session->unset_userdata('tag_id');
        $this->session->set_flashdata('msg', 'Successfully Updated');


        $tag_details_id_barcode = sql::row("tag_details", "tag_details_id='{$_POST[tag_details_id]}'", "tag_id");

        $tag_id = $tag_details_id_barcode[tag_id];


        $this->db->query("update tag set fault_counter_comp=fault_counter_comp+1 where tag_id='$tag_id'");


        $running_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='running' and fault_number>0", "code,confirm_code,code_status");
        if (count($running_counter) > 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 0;
        }
        $pending_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='complete' and code!=confirm_code  and fault_number>0", "code,confirm_code,code_status");
        if (count($pending_counter) > 0 && count($running_counter) == 0) {
            $deserve_for_pending = 1;
            $deserve_for_approved = 0;
        }
        if (count($pending_counter) == 0 && count($running_counter) == 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 1;
        }
        if ($deserve_for_pending == 1) {
            $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
        }
        if ($deserve_for_approved == 1) {
            $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
        }



        $how_many_poles = sql::rows("tag_details", "1 and tag_id='$tag_id'  group by code_status asc", "count(tag_details_id) as counter,code_status");
        if (count($how_many_poles) > 0) {
            foreach ($how_many_poles as $how) {
                if ($how['code_status'] == 'complete') {
                    $complete = $how['counter'];
                }
                if ($how['code_status'] == 'running') {
                    $running = $how['counter'];
                }
                if ($how['code_status'] == 'close') {
                    $close = $how['counter'];
                }
            }
            $this->db->update('tag', array('complete_counter' => $complete, 'running_counter' => $running, 'close_counter' => $close), array('tag_id' => $tag_id));
        }



        echo '1';
//        } else {
//            echo '0';
//        }
    }

    function goto_swap() {
        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1  and actual_hour.rock_hole_assign is NULL and (tag.job_number=500 or tag.job_number=800) and actual_hour.employee_id='$employee_id'  and (tag.newstatus=1 or tag.newstatus=5)  group by actual_hour.tag_id desc,actual_hour.employee_id desc");
        $data['rows'] = $query->result_array();


        $is_currnt_team = sql::row("team", "employee_id='$employee_id' and current_team=1");

        if ($is_currnt_team['current_team'] != 1) {
            $data['rows'] = array();
        }


        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'goto_swap';
        $data['page_title'] = 'Swap';
        $this->load->view('main', $data);
    }

    function goto_swap_rock() {
        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1   and actual_hour.rock_hole_assign=1  and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc,actual_hour.employee_id desc");
        $data['rows'] = $query->result_array();

        $is_currnt_team = sql::row("team", "employee_id='$employee_id' and current_team=1");

        if ($is_currnt_team['current_team'] != 1) {
            $data['rows'] = array();
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'goto_swap_rock';
        $data['page_title'] = 'Swap';
        $this->load->view('main', $data);
    }

    function req_swap($tag_id = '') {

        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");

        if (count($checking_allready_swap) > 0) {
            redirect('schedule/timesheet_step_one');
        }


        $employee_id = $this->session->userdata('employee_id');

        if (isset($_POST[save])) {
            $swap = $this->session->userdata('sfile0');
            $site_setup = $this->session->userdata('sfile1');

            $swap_back = $this->session->userdata('sfile2');
            $site_setup_2 = $this->session->userdata('sfile3');

            $req_date = date('Y-m-d');

            $year = date('Y', strtotime($req_date));
            $week_number = date("W", strtotime($req_date));


            $swap_data = array(
                'team_id' => $_POST[team_id],
                'teamname_id' => $_POST[teamname_id],
                'teamname_name' => $_POST[teamname_name],
                'site_username' => $_POST[site_username],
                'employee_id' => $employee_id,
                'employee_first_name' => $_POST[employee_first_name],
                'employee_last_name' => $_POST[employee_last_name],
                'week_number' => $week_number,
                'swap_image' => $swap,
                'site_image' => $site_setup,
                'swap_image_back' => $swap_back,
                'site_image_2' => $site_setup_2,
                'tag_id' => $_POST[tag_id],
                'req_date' => $req_date,
                'year' => $year,
                'phase' => $_POST[phase],
                'wono' => $_POST[wono],
                'effective_date' => $_POST['effective_date'],
            );
            $this->db->insert('swap', $swap_data);
            $data['msg'] = $this->session->set_flashdata('msg', "WASP Saved Successfully");
            $this->session->unset_userdata('sfile0');
            $this->session->unset_userdata('sfile1');
            $this->session->unset_userdata('sfile2');
            $this->session->unset_userdata('sfile3');
            redirect('schedule/timesheet_step_one');
        }


        $data[tag_info] = sql::row("tag", "tag_id='$tag_id'", "wono,site_username,tag_id,phase");
        $data[employee_info] = sql::row("employee", "employee_id='$employee_id'", "employee_id,employee_first_name,employee_last_name");

        $data[team_info] = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 order by effective_date desc limit 0,1", "team_id,teamname_id,effective_date");
        $team_info[teamname_id] = $data[team_info][teamname_id];
        $data[teamname_info] = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");




        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['action'] = 'schedule/req_swap/' . $tag_id;
        $data['page'] = 'req_swap';
        $data['page_title'] = 'Request SWAP';
        $this->load->view('main', $data);
    }
    
    function req_swap_rock($tag_id = '') {

        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");

        if (count($checking_allready_swap) > 0) {
            redirect('schedule/timesheet_step_one_rock');
        }


        $employee_id = $this->session->userdata('employee_id');

        
        $data[tag_info] = sql::row("tag", "tag_id='$tag_id'", "wono,site_username,tag_id,phase");
        $data[employee_info] = sql::row("employee", "employee_id='$employee_id'", "employee_id,employee_first_name,employee_last_name");
        $data[team_info] = sql::row("team", "employee_id='$employee_id' and cert_team_id=3 order by effective_date desc limit 0,1", "team_id,teamname_id,effective_date");
        $team_info[teamname_id] = $data[team_info][teamname_id];
        $data[teamname_info] = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");




        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['action'] = 'schedule/req_swap_rock/' . $tag_id;
        $data['page'] = 'req_swap_rock';
        $data['page_title'] = 'Request SWAP';
        $this->load->view('main', $data);
    }

    function swap_pic0() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/swap_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('sfile0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function swap_pic1() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/swap_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('sfile1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function swap_pic2() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/swap_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('sfile2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function swap_pic3() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/swap_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('sfile3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function jsave_data_to_tag_details() {
        if ($_POST['confirm_code'] == '') {
            echo '0';
            exit;
        }

        $tag_details_id = $_POST[tag_details_id];
        $this->session->set_userdata('tag_details_id_for_img', "$_POST[tag_details_id]");
        $before_image = $this->session->userdata('file0');
        $after_image = $this->session->userdata('file1');
        $old_barcode_image = $this->session->userdata('file2');
        $new_barcode_image = $this->session->userdata('file3');
        $year = date('Y', strtotime($_POST['date_replaced']));
        $sub_contractor = $this->session->userdata('sub_contractor');
        $employee_id = $this->session->userdata('employee_id');
        $employee_first_name = $this->session->userdata('employee_first_name');
        $employee_last_name = $this->session->userdata('employee_last_name');
        $week_number = date("W", strtotime($_POST['date_replaced']));
        $pole_rate_data = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id]' and code='$_POST[confirm_code]'");
        if ($_POST[pole_type_id_varation] != '' && $_POST[confirm_varation_code] != '') {
            $pole_rate_data_varation = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id_varation]' and code='$_POST[confirm_varation_code]'");
            if ($sub_contractor == 1) {
                $pole_rate_data_varation['power_serve_direct'] = 0;
            } else {
                $pole_rate_data_varation['contractor'] = 0;
            }
        }
        if ($sub_contractor == 1) {
            $pole_rate_data['power_serve_direct'] = 0;
        } else {
            $pole_rate_data['contractor'] = 0;
        }
        if ($_POST[code] == "$_POST[confirm_code]") {
            $ies_approved = 1;
        } else {
            $ies_approved = 0;
        }
        $tag_details_id_barcode = sql::row("tag_details", "tag_details_id='$_POST[tag_details_id]'", "barcode,tag_id,code,pole_type,wono,wp_no");
        $is_exist_new_barcode = sql::rows("tag_details", "new_barcode='$_POST[new_barcode]'", "new_barcode");
        $tem_data = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 and team.effective_date<='$_POST[date_replaced]' order by team.effective_date desc,team_id desc limit 0,1", "teamname_id");
        if ($tag_details_id_barcode['pole_type'] == 'D POLE') {
            $pole_type_id_code = 2;
        } elseif ($tag_details_id_barcode['pole_type'] = 'FTTH T300') {
            $pole_type_id_code = 1;
        } else {
            $pole_type_id_code = 0;
        }
        $pole_rate_info_code = sql::row("pole_rate", "code='$tag_details_id_barcode[code]' and pole_type_id='$pole_type_id_code'");
        if (count($is_exist_new_barcode) == 0) {
            $tag_details_data = array(
                'sub_contractor' => $sub_contractor,
                'code_rate_secto' => $pole_rate_info_code['secto'],
                'code_rate_ies' => $pole_rate_info_code['power_serve'],
                'code_rate_contractor' => $pole_rate_info_code['contractor'],
                'code_rate_employee' => $pole_rate_info_code['power_serve_direct'],
                'teamname_id' => $tem_data[teamname_id],
                'employee_id' => $employee_id,
                'employee_first_name' => $employee_first_name,
                'employee_last_name' => $employee_last_name,
                'power_serve_direct' => $pole_rate_data['power_serve_direct'],
                'power_serve' => $pole_rate_data['power_serve'],
                'contractor' => $pole_rate_data['contractor'],
                'secto' => $pole_rate_data['secto'],
                'week_number' => $week_number,
                'pole_type_id' => $_POST['pole_type_id'],
                'pole_type' => $_POST['pole_type_details'],
                'confirm_pole_type' => $_POST['pole_type_id'],
                'varation_pole_type' => $_POST['pole_type_id_varation'],
                'varation_code' => $_POST['confirm_varation_code'],
                'confirm_code' => $_POST['confirm_code'],
                'new_barcode' => $_POST['new_barcode'],
                'code' => $_POST['code'],
                'year' => $year,
                'ies_approved' => $ies_approved,
                'date_replaced' => $_POST['date_replaced'],
                'comment' => $_POST['comment'],
                'additional_comment' => $_POST['additional_comment'],
                'code_status' => 'complete',
                'before_image' => $before_image,
                'after_image' => $after_image,
                'old_barcode_image' => $old_barcode_image,
                'new_barcode_image' => $new_barcode_image
            );
            $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $_POST[tag_details_id]));
            if ($_POST[pole_type_id_varation] != '' && $_POST[confirm_varation_code] != '') {
                $tag_details_data_varation = array(
                    'v_power_serve_direct' => $pole_rate_data_varation['power_serve_direct'],
                    'v_power_serve' => $pole_rate_data_varation['power_serve'],
                    'v_contractor' => $pole_rate_data_varation['contractor'],
                    'v_secto' => $pole_rate_data_varation['secto'],
                );
                $this->db->update('tag_details', $tag_details_data_varation, array('tag_details_id' => $_POST[tag_details_id]));
            }
            $employee_id = $this->session->userdata('employee_id');
            $day_rate_allready_exist = sql::rows("poling_subsistance", "employee_id='$employee_id' and request_date='$_POST[date_replaced]'", "day_rate");
            if (count($day_rate_allready_exist) == 0) {
                if ($employee_id != '') {
                    $year = date('Y', strtotime($_POST['date_replaced']));
                    $week_number = date("W", strtotime($_POST['date_replaced']));
                    $team_info = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 group by employee_id order by team_id desc", "teamname_id");
                    $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
                    $str = date('D', strtotime($_POST['date_replaced']));
                    $day_name_for_sub = strtolower($str);
                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
                    $request_data = array(
                        'employee_id' => $employee_id,
                        'week_number' => $week_number,
                        'year' => $year,
                        'request_date' => $_POST['date_replaced'],
                        'request_comment' => $_POST['request_comment'],
                        'teamname_id' => $team_info[teamname_id],
                        'teamname_name' => $teamname_info[teamname_name],
                        'day_rate' => $employee_info[day_rate],
                        'subsistance' => $employee_info[subsistance]
                    );
                    $this->db->insert('poling_subsistance', $request_data);
                }
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('barcode_session');
            $this->session->unset_userdata('tag_id');
            $this->session->set_flashdata('msg', 'Successfully Updated');
            $tag_id = $tag_details_id_barcode['tag_id'];
            $week_no = date('W', strtotime($_POST['date_replaced']));
            $running_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='running'", "code,confirm_code,code_status");
            if (count($running_counter) > 0) {
                $deserve_for_pending = 0;
                $deserve_for_approved = 0;
            }
            $pending_counter = sql::rows("tag_details", "tag_id='$tag_id' and (code_status='complete' or code_status='close') and code!=confirm_code and ies_approved=0", "code,confirm_code,code_status");
            if (count($pending_counter) > 0 && count($running_counter) == 0) {
                $deserve_for_pending = 1;
                $deserve_for_approved = 0;
            }
            if (count($pending_counter) == 0 && count($running_counter) == 0) {
                $deserve_for_pending = 0;
                $deserve_for_approved = 1;
            }
            $tag_staus_info = sql::row("tag", "tag_id='$tag_id'", "newstatus");
            if ($tag_staus_info['newstatus'] < 6 && $tag_staus_info['newstatus'] != '') {
                if ($deserve_for_pending == 1) {
                    $this->db->update('tag_details', array('ies_approved' => 0), array('tag_details_id' => $tag_details_id));
                    $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
                }
                if ($deserve_for_approved == 1) {
                    $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
                    $this->db->update('tag_details', array('ies_approved' => 1), array('tag_details_id' => $tag_details_id));
                }
            }
            $tem_data = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 and team.effective_date<='$_POST[date_replaced]' order by effective_date desc limit 0,1", "teamname_id,effective_date");
            $employee_for_this_team = sql::rows("team", "teamname_id='$tem_data[teamname_id]' and cert_team_id=2 and team.effective_date='$tem_data[effective_date]'");
            $how_many_in_a_team = count($employee_for_this_team);

            if (is_array($employee_for_this_team) && count($employee_for_this_team) > 0) {
                $pole_rate_table_info = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id]' and code='$_POST[confirm_code]'");

                if ($_POST[comment] != '') {
                    $comment_id_info = sql::row("pole_comments", "comments='$_POST[comment]' and pole_rate_id='$pole_rate_table_info[pole_rate_id]'");
                } else {
                    $comment_id_info = sql::row("pole_comments", "pole_rate_id='$pole_rate_table_info[pole_rate_id]' and comments=''");
                }

//                print_r($comment_id_info);exit;

                foreach ($employee_for_this_team as $emp_wages_everyday) {
                    $em_everyday = sql::row("employee", "employee_id='$emp_wages_everyday[employee_id]'");
                    $em_id_for_r = $emp_wages_everyday['employee_id'];
                    if ($em_everyday['sub_contractor'] == 1) {
                        $cont_data_new = sql::row("contractor_team", "employee_id='$emp_wages_everyday[employee_id]'", "contractor_employee_id");
                        $em_id_for_r = $cont_data_new['contractor_employee_id'];
                    }
                    $code_rate = sql::row("emp_rate_cost", "employee_id='$em_id_for_r' and code='$_POST[confirm_code]' and pole_type_id='$_POST[pole_type_id]' and comment_id='$comment_id_info[pole_comments_id]'");
                    if ($em_everyday['sub_contractor'] == 1) {
                        $tag_details_data_for_contractor = array(
                            'contractor' => $code_rate['rate'],
                        );
                        $this->db->update('tag_details', $tag_details_data_for_contractor, array('tag_details_id' => $tag_details_id));
                    }

                    $str = date('D', strtotime($_POST['date_replaced']));
                    $day_name_for_sub = strtolower($str);
                    $emp_sub_info = sql::row("employee", "employee_id='$em_id_for_r'", "day_rate,$day_name_for_sub as subsistance");
                    $year = date('Y', strtotime($_POST['date_replaced']));
                    $week_number = date("W", strtotime($_POST['date_replaced']));
                    $tag_details_data_wages_everyday = array(
                        'tag_details_id' => $_POST[tag_details_id],
                        'tag_id' => $tag_id,
                        'wono' => $tag_details_id_barcode['wono'],
                        'wp_no' => $tag_details_id_barcode['wp_no'],
                        'work_date' => $_POST['date_replaced'],
                        'sub_contractor' => $em_everyday['sub_contractor'],
                        'employee_id' => $emp_wages_everyday['employee_id'],
                        'teamname_id' => $emp_wages_everyday['teamname_id'],
                        'leader_id' => $emp_wages_everyday['leader'],
                        'team_effective_date' => $emp_wages_everyday['effective_date'],
                        'team_id' => $emp_wages_everyday['team_id'],
                        'subsistance' => $emp_sub_info['subsistance'],
                        'confirm_pole_type' => $_POST['pole_type_id'],
                        'pole_rate_id' => $pole_rate_table_info['pole_rate_id'],
                        'old_code' => $_POST['code'],
                        'code' => $_POST['confirm_code'],
                        'rate' => $code_rate['rate'],
                        'how_many_in_team' => $how_many_in_a_team,
                        'type_of_work' => 'Poling',
                        'devide_cost' => $code_rate['rate'] / $how_many_in_a_team,
                        'comment_id' => $comment_id_info['pole_comments_id'],
                        'comments' => $_POST['comment'],
                        'week_no' => $week_number,
                        'year_no' => $year,
                        'user_id' => $this->session->userdata('employee_id'),
                        'employee_first_name' => $em_everyday['employee_first_name'],
                        'employee_last_name' => $em_everyday['employee_last_name'],
                        'day_name' => $day_name_for_sub
                    );
                    $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                }
            }
            if ($_POST[pole_type_id_varation] != '' && $_POST[confirm_varation_code] != '') {
                if (is_array($employee_for_this_team) && count($employee_for_this_team) > 0) {
                    $pole_rate_table_info = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id_varation]' and code='$_POST[confirm_varation_code]'");
                    $comment_id_info = sql::row("pole_comments", "comments='$_POST[comment]' and pole_rate_id='$pole_rate_table_info[pole_rate_id]'");
                    foreach ($employee_for_this_team as $emp_wages_everyday) {
                        $em_everyday = sql::row("employee", "employee_id='$emp_wages_everyday[employee_id]'");
                        $em_id_for_r = $emp_wages_everyday['employee_id'];
                        if ($em_everyday['sub_contractor'] == 1) {
                            $cont_data_new = sql::row("contractor_team", "employee_id='$emp_wages_everyday[employee_id]'", "contractor_employee_id");
                            $em_id_for_r = $cont_data_new['contractor_employee_id'];
                        }
                        $code_rate = sql::row("emp_rate_cost", "employee_id='$em_id_for_r' and code='$_POST[confirm_varation_code]' and pole_type_id='$_POST[pole_type_id_varation]'");

                        if ($em_everyday['sub_contractor'] == 1) {
                            $tag_details_data_for_contractor_a = array(
                                'v_contractor' => $code_rate['rate'],
                            );
                            $this->db->update('tag_details', $tag_details_data_for_contractor_a, array('tag_details_id' => $tag_details_id));
                        }

                        $str = date('D', strtotime($_POST['date_replaced']));
                        $day_name_for_sub = strtolower($str);
                        $emp_sub_info = sql::row("employee", "employee_id='$em_id_for_r'", "day_rate,$day_name_for_sub as subsistance");
                        $year = date('Y', strtotime($_POST['date_replaced']));
                        $week_number = date("W", strtotime($_POST['date_replaced']));
                        $tag_details_data_wages_everyday = array(
                            'tag_details_id' => $_POST[tag_details_id],
                            'tag_id' => $tag_id,
                            'wono' => $tag_details_id_barcode['wono'],
                            'wp_no' => $tag_details_id_barcode['wp_no'],
                            'work_date' => $_POST['date_replaced'],
                            'sub_contractor' => $em_everyday['sub_contractor'],
                            'employee_id' => $emp_wages_everyday['employee_id'],
                            'teamname_id' => $emp_wages_everyday['teamname_id'],
                            'leader_id' => $emp_wages_everyday['leader'],
                            'team_effective_date' => $emp_wages_everyday['effective_date'],
                            'team_id' => $emp_wages_everyday['team_id'],
                            'subsistance' => $emp_sub_info['subsistance'],
                            'confirm_pole_type' => $_POST['pole_type_id_varation'],
                            'pole_rate_id' => $pole_rate_table_info['pole_rate_id'],
                            'old_code' => $_POST['code'],
                            'code' => $_POST['confirm_varation_code'],
                            'rate' => $code_rate['rate'],
                            'how_many_in_team' => $how_many_in_a_team,
                            'type_of_work' => 'Poling',
                            'devide_cost' => $code_rate['rate'] / $how_many_in_a_team,
                            'comment_id' => $comment_id_info['pole_comments_id'],
                            'comments' => $_POST['comment'],
                            'additional_comments' => $_POST['additional_comment'],
                            'week_no' => $week_number,
                            'year_no' => $year,
                            'user_id' => $this->session->userdata('employee_id'),
                            'employee_first_name' => $em_everyday['employee_first_name'],
                            'employee_last_name' => $em_everyday['employee_last_name'],
                            'day_name' => $day_name_for_sub,
                            'is_additional' => 1
                        );
                        $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                    }
                }
            }


            $how_many_poles = sql::rows("tag_details", "1 and tag_id='$tag_id'  group by code_status asc", "count(tag_details_id) as counter,code_status");
            if (count($how_many_poles) > 0) {
                foreach ($how_many_poles as $how) {
                    if ($how['code_status'] == 'complete') {
                        $complete = $how['counter'];
                    }
                    if ($how['code_status'] == 'running') {
                        $running = $how['counter'];
                    }
                    if ($how['code_status'] == 'close') {
                        $close = $how['counter'];
                    }
                }
                $this->db->update('tag', array('complete_counter' => $complete, 'running_counter' => $running, 'close_counter' => $close), array('tag_id' => $tag_id));
            }








            $rock_hole_d = array();
            $rquery = $this->db->query("select count(tag_details.tag_details_id) as total_rock,sum(wages_everyday.rate) as rock_hole_amount,sum(wages_everyday.devide_cost) as rock_hole_amount_cont from tag_details 
                                left join wages_everyday on wages_everyday.tag_details_id=tag_details.tag_details_id 
                                where tag_details.code_status='complete' and wages_everyday.type_of_work_rock='Rock Hole' and  tag_details.teamname_id='{$tem_data['teamname_id']}' and tag_details.rock_hole_status=2 and tag_details.date_replaced='{$_POST['date_replaced']}'
                                ");
            $rock_hole_d = $rquery->row_array();

            if ($sub_contractor == 1) {
                $rock_hole_d['rock_hole_amount'] = $rock_hole_d['rock_hole_amount_cont'];
            }

            $rock_data_everyday = array(
                'work_date' => $_POST['date_replaced'],
                'week_number' => $week_number,
                'year_number' => $year,
                'teamname_id' => $tem_data['teamname_id'],
                'rock_counter' => $rock_hole_d['total_rock'],
                'wages_value' => $rock_hole_d['rock_hole_amount'],
                'employee_id' => $this->session->userdata('employee_id')
            );

            $is_exist_rock = sql::rows("rock_hole_summary", "work_date='{$_POST['date_replaced']}' and teamname_id='{$tem_data['teamname_id']}'");
            if (is_array($is_exist_rock) && count($is_exist_rock) > 0) {
                $this->db->update('rock_hole_summary', $rock_data_everyday, array('work_date' => $_POST['date_replaced'], 'teamname_id' => $tem_data['teamname_id']));
            } else {
                $this->db->insert('rock_hole_summary', $rock_data_everyday);
            }
            echo '1';
        } else {
            echo '0';
        }
    }

    function timesheet_step_one_rock() {
        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");

        if (count($checking_allready_swap) == 0) {
            redirect('schedule/goto_swap_rock');
        }
//        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id 
//where 1 and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc");

        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1  and actual_hour.rock_hole_assign=1  and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc,actual_hour.employee_id desc");

        $data['rows'] = $query->result_array();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_one_rock';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function timesheet_step_two_rock() {
        $employee_id = $this->session->userdata('employee_id');
        $tag_id = $this->session->userdata('tag_id');
        //echo $tag_id;
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and actual_hour.employee_id='$employee_id' and actual_hour.tag_id='$tag_id'  group by actual_hour.tag_id desc");
        $data['rows'] = $query->result_array();
        //print_r($data['rows']);exit;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_two_rock';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function jsave_data_to_tag_details_rock() {
        $tag_details_id = $_POST[tag_details_id];
        $this->session->set_userdata('tag_details_id_for_img', "$_POST[tag_details_id]");
        $before_image = $this->session->userdata('file0');
        $after_image = $this->session->userdata('file1');
        $year = date('Y', strtotime($_POST['date_replaced']));
        $sub_contractor = $this->session->userdata('sub_contractor');
        $employee_id = $this->session->userdata('employee_id');
        $employee_first_name = $this->session->userdata('employee_first_name');
        $employee_last_name = $this->session->userdata('employee_last_name');
        $week_number = date("W", strtotime($_POST['date_replaced']));
        $tag_details_id_barcode = sql::row("tag_details", "tag_details_id='$_POST[tag_details_id]'", "barcode,tag_id,code,pole_type,wono,wp_no");
        $tem_data = sql::row("team", "employee_id='$employee_id' and current_team=1 and cert_team_id=3  and team.effective_date<='$_POST[date_replaced]' order by team.effective_date desc,team_id desc limit 0,1", "teamname_id");
        if ($tag_details_id_barcode['pole_type'] == 'D POLE') {
            $pole_type_id_code = 2;
        } elseif ($tag_details_id_barcode['pole_type'] = 'FTTH T300') {
            $pole_type_id_code = 1;
        } elseif ($tag_details_id_barcode['pole_type'] = 'NBI') {
            $pole_type_id_code = 4;
        } else {
            $pole_type_id_code = 0;
        }
        if ($employee_id > 0) {
            $tag_details_data = array(
                'teamname_id_rock' => $tem_data[teamname_id],
                'sub_contractor_rock' => $sub_contractor,
                'employee_id_rock' => $employee_id,
                'employee_first_name_rock' => $employee_first_name,
                'employee_last_name_rock' => $employee_last_name,
                'rock_hole_completed_date' => $_POST['date_replaced'],
                'confirm_pole_type_rock' => $_POST['pole_type_id'],
                'confirm_code_rock' => $_POST['confirm_code'],
                'comment_rock' => $_POST['comment'],
                'additional_comment_rock' => $_POST['additional_comment'],
                'rock_hole_status' => 2,
                'code_status' => 'running',
                'before_image_rock' => $before_image,
                'after_image_rock' => $after_image
            );
            $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $_POST[tag_details_id]));




            $employee_id = $this->session->userdata('employee_id');
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('barcode_session');
            $this->session->unset_userdata('tag_id');
            $this->session->set_flashdata('msg', 'Successfully Updated');
            $tag_id = $tag_details_id_barcode['tag_id'];
            $week_no = date('W', strtotime($_POST['date_replaced']));





            $tem_data = sql::row("team", "employee_id='$employee_id' and current_team=1 and cert_team_id=3 and team.effective_date<='$_POST[date_replaced]' order by effective_date desc limit 0,1", "teamname_id,effective_date");
            $employee_for_this_team = sql::rows("team", "teamname_id='$tem_data[teamname_id]' and current_team=1  and cert_team_id=3 and team.effective_date='$tem_data[effective_date]'");
            $how_many_in_a_team = count($employee_for_this_team);

            if (is_array($employee_for_this_team) && count($employee_for_this_team) > 0) {
                $pole_rate_table_info = sql::row("pole_rate", "pole_type_id='$_POST[pole_type_id]' and code='$_POST[confirm_code]'");
                $comment_id_info = sql::row("pole_comments", "comments='$_POST[comment]' and pole_rate_id='$pole_rate_table_info[pole_rate_id]'");
                foreach ($employee_for_this_team as $emp_wages_everyday) {
                    $em_everyday = sql::row("employee", "employee_id='$emp_wages_everyday[employee_id]'");
                    $em_id_for_r = $emp_wages_everyday['employee_id'];
                    if ($em_everyday['sub_contractor'] == 1) {
                        $cont_data_new = sql::row("contractor_team", "employee_id='$emp_wages_everyday[employee_id]'", "contractor_employee_id");
                        $em_id_for_r = $cont_data_new['contractor_employee_id'];
                    }
                    $code_rate = sql::row("emp_rate_cost", "employee_id='$em_id_for_r' and code='$_POST[confirm_code]' and pole_type_id='$_POST[pole_type_id]' and comment_id='$comment_id_info[pole_comments_id]'");
                    if ($em_everyday['sub_contractor'] == 1) {
                        $tag_details_data_for_contractor = array(
                            'contractor_rh' => $code_rate['rh_rate'],
                        );
                        $this->db->update('tag_details', $tag_details_data_for_contractor, array('tag_details_id' => $tag_details_id));
                    }

                    $str = date('D', strtotime($_POST['date_replaced']));
                    $day_name_for_sub = strtolower($str);
                    $emp_sub_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
                    $year = date('Y', strtotime($_POST['date_replaced']));
                    $week_number = date("W", strtotime($_POST['date_replaced']));
                    $tag_details_data_wages_everyday = array(
                        'tag_details_id' => $_POST[tag_details_id],
                        'tag_id' => $tag_id,
                        'wono' => $tag_details_id_barcode['wono'],
                        'wp_no' => $tag_details_id_barcode['wp_no'],
                        'work_date' => $_POST['date_replaced'],
                        'sub_contractor' => $em_everyday['sub_contractor'],
                        'employee_id' => $emp_wages_everyday['employee_id'],
                        'teamname_id' => $emp_wages_everyday['teamname_id'],
                        'leader_id' => $emp_wages_everyday['leader'],
                        'team_effective_date' => $emp_wages_everyday['effective_date'],
                        'team_id' => $emp_wages_everyday['team_id'],
                        'subsistance' => $emp_sub_info['subsistance'],
                        'confirm_pole_type' => $_POST['pole_type_id'],
                        'pole_rate_id' => $pole_rate_table_info['pole_rate_id'],
                        'old_code' => $_POST['code'],
                        'code' => $_POST['confirm_code'],
                        'rate' => $code_rate['rh_rate'],
                        'how_many_in_team' => $how_many_in_a_team,
                        'type_of_work' => 'Poling',
                        'type_of_work_rock' => 'Rock Hole',
                        'devide_cost' => $code_rate['rh_rate'] / $how_many_in_a_team,
                        'comment_id' => $comment_id_info['pole_comments_id'],
                        'comments' => 'Rock Drill',
                        'additional_comments' => $_POST['additional_comment'],
                        'week_no' => $week_number,
                        'year_no' => $year,
                        'user_id' => $this->session->userdata('employee_id'),
                        'employee_first_name' => $em_everyday['employee_first_name'],
                        'employee_last_name' => $em_everyday['employee_last_name'],
                        'day_name' => $day_name_for_sub
                    );
                    $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                }
            }
            $rock_count = sql::rows("tag_details", "tag_id='$tag_id' and rock_hole_status=2");
            $rcount = count($rock_count);
            $this->db->query("update tag set rock_hole_completed='{$rcount}' where tag_id='{$tag_id}'");



            echo '1';
        } else {
            echo '0';
        }
    }

    function jset_rockhole_data() {
        $this->db->query("update tag_details set rock_hole_app_comment='{$_POST['rock_hole_comments']}',employee_id_app='{$this->session->userdata('employee_id')}',rock_hole='{$_POST['rock_hole']}',rock_hole_status=0 where tag_details_id='{$_POST['tag_details_id']}'");
        $tag_info = sql::row("tag_details", "tag_details_id='{$_POST['tag_details_id']}'");
        $rock_info = sql::rows("tag_details", "tag_id='{$tag_info['tag_id']}' and rock_hole=1");
        $total_rock = count($rock_info);
        $this->db->query("update tag set rock_hole_total='{$total_rock}' where tag_id='{$tag_info['tag_id']}'");
        $this->session->set_flashdata('msg', 'Successfully Updated');
        echo '1';
    }
    
    
    function timesheet_step_one_nbi() {
        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");
        if (count($checking_allready_swap) == 0) {
            redirect('schedule/goto_swap_nbi');
        }
        $query = $this->db->query("select tag_sub.sub_name,tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.tag_id,actual_hour.tag_sub_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
left join tag_sub on tag_sub.tag_sub_id=actual_hour.tag_sub_id 
where 1 and tag.contact_number=101 and actual_hour.rock_hole_assign is NULL and actual_hour.employee_id='$employee_id' and tag.newstatus=1  group by actual_hour.tag_id asc,actual_hour.tag_sub_id asc");
        $data['rows'] = $query->result_array();
        $is_currnt_team = sql::row("team", "employee_id='$employee_id' and current_team=1");
        if ($is_currnt_team['current_team'] != 1) {
            $data['rows'] = array();
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_one_nbi';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }

    function goto_swap_nbi() {
        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and tag.contact_number=101  and actual_hour.rock_hole_assign is NULL and actual_hour.employee_id='$employee_id' group by actual_hour.tag_id desc,actual_hour.employee_id desc");
        $data['rows'] = $query->result_array();
        $is_currnt_team = sql::row("team", "employee_id='$employee_id' and current_team=1");
        if ($is_currnt_team['current_team'] != 1) {
            $data['rows'] = array();
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'goto_swap_nbi';
        $data['page_title'] = 'Swap';
        $this->load->view('main', $data);
    }

    function req_swap_nbi($tag_id = '') {
        $current_date = date('Y-m-d');
        $employee_id = $this->session->userdata('employee_id');
        $checking_allready_swap = sql::row("swap", "req_date='$current_date' and employee_id='$employee_id'", "swap_id");
        if (count($checking_allready_swap) > 0) {
            redirect('schedule/timesheet_step_one_nbi');
        }
        $employee_id = $this->session->userdata('employee_id');
        if (isset($_POST[save])) {
            $swap = $this->session->userdata('sfile0');
            $site_setup = $this->session->userdata('sfile1');
            $swap_back = $this->session->userdata('sfile2');
            $site_setup_2 = $this->session->userdata('sfile3');
            $req_date = date('Y-m-d');
            $year = date('Y', strtotime($req_date));
            $week_number = date("W", strtotime($req_date));
            $swap_data = array(
                'team_id' => $_POST[team_id],
                'teamname_id' => $_POST[teamname_id],
                'teamname_name' => $_POST[teamname_name],
                'site_username' => $_POST[site_username],
                'employee_id' => $employee_id,
                'employee_first_name' => $_POST[employee_first_name],
                'employee_last_name' => $_POST[employee_last_name],
                'week_number' => $week_number,
                'swap_image' => $swap,
                'site_image' => $site_setup,
                'swap_image_back' => $swap_back,
                'site_image_2' => $site_setup_2,
                'tag_id' => $_POST[tag_id],
                'req_date' => $req_date,
                'year' => $year,
                'phase' => $_POST[phase],
                'wono' => $_POST[wono],
                'effective_date' => $_POST['effective_date'],
            );
            $this->db->insert('swap', $swap_data);
            $data['msg'] = $this->session->set_flashdata('msg', "WASP Saved Successfully");
            $this->session->unset_userdata('sfile0');
            $this->session->unset_userdata('sfile1');
            $this->session->unset_userdata('sfile2');
            $this->session->unset_userdata('sfile3');
            redirect('schedule/timesheet_step_one_nbi');
        }
        $data[tag_info] = sql::row("tag", "tag_id='$tag_id'", "wono,site_username,tag_id,phase");
        $data[employee_info] = sql::row("employee", "employee_id='$employee_id'", "employee_id,employee_first_name,employee_last_name");
        $data[team_info] = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 order by effective_date desc limit 0,1", "team_id,teamname_id,effective_date");
        $team_info[teamname_id] = $data[team_info][teamname_id];
        $data[teamname_info] = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['action'] = 'schedule/req_swap_nbi/' . $tag_id;
        $data['page'] = 'req_swap_nbi';
        $data['page_title'] = 'Request SWAP';
        $this->load->view('main', $data);
    }

    function timesheet_step_two_nbi() {
        $employee_id = $this->session->userdata('employee_id');
        $tag_id = $this->session->userdata('tag_id');
        $query = $this->db->query("select tag.tag_id,tag.description_id,tag.wono,tag.phase,tag.site_username,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id 
where 1 and tag.contact_number=101 and actual_hour.employee_id='$employee_id' and actual_hour.tag_id='$tag_id'  group by actual_hour.tag_id desc");
        $data['rows'] = $query->result_array();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'schedule';
        $data['page'] = 'timesheet_step_two_nbi';
        $data['page_title'] = 'Timesheet RAMS';
        $this->load->view('main', $data);
    }
    
    
    function jsave_data_to_tag_details_nbi() {
        $tag_details_id = $_POST[tag_details_id];
        $details_table_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $this->session->set_userdata('tag_details_id_for_img', "$_POST[tag_details_id]");

        $year = date('Y', strtotime($_POST['date_replaced']));
        $sub_contractor = $this->session->userdata('sub_contractor');
        $employee_id = $this->session->userdata('employee_id');
        $employee_first_name = $this->session->userdata('employee_first_name');
        $employee_last_name = $this->session->userdata('employee_last_name');
        $week_number = date("W", strtotime($_POST['date_replaced']));
        $pole_rate_data = sql::row("pole_rate", "pole_type_id='4' and code='$details_table_data[code]'");

        if ($_POST[is_additional] == 1) {
            $varation_code_gloval='3008009';
            $pole_rate_data_varation = sql::row("pole_rate", "pole_type_id='4' and code='3008009'");
            if ($sub_contractor == 1) {
                $pole_rate_data_varation['power_serve_direct'] = 0;
            } else {
                $pole_rate_data_varation['contractor'] = 0;
            }
        }else{
            $varation_code_gloval='';
        }
        if ($sub_contractor == 1) {
            $pole_rate_data['power_serve_direct'] = 0;
        } else {
            $pole_rate_data['contractor'] = 0;
        }
        $ies_approved = 1;

        $tag_details_id_barcode = sql::row("tag_details", "tag_details_id='$_POST[tag_details_id]'", "barcode,tag_id,code,pole_type,wono,wp_no");

        $tem_data = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 and team.effective_date<='$_POST[date_replaced]' order by team.effective_date desc,team_id desc limit 0,1", "teamname_id");


        $pole_type_id_code = 4;

        $pole_rate_info_code = sql::row("pole_rate", "code='$tag_details_id_barcode[code]' and pole_type_id='$pole_type_id_code'");

        $tag_details_data = array(
            'sub_contractor' => $sub_contractor,
            'code_rate_secto' => $pole_rate_info_code['secto'],
            'code_rate_ies' => $pole_rate_info_code['power_serve'],
            'code_rate_contractor' => $pole_rate_info_code['contractor'],
            'code_rate_employee' => $pole_rate_info_code['power_serve_direct'],
            'teamname_id' => $tem_data[teamname_id],
            'employee_id' => $employee_id,
            'employee_first_name' => $employee_first_name,
            'employee_last_name' => $employee_last_name,
            'power_serve_direct' => $pole_rate_data['power_serve_direct'],
            'power_serve' => $pole_rate_data['power_serve'],
            'contractor' => $pole_rate_data['contractor'],
            'secto' => $pole_rate_data['secto'],
            'week_number' => $week_number,
            'pole_type_id' => 4,
            'pole_type' => 'NBI',
            'confirm_pole_type' => 4,
            'varation_pole_type' => 4,
            'varation_code' => $varation_code_gloval,
            'confirm_code' => $details_table_data[code],
            'new_barcode' => -1,
            'code' => $details_table_data[code],
            'year' => $year,
            'ies_approved' => $ies_approved,
            'date_replaced' => $_POST['date_replaced'],
            'comment' => $_POST['comment'],
            'additional_comment' => $_POST['additional_comment'],
            'code_status' => 'complete',
            'before_image' => $before_image,
            'after_image' => $after_image,
            'old_barcode_image' => $old_barcode_image,
            'new_barcode_image' => $new_barcode_image
        );
        $this->db->update('tag_details', $tag_details_data, array('tag_details_id' => $_POST[tag_details_id]));

        if ($_POST[is_additional] == 1) {
            $tag_details_data_varation = array(
                'v_power_serve_direct' => $pole_rate_data_varation['power_serve_direct'],
                'v_power_serve' => $pole_rate_data_varation['power_serve'],
                'v_contractor' => $pole_rate_data_varation['contractor'],
                'v_secto' => $pole_rate_data_varation['secto'],
            );
            $this->db->update('tag_details', $tag_details_data_varation, array('tag_details_id' => $_POST[tag_details_id]));
        }
        $employee_id = $this->session->userdata('employee_id');
        $day_rate_allready_exist = sql::rows("poling_subsistance", "employee_id='$employee_id' and request_date='$_POST[date_replaced]'", "day_rate");
        if (count($day_rate_allready_exist) == 0) {
            if ($employee_id != '') {
                $year = date('Y', strtotime($_POST['date_replaced']));
                $week_number = date("W", strtotime($_POST['date_replaced']));
                $team_info = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 group by employee_id order by team_id desc", "teamname_id");
                $teamname_info = sql::row("teamname", "teamname_id='$team_info[teamname_id]'", "teamname_name");
                $str = date('D', strtotime($_POST['date_replaced']));
                $day_name_for_sub = strtolower($str);
                $employee_info = sql::row("employee", "employee_id='$employee_id'", "day_rate,$day_name_for_sub as subsistance");
                $request_data = array(
                    'employee_id' => $employee_id,
                    'week_number' => $week_number,
                    'year' => $year,
                    'request_date' => $_POST['date_replaced'],
                    'request_comment' => $_POST['request_comment'],
                    'teamname_id' => $team_info[teamname_id],
                    'teamname_name' => $teamname_info[teamname_name],
                    'day_rate' => $employee_info[day_rate],
                    'subsistance' => $employee_info[subsistance]
                );
                $this->db->insert('poling_subsistance', $request_data);
            }
        }
        $this->session->unset_userdata('file0');
        $this->session->unset_userdata('file1');
        $this->session->unset_userdata('file2');
        $this->session->unset_userdata('file3');
        $this->session->unset_userdata('barcode_session');
        $this->session->unset_userdata('tag_id');
        $this->session->set_flashdata('msg', 'Successfully Updated');
        $tag_id = $tag_details_id_barcode['tag_id'];
        $week_no = date('W', strtotime($_POST['date_replaced']));
        $running_counter = sql::rows("tag_details", "tag_id='$tag_id' and code_status='running'", "code,confirm_code,code_status");
        if (count($running_counter) > 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 0;
        }
        $pending_counter = sql::rows("tag_details", "tag_id='$tag_id' and (code_status='complete' or code_status='close') and code!=confirm_code and ies_approved=0", "code,confirm_code,code_status");
        if (count($pending_counter) > 0 && count($running_counter) == 0) {
            $deserve_for_pending = 1;
            $deserve_for_approved = 0;
        }
        if (count($pending_counter) == 0 && count($running_counter) == 0) {
            $deserve_for_pending = 0;
            $deserve_for_approved = 1;
        }
        $tag_staus_info = sql::row("tag", "tag_id='$tag_id'", "newstatus");
        if ($tag_staus_info['newstatus'] < 6 && $tag_staus_info['newstatus'] != '') {
            if ($deserve_for_pending == 1) {
                $this->db->update('tag_details', array('ies_approved' => 0), array('tag_details_id' => $tag_details_id));
                $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
            }
            if ($deserve_for_approved == 1) {
                $this->db->update('tag', array('newstatus' => 3), array('tag_id' => $tag_id));
                $this->db->update('tag_details', array('ies_approved' => 1), array('tag_details_id' => $tag_details_id));
            }
        }

        $tem_data = sql::row("team", "employee_id='$employee_id' and cert_team_id=2 and team.effective_date<='$_POST[date_replaced]' order by effective_date desc limit 0,1", "teamname_id,effective_date");
        $employee_for_this_team = sql::rows("team", "teamname_id='$tem_data[teamname_id]' and cert_team_id=2 and team.effective_date='$tem_data[effective_date]'");
        $how_many_in_a_team = count($employee_for_this_team);

        if (is_array($employee_for_this_team) && count($employee_for_this_team) > 0) {
            $pole_rate_table_info = sql::row("pole_rate", "pole_type_id=4 and code='$details_table_data[code]'");

            if ($_POST[comment] != '') {
                $comment_id_info = sql::row("pole_comments", "comments='$_POST[comment]' and pole_rate_id='$pole_rate_table_info[pole_rate_id]'");
            } else {
                $comment_id_info = sql::row("pole_comments", "pole_rate_id='$pole_rate_table_info[pole_rate_id]' and comments=''");
            }
            foreach ($employee_for_this_team as $emp_wages_everyday) {
                $em_everyday = sql::row("employee", "employee_id='$emp_wages_everyday[employee_id]'");
                $em_id_for_r = $emp_wages_everyday['employee_id'];
                if ($em_everyday['sub_contractor'] == 1) {
                    $cont_data_new = sql::row("contractor_team", "employee_id='$emp_wages_everyday[employee_id]'", "contractor_employee_id");
                    $em_id_for_r = $cont_data_new['contractor_employee_id'];
                }
                $code_rate = sql::row("emp_rate_cost", "employee_id='$em_id_for_r' and code='$details_table_data[code]' and pole_type_id=4 and comment_id='$comment_id_info[pole_comments_id]'");
                if ($em_everyday['sub_contractor'] == 1) {
                    $tag_details_data_for_contractor = array(
                        'contractor' => $code_rate['rate'],
                    );
                    $this->db->update('tag_details', $tag_details_data_for_contractor, array('tag_details_id' => $tag_details_id));
                }

                $str = date('D', strtotime($_POST['date_replaced']));
                $day_name_for_sub = strtolower($str);
                $emp_sub_info = sql::row("employee", "employee_id='$em_id_for_r'", "day_rate,$day_name_for_sub as subsistance");
                $year = date('Y', strtotime($_POST['date_replaced']));
                $week_number = date("W", strtotime($_POST['date_replaced']));
                $tag_details_data_wages_everyday = array(
                    'tag_details_id' => $_POST[tag_details_id],
                    'tag_id' => $tag_id,
                    'wono' => $tag_details_id_barcode['wono'],
                    'wp_no' => $tag_details_id_barcode['wp_no'],
                    'work_date' => $_POST['date_replaced'],
                    'sub_contractor' => $em_everyday['sub_contractor'],
                    'employee_id' => $emp_wages_everyday['employee_id'],
                    'teamname_id' => $emp_wages_everyday['teamname_id'],
                    'leader_id' => $emp_wages_everyday['leader'],
                    'team_effective_date' => $emp_wages_everyday['effective_date'],
                    'team_id' => $emp_wages_everyday['team_id'],
                    'subsistance' => $emp_sub_info['subsistance'],
                    'confirm_pole_type' => 4,
                    'pole_rate_id' => $pole_rate_table_info['pole_rate_id'],
                    'old_code' => $details_table_data[code],
                    'code' => $details_table_data[code],
                    'rate' => $code_rate['rate'],
                    'how_many_in_team' => $how_many_in_a_team,
                    'type_of_work' => 'Poling',
                    'devide_cost' => $code_rate['rate'] / $how_many_in_a_team,
                    'comment_id' => $comment_id_info['pole_comments_id'],
                    'comments' => $_POST['comment'],
                    'week_no' => $week_number,
                    'year_no' => $year,
                    'user_id' => $this->session->userdata('employee_id'),
                    'employee_first_name' => $em_everyday['employee_first_name'],
                    'employee_last_name' => $em_everyday['employee_last_name'],
                    'day_name' => $day_name_for_sub
                );
                $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
            }
        }
        if ($_POST[is_additional] == 1) {
            if (is_array($employee_for_this_team) && count($employee_for_this_team) > 0) {
                $pole_rate_table_info = sql::row("pole_rate", "pole_type_id=4 and code='$varation_code_gloval'");
                $comment_id_info = sql::row("pole_comments", "comments='$_POST[comment]' and pole_rate_id='$pole_rate_table_info[pole_rate_id]'");
                foreach ($employee_for_this_team as $emp_wages_everyday) {
                    $em_everyday = sql::row("employee", "employee_id='$emp_wages_everyday[employee_id]'");
                    $em_id_for_r = $emp_wages_everyday['employee_id'];
                    if ($em_everyday['sub_contractor'] == 1) {
                        $cont_data_new = sql::row("contractor_team", "employee_id='$emp_wages_everyday[employee_id]'", "contractor_employee_id");
                        $em_id_for_r = $cont_data_new['contractor_employee_id'];
                    }
                    $code_rate = sql::row("emp_rate_cost", "employee_id='$em_id_for_r' and code='$varation_code_gloval' and pole_type_id='4'");
                    if ($em_everyday['sub_contractor'] == 1) {
                        $tag_details_data_for_contractor_a = array(
                            'v_contractor' => $code_rate['rate'],
                        );
                        $this->db->update('tag_details', $tag_details_data_for_contractor_a, array('tag_details_id' => $tag_details_id));
                    }
                    $str = date('D', strtotime($_POST['date_replaced']));
                    $day_name_for_sub = strtolower($str);
                    $emp_sub_info = sql::row("employee", "employee_id='$em_id_for_r'", "day_rate,$day_name_for_sub as subsistance");
                    $year = date('Y', strtotime($_POST['date_replaced']));
                    $week_number = date("W", strtotime($_POST['date_replaced']));
                    $tag_details_data_wages_everyday = array(
                        'tag_details_id' => $_POST[tag_details_id],
                        'tag_id' => $tag_id,
                        'wono' => $tag_details_id_barcode['wono'],
                        'wp_no' => $tag_details_id_barcode['wp_no'],
                        'work_date' => $_POST['date_replaced'],
                        'sub_contractor' => $em_everyday['sub_contractor'],
                        'employee_id' => $emp_wages_everyday['employee_id'],
                        'teamname_id' => $emp_wages_everyday['teamname_id'],
                        'leader_id' => $emp_wages_everyday['leader'],
                        'team_effective_date' => $emp_wages_everyday['effective_date'],
                        'team_id' => $emp_wages_everyday['team_id'],
                        'subsistance' => $emp_sub_info['subsistance'],
                        'confirm_pole_type' => 4,
                        'pole_rate_id' => 4,
                        'old_code' => $details_table_data[code],
                        'code' => $varation_code_gloval,
                        'rate' => $code_rate['rate'],
                        'how_many_in_team' => $how_many_in_a_team,
                        'type_of_work' => 'Poling',
                        'devide_cost' => $code_rate['rate'] / $how_many_in_a_team,
                        'comment_id' => $comment_id_info['pole_comments_id'],
                        'comments' => $_POST['comment'],
                        'additional_comments' => $_POST['additional_comment'],
                        'week_no' => $week_number,
                        'year_no' => $year,
                        'user_id' => $this->session->userdata('employee_id'),
                        'employee_first_name' => $em_everyday['employee_first_name'],
                        'employee_last_name' => $em_everyday['employee_last_name'],
                        'day_name' => $day_name_for_sub,
                        'is_additional' => 1
                    );
                    $this->db->insert('wages_everyday', $tag_details_data_wages_everyday);
                }
            }
        }
        $how_many_poles = sql::rows("tag_details", "1 and tag_id='$tag_id'  group by code_status asc", "count(tag_details_id) as counter,code_status");
        if (count($how_many_poles) > 0) {
            foreach ($how_many_poles as $how) {
                if ($how['code_status'] == 'complete') {
                    $complete = $how['counter'];
                }
                if ($how['code_status'] == 'running') {
                    $running = $how['counter'];
                }
                if ($how['code_status'] == 'close') {
                    $close = $how['counter'];
                }
            }
            $this->db->update('tag', array('complete_counter' => $complete, 'running_counter' => $running, 'close_counter' => $close), array('tag_id' => $tag_id));
        }





        echo '1';
    }
    
    
    

}

?>