<style>
    .box-area{box-shadow:none;border:0;}
    .pdf_report{border-top:1px solid #eee;margin-bottom:20px;}
    .pdf_report tr th,.pdf_report tr td{padding:3px 5px 2px 5px!important;border-bottom:0;text-align: center;font-size:12px;color:#000;}
    .pdf_report tr th{color:#2a3f54;}
    .pdf_report tr td span{line-height: 0;}
    .red_bg{background-image: linear-gradient(45deg, #af2710 16.67%, #ffffff 16.67%, #ffffff 50%, #af2710 50%, #af2710 66.67%, #ffffff 66.67%, #ffffff 100%);background-size: 4.24px 4.24px;}
    .green_bg{background-image: linear-gradient(45deg, #548235 16.67%, #ffffff 16.67%, #ffffff 50%, #548235 50%, #548235 66.67%, #ffffff 66.67%, #ffffff 100%);background-size: 4.24px 4.24px;}
    .orange_bg{background-image: linear-gradient(45deg, #fabf8f 16.67%, #ffffff 16.67%, #ffffff 50%, #fabf8f 50%, #fabf8f 66.67%, #ffffff 66.67%, #ffffff 100%);background-size: 4.24px 4.24px;}


    .btn_new {
        cursor: pointer;
        display: inline-block;
        background-color: #e6e6e6;
        background-repeat: no-repeat;
        background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), color-stop(25%, #ffffff), to(#e6e6e6));
        background-image: -webkit-linear-gradient(#ffffff, #ffffff 25%, #e6e6e6);
        background-image: -moz-linear-gradient(top, #ffffff, #ffffff 25%, #e6e6e6);
        background-image: -ms-linear-gradient(#ffffff, #ffffff 25%, #e6e6e6);
        background-image: -o-linear-gradient(#ffffff, #ffffff 25%, #e6e6e6);
        background-image: linear-gradient(#ffffff, #ffffff 25%, #e6e6e6);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#e6e6e6', GradientType=0);
        padding: 5px 8px;
        text-shadow: 0 1px 1px rgb(255 255 255 / 75%);
        color: #4f87b7;
        font-size: 12px;
        line-height: normal;
        border: 1px solid #ccc;
        border-bottom-color: #bbb;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border-radius: 4px;
        -webkit-box-shadow: inset 0 1px 0 rgb(255 255 255 / 20%), 0 1px 2px rgb(0 0 0 / 5%);
        -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
        box-shadow: inset 0 1px 0 rgb(255 255 255 / 20%), 0 1px 2px rgb(0 0 0 / 5%);
        -webkit-transition: 0.1s linear all;
        -moz-transition: 0.1s linear all;
        transition: 0.1s linear all;
        text-decoration: none!important;
        width:40px;
        text-align: center;
        display:inline-block;
    }



</style>
<div class="tabing innerpage-all-tabbing new_print_box" style="padding:0;box-sizing:border-box;">
    <div class="box-area inner-page-all">
        <div class="clear"></div>
        <div  id="table_wrapper"  style="width:100%!important;margin:0 auto;border:0;overflow:hidden;background-color:#fff;max-width:800px!important;min-width:100%!important;width:100%;">
            <div id="pdf_middle">
                <table cellspacing="0" cellpadding="0" border="0" width="100%"  class="pdf_report" style="border-top:0;">
                    <tbody>
                        <?php
                        if (count($info) > 0) {
                            $i = 0;
                            $temp_date = '';
                            foreach ($info as $p) {
                                ?>
                                <?php if ($temp_date != "{$p['work_date']}") { ?>
                                    <tr>
                                        <th colspan="3"  style="text-align:left;border-right: 1px solid #eee;width:100%;border-bottom:1px solid #eee;background-color:#eee;padding:10px!important;"><?php echo date('l d M Y', strtotime($p['work_date'])); ?></th>
                                    </tr>
                                <?php } ?>
                                <?php
                                if ($p['system_site_status'] == '' || $p['system_site_status'] == 1 || $p['system_site_status'] == 11) {
                                    $class_name = 'red_bg';
                                }
                                if ($p['system_site_status'] == 2) {
                                    $class_name = 'orange_bg';
                                }
                                if ($p['system_site_status'] == 3 || $p['system_site_status'] == 4) {
                                    $class_name = 'green_bg';
                                }
                                ?>
                                <?php if ($p['system_site_status'] == 1 || $p['system_site_status'] == 2 || $p['system_site_status'] == 11) { ?>
                                    <tr>
                                        <td style="text-align:center;border-right: 1px solid #eee;border-top:1px solid #4d6e9a;padding-top:5px;padding-bottom:5px;width:10%;" class="<?php echo $class_name; ?>">
                                            <span style="background-color: #fff; padding: 1px 2px 0 2px; display: inline;"><?= $p['customer_short_name'] ?></span>
                                        </td>
                                        <td style="text-align:left;border-right: 0;border-top:1px solid #4d6e9a;padding-top:5px;padding-bottom:5px;width:80%;">
                                            <a href="<?php echo site_url('schedule/single_map_bt/' . $p['ticket_id']) ?>" style="padding:5px 0;color:#4d6e9a;text-decoration:none;">
                                                <?= $p['site_number'] ?> / <?= $p['site_username'] ?>
                                            </a>
                                            <p style="padding:5px 0 0 0;color: gray;"><?= $p['bt_ticket_type_name'] ?> <?php if ($p['system_site_status'] == 11) { ?><span style="color:darkred;">Failed Visit (<?php echo $p['failed_section_name'] ?>)</span><?php } ?></p>
                                            <p style="padding:5px 0;color: gray;"><?= $p['contract_name'] ?></p>
                                            <p style="padding:0 0 3px 0; color: gray;font-size:11px;"><?= $p['employee_name'] ?></p>
                                        </td>
                                        <td style="text-align:right;border-right: 0;border-top:1px solid #4d6e9a;padding-top:5px;padding-bottom:5px;width:10%;">
                                            <?php
                                            $material_exist_or_not = sql::rows("bt_ticket_material", "ticket_id='{$p['ticket_id']}'");
                                            if (count($material_exist_or_not) > 0) {
                                                ?>
                                                <a href="<?php echo site_url('work_list/ticket_info_access_note/' . $p['contract_id'] . '/' . $p['ticket_id'] . '/0') ?>" class="btn_new" style="margin-top:5px;margin-bottom:5px;display: inline-block;">Mate</a>
                                                <div class="clearfix"></div>
                                            <?php } ?>
                                            <a href="<?php echo site_url('work_list/ticket_info_access_note/' . $p['contract_id'] . '/' . $p['ticket_id'] . '/0') ?>" class="btn_new" style="margin-bottom:10px;display: inline-block;">Access</a>
                                            <?php if ($p['contract_id'] == 1) { ?>
                                                <a href="<?php echo site_url('work_list/ticket_info/' . $p['contract_id'] . '/' . $p['ticket_id'] . '/0') ?>" class="btn_new" style="margin-top:10px;display: inline-block;">Input</a>
                                            <?php } else { ?>
                                                <a href="<?php echo site_url('work_list/ticket_info_oos/' . $p['contract_id'] . '/' . $p['ticket_id'] . '/0') ?>" class="btn_new"  style="margin-top:10px;display: inline-block;">Input</a>
                                            <?php } ?>
                                        </td>
                                    </tr>
                                <?php } ?>
                                <?php
                                $i++;
                                $temp_date = $p['work_date'];
                            }
                            ?>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>