<?php

class Login extends CI_Controller {


    function __construct() {
        parent::__construct();
        $this->load->model('login_model');
    }


    function index() {
        if ($_POST['login']) {
            if ($this->form_validation->run('valid_login')) {
				
                if ($this->login_model->is_valid_user()) {
                    redirect('home');
                } else {
                    $this->session->set_flashdata('msg', 'Invalid Username and Password');
                    redirect('login');
                }
            }
        }
        if ($data['msg'] == '') {
            $data['msg'] = $this->session->flashdata('msg');
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['action'] = 'login';
        $data['dir'] = 'login';
        $data['page'] = 'index';
        $this->load->view('main_login', $data);
    }

    function logout() {
        $this->login_model->do_logout();
        redirect('login');
    }

    function is_user() {
        $valid = sql::count('users', "user_login_id='{$_POST['user_name']}' and user_email='{$_POST['email']}'");
        if ($valid > 0) {
            return TRUE;
        } else {
            $this->form_validation->set_message('is_user', 'Email or User Name is invalid!');
            return FALSE;
        }
    }

    function notice() {
        $data['msg'] = $this->session->flashdata('msg');
        if ($data['msg'] == '') {
            redirect('home');
        }
        $data['page_title'] = 'Notice';
        $data['dir'] = 'login';
        $data['page'] = 'notice';
        $this->load->view('main_login', $data);
    }

    function empcert_pic0() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/employee_cert/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function empcert_pic1() {
        if ($_POST) {
            define('UPLOAD_DIR', '../uploads/employee_cert/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }
    
    
     function section_list($contract_id = '', $tag_details_id = '') {

        $this->session->set_userdata("return_contract_id", $contract_id);
        $this->session->set_userdata("return_tag_details_id", $tag_details_id);


        $tag_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");

        $today_date_new = date('Y-m-d');

        if ($tag_data['system_site_status'] < 3) {
            $how_many_inner_section = sql::row("inspection_section", "tag_details_id='$tag_details_id'", "max(inner_section_number) as max_q");
            if ($how_many_inner_section['max_q'] != '') {
                $how_many_inner_section['max_q'] = $how_many_inner_section['max_q'] - 1;
            }
            $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
            $all_question_count = sql::row("questionset", "is_checked=1 and contract_id='{$tag_data['contract_id']}'  and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as ques_c");
            $answered_count = sql::row("inspection_details", "tag_details_id='$tag_details_id'", "count(inspection_details_id) as ans_c");
            $queryqtype = $this->db->query("select        
COUNT(CASE WHEN inspection_details.ans_st='Fail' AND inspection_details.msection_id=3 and  inspection_details.questionset_number=1 and  inspection_details.section_id=12 THEN inspection_details.`inspection_details_id` END)  m3,
COUNT(CASE WHEN inspection_details.ans_st='Fail' AND inspection_details.msection_id=5 and  inspection_details.questionset_number=1 and  inspection_details.section_id=13  THEN inspection_details.`inspection_details_id` END)  m5,
COUNT(CASE WHEN inspection_details.ans_st='Fail' AND inspection_details.msection_id=6 and  inspection_details.questionset_number=1 and  inspection_details.section_id=19  THEN inspection_details.`inspection_details_id` END)  m6,
COUNT(CASE WHEN inspection_details.ans_st='Fail' AND inspection_details.msection_id=7 and  inspection_details.questionset_number=1 and  inspection_details.section_id=16 THEN inspection_details.`inspection_details_id` END)  m7,
COUNT(CASE WHEN inspection_details.ans_st='Fail' AND inspection_details.msection_id=8 and  inspection_details.questionset_number=1  and  inspection_details.section_id=22 THEN inspection_details.`inspection_details_id` END)  m8 
 from inspection_details
        where inspection_details.tag_details_id='$tag_details_id'");

            $equip = $queryqtype->row_array();
//        print_r($equip);
            if ($equip['m3'] > 0) {
                $question_number_for_this = sql::row("questionset", "is_checked=1 and msection_id='3' and site_type REGEXP '{$tag_data['site_type']}' ", "count(questionset_id) as nofq");
                $all_question_count['ques_c'] = $all_question_count['ques_c'] + 1 - $question_number_for_this['nofq'];
//            echo $all_question_count['ques_c'].'------'.$answered_count['ans_c'] .'<br/>';
            }
            if ($equip['m5'] > 0) {
                $question_number_for_this = sql::row("questionset", "is_checked=1 and msection_id='5' and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as nofq");
                $all_question_count['ques_c'] = $all_question_count['ques_c'] + 1 - $question_number_for_this['nofq'];
//            echo $all_question_count['ques_c'].'------'.$answered_count['ans_c'] .'<br/>';
            }
            if ($equip['m6'] > 0) {
                $question_number_for_this = sql::row("questionset", "is_checked=1 and msection_id='6' and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as nofq");
                $all_question_count['ques_c'] = $all_question_count['ques_c'] + 1 - $question_number_for_this['nofq'];
//            echo $all_question_count['ques_c'].'------'.$answered_count['ans_c'] .'<br/>';
            }
            if ($equip['m7'] > 0) {
                $question_number_for_this = sql::row("questionset", "is_checked=1 and msection_id='7' and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as nofq");
                $all_question_count['ques_c'] = $all_question_count['ques_c'] + 1 - $question_number_for_this['nofq'];
//            echo $all_question_count['ques_c'].'------'.$answered_count['ans_c'] .'<br/>';
            }
            if ($equip['m8'] > 0) {
                $question_number_for_this = sql::row("questionset", "is_checked=1 and msection_id='8' and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as nofq");
                $all_question_count['ques_c'] = $all_question_count['ques_c'] + 1 - $question_number_for_this['nofq'];
//            echo $all_question_count['ques_c'].'------'.$answered_count['ans_c'] .'<br/>';
            }


            $schedule_tracker_data = sql::row("schedule_tracker", "tag_details_id='$tag_details_id'");

            if ($answered_count['ans_c'] > 0) {
                $this->db->query("update tag_details set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
            }

//                echo $all_question_count['ques_c']+($how_many_inner_section['max_q'] * 2).'-------------------'.$answered_count['ans_c'];

            if (($all_question_count['ques_c'] + ($how_many_inner_section['max_q'] * 2)) == $answered_count['ans_c']) {
                $is_it_any_fialed = sql::rows("inspection_details", "tag_details_id='$tag_details_id' and  ans_st='Fail'");
                if (count($is_it_any_fialed) > 0) {
                    $this->db->query("update tag_details set system_site_status=3,system_site_date='$today_date_new' where tag_details_id='$tag_details_id'");
                    $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
                    common::add_note('Inspection Completed as Failed', $mess, $tag_data['contract_id'], $tag_details_id);


                    $data = array(
                        'system_site_status' => 3,
                        'move_date' => $today_date_new,
                        'employee_id' => $this->session->userdata('employee_id'),
                        'tag_details_id' => $tag_details_id
                    );
                    $this->db->insert('tag_details_move', $data);
                } else {
                    $this->db->query("update tag_details set system_site_status=4,system_site_date='$today_date_new'  where tag_details_id='$tag_details_id'");
                    $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
                    common::add_note('Inspection Completed as Pass', $mess, $tag_data['contract_id'], $tag_details_id);

                    $data = array(
                        'system_site_status' => 4,
                        'move_date' => $today_date_new,
                        'employee_id' => $this->session->userdata('employee_id'),
                        'tag_details_id' => $tag_details_id
                    );
                    $this->db->insert('tag_details_move', $data);
                }
            }
        }


        $data['site_info'] = $tag_data;

        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select msection.* from msection where msection.contract_id='$contract_id' order by msection_number asc");
        $data['minfo'] = $query->result_array();
//        print_r( $data['minfo'] );
        $data['contract_id'] = $contract_id;
        $data['tag_details_id'] = $tag_details_id;
        $data['tag_data'] = sql::row("tag_details", "tag_details_id='$tag_details_id'", "site_type,contract_id");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'section_list';
        $data['page_title'] = "Work Calender";
        $this->load->view('main_login', $data);
    }
    
    

}

?>
