<?php

class Vcheck extends CI_Controller {

    private $dir = 'vcheck';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function index($type_of_work = '') {
        $employee_id = $this->session->userdata('employee_id');
        $this->session->set_userdata('type_of_work', $type_of_work);
        $query = $this->db->query("select vehicle_assign.*,
            vehicle.vehicle_name,employee.employee_first_name,
            employee.employee_last_name from vehicle_assign 
                left join vehicle on vehicle.vehicle_id=vehicle_assign.vehicle_id 
                left join employee on employee.employee_id=vehicle_assign.employee_id 
                where vehicle_assign.employee_id='$employee_id' and 
                    vehicle_assign.assign_status=1 group by vehicle_assign.vehicle_assign_id 
                order by vehicle_assign.vehicle_code asc,
                employee.employee_first_name asc,vehicle_assign.vehicle_assign_date desc");


//        vehicle_assign.vehicle_id 

        $data['info'] = $query->result_array();
        $data['type_of_work'] = $type_of_work;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        if ($type_of_work == 1) {
            $data['page'] = 'vhecklist';
        }
        if ($type_of_work == 2) {
            $data['page'] = 'vhecklist_ga2';
        }

        if ($type_of_work == 3) {
            $data['page'] = 'vhecklist_fault';
        }

        $data['page_title'] = 'Vehicle Check List';
        $this->load->view('main', $data);
    }

    function start_ins($vehicle_id = '', $sort = '', $type_of_w = '') {
        if ($type_of_w == 1) {
            $vehicle_type_info = sql::row("vehicle", "vehicle_id='$vehicle_id'");
            $vehicle_ins_type_info = sql::row("vehicle_type", "type_id='{$vehicle_type_info['vehicle_type']}'");
            $type_of_w = $vehicle_ins_type_info['vehicle_inspection_type'];
        }
        if ($sort == 1) {
            $sort = 2;
        }
        $this->session->set_userdata('image_counter', $sort);
        $post_value = $_POST['question_no_' . $sort];
        if (isset($_POST['save']) || isset($post_value)) {

            if ($sort == 1) {
                if ($_POST['old_reading'] > $_POST['question_no_1']) {
                    $this->session->set_flashdata('msg', "Please enter correct reading");
                    redirect('vcheck/start_ins/' . $vehicle_id . '/1/' . $type_of_w);
                }
            }
            if ($_POST['question_no_' . $sort] == '') {
                $_POST['question_no_' . $sort] = 0;
            }
            $this->session->set_userdata($_POST);


            $session_array_confirm = $this->session->all_userdata();

            $employee_id = $this->session->userdata('employee_id');
            $week = date("W", strtotime('now'));
            $date_now = date('Y-m-d');
            $data_summary = array(
                'v_last_inspection_date' => date('Y-m-d'),
                'vehicle_id' => $vehicle_id,
                'type_of_work' => $type_of_w,
                'employee_id' => $employee_id,
                'week' => $week,
                'year' => date('Y'),
            );
            $checking = sql::row("v_last_inspection", "v_last_inspection_date='$date_now' and vehicle_id='$vehicle_id' and type_of_work='$type_of_w'");
            if ($checking['vehicle_id'] != '') {
                $this->db->update('v_last_inspection', $data_summary, array("v_last_inspection_date" => $date_now, "vehicle_id" => $vehicle_id, "type_of_work" => $type_of_w));
                $v_last_inspection_id = $checking['v_last_inspection_id'];
            } else {
                $this->db->insert('v_last_inspection', $data_summary);
                $v_last_inspection_id = $this->db->insert_id();
            }


            $data_counter = $sort;
            $vehicle_third_type_id = $_POST['vehicle_third_type_' . $data_counter];
            if ($vehicle_third_type_id != '') {

                $third_type_info = sql::row("vehicle_third_type", "vehicle_third_type_id='$vehicle_third_type_id'");
                $data = array(
                    'vehicle_third_type_name' => $third_type_info['vehicle_third_type_name'],
                    'vehicle_third_type_id' => $session_array_confirm['vehicle_third_type_' . $data_counter],
                    'answer' => $session_array_confirm['question_no_' . $data_counter],
                    'fault_details' => $session_array_confirm['fault_details_' . $data_counter],
                    'question_no' => $data_counter,
                    'vehicle_id' => $vehicle_id,
                    'employee_id' => $employee_id,
                    'fault_image' => $session_array_confirm['fault_image_' . $data_counter],
                    'v_last_inspection_id' => $v_last_inspection_id,
                );
                $this->db->insert('v_last_inspection_details', $data);
                $this->session->unset_userdata('vehicle_third_type_' . $data_counter);
                $this->session->unset_userdata('question_no_' . $data_counter);
                $this->session->unset_userdata('fault_details_' . $data_counter);
                $this->session->unset_userdata('fault_image_' . $data_counter);
            }








            $sort++;
            redirect('vcheck/start_ins/' . $vehicle_id . '/' . $sort . '/' . $type_of_w);
        }
        $data['session_array'] = $this->session->all_userdata();
        $employee_id = $this->session->userdata('employee_id');
        $data['last_inspection_details'] = sql::row("v_last_inspection", "employee_id='$employee_id' and vehicle_id='{$vehicle_id}' and type_of_work='$type_of_w' order by v_last_inspection_date desc,v_last_inspection_id desc");
        $query = $this->db->query("select vehicle_third_type.*,vehiclem_type.type_name from vehicle_third_type 
            left join vehiclem_type on vehiclem_type.type_id=vehicle_third_type.type_id 
                where 1 and vehicle_third_type.sort='$sort' and vehicle_third_type.vehicle_third_type_status_for_set='$type_of_w' order by vehicle_third_type.type_id asc,vehicle_third_type.vehicle_sub_type_id  asc, vehicle_third_type.vehicle_third_type_name asc");
        $data['question_info'] = $query->row_array();


//        print_r($data['last_inspection_details']);

        if ($data['last_inspection_details']['employee_id'] == '') {
            $data['last_inspection_details'] = array();
        }



        $data['qno'] = $sort;
        $this->session->set_userdata('qno', $sort);
        $data['vehicle_id'] = $vehicle_id;
        if (is_array($data['question_info']) && count($data['question_info']) > 0) {
            $data['action'] = 'vcheck/start_ins/' . $vehicle_id . '/' . $sort . '/' . $type_of_w;
        } else {
			 $date_now = date('Y-m-d');
			$this->db->update('v_last_inspection', array("inspection_completed"=>1), array("v_last_inspection_date" => $date_now, "vehicle_id" => $vehicle_id, "type_of_work" => $type_of_w));
            //exit;
			
            redirect('vcheck/confirm_ins/' . $vehicle_id . '/' . $sort);
        }

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_ins';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function confirm_ins($vehicle_id = '', $sort = '', $v_last_inspection_id = '', $type_of_w = '') {
        $type_of_w = $this->session->userdata('type_of_work');
        if ($type_of_w == 1) {
            $vehicle_type_info = sql::row("vehicle", "vehicle_id='$vehicle_id'");
            $vehicle_ins_type_info = sql::row("vehicle_type", "type_id='{$vehicle_type_info['vehicle_type']}'");
            $type_of_w = $vehicle_ins_type_info['vehicle_inspection_type'];
        }
//        


        $this->load->model('home_model');

        $employee_id = $this->session->userdata('employee_id');
        $session_array_confirm = $this->session->all_userdata();
        $week = date("W", strtotime('now'));
        $is_in_session = $this->session->userdata('question_no_1');
        $is_in_session2 = $this->session->userdata('question_no_2');
        if ($is_in_session != '' || $is_in_session2 != '') {
            $data_summary = array(
                'v_last_inspection_date' => date('Y-m-d'),
                'vehicle_id' => $vehicle_id,
                'type_of_work' => $type_of_w,
                'employee_id' => $employee_id,
                'week' => $week,
                'year' => date('Y'),
                'inspection_completed'=>1
            );
            $date_now = date('Y-m-d');
            $checking = sql::row("v_last_inspection", "v_last_inspection_date='$date_now' and vehicle_id='$vehicle_id' and type_of_work='$type_of_w'");
            if ($checking['vehicle_id'] != '') {
                $this->db->update('v_last_inspection', $data_summary, array("v_last_inspection_date" => $date_now, "vehicle_id" => $vehicle_id, "type_of_work" => $type_of_w));
                $v_last_inspection_id = $checking['v_last_inspection_id'];
            } else {
                $this->db->insert('v_last_inspection', $data_summary);
                $v_last_inspection_id = $this->db->insert_id();
            }
            
            
//            $this->db->insert('v_last_inspection', $data_summary);
//            $v_last_inspection_id = $this->db->insert_id();


//            for ($data_counter = 1; $data_counter < $sort; $data_counter++) {
            
            $data_counter=$sort;
            
                $vehicle_third_type_id = $session_array_confirm['vehicle_third_type_' . $data_counter];
                if ($vehicle_third_type_id != '') {

                    $third_type_info = sql::row("vehicle_third_type", "vehicle_third_type_id='$vehicle_third_type_id'");
                    $data = array(
                        'vehicle_third_type_name' => $third_type_info['vehicle_third_type_name'],
                        'vehicle_third_type_id' => $session_array_confirm['vehicle_third_type_' . $data_counter],
                        'answer' => $session_array_confirm['question_no_' . $data_counter],
                        'fault_details' => $session_array_confirm['fault_details_' . $data_counter],
                        'question_no' => $data_counter,
                        'vehicle_id' => $vehicle_id,
                        'employee_id' => $employee_id,
                        'fault_image' => $session_array_confirm['fault_image_' . $data_counter],
                        'v_last_inspection_id' => $v_last_inspection_id,
                    );
                    $this->db->insert('v_last_inspection_details', $data);
                    $this->session->unset_userdata('vehicle_third_type_' . $data_counter);
                    $this->session->unset_userdata('question_no_' . $data_counter);
                    $this->session->unset_userdata('fault_details_' . $data_counter);
                    $this->session->unset_userdata('fault_image_' . $data_counter);
                }
//            }
        }

        if ($v_last_inspection_id == '') {
            redirect('home');
        }
        $data['vehicle_id'] = $vehicle_id;
        $data['last_inspection_details'] = sql::row("v_last_inspection", "employee_id='$employee_id' and vehicle_id='{$vehicle_id}' and type_of_work='$type_of_w' and v_last_inspection_id='$v_last_inspection_id' order by v_last_inspection_date desc,v_last_inspection_id desc");
        $data['full_report'] = sql::rows("v_last_inspection_details", "employee_id='$employee_id' and vehicle_id='$vehicle_id' and v_last_inspection_id='$v_last_inspection_id'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'confirm_list';
        $data['page_title'] = 'Inspection List';
        $this->load->view('main', $data);
    }

    function inspection_pic0() {
        if ($_POST) {
            $image_counter = $this->session->userdata('image_counter');
            define('UPLOAD_DIR', '../uploads/inspection_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('fault_image_' . $image_counter, "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function add_fault($type_of_w = '') {
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $week = date("W", strtotime('now'));
            $vehicle_id = $_POST['vehicle_id'];
            $data_summary = array(
                'v_last_inspection_date' => date('Y-m-d'),
                'vehicle_id' => $vehicle_id,
                'type_of_work' => $type_of_w,
                'employee_id' => $employee_id,
                'week' => $week,
                'year' => date('Y'),
            );
            $this->db->insert('v_last_inspection', $data_summary);
            $v_last_inspection_id = $this->db->insert_id();
            $vehicle_third_type_id = $_POST['vehicle_third_type'];

            $third_type_info = sql::row("vehicle_third_type", "vehicle_third_type_id='$vehicle_third_type_id'");
            $data = array(
                'vehicle_third_type_name' => $third_type_info['vehicle_third_type_name'],
                'vehicle_third_type_id' => $_POST['vehicle_third_type'],
                'answer' => 0,
                'fault_details' => $_POST['fault_details'],
                'question_no' => $vehicle_third_type_id,
                'vehicle_id' => $vehicle_id,
                'employee_id' => $employee_id,
                'fault_image' => $session_array_confirm['fault_image_0'],
                'v_last_inspection_id' => $v_last_inspection_id,
            );
            $this->db->insert('v_last_inspection_details', $data);
            $this->session->unset_userdata('fault_image_0');
            redirect('home');
        }
        $sort = 0;
        $query = $this->db->query("select vehicle_third_type.*,vehiclem_type.type_name from vehicle_third_type 
            left join vehiclem_type on vehiclem_type.type_id=vehicle_third_type.type_id 
                where 1 and vehicle_third_type.sort='$sort' and vehicle_third_type.vehicle_third_type_status_for_set='$type_of_w' 
                order by vehicle_third_type.type_id asc,vehicle_third_type.vehicle_sub_type_id  asc, vehicle_third_type.vehicle_third_type_name asc");
        $data['question_info'] = $query->row_array();
        $data['action'] = 'vcheck/add_fault/3';
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'vhecklist_fault';
        $data['page_title'] = 'Inspection List';
        $this->load->view('main', $data);
    }

}

?>