<?php

class Work_list_general extends CI_Controller {

    private $dir = 'work_list_general';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function start_oos($contract_id = '', $tag_details_id = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");

        $today_date_new = date('Y-m-d');
        if ($tag_data['system_site_status'] < 2) {
            $this->db->query("update tag_details_general set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
            $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");
            $cdate = date('Y-m-d');
            $mess = 'Sites ' . $tag_data['site_number'] . ' Work Started by team ' . $schedule_tracker_data['employee_name'];
            common::add_note_general('Work Started', $mess, 0, $tag_details_id);
        }
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
        }

        $data['check_allready_inputed'] = sql::row("inspection_details_general", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
            }
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection_details_general", "tag_details_id='$tag_details_id'");
            if (count($is_exist) == 0) {
                $mess = 'Sites ' . $tag_data['site_number'] . ' Before image loaded by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_general('Before image loaded', $mess, 0, $tag_details_id);
            }
            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');

            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("inspection_details_general", "image0='$img0'", "inspection_details_id");
                    if ($d_img0['inspection_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("inspection_details_general", "image1='$img1'", "inspection_details_id");
                    if ($d_img1['inspection_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("inspection_details_general", "image2='$img2'", "inspection_details_id");
                    if ($d_img2['inspection_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("inspection_details_general", "image3='$img3'", "inspection_details_id");
                    if ($d_img3['inspection_details_id'] != '') {
                        $img3 = 0;
                    }
                }
            }
            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'inspection_id' => $inspection_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'comments' => $_POST['comments'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3
            );
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->db->update('inspection_details_general', $details_data, array("tag_details_id" => $tag_details_id));
            } else {
                $this->db->insert('inspection_details_general', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            redirect('work_list_general/start_oos_step2/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_general/start_oos/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
//        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function start_oos_step2($contract_id = '', $tag_details_id = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['check_allready_inputed'] = sql::row("inspection_details_general", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {

            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");
            $cdate = date('Y-m-d');


            $mess = 'Sites ' . $tag_data['site_number'] . ' Work in review by team ' . $schedule_tracker_data['employee_name'];
            common::add_note_general('Work in review', $mess, 0, $tag_details_id);


            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');
            $img4 = $this->session->userdata('file4');
            $img5 = $this->session->userdata('file5');
            $img6 = $this->session->userdata('file6');
            $img7 = $this->session->userdata('file7');

            $details_data = array(
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'comments' => $_POST['comments'],
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );

            $this->db->update('inspection_details_general', $details_data, array("tag_details_id" => $tag_details_id));

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            redirect('work_list_general/start_oos_review/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_general/start_oos_step2/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
//        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos_step2';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function start_oos_review($contract_id = '', $tag_details_id = '') {

        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['check_allready_inputed'] = sql::row("inspection_details_general", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        if (isset($_POST['save'])) {
            $this->db->query("update tag_details_general set system_site_status=3,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');

            $schedule_tracker_data = sql::row("schedule_tracker_general", "tag_details_id='$tag_details_id'");
            $tag_data = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' Work Completed by team ' . $schedule_tracker_data['employee_name'];
            common::add_note_general('Completed', $mess, $tag_data['contract_id'], $tag_details_id);


            redirect('work_list/index');
        }

        $data['step1_edit'] = 'work_list_general/start_oos/' . $contract_id . '/' . $tag_details_id;

        $data['step2_edit'] = 'work_list_general/start_oos_step2/' . $contract_id . '/' . $tag_details_id;

        $data['action'] = 'work_list_general/start_oos_review/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
//        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos_review';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function inspection_pic0() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic0_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic1() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic1_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic2() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic2_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic3() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic3_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic4() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic4_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file4', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic5() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic5_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file5', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic6() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic6_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g . '_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file6', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic7() {
        $tag_details_id_for_img = $this->session->userdata("tag_details_id_for_image");
        $qid_g=$this->session->userdata("general_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'general_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic7_oos_' . date('Y_m_d_h_i_s').'_'.$qid_g.'_' . $tag_details_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file7', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_site_info_update($contract_id = '', $tag_details_id = '') {
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            $site_info = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
            $site_number = $site_info['site_number'];
            $is_exist = sql::row("general_site", "site_number='$site_number'");
            $this->session->set_userdata('file0', $is_exist['image0']);
            $this->session->set_userdata('file1', $is_exist['image1']);
            $this->session->set_userdata('file2', $is_exist['image2']);
            $this->session->set_userdata('file3', $is_exist['image3']);
            $this->session->set_userdata('file4', $is_exist['image4']);
            $this->session->set_userdata('file5', $is_exist['image5']);
            $this->session->set_userdata('file6', $is_exist['image6']);
            $this->session->set_userdata('file7', $is_exist['image7']);
            $data['file0'] = $this->session->userdata('file0');
            $data['file1'] = $this->session->userdata('file1');
            $data['file2'] = $this->session->userdata('file2');
            $data['file3'] = $this->session->userdata('file3');
            $data['file4'] = $this->session->userdata('file4');
            $data['file5'] = $this->session->userdata('file5');
            $data['file6'] = $this->session->userdata('file6');
            $data['file7'] = $this->session->userdata('file7');
        }
        if (isset($_POST['save'])) {
            $tag_inf = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
            $employee_id = $this->session->userdata('employee_id');
//            $this->db->query("update tag_details set site_type='{$_POST['site_type']}',site_info_updated=1 where tag_details_id='$tag_details_id'");
            $details_data_update = array(
                'mewp_type' => $_POST['newp_type_name'],
                'vehicle_type' => $_POST['vehicle_type_name'],
                'site_additional_comment' => $_POST['comments'],
                'update_site_additional_comment' => $_POST['update_comments'],
                'mewp_restrictions' => $_POST['mewp_restrictions'],
                'vehicle_restrictions' => $_POST['vehicle_restrictions'],
                'site_entrance' => $_POST['site_entrance'],
                'image0' => $this->session->userdata('file0'),
                'image1' => $this->session->userdata('file1'),
                'image2' => $this->session->userdata('file2'),
                'image3' => $this->session->userdata('file3'),
                'image4' => $this->session->userdata('file4'),
                'image5' => $this->session->userdata('file5'),
                'image6' => $this->session->userdata('file6'),
                'image7' => $this->session->userdata('file7')
            );
            $this->db->update('general_site', $details_data_update, array("site_number" => $tag_inf['site_number']));

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            redirect('work_list/inspection_site_info_general/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_general/inspection_site_info_update/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details_general", "tag_details_id='$tag_details_id'");
        $site_number = $data['site_info']['site_number'];
        $data['ins_info'] = sql::row("general_site", "site_number='$site_number'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_site_info_update_oos';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

}

?>