<?php

class work_list_bt extends CI_Controller {

    private $dir = 'work_list_bt';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function section_list($contract_id = '', $tag_details_id = '') {
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $this->session->set_userdata("return_contract_id", $contract_id);
        $this->session->set_userdata("return_tag_details_id", $tag_details_id);
        $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "ticket_id as tag_details_id,site_id_t as site_number,site_username_t as site_username,contract_id,system_site_status");
        $today_date_new = date('Y-m-d');

        $data['site_info'] = $tag_data;

        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select btmsection.* from btmsection where btmsection.contract_id='$contract_id' order by msection_number asc");
        $data['minfo'] = $query->result_array();
        $data['contract_id'] = $contract_id;
        $data['tag_details_id'] = $tag_details_id;
        $data['tag_data'] = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "site_type_t as site_type,contract_id");

//        print_r($data['tag_data']);

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'section_list';
        $data['page_title'] = "Work Calender";
        $this->load->view('main', $data);
    }

    function move_to_complete($contract_id = '', $tag_details_id = '') {
        $today_date_new = date('Y-m-d');
        $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id' and work_date<='{$today_date_new}' order by work_date desc limit 0,1");
        $is_it_any_fialed = sql::rows("inspection_details_bt", "tag_details_id='$tag_details_id' and  ans_st='Fail'");

        $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "site_id_t as site_number,contract_id");
        $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'");

        $sales_value_data = sql::row("bt_aircon_ins_cost");
        $sales_cost = $sales_value_data['urate_cost'];


        if (count($is_it_any_fialed) > 0) {
            $this->db->query("update bt_inspection_info set employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=6,app_status=3,system_site_date='$today_date_new' where ticket_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];

            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as fail by ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt_ins('Complete Fail', $mess, $tag_data['contract_id'], $tag_details_id);

//            common::add_note('Inspection Completed as Failed', $mess, $contract_id, $tag_details_id);
//            $data = array(
//                'system_site_status' => 3,
//                'move_date' => $today_date_new,
//                'employee_id' => $this->session->userdata('employee_id'),
//                'tag_details_id' => $tag_details_id
//            );
//            $this->db->insert('tag_details_move', $data);
        } else {
            $this->db->query("update bt_inspection_info set  employee_ids_team_site='{$schedule_tracker_data['employee_ids_team']}',ticket_cost_for_invoice='$sales_cost',system_site_status=6,app_status=4,system_site_date='$today_date_new'  where ticket_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection completed by team ' . $schedule_tracker_data['employee_name'];
//            common::add_note('Inspection Completed as Pass', $mess, $contract_id, $tag_details_id);
//            $data = array(
//                'system_site_status' => 4,
//                'move_date' => $today_date_new,
//                'employee_id' => $this->session->userdata('employee_id'),
//                'tag_details_id' => $tag_details_id
//            );
//            $this->db->insert('tag_details_move', $data);



            $mess = ' Sites ' . $tag_data['site_number'] . ' completed as pass by ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt_ins('Complete Pass', $mess, $tag_data['contract_id'], $tag_details_id);
        }
        redirect('work_list_bt/section_list/' . $contract_id . '/' . $tag_details_id);
    }

    function inspection_setup($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '') {
        $tag_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $data['site_info'] = $tag_data;
        $schedule_tracker_data = sql::row("schedule_tracker", "tag_details_id='$tag_details_id'");
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection", "tag_details_id='$tag_details_id'");

            $tower_classification_data = sql::row("tsection", "tsection_id='{$_POST['tsection_id']}'");
            $request_data = array(
                'employee_id' => $employee_id,
                'tag_details_id' => $tag_details_id,
                'assigned_employee' => $schedule_tracker_data['employee_name'],
                'tower_classification_id' => $_POST['tsection_id'],
                'tower_classification_name' => $tower_classification_data['tsection_name'],
                'inspection_date' => $cdate,
                'week' => date('W', strtotime($cdate)),
                'year' => date('Y', strtotime($cdate))
            );

            if (count($is_exist) == 0) {
                $this->db->insert('inspection', $request_data);
                $inspection_id = $this->db->insert_id();
                $this->db->query("update tag_details set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
            } else {
                $this->db->update('inspection', $request_data, array("tag_details_id" => $tag_details_id));
            }

            $mess = 'Sites ' . $tag_data['site_number'] . ' Tower Setup Completed by team ' . $schedule_tracker_data['employee_name'];
            common::add_note('Inspection Started', $mess, $tag_data['contract_id'], $tag_details_id);

            redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }

        $data['ins_data'] = sql::row("inspection", "tag_details_id='$tag_details_id'");
        $data['section_info'] = sql::row("section", "section_id='$section_id'");
        $data['action'] = 'work_list_bt/inspection_setup/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_setup';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function inspection_information($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '') {
        $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "*,contract_id,site_id_t as site_number,site_username_t as site_username,ticket_id as tag_details_id,mewp_required_t as newp_type_name,vehicle_type as vehicle_type_name,site_type_t as site_type");
        $data['site_info'] = $tag_data;
        $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'");
        if (isset($_POST['save'])) {


            $this->session->set_userdata("total_units_number", $_POST['nsection_number']);

            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection_bt", "tag_details_id='$tag_details_id'");
//
//            $tower_classification_data = sql::row("tsection", "tsection_id='{$_POST['tsection_id']}'");
//
//            $percen_of_flange_bolt_check_on_tower = (($_POST['flange_qty'] * $_POST['nleg_number'] * ($_POST['nsection_number'] - 1)) * 20) / 100;
//            $qty_flange_bolt_to_checked_in_per_section = $percen_of_flange_bolt_check_on_tower / ($_POST['nsection_number'] - 1);
//            $qty_flange_bolt_to_checked_in_per_section_round = ceil($qty_flange_bolt_to_checked_in_per_section);
//
//            $percen_of_raker_bolt_check_on_tower = (($_POST['raker_qty'] * $_POST['nleg_number'] * $_POST['nsection_number']) * 20) / 100;
//            $qty_raker_bolt_to_checked_in_per_section = $percen_of_raker_bolt_check_on_tower / $_POST['nsection_number'];
//            $qty_raker_bolt_to_checked_in_per_section_round = ceil($qty_raker_bolt_to_checked_in_per_section);
//
//            $flange_data = sql::row("flange", "flange_name='{$_POST['flange_name']}'");
//            $flange_data1 = sql::row("flange", "flange_name='{$_POST['raker_name']}'");
//
            $request_data = array(
                'employee_id' => $employee_id,
                'tag_details_id' => $tag_details_id,
                'assigned_employee' => $schedule_tracker_data['employee_name'],
                'nleg_number' => $_POST['nleg_number'],
                'nsection_number' => $_POST['nsection_number'],
                'flange_name' => $_POST['flange_name'],
                'flange_qty' => $_POST['flange_qty'],
                'raker_name' => $_POST['raker_name'],
                'raker_qty' => $_POST['raker_qty'],
                'qty_of_flange_bolt' => $_POST['flange_qty'] * $_POST['nleg_number'] * ($_POST['nsection_number'] - 1),
                'qty_of_raker_bolt' => $_POST['raker_qty'] * $_POST['nleg_number'] * $_POST['nsection_number'],
                'flange_torque_setting' => $flange_data['flange_number'],
                'raker_torque_setting' => $flange_data1['flange_number'],
                'percent_flange_bolt' => $percen_of_flange_bolt_check_on_tower,
                'qty_flange_bolt' => $qty_flange_bolt_to_checked_in_per_section,
                'round_qty_flange_bolt' => $qty_flange_bolt_to_checked_in_per_section_round,
                'percent_raker_bolt' => $percen_of_raker_bolt_check_on_tower,
                'qty_raker_bolt' => $qty_raker_bolt_to_checked_in_per_section,
                'round_qty_raker_bolt' => $qty_raker_bolt_to_checked_in_per_section_round,
                'inspection_date' => $cdate,
                'week' => date('W', strtotime($cdate)),
                'year' => date('Y', strtotime($cdate)),
                'make_model' => $_POST['make_model'],
                'serial' => $_POST['serial'],
                'location' => $_POST['location'],
                'filter_details' => $_POST['filter_details'],
                'heati_coil_temp' => $_POST['heati_coil_temp'],
                'coll_coil_temp' => $_POST['coll_coil_temp'],
                'site_number' => $tag_data['site_number']
            );

            if (count($is_exist) == 0) {
                $this->db->insert('inspection_bt', $request_data);
                $inspection_id = $this->db->insert_id();
            } else {
                $this->db->update('inspection_bt', $request_data, array("tag_details_id" => $tag_details_id));
            }

//            if ($_POST['nsection_number'] > 0) {
////                $this->db->query("delete from inspection_section_bt where tag_details_id='$tag_details_id'");
//                for ($i = 1; $i <= $_POST['nsection_number']; $i++) {
//
//                    $alpha = common::get_alphabet($i);
//
//                    $request_data_section = array(
//                        'employee_id' => $employee_id,
//                        'tag_details_id' => $tag_details_id,
//                        'inner_section_name' => 'Unit ' . $i,
//                        'inner_section_number' => $i,
//                        'make_model' => $_POST['make_model'],
//                        'serial' => $_POST['serial'],
//                        'location' => $_POST['location'],
//                        'filter_details' => $_POST['filter_details'],
//                        'heati_coil_temp' => $_POST['heati_coil_temp'],
//                        'coll_coil_temp' => $_POST['coll_coil_temp'],
//                        'site_number' => $tag_data['site_number']
//                    );
//                    $this->db->insert('inspection_section_bt', $request_data_section);
//                }
//            }
//            $mess = 'Sites ' . $tag_data['site_number'] . ' Tower Information Completed by team ' . $schedule_tracker_data['employee_name'];
//            common::add_note('Inspection Started', $mess, $tag_data['contract_id'], $tag_details_id);

            redirect('work_list_bt/inspection_information_steps/' . $tag_data['contract_id'] . '/' . $tag_details_id . '/1');
        }

        $data['ins_data'] = sql::row("inspection_bt", "tag_details_id='$tag_details_id'");
        $data['ins_data_section'] = sql::rows("inspection_section_bt", "tag_details_id='$tag_details_id' order by inspection_section_id asc");
//        print_r($data['ins_data'] );
        $data['section_info'] = sql::row("btsection", "section_id='$section_id'");
        $data['action'] = 'work_list_bt/inspection_information/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_information';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function inspection_information_steps($contract_id = '', $tag_details_id = '', $steps = '') {


        $this->session->set_userdata("bt_inspection_site_id", $tag_details_id);

        $this->session->set_userdata("bt_inspection_site_qid", 'step-' . $steps);


        $total_units_number = $this->session->userdata("total_units_number");

        $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "*,contract_id,site_id_t as site_number,site_username_t as site_username,ticket_id as tag_details_id,mewp_required_t as newp_type_name,vehicle_type as vehicle_type_name,site_type_t as site_type");
        $data['site_info'] = $tag_data;
        $ins_data_section = sql::rows("inspection_section_bt", "tag_details_id='$tag_details_id' order by inspection_section_id asc");


        $data['ins_data_section_for_steps'] = sql::row("inspection_section_bt", "tag_details_id='$tag_details_id' and inner_section_number='$steps' order by inspection_section_id asc");


        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');

            $this->session->set_userdata('file0', $data['ins_data_section_for_steps']['image0']);
            $this->session->set_userdata('file1', $data['ins_data_section_for_steps']['image1']);
            $this->session->set_userdata('file2', $data['ins_data_section_for_steps']['image2']);
            $this->session->set_userdata('file3', $data['ins_data_section_for_steps']['image3']);

            $data['file0'] = $this->session->userdata('file0');
            $data['file1'] = $this->session->userdata('file1');
            $data['file2'] = $this->session->userdata('file2');
            $data['file3'] = $this->session->userdata('file3');
        }




//        echo count($ins_data_section);exit;
//        if ($total_units_number == $steps) {
//            redirect('work_list_bt/section_list/' . $contract_id . '/' . $tag_details_id);
//        }
        if (isset($_POST['save'])) {

            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');

//            if ($_POST['nsection_number'] > 0) {
//                for ($i = 1; $i <= $_POST['nsection_number']; $i++) {


            $i = $steps;

            $alpha = common::get_alphabet($i);
            $request_data_section = array(
                'employee_id' => $employee_id,
                'tag_details_id' => $tag_details_id,
                'inner_section_name' => 'Unit ' . $i,
                'inner_section_number' => $i,
                'make_model' => $_POST['make_model'],
                'serial' => $_POST['serial'],
                'location' => $_POST['location'],
                'location_type' => $_POST['location_type'],
                'bt_coolen_name' => $_POST['bt_coolen_name'],
                'inner_section_desc' => $_POST['comments_information'],
                'filter_details' => $_POST['filter_details'],
                'bt_machine_name' => $_POST['bt_machine_name'],
                'heati_coil_temp' => $_POST['heati_coil_temp'],
                'coll_coil_temp' => $_POST['coll_coil_temp'],
                'site_number' => $tag_data['site_number'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3
            );

            if (count($data['ins_data_section_for_steps']) == 0) {

                $this->db->insert('inspection_section_bt', $request_data_section);
            } else {
                $this->db->update('inspection_section_bt', $request_data_section, array("tag_details_id" => $tag_details_id, "inner_section_number" => $steps));
            }
//                }
//            }


            $ins_data_section = sql::rows("inspection_section_bt", "tag_details_id='$tag_details_id' order by inspection_section_id asc");

            if ($total_units_number == $steps) {
                redirect('work_list_bt/section_list/' . $contract_id . '/' . $tag_details_id);
            }
            $steps = $steps + 1;

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');




            redirect('work_list_bt/inspection_information_steps/' . $contract_id . '/' . $tag_details_id . '/' . $steps);
        }

        $data['section_info'] = sql::row("btsection", "section_id='$section_id'");

        $data['action'] = 'work_list_bt/inspection_information_steps/' . $contract_id . '/' . $tag_details_id . '/' . $steps;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_information_steps';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function inspection_site_info($contract_id = '', $tag_details_id = '') {
        if (isset($_POST['save'])) {
            $tag_d_info = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "bt_ticket_type_id");
            if ($tag_d_info['bt_ticket_type_id'] == 4) {
                redirect('work_list_bt/section_list/' . $contract_id . '/' . $tag_details_id);
            }
            if ($tag_d_info['bt_ticket_type_id'] == 7) {
                redirect('work_list_bt2man/section_list/' . $contract_id . '/' . $tag_details_id);
            }
            if ($tag_d_info['bt_ticket_type_id'] == 3) {
                redirect('work_list_bt2man/section_list/' . $contract_id . '/' . $tag_details_id);
            }
        }
        if (isset($_POST['save_oos'])) {
            redirect('work_list_bt/oos_report/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_bt/inspection_site_info/' . $contract_id . '/' . $tag_details_id;
        $data['ins_info'] = sql::row("basic_inspection_bt", "tag_details_id='$tag_details_id'");
        $data['site_info'] = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "contract_id,site_id_t as site_number,site_username_t as site_username,ticket_id as tag_details_id,mewp_required_t as newp_type_name,vehicle_type as vehicle_type_name,site_type_t as site_type");

//        print_r($data['site_info'] );
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;

        if ($data['site_info']['contract_id'] == 4) {
            $data['page'] = 'inspection_site_info_oos';
        } else {
            $data['page'] = 'inspection_site_info';
        }

        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

    function oos_report($contract_id = '', $tag_details_id = '') {
        $data['action'] = 'work_list_bt/oos_report/' . $contract_id . '/' . $tag_details_id;
        $data['ins_info'] = sql::row("basic_inspection", "tag_details_id='$tag_details_id'");
        $data['site_info'] = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $data['m_info'] = sql::rows("tag_details_line", "tag_details_id='$tag_details_id' and row_details=1");
        $data['l_info'] = sql::row("tag_details_line", "tag_details_id='$tag_details_id' and row_details=2", "sum(item_qty) as qty,item_name,item_unit");
        $data['equip_info'] = sql::rows("tag_details_line", "tag_details_id='$tag_details_id' and row_details=3");
        $data['p_info'] = sql::rows("tag_details_line", "tag_details_id='$tag_details_id' and row_details=4");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'oos_job_report';
        $data['page_title'] = 'Job Report';
        $this->load->view('main', $data);
    }

    function inspection_site_info_update($contract_id = '', $tag_details_id = '') {
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');

            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');

            $is_exist = sql::row("basic_inspection_bt", "tag_details_id='$tag_details_id'");

            $this->session->set_userdata('file0', $is_exist['image0']);
            $this->session->set_userdata('file1', $is_exist['image1']);
            $this->session->set_userdata('file2', $is_exist['image2']);
            $this->session->set_userdata('file3', $is_exist['image3']);

            $this->session->set_userdata('file4', $is_exist['image4']);
            $this->session->set_userdata('file5', $is_exist['image5']);
            $this->session->set_userdata('file6', $is_exist['image6']);
            $this->session->set_userdata('file7', $is_exist['image7']);

            $data['file0'] = $this->session->userdata('file0');
            $data['file1'] = $this->session->userdata('file1');
            $data['file2'] = $this->session->userdata('file2');
            $data['file3'] = $this->session->userdata('file3');

            $data['file4'] = $this->session->userdata('file4');
            $data['file5'] = $this->session->userdata('file5');
            $data['file6'] = $this->session->userdata('file6');
            $data['file7'] = $this->session->userdata('file7');
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $this->db->query("update bt_inspection_info set site_type_t='{$_POST['site_type']}' where ticket_id='$tag_details_id'");
            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'employee_id' => $employee_id,
                'inspection_date' => date('Y-m-d'),
                'newp_type_name' => $_POST['newp_type_name'],
                'vehicle_type_name' => $_POST['vehicle_type_name'],
                'site_additional_comment' => $_POST['comments'],
                'update_site_additional_comment' => $_POST['update_comments'],
                'mewp_restrictions' => $_POST['mewp_restrictions'],
                'vehicle_restrictions' => $_POST['vehicle_restrictions'],
                'site_entrance' => $_POST['site_entrance'],
                'image0' => $this->session->userdata('file0'),
                'image1' => $this->session->userdata('file1'),
                'image2' => $this->session->userdata('file2'),
                'image3' => $this->session->userdata('file3'),
                'image4' => $this->session->userdata('file4'),
                'image5' => $this->session->userdata('file5'),
                'image6' => $this->session->userdata('file6'),
                'image7' => $this->session->userdata('file7')
            );
            $is_exist = sql::row("basic_inspection_bt", "tag_details_id='$tag_details_id'");
            if ($is_exist['tag_details_id'] != '') {
                $this->db->update('basic_inspection_bt', $details_data, array("tag_details_id" => $tag_details_id));
            } else {
                $this->db->insert('basic_inspection_bt', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            redirect('work_list_bt/inspection_site_info/' . $contract_id . '/' . $tag_details_id);
        }


        $data['action'] = 'work_list_bt/inspection_site_info_update/' . $contract_id . '/' . $tag_details_id;
        $data['ins_info'] = sql::row("basic_inspection_bt", "tag_details_id='$tag_details_id'");
        $data['site_info'] = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "site_type_t as site_type,mewp_required_t as mewp_type_name,vehicle_type as vehicle_type_name,site_id_t as site_number,site_username_t as site_username");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;

        if ($data['site_info']['contract_id'] == 4) {
            $data['page'] = 'inspection_site_info_update_oos';
        } else {
            $data['page'] = 'inspection_site_info_update';
        }
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

    function inspection($section_id = '', $tag_details_id = '', $start_l = '', $qset_id = '', $inner_section = '', $usection_id = '', $machine_type = '') {
        if ($section_id == 4) {
            $data['title_info_new'] = sql::row("inspection_section_bt", "inner_section_number='$inner_section' and tag_details_id='$tag_details_id'");
        }
        $this->session->set_userdata("bt_inspection_site_id", $tag_details_id);

        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');

        $data['start_l_new'] = $start_l;
        $data['inner_section'] = $inner_section;
        $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "site_type_t as site_type,contract_id,ticket_id as tag_details_id,site_id_t as site_number,site_username_t as site_username,system_site_status");
//        print_r($tag_data);
        $data['site_info'] = $tag_data;
        $con = '';

        if ($machine_type == '') {
            $machine_type = 'Coolant_Free';
        }

        $tag_data['site_type'] = $machine_type;



        if ($qset_id > 0) {
            $con = " and questionset_id='$qset_id'";
        }

        if ($inner_section != '') {
            $con .= " and unit_id='$inner_section' and usection_id='$usection_id'";
        }

        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
//        site_type='{$tag_data['site_type']}'
        $data['question_set_data'] = sql::row("questionsetbt", "is_checked=1 and contract_id='{$tag_data['contract_id']}'  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' $con order by questionset_number asc limit $start_l,1");

        if ($section_id != 4) {
            $data['title_info_new'] = sql::row("inspection_section_bt", "inner_section_number='{$data['question_set_data']['unit_id']}' and tag_details_id='$tag_details_id'");
        }
//        print_r($data['question_set_data']);

        if (count($data['question_set_data']) == 0) {
            redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }


        $inserted_qset_id = $data['question_set_data']['questionset_id'];

        $this->session->set_userdata("bt_inspection_site_qid", $inserted_qset_id);


//        $how_many_inner_section = sql::row("inspection_section", "tag_details_id='$tag_details_id'", "max(inner_section_number) as max_q");
//
//        if ($how_many_inner_section['max_q'] != '') {
//            $how_many_inner_section['max_q'] = $how_many_inner_section['max_q'] - 1;
//        }

        $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'");
        $all_question_count = sql::row("questionsetbt", "is_checked=1 and contract_id='{$tag_data['contract_id']}'  and site_type REGEXP '{$tag_data['site_type']}'", "count(questionset_id) as ques_c");
        $answered_count = sql::row("inspection_details_bt", "tag_details_id='$tag_details_id'", "count(inspection_details_id) as ans_c");






        if ($answered_count['ans_c'] > 0 && $tag_data['system_site_status'] < 3) {
            $this->db->query("update bt_inspection_info set system_site_status=2,system_site_date='$today_date_new' where ticket_id='$tag_details_id'");
        }





        $tag_data['site_type'] = str_replace(' ', '_', $tag_data['site_type']);
        $question_set_data = sql::row("questionsetbt", "is_checked=1 and contract_id='{$tag_data['contract_id']}'  and site_type REGEXP '{$tag_data['site_type']}' and section_id='$section_id' order by questionset_id asc limit $start_l,1");
        if (count($question_set_data) == 0) {
            $this->session->set_flashdata('msg', "Work Completed for this section");
            redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }
        if ($inner_section != '') {
            $data['check_allready_inputed'] = sql::row("inspection_details_bt", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id' and inner_section_number='$inner_section'");

//            print_r($data['check_allready_inputed'] );
        } else {
            $data['check_allready_inputed'] = sql::row("inspection_details_bt", "questionset_id='$inserted_qset_id' and tag_details_id='$tag_details_id'");
        }

        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        $data['qset_id'] = $qset_id;
        $data['section_info'] = sql::row("btsection", "section_id='$section_id'");
        $data['start_l'] = $start_l + 1;
        $data['section_id'] = $section_id;
        $main_section_id = $data['section_info']['msection_id'];


        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
//            $is_exist = sql::row("inspection", "tag_details_id='$tag_details_id'");
//            if (count($is_exist) == 0) {
//                $request_data = array(
//                    'employee_id' => $employee_id,
//                    'tag_details_id' => $tag_details_id,
//                    'assigned_employee' => $schedule_tracker_data['employee_name'],
//                    'inspection_date' => $cdate,
//                    'week' => date('W', strtotime($cdate)),
//                    'year' => date('Y', strtotime($cdate))
//                );
//                $this->db->insert('inspection', $request_data);
//                $inspection_id = $this->db->insert_id();
//                if ($tag_data['system_site_status'] < 3) {
//                    $this->db->query("update tag_details set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
//                }
//                $mess = 'Sites ' . $tag_data['site_number'] . ' inspection started by team ' . $schedule_tracker_data['employee_name'];
//                common::add_note('Inspection Started', $mess, $tag_data['contract_id'], $tag_details_id);
//            } else {
//                $this->db->query("update inspection set inspection_date='$cdate' where tag_details_id='$tag_details_id'");
//                $inspection_id = $is_exist['inspection_id'];
//            }



            $is_exist = sql::row("bt_contract_note_ins", "ticket_id='$tag_details_id' and status='WIP'");

            if (count($is_exist['status']) == 0) {
                $schedule_tracker_data = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'");
                $mess = ' Sites ' . $tag_data['site_number'] . ' started by ' . $schedule_tracker_data['employee_name'] . ' at ' . date('d/m/Y H:i');
                common::add_note_bt_ins('WIP', $mess, $tag_data['contract_id'], $tag_details_id);
            }


            $ans_data_table = sql::row("answersbt", "answers_id='{$_POST['answers']}'");
            if ($_POST['shared_checked'] == '') {
                $_POST['shared_checked'] = 0;
            }

            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');
            $img4 = $this->session->userdata('file4');
            $img5 = $this->session->userdata('file5');
            $img6 = $this->session->userdata('file6');
            $img7 = $this->session->userdata('file7');

            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("inspection_details_bt", "image0='$img0'", "inspection_details_id");
                    if ($d_img0['inspection_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("inspection_details_bt", "image1='$img1'", "inspection_details_id");
                    if ($d_img1['inspection_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("inspection_details_bt", "image2='$img2'", "inspection_details_id");
                    if ($d_img2['inspection_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("inspection_details_bt", "image3='$img3'", "inspection_details_id");
                    if ($d_img3['inspection_details_id'] != '') {
                        $img3 = 0;
                    }
                }
                if ($img4 != '' && $img4 != 0) {
                    $d_img4 = sql::row("inspection_details_bt", "image4='$img4'", "inspection_details_id");
                    if ($d_img4['inspection_details_id'] != '') {
                        $img4 = 0;
                    }
                }
                if ($img5 != '' && $img5 != 0) {
                    $d_img5 = sql::row("inspection_details_bt", "image5='$img5'", "inspection_details_id");
                    if ($d_img5['inspection_details_id'] != '') {
                        $img5 = 0;
                    }
                }
                if ($img6 != '' && $img6 != 0) {
                    $d_img6 = sql::row("inspection_details_bt", "image6='$img6'", "inspection_details_id");
                    if ($d_img6['inspection_details_id'] != '') {
                        $img6 = 0;
                    }
                }
                if ($img7 != '' && $img7 != 0) {
                    $d_img7 = sql::row("inspection_details_bt", "image7='$img7'", "inspection_details_id");
                    if ($d_img7['inspection_details_id'] != '') {
                        $img7 = 0;
                    }
                }
            }










            $make_model_inf = sql::row("inspection_section_bt", "tag_details_id='{$tag_details_id}' and inner_section_number='{$inner_section}'");

            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'inspection_id' => $inspection_id,
                'make_model' => $make_model_inf['make_model'],
                'serial' => $make_model_inf['serial'],
                'unit_id' => $data['question_set_data']['unit_id'],
                'unit_name' => $data['question_set_data']['unit_name'],
                'usection_id' => $data['question_set_data']['usection_id'],
                'usection_name' => $data['question_set_data']['usection_name'],
                'msection_name' => $data['question_set_data']['msection_name'],
                'inspection_section_id' => $make_model_inf['inspection_section_id'],
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'section_name' => $_POST['section_name'],
                'inner_section_number' => $inner_section,
                'msection_id' => $main_section_id,
                'section_id' => $section_id,
                'questionset_number' => $data['question_set_data']['questionset_number'],
                'questionset_id' => $_POST['questionset_id'],
                'questionset_name' => $_POST['questionset_name'],
                'answers' => $_POST['answers'],
                'answers_long' => $_POST['answers_long'],
                'ans_text' => $ans_data_table['answers_text'],
                'ans_st' => $_POST['ans_st'],
                'qty_answer' => $_POST['qty_answer'],
                'qty_if_failed' => $_POST['qty_if_failed'],
                'inner_section_question_two' => $_POST['inner_section_question_two'],
                'inner_section_answer_two' => $_POST['inner_section_answer_two'],
                'comments' => $_POST['comments'],
                'shared_checked' => $_POST['shared_checked'],
                'provider_name' => $_POST['provider_name'],
                'qty_shared' => $_POST['qty_shared'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                if ($inner_section != '') {
                    $this->db->update('inspection_details_bt', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id, "inner_section_number" => $inner_section));
                } else {
                    $this->db->update('inspection_details_bt', $details_data, array("questionset_id" => $inserted_qset_id, "tag_details_id" => $tag_details_id));
                }
            } else {
                $this->db->insert('inspection_details_bt', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');


            if ($qset_id > 0) {
                redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }




            $qset_id_for_redirect = $data['question_set_data']['questionset_id'];
            if ($_POST['ans_st'] == 'N/A' && ($qset_id_for_redirect == 46 || $qset_id_for_redirect == 60 || $qset_id_for_redirect == 88 || $qset_id_for_redirect == 74 || $qset_id_for_redirect == 102 || $qset_id_for_redirect == 119)) {
                redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }
            if ($_POST['ans_st'] == 'N/A' && ($qset_id_for_redirect == 29)) {
                redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }



            if ($_POST['ans_st'] == 'N/A' && ($qset_id_for_redirect == 3 || $qset_id_for_redirect == 5 || $qset_id_for_redirect == 8 || $qset_id_for_redirect == 11 || $qset_id_for_redirect == 14 || $qset_id_for_redirect == 16 || $qset_id_for_redirect == 18 || $qset_id_for_redirect == 19 || $qset_id_for_redirect == 22 || $qset_id_for_redirect == 23 || $qset_id_for_redirect == 24 || $qset_id_for_redirect == 25 || $qset_id_for_redirect == 112)) {
                redirect('work_list_bt/section_list/' . $tag_data['contract_id'] . '/' . $tag_details_id);
            }


            if ($inner_section != '') {
                redirect('work_list_bt/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id . '/' . $inner_section . '/' . $usection_id . '/' . $machine_type);
            } else {
                redirect('work_list_bt/inspection/' . $section_id . '/' . $tag_details_id . '/' . $data['start_l'] . '/' . $qset_id);
            }
        }
        if ($inner_section != '') {
            $data['action'] = 'work_list_bt/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id . '/' . $inner_section . '/' . $usection_id . '/' . $machine_type;
        } else {
            $data['action'] = 'work_list_bt/inspection/' . $section_id . '/' . $tag_details_id . '/' . $start_l . '/' . $qset_id;
        }






//        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $count_of_ins = count($data['ins_data']);
        $data['color_info'] = sql::row("color", "color_number='$count_of_ins'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection';
        $data['page_title'] = 'Start Inspection';
        $this->load->view('main', $data);
    }

    function start_oos($contract_id = '', $tag_details_id = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        $tag_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");

        $today_date_new = date('Y-m-d');
        if ($tag_data['system_site_status'] < 2) {
            $this->db->query("update tag_details set system_site_status=2,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
        }



        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
        }

        $data['check_allready_inputed'] = sql::row("inspection_details_bt", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
            }
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $schedule_tracker_data = sql::row("schedule_tracker", "tag_details_id='$tag_details_id'");
            $cdate = date('Y-m-d');
            $is_exist = sql::row("inspection", "tag_details_id='$tag_details_id'");
            if (count($is_exist) == 0) {
                $request_data = array(
                    'employee_id' => $employee_id,
                    'tag_details_id' => $tag_details_id,
                    'assigned_employee' => $schedule_tracker_data['employee_name'],
                    'inspection_date' => $cdate,
                    'week' => date('W', strtotime($cdate)),
                    'year' => date('Y', strtotime($cdate))
                );
                $this->db->insert('inspection', $request_data);
                $inspection_id = $this->db->insert_id();
//                if ($tag_data['system_site_status'] < 3) {
//                    $this->db->query("update tag_details set system_site_status=3,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");
//                }
                $mess = 'Sites ' . $tag_data['site_number'] . ' Work Started by team ' . $schedule_tracker_data['employee_name'];
                common::add_note('Work Started', $mess, $tag_data['contract_id'], $tag_details_id);
            } else {
                $this->db->query("update inspection set inspection_date='$cdate' where tag_details_id='$tag_details_id'");
                $inspection_id = $is_exist['inspection_id'];
            }
            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');

            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("inspection_details_bt", "image0='$img0'", "inspection_details_id");
                    if ($d_img0['inspection_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("inspection_details_bt", "image1='$img1'", "inspection_details_id");
                    if ($d_img1['inspection_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("inspection_details_bt", "image2='$img2'", "inspection_details_id");
                    if ($d_img2['inspection_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("inspection_details_bt", "image3='$img3'", "inspection_details_id");
                    if ($d_img3['inspection_details_id'] != '') {
                        $img3 = 0;
                    }
                }
            }
            $details_data = array(
                'tag_details_id' => $tag_details_id,
                'inspection_id' => $inspection_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'comments' => $_POST['comments'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3
            );
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->db->update('inspection_details_bt', $details_data, array("tag_details_id" => $tag_details_id));
            } else {
                $this->db->insert('inspection_details_bt', $details_data);
            }
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            redirect('work_list_bt/start_oos_step2/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_bt/start_oos/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function start_oos_step2($contract_id = '', $tag_details_id = '') {
        $this->session->set_userdata("tag_details_id_for_image", $tag_details_id);
        $tag_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['check_allready_inputed'] = sql::row("inspection_details_bt", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $schedule_tracker_data = sql::row("schedule_tracker", "tag_details_id='$tag_details_id'");
            $cdate = date('Y-m-d');


            $mess = 'Sites ' . $tag_data['site_number'] . ' Work in review by team ' . $schedule_tracker_data['employee_name'];
            common::add_note('Work in review', $mess, $tag_data['contract_id'], $tag_details_id);


            $img0 = $this->session->userdata('file0');
            $img1 = $this->session->userdata('file1');
            $img2 = $this->session->userdata('file2');
            $img3 = $this->session->userdata('file3');
            $img4 = $this->session->userdata('file4');
            $img5 = $this->session->userdata('file5');
            $img6 = $this->session->userdata('file6');
            $img7 = $this->session->userdata('file7');

            $details_data = array(
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'comments' => $_POST['comments'],
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );

            $this->db->update('inspection_details_bt', $details_data, array("tag_details_id" => $tag_details_id));

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
            redirect('work_list_bt/start_oos_review/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_bt/start_oos_step2/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos_step2';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function start_oos_review($contract_id = '', $tag_details_id = '') {

        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');
        }
        $today_date_new = date('Y-m-d');
        $data['check_allready_inputed'] = sql::row("inspection_details_bt", "tag_details_id='$tag_details_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['tag_details_id'] != '') {
                $this->session->set_userdata('file0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('file1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('file2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('file3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('file4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('file5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('file6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('file7', $data['check_allready_inputed']['image7']);
                $data['file0'] = $this->session->userdata('file0');
                $data['file1'] = $this->session->userdata('file1');
                $data['file2'] = $this->session->userdata('file2');
                $data['file3'] = $this->session->userdata('file3');
                $data['file4'] = $this->session->userdata('file4');
                $data['file5'] = $this->session->userdata('file5');
                $data['file6'] = $this->session->userdata('file6');
                $data['file7'] = $this->session->userdata('file7');
            }
        }
        if (isset($_POST['save'])) {
            $this->db->query("update tag_details set system_site_status=3,system_site_date=' $today_date_new'  where tag_details_id='$tag_details_id'");

            $this->session->unset_userdata('file0');
            $this->session->unset_userdata('file1');
            $this->session->unset_userdata('file2');
            $this->session->unset_userdata('file3');
            $this->session->unset_userdata('file4');
            $this->session->unset_userdata('file5');
            $this->session->unset_userdata('file6');
            $this->session->unset_userdata('file7');

            $schedule_tracker_data = sql::row("schedule_tracker", "tag_details_id='$tag_details_id'");
            $tag_data = sql::row("tag_details", "tag_details_id='$tag_details_id'");
            $mess = 'Sites ' . $tag_data['site_number'] . ' Work Completed by team ' . $schedule_tracker_data['employee_name'];
            common::add_note('Completed', $mess, $tag_data['contract_id'], $tag_details_id);


            redirect('work_list_bt/index');
        }

        $data['step1_edit'] = 'work_list_bt/start_oos/' . $contract_id . '/' . $tag_details_id;

        $data['step2_edit'] = 'work_list_bt/start_oos_step2/' . $contract_id . '/' . $tag_details_id;

        $data['action'] = 'work_list_bt/start_oos_review/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("tag_details", "tag_details_id='$tag_details_id'");
        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'start_oos_review';
        $data['page_title'] = 'Start OOS';
        $this->load->view('main', $data);
    }

    function inspection_pic0() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");


        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic0_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic1() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic1_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic2() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic2_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic3() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic3_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic4() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic4_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file4', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic5() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic5_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file5', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic6() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic6_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file6', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function inspection_pic7() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'site_image_bt/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_pic7_' . date('Y_m_d_h_i_s') . '_' . $sid . '_' . $qid . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('file7', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic0() {
        $sid = $this->session->userdata("bt_inspection_site_id");
        $qid = $this->session->userdata("bt_inspection_site_qid");
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img0_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile0', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic1() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img1_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile1', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic2() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img2_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile2', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic3() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img3_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile3', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic4() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img4_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile4', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic5() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img5_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile5', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic6() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img6_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile6', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic7() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img7_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile7', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic8() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img8_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile8', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic9() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img9_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile9', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic10() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img10_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile10', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic11() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img11_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile11', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic12() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img12_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile12', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic13() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img13_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile13', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic14() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img14_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile14', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function bt_inspection_pic15() {
        $ticket_id_for_img = $this->session->userdata("ticket_id_for_img");
        if ($_POST) {
            define('UPLOAD_DIR', UPLOAD_PATH . 'bt_site_image/');
            $img = $_POST['image'];
            $img = str_replace('data:image/jpeg;base64,', '', $img);
            $img = str_replace(' ', '+', $img);
            $data = base64_decode($img);
            $filename = uniqid() . '_img15_' . date('Y_m_d_h_i_s') . '_' . $ticket_id_for_img . '.jpg';
            $file = UPLOAD_DIR . $filename;
            $success = file_put_contents($file, $data);
            $this->session->set_userdata('btfile15', "$filename");
            print $success ? $file : 'Unable to save the file.';
        }
    }

    function failed_inspection($contract_id = '', $tag_details_id = '') {

        $this->session->set_userdata("bt_inspection_site_id", $tag_details_id);


        $this->session->set_userdata("ticket_id_for_img", $tag_details_id . '_' . 'bt_inspection_info');


        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $tag_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "ticket_id as tag_details_id,contract_id,site_id_t as site_number,site_username_t as site_username,site_type_t as stie_type");
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $details_data = array(
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'system_site_status' => 11,
                'system_site_date' => date('Y-m-d')
            );
            $this->db->update('bt_inspection_info', $details_data, array("ticket_id" => $tag_details_id));





            $img0 = $this->session->userdata('failed_file0');
            $img1 = $this->session->userdata('failed_file1');
            $img2 = $this->session->userdata('failed_file2');
            $img3 = $this->session->userdata('failed_file3');
            $img4 = $this->session->userdata('failed_file4');
            $img5 = $this->session->userdata('failed_file5');
            $img6 = $this->session->userdata('failed_file6');
            $img7 = $this->session->userdata('failed_file7');
            $details_data = array(
                'inspection_ticket_id' => $tag_details_id,
                'created_by' => $employee_id,
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'update_system_site_date' => date('Y-m-d H:i:s'),
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            $this->db->insert('all_failed_images', $details_data);
            $this->session->unset_userdata("ticket_id_for_img");
            $this->session->unset_userdata('failed_file0');
            $this->session->unset_userdata('failed_file1');
            $this->session->unset_userdata('failed_file2');
            $this->session->unset_userdata('failed_file3');
            $this->session->unset_userdata('failed_file4');
            $this->session->unset_userdata('failed_file5');
            $this->session->unset_userdata('failed_file6');
            $this->session->unset_userdata('failed_file7');



            $mess = 'Sites ' . $tag_data['site_number'] . ' inspection is failed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y') . ' Note: ' . $_POST['failed_section_name'] . '-' . $_POST['failed_comments'];
            common::add_note_bt_ins('Inspection Failed', $mess, $tag_data['contract_id'], $tag_details_id);

            $this->session->unset_userdata("bt_inspection_site_id");

            redirect('home');

//            redirect('work_list/index/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_bt/failed_inspection/' . $contract_id . '/' . $tag_details_id;
        $data['site_info'] = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "ticket_id as tag_details_id,contract_id,site_id_t as site_number,site_username_t as site_username,site_type_t as stie_type");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'failed_inspection';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

    function failed_inspection_ticket($contract_id = '', $ticket_id = '') {
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $tag_data = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $details_data = array(
                'failed_section_name' => $_POST['failed_section_name'],
                'failed_comments' => $_POST['failed_comments'],
                'system_site_status' => 11,
                'system_site_date' => date('Y-m-d')
            );
            $this->db->update('bt_ticket_info', $details_data, array("ticket_id" => $ticket_id));
            $site_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $mess = 'Sites ' . $site_data['site_id'] . ' inspection is failed by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' on ' . date('d-M-Y');
            common::add_note_bt('Failed Visit', $mess, $tag_data['contract_id'], $ticket_id);
            redirect('work_list_bt/ticket/' . $contract_id . '/' . $ticket_id);
        }

        $data['action'] = 'work_list_bt/failed_inspection_ticket/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");

        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'failed_inspection_ticket';
        $data['page_title'] = 'Site Information';
        $this->load->view('main', $data);
    }

    function start_the_ticket($contract_id = '', $tag_details_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        $tag_data = sql::row("bt_ticket_info", "ticket_id='$tag_details_id'");

        $site_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'", "site_id as site_number");

        $employee_info = sql::row("employee", "employee_id='$employee_id'");
        $details_data = array(
            'system_site_status' => 2,
            'ticket_date_time_start' => date('Y-m-d H:i:s')
        );
        $this->db->update('bt_ticket_info', $details_data, array("ticket_id" => $tag_details_id));
        $mess = 'Ticket ' . $tag_data['ticket_number'] . ' Sites ' . $site_data['site_number'] . ' started by ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' at ' . date('d/m/Y H:i');
        common::add_note_bt('WIP', $mess, $tag_data['contract_id'], $tag_details_id);
        redirect('work_list_bt/ticket_info/' . $contract_id . '/' . $tag_details_id);
    }

    function site_report($tag_details_id = '', $section_id = '', $how_many_question = '') {
        $data['company_info'] = sql::row("company_details");
        $data['tag_details_info'] = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "ticket_id as tag_details_id,site_type_t as site_type,site_id_t as site_number,site_username_t as site_username,contract_id");
        $data['site_info'] = $data['tag_details_info'];
        $data['contract_info'] = sql::row("contract", "contract_id='{$data['tag_details_info']['contract_id']}'");
        $data['customer_info'] = sql::row("customer", "customer_id='{$data['contract_info']['customer_id']}'");

        $data['inspection_info'] = sql::row("inspection_bt", "tag_details_id='$tag_details_id'");

        $data['inspection_section'] = sql::rows("inspection_section_bt", "tag_details_id='$tag_details_id' order by inspection_section_id asc");

        $data['assigned_e'] = sql::row("bt_schedule_tracker", "ticket_id='$tag_details_id'", "group_concat(distinct(bt_schedule_tracker.employee_name)) as all_emp");

        $condition = '';
        if ($section_id != '') {
            $condition = " and inspection_details_bt.section_id='$section_id'";
        }

        if ($main_section_id != '') {
            $condition = " and inspection_details_bt.msection_id='$main_section_id'";
        }


        $query = $this->db->query("select inspection_details_bt.*,btmsection.msection_name,btsection.section_name from inspection_details_bt 
left join btsection on btsection.section_id=inspection_details_bt.section_id 
left join btmsection on btmsection.msection_id=btsection.msection_id 
left join questionsetbt on questionsetbt.questionset_id=inspection_details_bt.questionset_id 
where inspection_details_bt.tag_details_id='{$tag_details_id}' $condition group by inspection_details_bt.inner_section_number asc,inspection_details_bt.questionset_id asc order by inspection_details_bt.inner_section_number asc,btmsection.msection_id asc,btsection.section_id asc,questionsetbt.questionset_number asc");

        $data['details_info'] = $query->result_array();
        $data['how_many_question'] = $how_many_question;
//print_r($data['details_info']);
        $data['default_page'] = 1;
        $data['folder_name_email'] = 'site_report';
        $data['file_name_email'] = 'site_report_' . $tag_details_id;
        $data['subject'] = 'Site Report ' . $data['site_username'] . ' ' . $data['site_number'];
//        common::make_folder_if_not_exist('invoice_request_ret');
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['section_id'] = $section_id;


        $data['ins_data_count'] = sql::rows("inspection_bt", "tag_details_id='$tag_details_id' order by inspection_id desc");
//        print_r($data['ins_data_count']);
        $count_of_ins = count($data['ins_data_count']);

        $data['color_info'] = sql::row("color", "color_number='$count_of_ins'");

        if ($section_id != '') {

//            $data['inspection_data']

            $data['section_status_rej'] = sql::row("tag_details_approve_app_bt", "section_id='$section_id' and section_status=0  and tag_details_id='$tag_details_id'");
            $data['section_status'] = sql::row("tag_details_approve_app_bt", "section_id='$section_id' and section_status=1 and tag_details_id='$tag_details_id'");

            if ($section_id == 5) {
                $data['page'] = 'site_report_section_tower_setup';
            } else if ($section_id == 6) {
                $data['page'] = 'site_report_section_tower_information';
            } else if ($section_id == 4) {
                $data['page'] = 'site_report_section_torque';
            } else {
                $data['page'] = 'site_report_section';
            }
        } else {
            $data['page'] = 'site_report';
        }
        $data['tag_details_id_for_unit'] = $tag_details_id;
        $data['popup'] = true;
        $data['calender'] = true;
        $data['main_section_id'] = $main_section_id;
        $data['page_title'] = 'Site Maintenance Inspection';
        $data['page_title_section'] = $data['tag_details_info']['site_number'] . ' ' . $data['tag_details_info']['site_username'] . ' ' . $data['details_info'][0]['section_name'];
        $this->load->view('main', $data);
    }

    function change_status_section($tag_details_id = '', $section_id = '') {
        $site_data = sql::row("bt_inspection_info", "ticket_id='$tag_details_id'", "ticket_id as tag_details_id,contract_id,site_type_t as site_type,site_id_t as site_number,site_username_t as site_username");
        $employee_id = $this->session->userdata('employee_id');
        $this->db->query("insert into tag_details_approve_app_bt set section_status=1,section_id='$section_id',tag_details_id='$tag_details_id',done_by='$employee_id'");
        redirect('work_list_bt/section_list/' . $site_data['contract_id'] . '/' . $site_data['tag_details_id'] . '/0');
    }

    function ticket_info($contract_id = '', $tag_details_id = '') {
        if (isset($_POST['save'])) {
            redirect('work_list_bt/complete_ticket/' . $contract_id . '/' . $tag_details_id);
        }
        $data['action'] = 'work_list_bt/ticket_info/' . $contract_id . '/' . $tag_details_id;
//        $data['ins_info'] = sql::row("basic_inspection", "tag_details_id='$tag_details_id'");
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$tag_details_id'");

        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'ticket_info';
        $data['page_title'] = 'Ticket Information';
        $this->load->view('main', $data);
    }

    function complete_ticket_backup_17_1_2022($contract_id = '', $ticket_id = '') {
        $this->session->set_userdata("ticket_id_for_img", $ticket_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');
        }
        $data['check_allready_inputed'] = sql::row("bt_work_details", "ticket_id='$ticket_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->session->set_userdata('btfile0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('btfile1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('btfile2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('btfile3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('btfile4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('btfile5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('btfile6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('btfile7', $data['check_allready_inputed']['image7']);
                $this->session->set_userdata('btfile8', $data['check_allready_inputed']['image8']);
                $this->session->set_userdata('btfile9', $data['check_allready_inputed']['image9']);
                $this->session->set_userdata('btfile10', $data['check_allready_inputed']['image10']);
                $this->session->set_userdata('btfile11', $data['check_allready_inputed']['image11']);
                $this->session->set_userdata('btfile12', $data['check_allready_inputed']['image12']);
                $this->session->set_userdata('btfile13', $data['check_allready_inputed']['image13']);
                $this->session->set_userdata('btfile14', $data['check_allready_inputed']['image14']);
                $this->session->set_userdata('btfile15', $data['check_allready_inputed']['image15']);
                $data['btfile0'] = $this->session->userdata('btfile0');
                $data['btfile1'] = $this->session->userdata('btfile1');
                $data['btfile2'] = $this->session->userdata('btfile2');
                $data['btfile3'] = $this->session->userdata('btfile3');
                $data['btfile4'] = $this->session->userdata('btfile4');
                $data['btfile5'] = $this->session->userdata('btfile5');
                $data['btfile6'] = $this->session->userdata('btfile6');
                $data['btfile7'] = $this->session->userdata('btfile7');

                $data['btfile8'] = $this->session->userdata('btfile8');
                $data['btfile9'] = $this->session->userdata('btfile9');
                $data['btfile10'] = $this->session->userdata('btfile10');
                $data['btfile11'] = $this->session->userdata('btfile11');
                $data['btfile12'] = $this->session->userdata('btfile12');
                $data['btfile13'] = $this->session->userdata('btfile13');
                $data['btfile14'] = $this->session->userdata('btfile14');
                $data['btfile15'] = $this->session->userdata('btfile15');
            }
        }



        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $tag_data = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("ticket_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
//            if ($tag_data['system_site_status'] < 3) {
//                $date_time = date('Y-m-d H:i:s');
//                $this->db->query("update bt_ticket_info set system_site_status=3,system_site_date=' $today_date_new',ticket_com_date_time='$date_time'  where ticket_id='$ticket_id'");
//            }

            $already_inreview = sql::rows("bt_contract_note", "ticket_id='$ticket_id' and contract_id='{$tag_data['contract_id']}' and status='Ticket Work in Review'");
            if (count($already_inreview) == 0) {
                $mess = 'Ticket ' . $tag_data['ticket_number'] . ' site ' . $sites_data['site_number'] . ' reviewing by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_bt('Ticket Work in Review ', $mess, $tag_data['contract_id'], $ticket_id);
            }

            $img0 = $this->session->userdata('btfile0');
            $img1 = $this->session->userdata('btfile1');
            $img2 = $this->session->userdata('btfile2');
            $img3 = $this->session->userdata('btfile3');
            $img4 = $this->session->userdata('btfile4');
            $img5 = $this->session->userdata('btfile5');
            $img6 = $this->session->userdata('btfile6');
            $img7 = $this->session->userdata('btfile7');


            $img8 = $this->session->userdata('btfile8');
            $img9 = $this->session->userdata('btfile9');

            $img10 = $this->session->userdata('btfile10');
            $img11 = $this->session->userdata('btfile11');
            $img12 = $this->session->userdata('btfile12');
            $img13 = $this->session->userdata('btfile13');
            $img14 = $this->session->userdata('btfile14');
            $img15 = $this->session->userdata('btfile15');



            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("bt_work_details", "image0='$img0'", "work_details_id");
                    if ($d_img0['work_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("bt_work_details", "image1='$img1'", "work_details_id");
                    if ($d_img1['work_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("bt_work_details", "image2='$img2'", "work_details_id");
                    if ($d_img2['work_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("bt_work_details", "image3='$img3'", "work_details_id");
                    if ($d_img3['work_details_id'] != '') {
                        $img3 = 0;
                    }
                }
                if ($img4 != '' && $img4 != 0) {
                    $d_img4 = sql::row("bt_work_details", "image4='$img4'", "work_details_id");
                    if ($d_img4['work_details_id'] != '') {
                        $img4 = 0;
                    }
                }
                if ($img5 != '' && $img5 != 0) {
                    $d_img5 = sql::row("bt_work_details", "image5='$img5'", "work_details_id");
                    if ($d_img5['work_details_id'] != '') {
                        $img5 = 0;
                    }
                }
                if ($img6 != '' && $img6 != 0) {
                    $d_img6 = sql::row("bt_work_details", "image6='$img6'", "work_details_id");
                    if ($d_img6['work_details_id'] != '') {
                        $img6 = 0;
                    }
                }
                if ($img7 != '' && $img7 != 0) {
                    $d_img7 = sql::row("bt_work_details", "image7='$img7'", "work_details_id");
                    if ($d_img7['work_details_id'] != '') {
                        $img7 = 0;
                    }
                }


                if ($img8 != '' && $img8 != 0) {
                    $d_img8 = sql::row("bt_work_details", "image8='$img8'", "work_details_id");
                    if ($d_img8['work_details_id'] != '') {
                        $img8 = 0;
                    }
                }

                if ($img9 != '' && $img9 != 0) {
                    $d_img9 = sql::row("bt_work_details", "image9='$img9'", "work_details_id");
                    if ($d_img9['work_details_id'] != '') {
                        $img9 = 0;
                    }
                }

                if ($img10 != '' && $img10 != 0) {
                    $d_img10 = sql::row("bt_work_details", "image10='$img10'", "work_details_id");
                    if ($d_img10['work_details_id'] != '') {
                        $img10 = 0;
                    }
                }

                if ($img11 != '' && $img11 != 0) {
                    $d_img11 = sql::row("bt_work_details", "image11='$img11'", "work_details_id");
                    if ($d_img11['work_details_id'] != '') {
                        $img11 = 0;
                    }
                }

                if ($img12 != '' && $img12 != 0) {
                    $d_img12 = sql::row("bt_work_details", "image12='$img12'", "work_details_id");
                    if ($d_img12['work_details_id'] != '') {
                        $img12 = 0;
                    }
                }

                if ($img13 != '' && $img13 != 0) {
                    $d_img13 = sql::row("bt_work_details", "image13='$img13'", "work_details_id");
                    if ($d_img13['work_details_id'] != '') {
                        $img13 = 0;
                    }
                }

                if ($img14 != '' && $img14 != 0) {
                    $d_img14 = sql::row("bt_work_details", "image14='$img14'", "work_details_id");
                    if ($d_img14['work_details_id'] != '') {
                        $img14 = 0;
                    }
                }
                if ($img15 != '' && $img15 != 0) {
                    $d_img15 = sql::row("bt_work_details", "image15='$img15'", "work_details_id");
                    if ($d_img15['work_details_id'] != '') {
                        $img15 = 0;
                    }
                }
            }
            $details_data = array(
                'ticket_id' => $ticket_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'work_details_description' => $_POST['ans_text'],
                'additional_work_required' => $_POST['shared_checked'],
                'comments' => $_POST['comments'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
                'image8' => $img8,
                'image9' => $img9,
                'image10' => $img10,
                'image11' => $img11,
                'image12' => $img12,
                'image13' => $img13,
                'image14' => $img14,
                'image15' => $img15,
            );
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->db->update('bt_work_details', $details_data, array("ticket_id" => $ticket_id));
            } else {
                $this->db->insert('bt_work_details', $details_data);
            }

            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');

            redirect('work_list_bt/ticket_in_review/' . $contract_id . '/' . $ticket_id);

//            redirect('work_list_bt/ticket/' . $tag_data['contract_id'] . '/' . $tag_details_id);
        }

        $data['action'] = 'work_list_bt/complete_ticket/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");


        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");



//        $data['ins_data'] = sql::rows("inspection", "tag_details_id='$tag_details_id' order by inspection_id desc");
//        $count_of_ins = count($data['ins_data']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket';
        $data['page_title'] = 'Start Job';
        $this->load->view('main', $data);
    }

    function complete_ticket($contract_id = '', $ticket_id = '') {
        $this->session->set_userdata("ticket_id_for_img", $ticket_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');
        }
        $data['check_allready_inputed'] = sql::row("bt_work_details", "ticket_id='$ticket_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->session->set_userdata('btfile0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('btfile1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('btfile2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('btfile3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('btfile4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('btfile5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('btfile6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('btfile7', $data['check_allready_inputed']['image7']);
                $data['btfile0'] = $this->session->userdata('btfile0');
                $data['btfile1'] = $this->session->userdata('btfile1');
                $data['btfile2'] = $this->session->userdata('btfile2');
                $data['btfile3'] = $this->session->userdata('btfile3');
                $data['btfile4'] = $this->session->userdata('btfile4');
                $data['btfile5'] = $this->session->userdata('btfile5');
                $data['btfile6'] = $this->session->userdata('btfile6');
                $data['btfile7'] = $this->session->userdata('btfile7');
            }
        }
        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $tag_data = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("ticket_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
//            $already_inreview = sql::rows("bt_contract_note", "ticket_id='$ticket_id' and contract_id='{$tag_data['contract_id']}' and status='Ticket Work in Review'");
//            if (count($already_inreview) == 0) {
//                $mess = 'Ticket ' . $tag_data['ticket_number'] . ' site ' . $sites_data['site_number'] . ' reviewing by team ' . $schedule_tracker_data['employee_name'];
//                common::add_note_bt('Ticket Work in Review ', $mess, $tag_data['contract_id'], $ticket_id);
//            }
            $img0 = $this->session->userdata('btfile0');
            $img1 = $this->session->userdata('btfile1');
            $img2 = $this->session->userdata('btfile2');
            $img3 = $this->session->userdata('btfile3');
            $img4 = $this->session->userdata('btfile4');
            $img5 = $this->session->userdata('btfile5');
            $img6 = $this->session->userdata('btfile6');
            $img7 = $this->session->userdata('btfile7');
            if ($_POST['inspection_details_id'] == '') {
                if ($img0 != '' && $img0 != 0) {
                    $d_img0 = sql::row("bt_work_details", "image0='$img0'", "work_details_id");
                    if ($d_img0['work_details_id'] != '') {
                        $img0 = 0;
                    }
                }
                if ($img1 != '' && $img1 != 0) {
                    $d_img1 = sql::row("bt_work_details", "image1='$img1'", "work_details_id");
                    if ($d_img1['work_details_id'] != '') {
                        $img1 = 0;
                    }
                }
                if ($img2 != '' && $img2 != 0) {
                    $d_img2 = sql::row("bt_work_details", "image2='$img2'", "work_details_id");
                    if ($d_img2['work_details_id'] != '') {
                        $img2 = 0;
                    }
                }
                if ($img3 != '' && $img3 != 0) {
                    $d_img3 = sql::row("bt_work_details", "image3='$img3'", "work_details_id");
                    if ($d_img3['work_details_id'] != '') {
                        $img3 = 0;
                    }
                }
                if ($img4 != '' && $img4 != 0) {
                    $d_img4 = sql::row("bt_work_details", "image4='$img4'", "work_details_id");
                    if ($d_img4['work_details_id'] != '') {
                        $img4 = 0;
                    }
                }
                if ($img5 != '' && $img5 != 0) {
                    $d_img5 = sql::row("bt_work_details", "image5='$img5'", "work_details_id");
                    if ($d_img5['work_details_id'] != '') {
                        $img5 = 0;
                    }
                }
                if ($img6 != '' && $img6 != 0) {
                    $d_img6 = sql::row("bt_work_details", "image6='$img6'", "work_details_id");
                    if ($d_img6['work_details_id'] != '') {
                        $img6 = 0;
                    }
                }
                if ($img7 != '' && $img7 != 0) {
                    $d_img7 = sql::row("bt_work_details", "image7='$img7'", "work_details_id");
                    if ($d_img7['work_details_id'] != '') {
                        $img7 = 0;
                    }
                }
            }
            $details_data = array(
                'ticket_id' => $ticket_id,
                'employee_id' => $employee_id,
                'details_date' => $cdate,
                'work_details_description' => $_POST['ans_text'],
                'image0' => $img0,
                'image1' => $img1,
                'image2' => $img2,
                'image3' => $img3,
                'image4' => $img4,
                'image5' => $img5,
                'image6' => $img6,
                'image7' => $img7,
            );
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->db->update('bt_work_details', $details_data, array("ticket_id" => $ticket_id));
            } else {
                $this->db->insert('bt_work_details', $details_data);
            }
            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');
            redirect('work_list_bt/complete_ticket_additional/' . $contract_id . '/' . $ticket_id);
        }
        $data['action'] = 'work_list_bt/complete_ticket/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket';
        $data['page_title'] = 'Start Job';
        $this->load->view('main', $data);
    }

    function complete_ticket_additional($contract_id = '', $ticket_id = '') {
        $this->session->set_userdata("ticket_id_for_img", $ticket_id);
        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');
        }
        $data['check_allready_inputed'] = sql::row("bt_work_details", "ticket_id='$ticket_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->session->set_userdata('btfile8', $data['check_allready_inputed']['image8']);
                $this->session->set_userdata('btfile9', $data['check_allready_inputed']['image9']);
                $this->session->set_userdata('btfile10', $data['check_allready_inputed']['image10']);
                $this->session->set_userdata('btfile11', $data['check_allready_inputed']['image11']);
                $this->session->set_userdata('btfile12', $data['check_allready_inputed']['image12']);
                $this->session->set_userdata('btfile13', $data['check_allready_inputed']['image13']);
                $this->session->set_userdata('btfile14', $data['check_allready_inputed']['image14']);
                $this->session->set_userdata('btfile15', $data['check_allready_inputed']['image15']);

                $data['btfile8'] = $this->session->userdata('btfile8');
                $data['btfile9'] = $this->session->userdata('btfile9');
                $data['btfile10'] = $this->session->userdata('btfile10');
                $data['btfile11'] = $this->session->userdata('btfile11');
                $data['btfile12'] = $this->session->userdata('btfile12');
                $data['btfile13'] = $this->session->userdata('btfile13');
                $data['btfile14'] = $this->session->userdata('btfile14');
                $data['btfile15'] = $this->session->userdata('btfile15');
            }
        }



        if (isset($_POST['save'])) {
            $employee_id = $this->session->userdata('employee_id');
            $cdate = date('Y-m-d');
            $tag_data = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("ticket_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
            $already_inreview = sql::rows("bt_contract_note", "ticket_id='$ticket_id' and contract_id='{$tag_data['contract_id']}' and status='Ticket Work in Review'");
            if (count($already_inreview) == 0) {
                $mess = 'Ticket ' . $tag_data['ticket_number'] . ' site ' . $sites_data['site_number'] . ' reviewing by team ' . $schedule_tracker_data['employee_name'];
                common::add_note_bt('Ticket Work in Review ', $mess, $tag_data['contract_id'], $ticket_id);
            }



            $img8 = $this->session->userdata('btfile8');
            $img9 = $this->session->userdata('btfile9');

            $img10 = $this->session->userdata('btfile10');
            $img11 = $this->session->userdata('btfile11');
            $img12 = $this->session->userdata('btfile12');
            $img13 = $this->session->userdata('btfile13');
            $img14 = $this->session->userdata('btfile14');
            $img15 = $this->session->userdata('btfile15');


            $details_data = array(
                'additional_work_required' => $_POST['shared_checked'],
                'comments' => $_POST['comments'],
                'image8' => $img8,
                'image9' => $img9,
                'image10' => $img10,
                'image11' => $img11,
                'image12' => $img12,
                'image13' => $img13,
                'image14' => $img14,
                'image15' => $img15,
            );

            $this->db->update('bt_work_details', $details_data, array("ticket_id" => $ticket_id));

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');

            redirect('work_list_bt/ticket_in_review/' . $contract_id . '/' . $ticket_id);
        }

        $data['action'] = 'work_list_bt/complete_ticket_additional/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");


        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");

        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket_additional';
        $data['page_title'] = 'Start Job';
        $this->load->view('main', $data);
    }

    function ticket_in_review($contract_id = '', $ticket_id = '') {

        if (!isset($_POST['save'])) {
            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');
        }
        $data['check_allready_inputed'] = sql::row("bt_work_details", "ticket_id='$ticket_id'");
        if (!isset($_POST['save'])) {
            if ($data['check_allready_inputed']['ticket_id'] != '') {
                $this->session->set_userdata('btfile0', $data['check_allready_inputed']['image0']);
                $this->session->set_userdata('btfile1', $data['check_allready_inputed']['image1']);
                $this->session->set_userdata('btfile2', $data['check_allready_inputed']['image2']);
                $this->session->set_userdata('btfile3', $data['check_allready_inputed']['image3']);
                $this->session->set_userdata('btfile4', $data['check_allready_inputed']['image4']);
                $this->session->set_userdata('btfile5', $data['check_allready_inputed']['image5']);
                $this->session->set_userdata('btfile6', $data['check_allready_inputed']['image6']);
                $this->session->set_userdata('btfile7', $data['check_allready_inputed']['image7']);
                $this->session->set_userdata('btfile8', $data['check_allready_inputed']['image8']);
                $this->session->set_userdata('btfile9', $data['check_allready_inputed']['image9']);
                $this->session->set_userdata('btfile10', $data['check_allready_inputed']['image10']);
                $this->session->set_userdata('btfile11', $data['check_allready_inputed']['image11']);
                $this->session->set_userdata('btfile12', $data['check_allready_inputed']['image12']);
                $this->session->set_userdata('btfile13', $data['check_allready_inputed']['image13']);
                $this->session->set_userdata('btfile14', $data['check_allready_inputed']['image14']);
                $this->session->set_userdata('btfile15', $data['check_allready_inputed']['image15']);
                $data['btfile0'] = $this->session->userdata('btfile0');
                $data['btfile1'] = $this->session->userdata('btfile1');
                $data['btfile2'] = $this->session->userdata('btfile2');
                $data['btfile3'] = $this->session->userdata('btfile3');
                $data['btfile4'] = $this->session->userdata('btfile4');
                $data['btfile5'] = $this->session->userdata('btfile5');
                $data['btfile6'] = $this->session->userdata('btfile6');
                $data['btfile7'] = $this->session->userdata('btfile7');

                $data['btfile8'] = $this->session->userdata('btfile8');
                $data['btfile9'] = $this->session->userdata('btfile9');
                $data['btfile10'] = $this->session->userdata('btfile10');
                $data['btfile11'] = $this->session->userdata('btfile11');
                $data['btfile12'] = $this->session->userdata('btfile12');
                $data['btfile13'] = $this->session->userdata('btfile13');
                $data['btfile14'] = $this->session->userdata('btfile14');
                $data['btfile15'] = $this->session->userdata('btfile15');
            }
        }

        if (isset($_POST['save'])) {
            $tag_data = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");
            $sites_data = sql::row("bt_sites", "bt_id='{$tag_data['bt_id']}'");
            $schedule_tracker_data = sql::row("ticket_schedule_tracker", "ticket_id='$ticket_id'");
            $today_date_new = date('Y-m-d');
            if ($tag_data['system_site_status'] < 3) {
                $date_time = date('Y-m-d H:i:s');

                $time_open = common::get_hours_only($date_time, $tag_data['ticket_date_time']);
                $time_left = $tag_data['priority_time'] - $time_open;

                $this->db->query("update bt_ticket_info set system_site_status=3,system_site_date=' $today_date_new',ticket_com_date_time='$date_time',time_open='$time_open',time_left='$time_left'  where ticket_id='$ticket_id'");
            }
            $mess = 'Ticket ' . $tag_data['ticket_number'] . ' site ' . $sites_data['site_number'] . ' completed by team ' . $schedule_tracker_data['employee_name'];
            common::add_note_bt('Completed', $mess, $tag_data['contract_id'], $ticket_id);







            $this->session->unset_userdata('btfile0');
            $this->session->unset_userdata('btfile1');
            $this->session->unset_userdata('btfile2');
            $this->session->unset_userdata('btfile3');
            $this->session->unset_userdata('btfile4');
            $this->session->unset_userdata('btfile5');
            $this->session->unset_userdata('btfile6');
            $this->session->unset_userdata('btfile7');

            $this->session->unset_userdata('btfile8');
            $this->session->unset_userdata('btfile9');
            $this->session->unset_userdata('btfile10');
            $this->session->unset_userdata('btfile11');
            $this->session->unset_userdata('btfile12');
            $this->session->unset_userdata('btfile13');
            $this->session->unset_userdata('btfile14');
            $this->session->unset_userdata('btfile15');


            $employee_id = $this->session->userdata("employee_id");
            $ccontact = sql::row("ccontact", "ccontact_id='{$tag_data['created_by']}'");
            $work_info = sql::row("bt_work_details", "ticket_id='$ticket_id'");

            include_once('../mailClass.php');
            $employee_info = sql::row("employee", "employee_id='$employee_id'");
            $con_info = sql::row("contact_details", "employee_id='$employee_id' and cell_no!=''");
            $subject_text = 'Ticket <b>' . $tag_data['ticket_number'] . '/' . $tag_data['bt_ticket_part_1'] . $tag_data['bt_ticket_part_2'] . $tag_data['bt_ticket_part_3'] . '-' . $sites_data['site_id'] . '</b>';
            $mes_body = '';
            $mes_body .= 'Hi <b>' . $ccontact['ccontact_full_name'] . ',</b><br/><br/>Please see attached work completed for  Ticket <b>' . $tag_data['ticket_number'] . '/' . $tag_data['bt_ticket_part_1'] . $tag_data['bt_ticket_part_2'] . $tag_data['bt_ticket_part_3'] . '-' . $sites_data['site_id'] . '.</b> (' . $tag_data['work_required'] . ')<br/><br/>' . $work_info['work_details_description'] . '<br/><br/>Please review full report @ <a target="_blank" href="https://skutilities-ms.com/bt/login">https://skutilities-ms.com/bt/login</a>';
            $mes_body .= '<br/><br/><br/>Regards<br/><br/>';

            $mes_body .= '<b>' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . '</b><br/>';

            $mes_body .= '<b>' . $con_info['cell_no'] . '</b><br/>';

            $all_3_to = sql::row("employee", " employee_id IN (1000022,1000026,1000028)", "GROUP_CONCAT(email) as all_email ");
            $email_of_3 = $all_3_to['all_email'];

            $to_list = explode(',', $ccontact['ccontact_email'] . ','.$email_of_3);
//            $to_list = explode(',','rwalsh@cdm-ms.co.uk');
            $fromemail = $employee_info['email'];
            $i = 0;
            foreach ($to_list as $to) {
                if ($to != '') {
                    $m = new Mail;
                    $m->To($to);
                    $m->From($fromemail);
                    $m->Subject($subject_text);
                    $m->Body($mes_body);
                    if ($i == 0) {
                        $m->Cc($fromemail);
                    }
                    $m->Priority(3);
                    $m->content_type('text/html');
                    $m->Send();
                    $i++;
                }
            }



            redirect('work_list_bt/ticket');
        }

        $data['action'] = 'work_list_bt/ticket_in_review/' . $contract_id . '/' . $ticket_id;
        $data['site_info'] = sql::row("bt_ticket_info", "ticket_id='$ticket_id'");

        $data['step1_edit'] = 'work_list_bt/complete_ticket/' . $contract_id . '/' . $ticket_id;



        $data['common_site_info'] = sql::row("bt_sites", "bt_id='{$data['site_info']['bt_id']}'");


        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'inspection_ticket_review';
        $data['page_title'] = 'Review Ticket';
        $this->load->view('main', $data);
    }

}

?>