<?php

class common {

    public static function redirect() {
        $CI = & get_instance();
        $uri = $CI->session->userdata('cur_uri');
        redirect($uri);
    }

    public static function track_uri() {
        $CI = & get_instance();
        $uri = $CI->uri->uri_string();
        $CI->session->set_userdata('cur_uri', $uri);
    }

    public static function is_logged_in() {
        $CI = & get_instance();
        if ($CI->session->userdata('employee_logged_in')) {
            return true;
        } else {
            return false;
        }
    }

    public static function is_admin() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('user_name') == 'admin') {
            return true;
        } else {
            common::redirect();
        }
    }

    public static function is_admin_logged() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('user_name') == 'admin') {
            return true;
        } else {
            return false;
        }
    }

    public static function is_emploee_logged() {
        $CI = & get_instance();
        if (!$CI->session->userdata('employee_logged_in')) {
            redirect('login');
        }
    }

    public static function is_admin_user() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('user_type') == 'admin') {
            return true;
        } else {
            return false;
        }
    }

    public static function is_student_user() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('user_type') == 'student') {
            return true;
        } else {
            return false;
        }
    }

    public static function is_staff_user() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('user_type') == 'staffs') {
            return true;
        } else {
            return false;
        }
    }

    public static function is_logged() {
        $CI = & get_instance();
        if (!$CI->session->userdata('employee_logged_in')) {
            redirect('login');
        }
    }

    public static function get_minutes($sel = '') {

        $str .= "<option value='00'>00</option>";

        for ($row = 1; $row < 60; $row++) {
            $row = sprintf("%02d", $row);
            if ($sel == $row) {
                $str .= "<option value='" . $row . "'  selected>" . $row . "</option>";
            } else {
                $str .= "<option value='" . $row . "' >" . $row . "</option>";
            }
        }
        return $str;
    }

    public static function get_hours($sel = '') {

        $str .= "<option value='00'>00</option>";

        for ($row = 1; $row < 24; $row++) {
            $row = sprintf("%02d", $row);
            if ($sel == $row) {
                $str .= "<option value='" . $row . "'  selected>" . $row . "</option>";
            } else {
                $str .= "<option value='" . $row . "' >" . $row . "</option>";
            }
        }
        return $str;
    }

    public static function get_seconds_from_time($time = '') {
        $time = preg_replace("/^([\d]{1,2})\:([\d]{2})$/", "00:$1:$2", $time);
        sscanf($time, "%d:%d:%d", $hours, $minutes, $seconds);
        $time_seconds = $hours * 3600 + $minutes * 60 + $seconds;
        return $time_seconds;
    }

    public static function get_employee_type_name($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from type where type_status=1 and type_id='$sel'");
        $row = $query->row_array();

        return $row['type_name'];
    }

    public static function get_ads_listing_for_timesheet($tag_id = '', $sel = '') {
        $option = "<option value=''>Ads#</option>";
        $CI = & get_instance();
        $sql = $CI->db->query("SELECT category_type.category_number, category_type.category_type_number, floor.floor_name,
            tag_component_location.tag_location_ads,tag_component_location.tag_location_drawing,
            tag_component_location.tag_location_id,tag_component_location.tag_location_description,
            tag_component.category_type_id
FROM tag_component_location 
LEFT JOIN floor ON floor.floor_id = tag_component_location.floor_id
LEFT JOIN tag_component ON tag_component.tag_component_id = tag_component_location.tag_component_id
LEFT JOIN category_type ON category_type.category_type_id = tag_component.category_type_id
WHERE tag_component_location.tag_id ='$tag_id' and tag_component_location.tag_location_ads!=''");
        $rows = $sql->result_array();
        foreach ($rows as $row) {
            if ($sel == $row['tag_location_id']) {
                $option .= "<option draw='" . $row['tag_location_drawing'] . "' rel='" . $row['floor_name'] . "' title='" . $row['tag_location_description'] . "' value='" . $row['tag_location_id'] . "' selected>" . $row['category_number'] . '-' . $row['category_type_number'] . '-' . $row['tag_location_ads'] . "</option>";
            } else {
                $option .= "<option  draw='" . $row['tag_location_drawing'] . "' rel='" . $row['floor_name'] . "' title='" . $row['tag_location_description'] . "' value='" . $row['tag_location_id'] . "'>" . $row['category_number'] . '-' . $row['category_type_number'] . '-' . $row['tag_location_ads'] . "</option>";
            }
        }

        return $option;
    }

    public static function get_site_schedule_report_data($all_data = '', $tag_id = '', $st_date = '') {
        foreach ($all_data as $all) {
            if ($all['tag_id'] == "$tag_id" && $all['date'] == "$st_date") {
                $men_data = array('men_need' => "$all[men_need]", 'phase_com' => "$all[phase_com]", 'con_com' => "$all[con_com]", 'customer_id' => "$all[customer_id]", 'color_code' => "$all[color_code]");
                break;
            } else {
                $men_data = array('men_need' => "", 'phase_com' => "", 'con_com' => "", 'customer_id' => "", 'color_code' => "");
            }
        }
        return $men_data;
    }

    public static function get_site_schedule_report_data_total_for_date($all_sum_data = '', $st_date = '') {
        foreach ($all_sum_data as $all_sum) {
            if ($all_sum['date'] == "$st_date") {
                $men_data = array('men_need' => "$all_sum[men_need]");
                break;
            } else {
                $men_data = array('men_need' => "");
            }
        }
        return $men_data;
    }

    public static function is_bank_holiday($all_sum_data = '', $st_date = '') {
        foreach ($all_sum_data as $all_sum) {
            if ($all_sum['bank_holiday_date'] == "$st_date") {
                $is_data = 1;
                break;
            } else {
                $is_data = 0;
            }
        }
        return $is_data;
    }

    public static function get_site_username_with_tag($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select tag.tag_id,site.site_id,site.site_username,site.site_name from tag left join site on site.site_username=tag.site_username
                 where 1");
        $row = $query->result_array();
        $str .= "<option value=''>Select Site</option>";
        foreach ($row as $row) {
            if ($sel == "$row[tag_id]") {
                $str .= "<option value='" . $row[tag_id] . "'  selected>" . $row['site_username'] . "</option>";
            } else {
                $str .= "<option value='" . $row[tag_id] . "' >" . $row['site_username'] . "</option>";
            }
        }
        return $str;
    }

    public static function get_defect_type($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from defect_type where 1");
        $row = $query->result_array();
        $str .= "<option value=''>Select Defect type</option>";
        foreach ($row as $row) {
            if ($sel == "$row[defect_type_id]") {
                $str .= "<option value='" . $row[defect_type_id] . "'  selected>" . $row['defect_type_name'] . "</option>";
            } else {
                $str .= "<option value='" . $row[defect_type_id] . "' >" . $row['defect_type_name'] . "</option>";
            }
        }
        return $str;
    }

    public static function get_month_name($month_number = '') {
        if ($month_number == 1) {
            return 'January';
        } else if ($month_number == 2) {
            return 'February';
        } else if ($month_number == 3) {
            return 'March';
        } else if ($month_number == 4) {
            return 'April';
        } else if ($month_number == 5) {
            return 'May';
        } else if ($month_number == 6) {
            return 'June';
        } else if ($month_number == 7) {
            return 'July';
        } else if ($month_number == 8) {
            return 'August';
        } else if ($month_number == 9) {
            return 'September';
        } else if ($month_number == 10) {
            return 'October';
        } else if ($month_number == 11) {
            return 'November';
        } else {
            return 'December';
        }
    }

    public static function get_county($sel = '') {
        $rows = sql::rows('county', 'county_status=1 order by county_name asc');
        $opt = "<option value=''>Select County</option>";
        if (count($rows) > 0) {
            foreach ($rows as $row) {
                if ($sel == $row['county_id']) {
                    $opt .= "<option title='$row[country_id]' value='$row[county_id]'  selected='selected'>$row[county_name]</option>";
                } else {
                    $opt .= "<option title='$row[country_id]' value='$row[county_id]'>$row[county_name]</option>";
                }
            }
        }
        return $opt;
    }

    public static function get_pole_type_list($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from pole_type where pole_type_status=1 order by pole_type_name asc");
        $row = $query->result_array();
        $str .= "<option value=''>Select Pole Type</option>";
        foreach ($row as $row) {
            if ($sel == "$row[pole_type_id]") {
                $str .= "<option value='" . $row[pole_type_id] . "'   selected='selected'>" . $row['pole_type_name'] . "</option>";
            } else {
                $str .= "<option value='" . $row[pole_type_id] . "' >" . $row['pole_type_name'] . "</option>";
            }
        }
        return $str;
    }

    public static function jget_pole_type_list_json($pole_type_id = '', $sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select code,pole_rate_name from pole_rate where  pole_rate_status=1 and pole_type_id='$pole_type_id'  and is_varation=0");
        $rows = $query->result_array();
        $str .= "<option value=''>Select Confirm Code</option>";
        foreach ($rows as $row) {
            if ($sel == "$row[code]") {
                $str .= "<option class='tsmall'  title='" . $row[pole_rate_name] . "' value='" . $row[code] . "' selected='selected'>" . $row['code'] . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<p style="font-size:10px;color:blue;">' . $row[pole_rate_name] . '</p>' . "</option>";
            } else {
                $str .= "<option  class='tsmall' title='" . $row[pole_rate_name] . "' value='" . $row[code] . "' >" . $row['code'] . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<p style="font-size:10px;color:blue;">' . $row[pole_rate_name] . '</p>' . "</option>";
            }
        }
        return $str;
    }

    public static function get_pole_comments($pole_type_id = '', $code = '', $pole_comments_id = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select pole_rate_id from pole_rate where pole_type_id='$pole_type_id'  and is_varation=0 and code='$code'");
        $row_rate = $query->row_array();
        $query = $CI->db->query("select * from pole_comments where pole_rate_id='$row_rate[pole_rate_id]'");
        $rows = $query->result_array();

        $str .= "<option value=''>Comment</option>";
        foreach ($rows as $row) {
            if ($pole_comments_id == "$row[pole_comments_id]") {
                $str .= "<option class='tsmall'  value='" . $row[comments] . "' selected='selected'>" . $row['comments'] . "</option>";
            } else {
                $str .= "<option  class='tsmall' value='" . $row[comments] . "' >" . $row['comments'] . "</option>";
            }
        }
        return $str;
    }

    public static function get_close_commentstttt($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from close_job where close_job_status=1 order by close_job_name asc");
        $row = $query->result_array();
        $str .= "<option value=''>Select Comment</option>";
        foreach ($row as $row) {
            if ($sel == "$row[close_job_name]") {
                $str .= "<option value='" . $row[close_job_name] . "'   selected='selected'>" . $row['close_job_name'] . "</option>";
            } else {
                $str .= "<option value='" . $row[close_job_name] . "' >" . $row['close_job_name'] . "</option>";
            }
        }
        return $str;
    }

    public static function get_job_costing_profit($tag_id = '') {
        $CI = &get_instance();
        $CI->load->model('labour_model');
        $CI->load->model('mod_report');
        $job = sql::row("tag", "tag_id='$tag_id'", "job_number,contact_number,service_number,description_id");
        $job_number = $job[job_number];
        $contact_number = $job[contact_number];
        $service_number = $job[service_number];
        $description_id = $job[description_id];
        $query = $CI->db->query("select work_salary.*,employee.billable_hours_id from work_salary left join employee on employee.employee_id= work_salary.employee_id  where 1 order by work_salary.year desc, work_salary.week_no asc, work_salary.employee_last_name asc,work_salary.work_date asc");
        $salary_info = $query->result_array();
        if (count($salary_info) > 0) {
            $k = 0;
            foreach ($salary_info as $p) {
                $query = $CI->db->query("select actual_hour.*,tag.job_number,tag.description_id,tag.contact_number,tag.service_number from actual_hour left join tag on tag.tag_id=actual_hour.tag_id  where 1 and tag.job_number='$job_number'  and tag.description_id='$description_id' and tag.contact_number='$contact_number'  and tag.service_number='$service_number' and actual_hour.work_date='$p[work_date]' and actual_hour.employee_id=$p[employee_id]");
                $actual_data = $query->result_array();
                if (count($actual_data) > 0) {
                    $p['day_rate'] = ($p['prsi'] * ($p['day_rate'] / 100)) + $p['day_rate'] + $p['expense'] + $p['travel'];
                    $p['hour_rate'] = $p['day_rate'] / $p['standard_hours'];
                    $daily_pay = number_format($p['standard_hours'] * $p['hourly_standard_rate'] * $p['hour_rate'], 2);
                    $overtime_daily_pay = (common::get_seconds_from_time($p['overtime_hours']) / 3600) * $p['overtime_standard_rate'] * $p['hour_rate']; // convert no ovrtime hours to hour by /3600
                    if ($p['overtime_status'] == 1) {
                        $t_pay = number_format($overtime_daily_pay + $daily_pay + $p['daily_expense'], 2);
                    } else {
                        $t_pay = number_format($daily_pay + $p['daily_expense'], 2);
                    }
                    $year = date('Y', strtotime($p[work_date]));
                    $month = date('m', strtotime($p[work_date]));
                    if ($year != '') {
                        $query = $CI->db->query("SELECT SUM(purchase_report.per_week_value ) AS week_amount
                                FROM purchase_report
                                LEFT JOIN purchase_report_total ON purchase_report_total.po_number = purchase_report.po_number
                                WHERE purchase_report.YEAR = '$year' and purchase_report.week_no = '$p[week_no]'
                                AND purchase_report_total.purchase_cost_type_name =  'Overheads'
                                AND purchase_report_total.overhead_type ='yearly'");
                        $yearly_overheads = $query->row_array();
                        $employee_counter_info = sql::row("actual_hour", "1 and work_date='$p[work_date]'", "count(distinct(employee_id)) as count_employee,work_date");
                        $query1 = $CI->db->query("SELECT SUM(purchase_report.per_week_value ) AS week_amount
                                FROM purchase_report
                                LEFT JOIN purchase_report_total ON purchase_report_total.po_number = purchase_report.po_number
                                WHERE purchase_report.YEAR = '$year' and purchase_report.month='$month' and purchase_report.week_no = '$p[week_no]'
                                AND purchase_report_total.purchase_cost_type_name =  'Overheads'
                                AND purchase_report_total.overhead_type ='monthly'");
                        $monthly_overheads = $query1->row_array();
                        $query2 = $CI->db->query("SELECT SUM(purchase_report.per_week_value ) AS week_amount
                                FROM purchase_report
                                LEFT JOIN purchase_report_total ON purchase_report_total.po_number = purchase_report.po_number
                                WHERE purchase_report.YEAR = '$year' and purchase_report.week_no = '$p[week_no]'
                                AND purchase_report_total.purchase_cost_type_name =  'Overheads'
                                AND purchase_report_total.overhead_type ='weekly'");
                        $weekly_overheads = $query2->row_array();
                    }
                    $y_overhead = ($yearly_overheads[week_amount] / 5) / $employee_counter_info['count_employee'];
                    $y_over_per_hour = $y_overhead;
                    $m_overhead = ($monthly_overheads[week_amount] / 5) / $employee_counter_info['count_employee'];
                    $m_over_per_hour = $m_overhead;
                    $w_overhead = ($weekly_overheads[week_amount] / 5) / $employee_counter_info['count_employee'];
                    $w_over_per_hour = $w_overhead;
                    if ($year != '') {
                        $query = $CI->db->query("SELECT SUM(purchase_report.per_week_value ) AS week_amount
                                FROM purchase_report
                                LEFT JOIN purchase_report_total ON purchase_report_total.po_number = purchase_report.po_number
                                WHERE purchase_report.YEAR = '$year' and purchase_report.week_no = '$p[week_no]'
                                AND purchase_report_total.purchase_cost_type_name =  'Fixed assets'");
                        $yearly_fixed_asset = $query->row_array();
                    }
                    $y_fixed_asset = ($yearly_fixed_asset[week_amount] / 5) / $employee_counter_info['count_employee'];
                    $y_fixed_asset_per_hour = $y_fixed_asset;
                    $total_week_overhead = $CI->mod_report->get_total_overhead_in_week($year, $p[week_no]);
                    $s_overhead_cost = ($total_week_overhead / 5) / $employee_counter_info['count_employee'];
                    $s_overhead_cost_per_hour = $s_overhead_cost;
                    $yearly_assigned_cost = $CI->labour_model->get_per_day_assigned_cost_yearly($p['employee_id'], $p['work_date']);
                    $hours_yearly_assigned_cost = $yearly_assigned_cost;
                    $monthly_assigned_cost = $CI->labour_model->get_per_day_assigned_cost_monthly($p['employee_id'], $p['work_date']);
                    $hours_monthly_assigned_cost = $monthly_assigned_cost;
                    $weekly_assigned_cost = $CI->labour_model->get_per_day_assigned_cost_weekly($p['employee_id'], $p['work_date']);
                    $hours_weekly_assigned_cost = $weekly_assigned_cost;
                    $total_pay_row = $s_overhead_cost + $y_fixed_asset + $w_overhead + $m_overhead + $y_overhead + $yearly_assigned_cost + $monthly_assigned_cost + $weekly_assigned_cost + $t_pay;
                    if (count($actual_data) > 0) {
                        $counter = 1;
                        foreach ($actual_data as $a) {
                            if ($a['day_hours'] > '00:00:00') {
                                $last_hour = $daily_job_hour - ($p['standard_hours'] * 3600) - ($p['no_pay_per_day'] * 60) - common::get_seconds_from_time($overt);
                                $day_name_h = date('l', strtotime($p['work_date']));
                                $time_seconds = common::get_seconds_from_time($a[day_hours]);
                                $daily_job_hour += $time_seconds;
                                $tag_hours = ($time_seconds - ($a['no_pay_min'] * 60) - common::get_seconds_from_time($a['overtime_hours'])) / 3600;
                                if ($p['overtime_status'] == 1) {
                                    $overt = $a['overtime_hours'];
                                } else {
                                    $overt = '00:00:00';
                                }
                                $daily_expense = $p['daily_expense'];
                                $total_daily_expense += $daily_expense;
                                $hour_pay = $a[day_amount];
                                $total_day_hours += $a[day_amount];
                                if (count($a[overtime_hours_salary]) > '0.00') {
                                    if ($p['overtime_status'] == 1) {
                                        $totla_overtime_daily_pay += $a[overtime_hours_salary];
                                    } else {
                                        
                                    }
                                }
                                $day_cost = $CI->labour_model->get_holiday_cost_perday_no_prsi($p['employee_id'], $p['week_no'], $p['year'], $p['billable_hours_id']);
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $day_cost = 0;
                                }
                                if ($p['overtime_status'] == 1) {
                                    if (count($actual_data) == $counter) {
                                        $hour_pay = number_format($overtime_daily_pay + $hour_pay + $day_cost + $daily_expense, 2);
                                    } else {
                                        $hour_pay = number_format($hour_pay + $day_cost + $daily_expense, 2);
                                    }
                                } else {
                                    $hour_pay = number_format($hour_pay + $day_cost + $daily_expense, 2);
                                }
                                if ($p[include_total] == 1) {
                                    $hour_pay = $hour_pay;
                                } else {
                                    $hour_pay = 0;
                                }
                                $in_total += $hour_pay;
                                $project_manager_cost = $CI->labour_model->get_project_manager_cost($a['job_number'], "$p[work_date]");
                                $total_project_manager_cost += $project_manager_cost;
                                $company_cost = $CI->labour_model->get_company_cost($a['tag_id'], "$p[employee_id]", "$p[work_date]");
                                $total_company_cost += $company_cost;
                                $tag_y_overhead_amount = number_format($y_over_per_hour, 2, '.', ',');
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_y_overhead_amount = 0;
                                }
                                $total_y_overhead_amount += $tag_y_overhead_amount;
                                $tag_m_overhead_amount = $m_over_per_hour; //number_format($m_over_per_hour, 2, '.', ',');
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_m_overhead_amount = 0;
                                }
                                $total_m_overhead_amount += $tag_m_overhead_amount;

                                $tag_w_overhead_amount = number_format($w_over_per_hour, 2, '.', ',');
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_w_overhead_amount = 0;
                                }
                                $total_w_overhead_amount += $tag_w_overhead_amount;

                                $tag_y_assigned_amount = $hours_yearly_assigned_cost;
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_y_assigned_amount = 0;
                                }
                                $total_y_assigned_amount += $tag_y_assigned_amount;
                                $tag_m_assigned_amount = $hours_monthly_assigned_cost;
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_m_assigned_amount = 0;
                                }
                                $total_m_assigned_amount += $tag_m_assigned_amount;

                                $tag_w_assigned_amount = $hours_weekly_assigned_cost;
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_w_assigned_amount = 0;
                                }
                                $total_w_assigned_amount += $tag_w_assigned_amount;

                                $tag_fixed_asset_amount = number_format($y_fixed_asset_per_hour, 2);
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $tag_fixed_asset_amount = 0;
                                }
                                $total_tag_fixed_asset_amount += $tag_fixed_asset_amount;
                                $s_overhead_cost_amount = number_format($s_overhead_cost_per_hour, 2);
                                if ($day_name_h == 'Saturday' || $day_name_h == 'Sunday') {
                                    $s_overhead_cost_amount = 0;
                                }
                                $total_s_overhead_cost_amount += $s_overhead_cost_amount;
                                $overall_pay = $s_overhead_cost_amount + $tag_fixed_asset_amount + $tag_w_overhead_amount + $tag_m_overhead_amount + $tag_y_overhead_amount + $tag_y_assigned_amount + $tag_m_assigned_amount + $tag_w_assigned_amount + $hour_pay + $project_manager_cost + $company_cost;
                            }
                            $counter++;
                        }
                    }
                    $week_temp = $p['week_no'];
                    $temp_employee_id = $p['employee_id'];
                }
            }
        }
        $overall_bottom_total = $in_total + $total_s_overhead_cost_amount + $total_tag_fixed_asset_amount + $total_y_overhead_amount + $total_m_overhead_amount + $total_w_overhead_amount + $tag_y_assigned_amount + $tag_m_assigned_amount + $tag_w_assigned_amount + $total_project_manager_cost + $total_company_cost;
        $tag_number = $job[job_number] . $job[description_id] . $job[contact_number] . $job[service_number];
        $tag_cost_data = sql::rows("tag_cost", "tag_number='$tag_number'");
        if (count($tag_cost_data) > 0) {
            foreach ($tag_cost_data as $t) {
                $total_devide_cost += $t[divide_cost];
            }
        }
        $tag_number = $job[job_number] . $job[description_id] . $job[contact_number] . $job[service_number];
        $company_cost_data = sql::rows("company_direct_cost", "tag_number='$tag_number'");
        if (count($company_cost_data) > 0) {
            foreach ($company_cost_data as $c) {
                $total_comapany_cost += $c[divide_cost];
            }
        }
        $total_expense = $total_devide_cost + $overall_bottom_total + $total_comapany_cost;
        $total_expense = $total_devide_cost + $overall_bottom_total + $total_comapany_cost;
        $tag_data = sql::row("tag", "job_number='$job[job_number]' and description_id='$job[description_id]' and contact_number='$job[contact_number]' and service_number='$job[service_number]'", "invoice_value,po_value,tag_id");
        //$pr = $tag_data[po_value];


        if ($tag_data[po_value] > 0 && $tag_data[po_value] != '') {
            $pr = $tag_data[po_value];
        } else {
            $tag_data_details = sql::row("tag_details", "tag_id='$tag_data[tag_id]' and code_status='complete'", "sum(power_serve) as power_serve,sum(v_power_serve) as v_power_serve");
            $tag_data[po_value] = $tag_data_details['power_serve'] + $tag_data_details['v_power_serve'];
            $pr = $tag_data[po_value];
        }


        $tag_item_value = sql::row("tag_item_value", "tag_id='$tag_data[tag_id]'", "sum(value) as inv_new_value");
        $tag_data[invoice_value] = $tag_item_value[inv_new_value];
        if ($tag_data[invoice_value] != '' && $tag_data[invoice_value] != 0) {
            $pr = $tag_data[invoice_value];
        } else {
            $tag_data[invoice_value] = $pr;
        }
        $profit = $pr - $total_expense;
        if ($pr > 0) {
            $percent_of_expense = (100 / $pr) * $total_expense;
        }
        $without_expense_percent = (100 - $percent_of_expense);
        //return $total_expense . '|' . $tag_data[invoice_value] . '|' . $profit . '|' . $without_expense_percent;
        //exit;

        $CI->db->query("update tag set job_invoice_value='$tag_data[invoice_value]',total_cost='$total_expense',profit_of_tag='$profit',profit_of_tag_percent='$without_expense_percent' where tag_id='$tag_id'");
        return true;
    }

    public static function get_new_status($newst) {
        if ($newst == 8) {
            $status = 'Received';
        } elseif ($newst == 7) {
            $status = 'Invoiced';
        } elseif ($newst == 6) {
            $status = 'PO&nbsp;Requested';
        } elseif ($newst == 5) {
            $status = 'Rejected';
        } elseif ($newst == 4) {
            $status = 'approved';
        } elseif ($newst == 3) {
            $status = 'pending';
        } elseif ($newst == 2) {
            $status = 'complete';
        } elseif ($newst == 1) {
            $status = 'scheduled';
        } else {
            $status = 'Unscheduled';
        }
        return $status;
    }

    public static function get_counter_all($description_id = '', $newst = '') {
        $rows = sql::row("tag", "newstatus='$newst' and description_id='$description_id'", "count(tag_id) as counter");
        return $rows[counter];
    }

    public static function days_between_current($date = '') {
        if ($date == '' || $date == '0000-00-00') {
            return '';
        }
        $now = time();
        $your_date = strtotime("$date");
        $datediff = $now - $your_date;
        $days = floor($datediff / (60 * 60 * 24));
        $str = $days . ' days';
        return $str;
    }

    public static function get_invoiced_for_this_tag($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from tag_invoice where tag_id='$sel' order by tag_invoice_id asc");
        $row = $query->result_array();
        $str .= "";
        foreach ($row as $row) {
            $str .= "<a style='margin:0 5px;color:blue;' href='" . site_url('progress_report/invoice_customer/' . $row['tag_id'] . '/' . $row['tag_invoice_id']) . "'  target='_blank' title='invoice'>" . $row['tag_invoice_id'] . ",</a>";
        }
        return $str;
    }

    public static function code_report_varation_value_data($all_data = '', $confirm_code = '', $st_date = '') {
//        foreach ($all_data as $all) {
//            if ($all['varation_code'] == "$confirm_code") {
//                $ies_data = $all['v_power_serve'];
//                break;
//            } else {
//                $ies_data = 0;
//            }
//        }
        $ies_data = 0;
        return $ies_data;
    }

    public static function get_settings_data() {
        $data = null;
        $rows = sql::rows('settings');
        if (count($rows) > 0) {
            foreach ($rows as $row) {
                $data[$row['key_flag']] = $row['key_value'];
            }
        }
        return $data;
    }

    public static function week_total_poles_perweek($all_data = '', $week = '', $year = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_number'] == "$week" && $all['year'] == "$year") {
                $value_data = $all['polecounter'];
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

    public static function week_total_perweek($all_data = '', $week = '', $year = '', $em_or_ies = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_number'] == "$week" && $all['year'] == "$year") {
                if ($em_or_ies == 1) {
                    $value_data = $all['power_serve'] + $all['v_power_serve'];
                }
                if ($em_or_ies == 0) {
                    $value_data = $all['contractor'] + $all['v_contractor'] + $all['power_serve_direct'] + $all['v_power_serve_direct'];
                }
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

    public static function week_total_perweek_summary($all_data = '', $week = '', $year = '', $type_of_data = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_number'] == "$week" && $all['type_of_data'] == "$type_of_data" && $all['year'] == "$year") {
                $value_data = $all['week_value'];
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

    public static function week_total_perweek_summary_overheads($all_data = '', $week = '', $year = '', $type_of_data = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_no'] == "$week" && $all['year'] == "$year") {
                $value_data = $all['amount'];
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

    public static function week_total_report_data($all_data = '', $week = '', $employee_id = '', $sub_contractor = '', $year = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_number'] == "$week" && $all['employee_id'] == "$employee_id" && $all['year'] == "$year") {
                if ($sub_contractor == 1) {
                    $value_data = $all['contractor'] + $all['v_contractor'];
                } else {
                    $value_data = $all['power_serve_direct'] + $all['v_power_serve_direct'];
                }
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

    public static function week_total_report_data_ies($all_data = '', $week = '', $employee_id = '', $sub_contractor = '', $year = '') {
        $value_data = 0;
        foreach ($all_data as $all) {
            if ($all['week_number'] == "$week" && $all['employee_id'] == "$employee_id" && $all['year'] == "$year") {
                $value_data = $all['power_serve'] + $all['v_power_serve'];
                break;
            } else {
                $value_data = '&nbsp;';
            }
        }
        return $value_data;
    }

//    public static function week_value_data($all_data = '', $employee_id = '', $st_date = '') {
//        foreach ($all_data as $all) {
//            if ($all['employee_id'] == "$employee_id" && $all['date_replaced'] == "$st_date") {
//                $ies_data = $all['counter_pole'] . '|' . ($all['power_serve'] + $all['v_power_serve']);
//                break;
//            } else {
//                $ies_data = '0|0';
//            }
//        }
//        return $ies_data;
//    }

    public static function get_employee_list($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select employee.employee_first_name,employee.employee_last_name,employee.employee_id,team.team_id,teamname.teamname_name from employee 
               left join team on team.employee_id=employee.employee_id 
               left join teamname on teamname.teamname_id=team.teamname_id 
               where employee_status=1 group by employee.employee_id  order by employee.employee_last_name asc,team.team_id desc");
        $row = $query->result_array();
        $str .= "<option value=''>Select Employee</option>";
        foreach ($row as $row) {



            if ($sel == $row['employee_id']) {
                $str .= "<option value='" . $row[employee_id] . "'  selected>" . $row['employee_first_name'] . ' ' . $row['employee_last_name'] . ' (' . $row[teamname_name] . ')' . "</option>";
            } else {
                $str .= "<option value='" . $row[employee_id] . "' >" . $row['employee_first_name'] . ' ' . $row['employee_last_name'] . ' (' . $row[teamname_name] . ')' . "</option>";
            }
        }
        return $str;
    }

    public static function get_new_status_esb($newst) {
        if ($newst == 8) {
            $status = 'Received';
        } elseif ($newst == 7) {
            $status = 'Invoiced';
        } elseif ($newst == 6) {
            $status = 'PO Req.';
        } elseif ($newst == 5) {
            $status = 'Rejected';
        } elseif ($newst == 4) {
            $status = 'WIP';
        } elseif ($newst == 3) {
            $status = 'pending';
        } elseif ($newst == 2) {
            $status = 'complete';
        } elseif ($newst == 1) {
            $status = 'scheduled';
        } else {
            $status = 'Unscheduled';
        }
        return $status;
    }

    public static function get_employee_name($emp_id = '') {
        $row = sql::row('employee', "employee_id='$emp_id'");
        return $row['employee_first_name'] . ' ' . $row['employee_last_name'];
    }

    public static function get_employees($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select employee.employee_first_name,employee.employee_last_name,employee.employee_id from employee 
               where employee_status=1  order by employee.employee_last_name asc");
        $row = $query->result_array();
        //$employee_id_logged = $CI->session->userdata('employee_id');
        $str .= "<option value=''>Change team</option>";
        foreach ($row as $row) {
            //if ($employee_id_logged != $row['employee_id']) {
            if ($sel == $row['employee_id']) {
                $str .= "<option value='" . $row[employee_id] . "'  selected>" . $row['employee_first_name'] . ' ' . $row['employee_last_name'] . "</option>";
            } else {
                $str .= "<option value='" . $row[employee_id] . "' >" . $row['employee_first_name'] . ' ' . $row['employee_last_name'] . "</option>";
            }
            // }
        }
        return $str;
    }

    public static function get_time_difference($dt1 = '', $dt2 = '') {
// Declare and define two dates 
        $date1 = strtotime("$dt1");
        $date2 = strtotime("$dt2");

// Formulate the Difference between two dates 
        $diff = abs($date2 - $date1);


// To get the year divide the resultant date into 
// total seconds in a year (365*60*60*24) 
        $years = floor($diff / (365 * 60 * 60 * 24));


// To get the month, subtract it with years and 
// divide the resultant date into 
// total seconds in a month (30*60*60*24) 
        $months = floor(($diff - $years * 365 * 60 * 60 * 24) / (30 * 60 * 60 * 24));


// To get the day, subtract it with years and 
// months and divide the resultant date into 
// total seconds in a days (60*60*24) 
        $days = floor(($diff - $years * 365 * 60 * 60 * 24 -
                $months * 30 * 60 * 60 * 24) / (60 * 60 * 24));


// To get the hour, subtract it with years, 
// months & seconds and divide the resultant 
// date into total seconds in a hours (60*60) 
        $hours = floor(($diff - $years * 365 * 60 * 60 * 24 - $months * 30 * 60 * 60 * 24 - $days * 60 * 60 * 24) / (60 * 60));


// To get the minutes, subtract it with years, 
// months, seconds and hours and divide the 
// resultant date into total seconds i.e. 60 
        $minutes = floor(($diff - $years * 365 * 60 * 60 * 24 - $months * 30 * 60 * 60 * 24 - $days * 60 * 60 * 24 - $hours * 60 * 60) / 60);


// To get the minutes, subtract it with years, 
// months, seconds, hours and minutes 
        $seconds = floor(($diff - $years * 365 * 60 * 60 * 24 - $months * 30 * 60 * 60 * 24 - $days * 60 * 60 * 24 - $hours * 60 * 60 - $minutes * 60));

// Print the result 
        return($years . '|' . $months . '|' . $days . '|' . $hours . '|' . $minutes . '|' . $seconds);
    }

    public static function get_month($sel = '') {
        $months = array('01' => 'January', '02' => 'Febrary', '03' => 'March', '04' => 'April', '05' => 'May', '06' => 'June', '07' => 'July', '08' => 'August', '09' => 'September', '10' => 'October', '11' => 'November', '12' => 'December');
        $opt .= "<option value=''>----Month----</option>";
        foreach ($months as $k => $row) {
            if ($k == $sel) {
                $opt .= "<option value='$k' selected='selected'>$row</option>";
            } else {
                $opt .= "<option value='$k'>$row</option>";
            }
        }
        return $opt;
    }

    public static function get_table_dropdown($sel = '', $table = '', $id = '', $title = '', $select = '', $hidden_val = '') {
        $CI = &get_instance();
        $str = "<option value=''>Select $select</option>";
        $query = $CI->db->query("select * from $table where 1  order by $title asc");
        foreach ($query->result_array() as $c) {
            if ($c[$id] == $sel) {
                $str .= "<option title='" . $c[$hidden_val] . "' value='" . $c[$id] . "' selected>" . $c[$title] . "</option>";
            } else {
                $str .= "<option title='" . $c[$hidden_val] . "' value='" . $c[$id] . "' >" . $c[$title] . "</option>";
            }
        }
        return $str;
    }

    public static function get_table_dropdown_where($sel = '', $table = '', $id = '', $title = '', $select = '', $hidden_val = '', $condition = '', $second_name = '') {
        $CI = &get_instance();
        $str = "<option value=''>Select $select</option>";
        $query = $CI->db->query("select * from $table where 1 $condition order by $title asc");
        foreach ($query->result_array() as $c) {
            if ($c[$id] == $sel) {
                $str .= "<option title='" . $c[$hidden_val] . "'  rel='" . $c[$second_name] . "' value='" . $c[$id] . "' selected>" . $c[$title] . ' ' . $c[$second_name] . "</option>";
            } else {
                $str .= "<option title='" . $c[$hidden_val] . "' rel='" . $c[$second_name] . "'  value='" . $c[$id] . "' >" . $c[$title] . ' ' . $c[$second_name] . "</option>";
            }
        }
        return $str;
    }

    public static function add_note($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_id = $CI->session->userdata('employee_id');
        $insert_p_data = array(
            "memo_status_note" => $note_status,
            "note_date" => $current_dat_t,
            "employee_id" => $employee_id,
            "contract_id" => $contract_id,
            "memo_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("contract_note", $insert_p_data);
        return true;
    }

    public static function add_note_bt($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "contract_id" => $contract_id,
            "company" => 'SK',
            "ticket_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("bt_contract_note", $insert_p_data);
        return true;
    }

    public static function add_note_bt_rru($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "contract_id" => $contract_id,
            "company" => 'SK',
            "ticket_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("bt_contract_note_rru", $insert_p_data);
        return true;
    }

    public static function add_note_general($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "company" => 'SK',
            "job_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("contract_note_general", $insert_p_data);
        return true;
    }

    public static function add_note_gaeltec($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "company" => 'SK',
            "job_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("contract_note_gaeltec", $insert_p_data);
        return true;
    }

    public static function add_note_bt_ins($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "contract_id" => $contract_id,
            "company" => 'SK',
            "ticket_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("bt_contract_note_ins", $insert_p_data);
        return true;
    }

    public static function get_alphabet($number_get = '') {
        if ($number_get == 1) {
            return 'A';
        }
        if ($number_get == 2) {
            return 'B';
        }
        if ($number_get == 3) {
            return 'C';
        }
        if ($number_get == 4) {
            return 'D';
        }
        if ($number_get == 5) {
            return 'E';
        }
        if ($number_get == 6) {
            return 'F';
        }
        if ($number_get == 7) {
            return 'G';
        }
        if ($number_get == 8) {
            return 'H';
        }
        if ($number_get == 9) {
            return 'I';
        }
        if ($number_get == 10) {
            return 'J';
        }
        if ($number_get == 11) {
            return 'K';
        }
        if ($number_get == 12) {
            return 'L';
        }
    }

    public static function get_hours_only($time_2 = '', $time_1 = '') {
        date_default_timezone_set("Europe/London");
        $date1 = new DateTime($time_1);
        $date2 = $date1->diff(new DateTime($time_2));
        $day_hour = sprintf("%02d", $date2->d) * 24;
        $single_hour = sprintf("%02d", $date2->h);
//        $hour .= sprintf("%02d", $date2->i) . ' Minute ';
        return $day_hour + $single_hour;
    }

    public static function days_between_two_int($first_date = '', $last_date = '') {
        if ($first_date == "$last_date") {
            return 1;
        } else {
            $first_date = $first_date . ' 00:00:00';
            $last_date = $last_date . ' 23:59:00';
        }
        if ($first_date == '' || $first_date == '0000-00-00' || $first_date == '1970-01-01') {
            return '';
        }
        if ($last_date == '' || $last_date == '0000-00-00' || $last_date == '1970-01-01') {
            return '';
        }
        $last_date = strtotime("$last_date");
        $first_date = strtotime("$first_date");
        $datediff = $last_date - $first_date;
        $days = round($datediff / (60 * 60 * 24));
        $str = $days;
        $str = str_replace('-', '', $str);
        return $str;
    }

    public static function get_table_dropdown_category($sel = '', $table = '', $id = '', $title = '', $select = '', $hidden_val = '', $condition = '', $second_name = '') {
        $CI = &get_instance();
        $str = "<option value=''>Select $select</option>";
        $query = $CI->db->query("select products.customer_id,product_category.* from products left join product_category on product_category.category_id=products.category_id where 1 and product_category.cost_type_id='1' and products.customer_id=2  group by product_category.category_id asc order by product_category.category_name asc ");
        foreach ($query->result_array() as $c) {
            if ($c[$id] == $sel) {
                $str .= "<option title='" . $c[$hidden_val] . "'  rel='" . $c[$second_name] . "' value='" . $c[$id] . "' selected>" . $c[$title] . "</option>";
            } else {
                $str .= "<option title='" . $c[$hidden_val] . "' rel='" . $c[$second_name] . "'  value='" . $c[$id] . "' >" . $c[$title] . "</option>";
            }
        }
        return $str;
    }

    public static function get_table_dropdown_category_elec($sel = '', $table = '', $id = '', $title = '', $select = '', $hidden_val = '', $condition = '', $second_name = '') {
        $CI = &get_instance();
        $str = "<option value=''>Select $select</option>";
        $query = $CI->db->query("select products.customer_id,product_category.* from products left join product_category on product_category.category_id=products.category_id where 1 and product_category.cost_type_id='1' and products.electrical_ins=1  group by product_category.category_id asc order by product_category.category_name asc ");
        foreach ($query->result_array() as $c) {
            if ($c[$id] == $sel) {
                $str .= "<option title='" . $c[$hidden_val] . "'  rel='" . $c[$second_name] . "' value='" . $c[$id] . "' selected>" . $c[$title] . "</option>";
            } else {
                $str .= "<option title='" . $c[$hidden_val] . "' rel='" . $c[$second_name] . "'  value='" . $c[$id] . "' >" . $c[$title] . "</option>";
            }
        }
        return $str;
    }

    public static function add_note_cellnex($note_status = '', $msg = '', $contract_id = '', $memo_id = '') {
        $CI = &get_instance();
        $current_dat_t = date('Y-m-d H:i:s');
        $employee_name = $CI->session->userdata('employee_first_name') . ' ' . $CI->session->userdata('employee_last_name');
        $insert_p_data = array(
            "status" => $note_status,
            "note_date" => $current_dat_t,
            "person_name" => $employee_name,
            "company" => 'SK',
            "job_id" => $memo_id,
            "note_description" => $msg
        );
        $CI->db->insert("contract_note_cellnex", $insert_p_data);
        return true;
    }

    public static function week_value_data($all_data = '', $employee_id = '', $st_date = '', $description_id = '') {
        foreach ($all_data as $all) {
            if ($all['employee_id'] == "$employee_id" && $all['date_replaced'] == "$st_date" && $all['description_id'] == $description_id) {
                if ($all['description_id'] == 6 || $all['description_id'] == 7) {
                    $all['counter_pole'] = $all['meter_sum'];
                }
                if ($all['description_id'] == 1) {
                    $all['counter_pole'] = $all['count_pole'];
                }
                $ies_data = number_format($all['counter_pole'], 0) . '|' . ($all['power_serve'] + $all['v_power_serve']);
                break;
            } else {
                $ies_data = '0|0';
            }
        }
        return $ies_data;
    }

    public static function cal_days_in_month($initial = '', $month_get = '', $year_get = '') {
        $month_get = sprintf("%02u", $month_get);
        $year_get = sprintf("%02u", $year_get);
        $date_string = $year_get . '-' . $month_get . '-01';
        $date = date('t', strtotime($date_string));
        $days = (int) $date;
        return $days;
    }
	
	        public static function get_close_comments($sel = '') {
        $CI = &get_instance();
        $query = $CI->db->query("select * from close_job where close_job_status=1 order by close_job_name asc");
        $row = $query->result_array();
        $str .= "<option value=''>Select Comment</option>";
        foreach ($row as $row) {
            if ($sel == "{$row['close_job_name']}") {
                $str .= "<option value='" . $row['close_job_name'] . "'   selected='selected'>" . $row['close_job_name'] . "</option>";
            } else {
                $str .= "<option value='" . $row['close_job_name'] . "' >" . $row['close_job_name'] . "</option>";
            }
        }
        return $str;
    }

}

?>