<?php

class Schedule_model extends CI_Model {

    function __construct() {
        parent::__construct();
    }

    function get_job_details_inner($from_date = '') {
        $employee_id = $this->session->userdata('employee_id');

        $con .= "where 1  ";
        $con .= " and actual_hour.employee_id='$employee_id'";
        $con .= " and actual_hour.work_date = '$from_date'";
        $query = $this->db->query("select actual_hour.*,tag.site_id,tag.site_username,employee.employee_first_name,employee.employee_last_name,type.type_name from actual_hour
                                    left join tag on tag.tag_id=actual_hour.tag_id
                                    left join employee on employee.employee_id=actual_hour.employee_id 
                                    left join type on type.type_id=employee.employee_type
                $con");

        return $query->result_array();
    }

    function add_image($file = '', $title = '') {
        $param['dir'] = UPLOAD_PATH . "site_defect/";
        $param['type'] = FILE_TYPE;
        if (class_exists('zupload')) {
            $this->zupload->setUploadDir(UPLOAD_PATH . 'site_defect/');
        } else {
            $this->load->library('zupload', $param);
        }
        if ($pre_image != "") {
            $this->zupload->delFile($pre_image);
            $this->zupload->delFile("full_" . $pre_image);
        }
        $this->zupload->setFileInputName($file);
        $this->zupload->upload(true);
        $img = $this->zupload->getOutputFileName();
        if (!class_exists('zthumb')) {
            $this->load->library('zthumb');
        }
        $this->zthumb->createThumb($img, "t_" . $img, $param['dir'], $param['dir'], 100, 100, false);
        $this->zthumb->createThumb($img, "d_" . $img, $param['dir'], $param['dir'], 600, 400, false);
        return $img;
    }

    function add_image_to_tag_details($file = '', $title = '') {
        $param['dir'] = UPLOAD_PATH . "tag_details/";
        $param['type'] = FILE_TYPE;
        if (class_exists('zupload')) {
            $this->zupload->setUploadDir(UPLOAD_PATH . 'tag_details/');
        } else {
            $this->load->library('zupload', $param);
        }
        if ($pre_image != "") {
            $this->zupload->delFile($pre_image);
            $this->zupload->delFile("full_" . $pre_image);
        }
        $this->zupload->setFileInputName($file);
        $this->zupload->upload(true);
        $img = $this->zupload->getOutputFileName();
        if (!class_exists('zthumb')) {
            $this->load->library('zthumb');
        }
        $this->zthumb->createThumb($img, "t_" . $img, $param['dir'], $param['dir'], 200, 200, false);
        return $img;
    }

    function save_defect() {
        $emp_id = $this->session->userdata('employee_id');
        $file = 'upload_file';
        $image = "";
        if ($_FILES[$file]['name'] != '') {
            $image = $this->add_image($file);
        }
        $date = date('Y-m-d');
        $info = sql::row("tag", "tag_id='$_POST[tag_id]'");
        $com_info = sql::row("tag_component", "tag_id='$_POST[tag_id]'");
        $ads_info = sql::row("category_type", "category_type_id='$_POST[category_type_id]'");
        $data = array(
            'date' => $date,
            'employee_id' => $emp_id,
            'image' => $image,
            'defect_type_id' => $_POST['defect_type_id'],
            'tag_id' => $_POST['tag_id'],
            'site_username' => $info[site_username],
            'description_from_employee' => $_POST[details_of_defect],
            'ads_number' => $ads_info[category_number] . '-' . $ads_info[category_id] . '-' . $ads_info[category_type_number],
            'category_number' => $ads_info[category_number],
            'category_id' => $ads_info[category_id],
            'category_type_number' => $ads_info[category_type_number],
            'ads_description' => $com_info[tag_component_description]
        );
        $this->db->insert('site_defect_report', $data);
        return true;
    }

    function get_barcode_for_this_employee($sel = '') {
        $employee_id = $this->session->userdata('employee_id');


        $tag_id_info = sql::row("tag_details", "tag_details_id='$sel'", "tag_id");


//        $query = $this->db->query("select tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id
//left join tag_details on tag_details.tag_id=actual_hour.tag_id
//where 1 and actual_hour.employee_id='$employee_id' and tag_details.code_status='running'");
        $query = $this->db->query("select tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id
left join tag_details on tag_details.tag_id=actual_hour.tag_id
where 1 and actual_hour.employee_id='$employee_id' and tag_details.code_status='running' and tag_details.tag_id='$tag_id_info[tag_id]'  and (tag_details.rock_hole_status is NULL or tag_details.rock_hole_status=2) group by actual_hour.employee_id asc,tag_details.tag_details_id asc");
        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function get_barcode_for_this_employee_and_tag($tag_id = '', $sel = '') {
        $employee_id = $this->session->userdata('employee_id');
//        $query = $this->db->query("select tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id
//left join tag_details on tag_details.tag_id=actual_hour.tag_id
//where 1 and actual_hour.employee_id='$employee_id' and tag_details.code_status='running' and tag_details.tag_id='$tag_id'");


        $query = $this->db->query("select tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id
left join tag_details on tag_details.tag_id=actual_hour.tag_id
where 1 and actual_hour.employee_id='$employee_id' and tag_details.code_status='running' and tag_details.tag_id='$tag_id' group by actual_hour.employee_id asc,tag_details.tag_details_id asc");

        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($row[fault_number] > 0) {
                $row['barcode'] = $row[new_barcode];
            }
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option  pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function get_barcode_for_this_employee_and_tag_new($tag_id = '', $sel = '',$tag_sub_id='') {
        $employee_id = $this->session->userdata('employee_id');

         if ($tag_sub_id != '' && $tag_sub_id!=0) {
            $con_sub = " and tag_details.tag_sub_id='$tag_sub_id' ";
        }

        $query = $this->db->query("select fault_number,barcode,new_barcode,tag_details_id,pole_type,code,date_replaced from tag_details 
where 1 $con_sub and tag_details.code_status='running' and tag_details.tag_id='$tag_id' and (tag_details.rock_hole_status is NULL or tag_details.rock_hole_status=2)  order by CAST(barcode AS SIGNED) asc");

        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($row[fault_number] > 0) {
                $row['barcode'] = $row[new_barcode];
            }
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option  pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function get_barcode_for_this_employee_and_tag_new_cdr($tag_id = '', $sel = '', $tag_sub_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($tag_sub_id != '' && $tag_sub_id!=0) {
            $con_sub = " and tag_details.tag_sub_id='$tag_sub_id' ";
        }
        $query = $this->db->query("select fault_number,barcode,new_barcode,tag_details_id,pole_type,code,date_replaced from tag_details 
where 1 $con_sub and tag_details.code_status='running' and tag_details.tag_id='$tag_id' and fault_number!='' and (tag_details.rock_hole_status is NULL or tag_details.rock_hole_status=2)  order by new_barcode asc");

        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($row[fault_number] > 0) {
                $row['barcode'] = $row[new_barcode];
            }
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option  pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function get_barcode_for_this_employee_and_tag_rock($tag_id = '', $sel = '') {
        $employee_id = $this->session->userdata('employee_id');
        $query = $this->db->query("select pole_assign.pole_assign_id,tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id
left join tag_details on tag_details.tag_id=actual_hour.tag_id 
left join pole_assign on pole_assign.tag_details_id=tag_details.tag_details_id
where 1 and actual_hour.employee_id='$employee_id' and pole_assign.employee_id='$employee_id' and tag_details.code_status='running' and tag_details.tag_id='$tag_id' and tag_details.rock_hole_status=1 group by actual_hour.employee_id asc,tag_details.tag_details_id asc");

        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($row[fault_number] > 0) {
                $row['barcode'] = $row[new_barcode];
            }
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option  pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function get_barcode_for_this_employee_rock($sel = '') {
        $employee_id = $this->session->userdata('employee_id');
//        $query = $this->db->query("select tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
//left join tag on tag.tag_id=actual_hour.tag_id
//left join tag_details on tag_details.tag_id=actual_hour.tag_id
//where 1 and actual_hour.employee_id='$employee_id' and tag_details.code_status='running'");
        $query = $this->db->query("select pole_assign.pole_assign_id,tag.description_id,actual_hour.job_number,actual_hour.service_number,actual_hour.contact_number,tag_details.* from actual_hour
left join tag on tag.tag_id=actual_hour.tag_id
left join tag_details on tag_details.tag_id=actual_hour.tag_id 
left join pole_assign on pole_assign.tag_details_id=tag_details.tag_details_id
where 1 and actual_hour.employee_id='$employee_id' and pole_assign.employee_id='$employee_id'  and tag_details.code_status='running' and tag_details.rock_hole_status=1  group by actual_hour.employee_id asc,tag_details.tag_details_id asc");
        $row = $query->result_array();
        //print_r($row);exit;
        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

    function save_img_data_to_tag_details() {
        $tag_details_id = $this->session->userdata('tag_details_id_for_img');
        $file = 'before_image';
        $before_image = "";
        if ($_FILES[$file]['name'] != '') {
            $before_image = $this->add_image_to_tag_details($file);
        }
        $file1 = 'after_image';
        $after_image = "";
        if ($_FILES[$file1]['name'] != '') {
            $after_image = $this->add_image_to_tag_details($file1);
        }
        $data = array(
            'before_image' => $before_image,
            'after_image' => $after_image
        );
        $this->db->update('tag_details', $data, array('tag_details_id' => $tag_details_id));
        $this->session->unset_userdata('tag_details_id_for_img');
        return true;
    }

    function con_tracker($from_date = '', $to_date = '', $year = '', $type_id = '') {
        $con = "where 1 and DayVal between '$from_date' and '$to_date'";
        if ($type_id != '' && $type_id != 0) {
            $con .= " and employee.employee_type=$type_id";
            $this->session->set_userdata('type_id', "$type_id");
        } else {
            $type_id = $this->session->userdata('type_id');
            if ($type_id != '' && $type_id != 0) {
                $con .= " and employee.employee_type=$type_id";
            }
        }

        $query = $this->db->query("select not_in_work.*, employee.employee_first_name,employee.employee_last_name,type.type_name from not_in_work
left join employee on employee.employee_id=not_in_work.employee_id
left join type on type.type_id=employee.employee_type $con group by not_in_work.employee_id order by employee.employee_last_name asc");
        return $query->result_array();
    }
    
    
    function get_barcode_for_this_employee_and_tag_new_nbi($tag_id = '', $sel = '', $tag_sub_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($sel != '' && $sel != 0) {
            $con_sub = " and tag_details.tag_details_id='$sel' ";
        }
        $query = $this->db->query("select fault_number,barcode,new_barcode,tag_details_id,pole_type,code,date_replaced from tag_details 
where 1 $con_sub and tag_details.code_status='running' and tag_details.tag_id='$tag_id' and (tag_details.rock_hole_status is NULL or tag_details.rock_hole_status=2)");
        $row = $query->result_array();
//        $str .= "<option value=''>Select Barcode</option>";
        foreach ($row as $row) {
            if ($row[fault_number] > 0) {
                $row['barcode'] = $row[new_barcode];
            }
            if ($sel == "$row[tag_details_id]") {
                $str .= "<option pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "'  selected>" . $row['barcode'] . "</option>";
            } else {
                $str .= "<option  pole_type='" . $row[pole_type] . "' code='" . $row[code] . "' new_barcode='" . $row[new_barcode] . "' date_replaced='" . $row[date_replaced] . "' value='" . $row[tag_details_id] . "' >" . $row['barcode'] . "</option>";
            }
        }
        return $str;
    }

}

?>