<?php

class Dashboard_model extends CI_Model {

    function _construct() {
        parent::_construct();
    }

    function get_week_value_report_dashboard($job_number = '') {
        if ($_POST['week_no'] == '') {
            $week_number = date("W", strtotime('now'));
        } else {
            $week_number = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $year_number = date("o", strtotime('now'));
        } else {
            $year_number = $_POST['year'];
        }
        $week_no = sprintf("%02u", $week_number);
        $date1 = date("Y-m-d", strtotime($year_number . "W" . $week_no . "1")); // First day of week
        $date2 = date("Y-m-d", strtotime($year_number . "W" . $week_no . "7"));

//        $query = $this->db->query("select actavo_cabling.description_id,count(actavo_cabling_details.actavo_cabling_details_id) as count_pole,
//            sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as meter_sum,actavo_cabling.job_number,
//            actavo_cabling_details.actavo_cabling_id as tag_id,actavo_cabling_details.leader_id as employee_id,actavo_cabling_details.submission_date as date_replaced,
//            sum(IFNULL(actavo_cabling_details.value,0))+sum(IFNULL(actavo_cabling_details.value_1,0))+sum(IFNULL(actavo_cabling_details.value_2,0)) as power_serve,
//            sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as counter_pole from actavo_cabling_details
//            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id       
//            where actavo_cabling.customer_id='$job_number' and (actavo_cabling_details.status='complete' or actavo_cabling_details.status='approved')  
//                and actavo_cabling_details.submission_date between '$date1' and '$date2'  
//             group by actavo_cabling.description_id asc,actavo_cabling_details.leader_id asc,actavo_cabling_details.submission_date asc");

        
            $query = $this->db->query("select actavo_cabling.description_id,
actavo_cabling_details.leader_id,
actavo_cabling_details.submission_date,
count(actavo_cabling_details.actavo_cabling_details_id) as count_pole, sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as meter_sum,
max(actavo_cabling.job_number) as job_number, 
actavo_cabling_details.leader_id as employee_id,
actavo_cabling_details.submission_date as date_replaced, 
sum(IFNULL(actavo_cabling_details.value,0))+sum(IFNULL(actavo_cabling_details.value_1,0))+sum(IFNULL(actavo_cabling_details.value_2,0)) as power_serve, sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as counter_pole 
from actavo_cabling_details 
left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id 
where actavo_cabling.customer_id='$job_number' 
and (actavo_cabling_details.status='complete' or actavo_cabling_details.status='approved') 
and actavo_cabling_details.submission_date between '$date1' and '$date2' 
group by actavo_cabling.description_id,actavo_cabling_details.leader_id,actavo_cabling_details.submission_date");
        
        
        
        return $query->result_array();
    }

    function get_week_value_report_total_dashboard($job_number = '') {
        if ($_POST['week_no'] == '') {
            $week_number = date("W", strtotime('now'));
        } else {
            $week_number = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $year_number = date("o", strtotime('now'));
        } else {
            $year_number = $_POST['year'];
        }
        $week_no = sprintf("%02u", $week_number);
        $date1 = date("Y-m-d", strtotime($year_number . "W" . $week_no . "1")); // First day of week
        $date2 = date("Y-m-d", strtotime($year_number . "W" . $week_no . "7"));

//        $query = $this->db->query("select actavo_cabling.description_id,count(actavo_cabling_details.actavo_cabling_details_id) as count_pole,
//            sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as meter_sum,
//            actavo_cabling_details.ies_team as team_excel,actavo_cabling.job_number,
//            actavo_cabling_details.leader_id as employee_id,actavo_cabling_details.leader_name,actavo_cabling_details.submission_date as date_replaced,
//            sum(IFNULL(actavo_cabling_details.value,0))+sum(IFNULL(actavo_cabling_details.value_1,0))+sum(IFNULL(actavo_cabling_details.value_2,0)) as power_serve,
//            sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0))  as counter_pole from actavo_cabling_details
//left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id        
//where  actavo_cabling.customer_id='$job_number' and (actavo_cabling_details.status='complete' or actavo_cabling_details.status='approved' ) and 
//               actavo_cabling_details.submission_date between '$date1' and '$date2'   group by actavo_cabling.description_id asc,actavo_cabling_details.leader_id asc");
   
        
               $query = $this->db->query("select actavo_cabling.description_id,
actavo_cabling_details.leader_id,
count(actavo_cabling_details.actavo_cabling_details_id) as count_pole,
max(actavo_cabling_details.ies_team) as team_excel,
max(actavo_cabling.job_number) as job_number,
max(actavo_cabling_details.leader_id) as employee_id,
max(actavo_cabling_details.leader_name) as leader_name,
max(actavo_cabling_details.submission_date) as date_replaced,
sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0)) as meter_sum,
sum(IFNULL(actavo_cabling_details.value,0))+sum(IFNULL(actavo_cabling_details.value_1,0))+sum(IFNULL(actavo_cabling_details.value_2,0)) as power_serve,
sum(IFNULL(actavo_cabling_details.rate_card_qty,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_1,0))+sum(IFNULL(actavo_cabling_details.rate_card_qty_2,0))  as counter_pole 
from actavo_cabling_details
left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id        
where  actavo_cabling.customer_id='$job_number' 
and (actavo_cabling_details.status='complete' or actavo_cabling_details.status='approved' ) 
and actavo_cabling_details.submission_date between '$date1' and '$date2' 
group by actavo_cabling.description_id,actavo_cabling_details.leader_id order by actavo_cabling.description_id asc,actavo_cabling_details.leader_id asc");
               
        
        
        return $query->result_array();
    }

}

?>