<?php

class Employee_model extends CI_Model {

    function __construct() {
        parent::__construct();
    }

    function get_employee_grid($limit = false, $start = '', $perpage = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($employee_id == '') {
            redirect('login');
        }
        $con = "where 1  ";
        $con .= " and employee.employee_id=$employee_id";
        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select * from employee $con order by employee_id  desc $limit_sql");
        return $query->row_array();
    }

    function get_employee_grid_for_show_by_director($limit = false, $start = '', $perpage = '') {
        $con = "where 1  and employee_status=1";

        $type_id = $this->session->userdata('employee_type_id_record');
        if ($type_id != '' && $type_id != 0) {
            $con .= " and employee_type=$type_id";
        }

        if ($_REQUEST['employee_id'] != '') {
            $con .= " and employee.employee_id='{$_REQUEST[employee_id]}'";
        }

        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select * from employee $con order by employee_last_name  Asc  $limit_sql");
        return $query->result_array();
    }

    function get_load_all_accounts_grid() {
        $sortname = common::getVar('sidx', 'employee_last_name');
        $sortorder = common::getVar('sord', 'asc');
        $sort = "ORDER BY $sortname $sortorder";
        $con = "where 1  and employee_status=1";

        $type_id = $this->session->userdata('employee_type_id_record');
        if ($type_id != '' && $type_id != 0) {
            $con .= " and employee_type=$type_id";
        }

        if ($_REQUEST['employee_id'] != '') {
            $con .= " and employee.employee_id='{$_REQUEST[employee_id]}'";
        }


        $sql = "select * from employee $con $sort";

        $page = common::getVar('page', 1);
        $limit = common::getVar('rows');
        $temp = $this->db->query($sql);
        $count = count($temp->result_array());
        if ($count > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }
        if ($page > $total_pages)
            $page = $total_pages;

        if ($limit < 0)
            $limit = 0;
        $start = $limit * $page - $limit;
        if ($start < 0)
            $start = 0;

        $sql_query = $this->db->query($sql . " limit $start, $limit");
        $rows = $sql_query->result_array();


        $i = 0;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
        $image = '';
        foreach ($rows as $row) {

            $emp_name1 = $row['employee_first_name'];
            $emp_name2 = $row['employee_last_name'];
            $salary_data = sql::row('employee_salary', "employee_id=$row[employee_id]");
            $salary = $salary_data['employee_salary_amount'];
            if ($salary_data[billable_hours_id] == 1) {
                $emp_salary = $salary;
            }
            if ($salary_data[billable_hours_id] == 2) {
                $emp_salary2 = $salary_data['employee_salary_amount'];
            }

            if ($salary_data[billable_hours_id] == 3) {
                $hourly_rate = $salary_data['hourly_rate'];
            }

            $date = date('d/m/Y', strtotime($salary_data[salary_date]));

            $substance = $salary_data['expense_cost'] + $salary_data['travel_cost'];
            $responce->rows[$i]['id'] = $row['employee_id'];
            $responce->rows[$i]['cell'] = array($emp_name1, $emp_name2, $emp_salary, $emp_salary2, $hourly_rate, $substance, $date);

            $emp_salary = '';
            $emp_salary2 = '';
            $hourly_rate = '';
            $substance = '';
            $date = '';
            $i++;
        }
        header("Expires: Sat, 17 Jul 2010 05:00:00 GMT");
        header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT");
        header("Cache-Control: no-cache, must-revalidate");
        header("Pragma: no-cache");
        header("Author: Rajib paul");
        header("Email: bahar.cu@gmail.com");
        header("Content-type: text/x-json");
        echo json_encode($responce);
        return '';
    }

    function get_salary_record_grid() {
        $sortname = common::getVar('sidx', 'e.employee_last_name');
        $sortorder = common::getVar('sord', 'asc');
        $sort = "ORDER BY $sortname $sortorder";
        $con = "where 1  and employee_status=1";

        $type_id = $this->session->userdata('employee_type_id_record');
        if ($type_id != '' && $type_id != 0) {
            $con .= " and e.employee_type=$type_id";
        }

        if ($_REQUEST['employee_id'] != '') {
            $con .= " and e.employee_id='{$_REQUEST[employee_id]}'";
        }


        $sql = "select e.employee_id, e.employee_type, e.employee_first_name, e.employee_last_name
        from employee as e $con $sort";

        $page = common::getVar('page', 1);
        $limit = common::getVar('rows');
        $temp = $this->db->query($sql);
        $count = count($temp->result_array());
        if ($count > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }
        if ($page > $total_pages)
            $page = $total_pages;

        if ($limit < 0)
            $limit = 0;
        $start = $limit * $page - $limit;
        if ($start < 0)
            $start = 0;

        $sql_query = $this->db->query($sql . " limit $start, $limit");
        $rows = $sql_query->result_array();


        $i = 0;
        $responce->page = $page;
        $responce->total = $total_pages;

        $image = '';
        $emp_name_count = 0;
        foreach ($rows as $row) {

            $salary_data = sql::row('employee_salary', "employee_id=$row[employee_id]");
            $record_data = sql::rows('employee_salary_record', "employee_id=$row[employee_id]");

            if (count($record_data) > 0) {
                foreach ($record_data as $record_data) {
                    if ($emp_name_count == 0) {
                        $emp_name = $row['employee_first_name'] . ' ' . $row['employee_last_name'];
                    } else {
                        $emp_name = '';
                    }
                    $responce->rows[$i]['cell'] = array($emp_name, $record_data['employee_salary_amount'], $record_data['travel_cost'], $record_data['expense_cost'], $record_data['date']);
                    $i++;
                    $emp_name_count++;
                    $count++;
                }
            }

            if ($emp_name_count == 0) {
                $emp_name = $row['employee_first_name'] . ' ' . $row['employee_last_name'];
            } else {
                $emp_name = '';
            }
            $responce->rows[$i]['cell'] = array($emp_name, $salary_data['employee_salary_amount'], $salary_data['travel_cost'], $salary_data['expense_cost'], $salary_data['salary_date']);
            $i++;
            $emp_name_count = 0;
            $emp_name = '';
        }
        $responce->records = $count;
        header("Expires: Sat, 17 Jul 2010 05:00:00 GMT");
        header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT");
        header("Cache-Control: no-cache, must-revalidate");
        header("Pragma: no-cache");
        header("Author: Rajib paul");
        header("Email: bahar.cu@gmail.com");
        header("Content-type: text/x-json");
        echo json_encode($responce);
        return '';
    }

    function get_approval_request_grid() {
        $sortname = common::getVar('sidx', 'c.leave_calender_id');
        $sortorder = common::getVar('sord', 'desc');
        $sort = "ORDER BY $sortname $sortorder";

        $employee_id = $this->session->userdata('employee_id');
        $today = date('Y-m-d');
        $previous5 = date('Y-m-d', strtotime("$today -5 day"));

        $e_type = $this->session->userdata('employee_type');
        if ($e_type == 4) {
            $con = " where 1 and c.request_date<='$previous5' and e.employee_id!=''";
        } else {
            $con = "where 1 and h.approval_manager1_emp_id='$employee_id' and e.employee_id!='' and c.request_date>'$previous5' and c.request_date<='$today'";
        }


        $sql = "select c.*,e.employee_first_name,e.employee_last_name,e.employee_pps_number,e.employee_id
                from leavcalender as c
                left join holiday_setup as h on h.employee_id=c.employee_id
                left join employee as e on e.employee_id=c.employee_id
                $con and c.status=0 group by c.employee_id,c.count_leave $sort";

        $page = common::getVar('page', 1);
        $limit = common::getVar('rows');
        $temp = $this->db->query($sql);
        $count = count($temp->result_array());
        if ($count > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }
        if ($page > $total_pages)
            $page = $total_pages;

        if ($limit < 0)
            $limit = 0;
        $start = $limit * $page - $limit;
        if ($start < 0)
            $start = 0;

        $sql_query = $this->db->query($sql . " limit $start, $limit");
        $rows = $sql_query->result_array();


        $i = 0;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
        $image = '';
        foreach ($rows as $p) {
            $emp_name = $p['employee_first_name'] . ' ' . $p['employee_last_name'];
            $date_interval = sql::row("leavcalender", "status=0 and count_leave=$p[count_leave]", "min(DayVal) as min_date,max(DayVal) as max_date");
            $l_date = date('d F Y', strtotime($date_interval['min_date']));
            $r_date = date('d F Y', strtotime($date_interval['max_date']));
            $days = (strtotime($date_interval['max_date'] . ' 23:59:00') - strtotime($date_interval['min_date'] . ' 00:00:00')) / (60 * 60 * 24);
            $status = 'Pending';
            $print_href = "<a href='" . site_url('schedule/employee_leave_status/' . $p[employee_id] . '/' . $p[count_leave]) . "' style='padding:5px;' target='_blank'>Accept / Reject</a>";

            $responce->rows[$i]['id'] = $p['employee_id'];
            $responce->rows[$i]['cell'] = array($emp_name, $l_date, $r_date, ceil($days), $status, $print_href);


            $date = '';
            $i++;
        }
        header("Expires: Sat, 17 Jul 2010 05:00:00 GMT");
        header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT");
        header("Cache-Control: no-cache, must-revalidate");
        header("Pragma: no-cache");
        header("Author: Rajib paul");
        header("Email: bahar.cu@gmail.com");
        header("Content-type: text/x-json");
        echo json_encode($responce);
        return '';
    }

    function get_employee_address_grid($limit = false, $start = '', $perpage = '') {
        $employee_id = $this->session->userdata('employee_id');

        $con = "where 1  ";
        $con .= " and employee.employee_id=$employee_id";
        if ($_REQUEST['customer_name']) {
            $con .= " and customers.customer_full_name like '%{$_REQUEST['customer_name']}%'";
        }
        if ($_REQUEST['customer_id']) {
            $con .= " and customers.customer_name='{$_REQUEST['customer_id']}'";
        }
        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select employee.employee_id,employee.employee_pps_number,employee.employee_first_name,employee.employee_last_name,employee.image
                   from employee $con order by employee_id desc $limit_sql");
        return $query->result_array();
    }

    function get_employee_contact_grid($limit = false, $start = '', $perpage = '') {
        $employee_id = $this->session->userdata('employee_id');

        $con = "where 1  ";
        $con .= " and employee.employee_id=$employee_id";
        if ($_REQUEST['customer_name']) {
            $con .= " and customers.customer_full_name like '%{$_REQUEST['customer_name']}%'";
        }
        if ($_REQUEST['customer_id']) {
            $con .= " and customers.customer_name='{$_REQUEST['customer_id']}'";
        }
        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select employee.employee_id,employee.employee_pps_number,employee.employee_first_name,employee.employee_last_name
                  from employee $con order by employee.employee_id  desc $limit_sql");
        return $query->result_array();
    }

    function save_employee_salary() {
        $data = array(
            'employee_id' => $_POST['employee_id'],
            'salary_type' => $_POST['salary_type'],
            'employee_salary_amount' => $_POST['employee_salary_amount']
        );
        $this->db->insert('employee_salary', $data);
    }

    function update_employee_salary() {
        $employee_id = $this->session->userdata('employee_id_salary');
        $data_employee = array('billable_hours_id' => $_POST['billable_hours_id']);
        $this->db->update('employee', $data_employee, array('employee_id' => $employee_id));
        $dateInput = explode('/', "$_POST[salary_date]");
        $salary_date = $dateInput[2] . '-' . $dateInput[1] . '-' . $dateInput[0];
        $salary_data = sql::row("employee_salary", "employee_id='$employee_id'");
        $date = date('Y-m-d');


        $year = date('Y', strtotime($salary_date));
        $billable_data = sql::row("billable_hours", "billable_hour_name='$_POST[billable_hours_id]' and year='$year'");
        $day_rate = $_POST['employee_salary_amount'];
        $hourly_rate = $day_rate / $billable_data['hours_per_day'];


        $salary_record_data = array(
            'employee_id' => $employee_id,
            'billable_hours_id' => $salary_data['billable_hours_id'],
            'travel_cost' => $salary_data['travel_cost'],
            'expense_cost' => $salary_data['expense_cost'],
            'employee_salary_amount' => $salary_data['employee_salary_amount'],
            'prsi' => $salary_data['prsi'],
            'hourly_rate' => $salary_data['hourly_rate'],
            'salary_type' => $salary_data['salary_type'],
            'date' => $salary_data['salary_date'],
            'on_call_rate' => $salary_data['on_call_rate'],
            'bank_holiday_rate' => $salary_data['bank_holiday_rate'],
        );
        $this->db->insert('employee_salary_record', $salary_record_data);
        $data = array(
            'billable_hours_id' => $_POST['billable_hours_id'],
            'travel_cost' => $_POST['travel_cost'],
            'expense_cost' => $_POST['expense_cost'],
            'employee_salary_amount' => $_POST['employee_salary_amount'],
            'prsi' => $_POST['prsi'],
            'hourly_rate' => $hourly_rate,
            'salary_type' => $_POST['salary_type'],
            'salary_date' => $salary_date,
            'on_call_rate' => $salary_data['on_call_rate'],
            'bank_holiday_rate' => $salary_data['bank_holiday_rate'],
        );
        $this->db->update('employee_salary', $data, array('employee_id' => $employee_id));
    }

    function monthval() {
        $month = array('1' => 'Jan', '2' => 'Feb', '3' => 'Mar', '4' => 'Apr', '5' => 'May',
            '6' => 'Jun', '7' => 'Jul', '8' => 'Aug', '9' => 'Sep', '10' => 'Oct', '11' => 'Nov', '12' => 'Dec');
        return $month;
    }

//    function save_employee_holiday_request() {
//        $employee_id = $this->session->userdata('employee_id');
//        $max = sql::row("leavcalender", "1", "max(count_leave) as c_leave");
//        $today = date('Y-m-d');
//        if ($_POST['request_date'] > 0) {
//            $inc = 0;
//            $count_leave = $max['c_leave'] + 1;
//            $temp_request_date = '0000-00-00';
//            foreach ($_POST['request_date'] as $val) {
//                $request_date = $_POST['request_date'][$inc];
//                $compare_date = date('Y-m-d', strtotime("$temp_request_date +1 day"));
//                if ($request_date == "$compare_date") {
//                    $count_leave = $count_leave;
//                } else {
//                    $count_leave = $count_leave + 1;
//                }
//                $temp_request_date = $request_date;
//                $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
//
//
//                if (count($is_exist) == '') {
//                    $data = array(
//                        'DayVal' => $request_date,
//                        'request_date' => $today,
//                        'employee_id' => $employee_id,
//                        'count_leave' => $count_leave
//                    );
//                    $this->db->insert("leavcalender", $data);
//                }
//                $inc++;
//            }
//        }
//        return true;
//    }


    function save_employee_holiday_request() {
        $employee_id = $this->session->userdata('employee_id');
        $max = sql::row("leavcalender", "1", "max(count_leave) as c_leave");
        $today = date('Y-m-d');
        if ($_POST['request_date'] > 0) {
            $inc = 0;
            $count_leave = $max['c_leave'] + 1;
            $temp_request_date = '0000-00-00';
            $str_email = '';
            foreach ($_POST['request_date'] as $val) {
                $request_date = "{$_POST['request_date'][$inc]}";
                $compare_date = date('Y-m-d', strtotime("$temp_request_date +1 day"));
                if ($request_date == "$compare_date") {
                    $count_leave = $count_leave;
                } else {
                    $count_leave = $count_leave + 1;
                }
                $temp_request_date = $request_date;
                $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
                if ($is_exist['employee_id']== '') {
                    $data = array(
                        'DayVal' => $request_date,
                        'request_date' => $today,
                        'employee_id' => $employee_id,
                        'leave_count' => 1,
                        'count_leave' => $count_leave
                    );
                    $this->db->insert("leavcalender", $data);
                    $str_email .= date('d/m/Y', strtotime($request_date)) . ', ';
                }
                $inc++;
            }

//            include_once('../mailClass.php');
//            $employee_info = sql::row("employee", "employee_id='$employee_id'");
//            $contact_info = sql::row("contact_details", "employee_id='$employee_id' and work_or_personal='1'", "email");
//            $subject_text = 'Holiday request from: ' . $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . '';
//            $mes_body = $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] . ' send holiday request for bellow date. <br/>' . $str_email;
//            $to_list = explode(',', 'rajib@cdm-ms.co.uk');
//            $i = 0;
//            foreach ($to_list as $to) {
//                if ($to != '') {
//                    $m = new Mail;
//                    $m->To($to);
//                    $m->From($contact_info['email']);
//                    $m->Subject($subject_text);
//                    $m->Body($mes_body);
//                    $m->Priority(3);
//                    $m->content_type('text/html');
//                    $m->Send();
//                    $i++;
//                }
//            }
        }
        return true;
    }

    function get_employee_leave_grid($year = '') {
        if ($year == '') {
            $year = date('Y');
        }
        $con = "where 1 and year(leavcalender.DayVal)='$year'";

        $query = $this->db->query("select employee.employee_first_name,employee.leave_left,employee.employee_last_name,employee.employee_pps_number,employee.billable_hours_id,employee.employee_id,employee.employee_issue_date,year(employee.employee_issue_date) as start_year,count(leavcalender.employee_id) as used_in_year, leavcalender.change_by_emp_id
                from employee
                left join leavcalender on leavcalender.employee_id=employee.employee_id $con and leavcalender.status=1 group by employee_id order by employee.employee_last_name asc");
        return $query->result_array();
    }

    function get_employee_leave_grid_cl_month($year = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($year == '') {
            $year = date('Y');
        }
        $con = "where 1 and leavcalender.employee_id='$employee_id' and year(leavcalender.DayVal)='$year'";

        $query = $this->db->query("select employee.employee_first_name,employee.leave_left,employee.employee_last_name,employee.employee_pps_number,employee.billable_hours_id,employee.employee_id,employee.employee_issue_date,year(employee.employee_issue_date) as start_year,count(leavcalender.employee_id) as used_in_year
                from employee
                left join leavcalender on leavcalender.employee_id=employee.employee_id $con and leavcalender.status=1 group by employee_id order by employee.employee_last_name asc");
        return $query->result_array();
    }

    function get_employee_leave($limit = false, $start = '', $perpage = '') {
        if ($limit) {
            $limit_sql = " limit $start,$perpage";
        }
        $employee_id = $this->session->userdata('employee_id');
        $today = date('Y-m-d');
        $previous5 = date('Y-m-d', strtotime("$today -5 day"));

        $e_type = $this->session->userdata('employee_type');
        if ($e_type == 4) {
            $con = " where 1 and c.request_date<='$previous5' and e.employee_id!=''";
        } else {
            $con = "where 1 and h.approval_manager1_emp_id='$employee_id' and e.employee_id!='' and c.request_date>'$previous5' and c.request_date<='$today'";
        }

        $query = $this->db->query("select c.*,e.employee_first_name,e.employee_last_name,e.employee_pps_number,e.employee_id
                from leavcalender as c
                left join holiday_setup as h on h.employee_id=c.employee_id
                left join employee as e on e.employee_id=c.employee_id
                $con and c.status=0 group by c.employee_id,c.count_leave order by c.DayVal desc $limit_sql");
        return $query->result_array();
    }

    function get_single_employee_leave($limit = false, $start = '', $perpage = '') {
        $con = "where 1  ";

        $employee_id = $this->session->userdata('employee_id');
        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select leavcalender.*,employee.employee_first_name,employee.employee_last_name,employee.employee_pps_number
                from leavcalender
                left join employee on employee.employee_id=leavcalender.employee_id $con and employee.employee_id!='' and employee.employee_id='$employee_id' and status!=1 group by leavcalender.employee_id,leavcalender.count_leave order by leavcalender.leave_calender_id asc $limit_sql");
        return $query->result_array();
    }

    function get_total_leaves_old() {
        $e_type = $this->session->userdata('employee_type');
        $today = date('Y-m-d');
        $previous5 = date('Y-m-d', strtotime("$today -5 day"));
        if ($e_type == 5) {
            $con = "where 1 and request_date>'$previous5' and request_date<='$today' ";
        }

        if ($e_type == 4) {
            $con = "where 1 and request_date<'$previous5'";
        }

        $query = $this->db->query("select leavcalender.*,employee.employee_first_name,employee.employee_last_name,employee.employee_pps_number
                from leavcalender
                left join employee on employee.employee_id=leavcalender.employee_id $con and status=0 and employee.employee_id!='' group by leavcalender.employee_id,leavcalender.count_leave order by leavcalender.leave_calender_id asc");
        return $query->result_array();
    }

    function get_total_leaves() {
        $employee_id = $this->session->userdata('employee_id');
        $today = date('Y-m-d');
        $previous5 = date('Y-m-d', strtotime("$today -5 day"));

        $e_type = $this->session->userdata('employee_type');
        if ($e_type == 4) {
            $con = "where 1 and c.request_date<='$previous5' and e.employee_id!=''";
        } else {
            $con = "where 1 and h.approval_manager1_emp_id='$employee_id' and e.employee_id!=''  and c.request_date>'$previous5' and c.request_date<='$today'";
        }

        $query = $this->db->query("select c.*,e.employee_first_name,e.employee_last_name,e.employee_pps_number
                from leavcalender as c
                left join holiday_setup as h on h.employee_id=c.employee_id
                left join employee as e on e.employee_id=c.employee_id
                $con and status=0 group by c.employee_id,c.count_leave order by c.leave_calender_id asc");
        return $query->result_array();
    }

    function get_employee_approved_holiday($limit = false, $start = '', $perpage = '') {
        $con = "where 1  ";

        if ($_REQUEST[employee_id]) {
            $con .= " and  leavcalender.employee_id=$_REQUEST[employee_id]";
        }

        if ($limit) {
            $limit_sql .= " limit $start,$perpage";
        }
        $query = $this->db->query("select leavcalender.*,employee.employee_first_name,employee.employee_last_name,employee.employee_pps_number
                from leavcalender
                left join employee on employee.employee_id=leavcalender.employee_id $con and employee.employee_id!='' and status=1 group by leavcalender.employee_id,leavcalender.count_leave order by employee.employee_last_name asc $limit_sql");
        return $query->result_array();
    }

    function check_is_exist_in_team($e_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        $p_manager = sql::row("project_manager", "project_manager_name='$employee_id'");


        $team_data = sql::rows("team", "project_manager_id='$p_manager[project_manager_id]'", "employee_id");
        foreach ($team_data as $t) {
            if ($t['employee_id'] == $e_id) {
                $found = 1;
                break;
            } else {
                $found = 0;
            }
        }
        return $found;
    }

    function check_is_exist_in_manager($e_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        $team_data = sql::rows("holiday_setup", "approval_manager1_emp_id='$employee_id' or approval_manager2_emp_id='$employee_id'", "employee_id");
        foreach ($team_data as $t) {
            if ($t['employee_id'] == $e_id) {
                $found = 1;
                break;
            } else {
                $found = 0;
            }
        }
        return $found;
    }

    function do_update_password() {
        $password = $_POST['new_password'];
        $employee_id = $this->session->userdata('employee_id');
        $data = array(
            'password' => $password
        );
        return $this->db->update("employee", $data, array('employee_id' => $employee_id));
    }

    function update_contact($id = '') {
        $data = array(
            'email' => $_POST['employee_email'],
            'cell_no' => $_POST['employee_cell_no'],
            'modem_no' => $_POST['modem_no'],
            'sim_no' => $_POST['sim_no']
        );
        $this->db->update('contact_details', $data, array('contact_details_id' => $id, 'work_or_personal' => 1));
    }

    function update_personal_contact_details($c_id = '', $a_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($employee_id == '') {
            redirect('login');
        }
        $data = array(
            'employee_id' => $employee_id,
            'personal_mobile_no' => $_POST['personal_mobile_number'],
            'land_line' => $_POST['employee_land_line'],
            'work_or_personal' => 2
        );
        $this->db->update('contact_details', $data, array('contact_details_id' => $c_id));
        $address_data = array(
            'street' => $_POST['street'],
            'town' => $_POST['town'],
            'county' => $_POST['county'],
            'country' => $_POST['country']
        );
        $this->db->update('address_details', $address_data, array('address_details_id' => $a_id));
    }

    function update_emergency_contact_details($c_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($employee_id == '') {
            redirect('login');
        }
        $data = array(
            'employee_id' => $employee_id,
            'personal_contact_details' => $_POST['personal_contact_details'],
            'emmergency_contact' => $_POST['emmergency_contact'],
            'emergency_land_line' => $_POST['emergency_land_line'],
            'work_or_personal' => 2
        );
        $this->db->update('contact_details', $data, array('contact_details_id' => $c_id));
    }

    function add_personal_contact_details($employee_id) {
        $employee_id = $this->session->userdata('employee_id');
        if ($employee_id == '') {
            redirect('login');
        }
        $data = array(
            'employee_id' => $employee_id,
            'personal_mobile_no' => $_POST['personal_mobile_number'],
            'land_line' => $_POST['employee_land_line'],
            'work_or_personal' => 2
        );
        $this->db->insert('contact_details', $data);
        $address_data = array(
            'employee_id' => $employee_id,
            'street' => $_POST['street'],
            'town' => $_POST['town'],
            'county' => $_POST['county'],
            'country' => $_POST['country']
        );
        $this->db->insert('address_details', $address_data);
    }

    function add_emergency_contact_details($employee_id = '') {
        $employee_id = $this->session->userdata('employee_id');
        if ($employee_id == '') {
            redirect('login');
        }
        $data = array(
            'employee_id' => $employee_id,
            'personal_contact_details' => $_POST['personal_contact_details'],
            'emmergency_contact' => $_POST['emmergency_contact'],
            'emergency_land_line' => $_POST['emergency_land_line'],
            'work_or_personal' => 2
        );
        $this->db->insert('contact_details', $data);
    }

    function save_employee() {
        $file = 'upload_file';

        $image = "";
        if ($_FILES[$file]['name'] != '') {
            $image = $this->add_image($file);
//echo $image;exit;
        }
//echo $image;exit;
//$date = date('Y-m-d');

        $dateInput = explode('/', "$_POST[employee_date_of_birth]");
        $date_of_birth = $dateInput[2] . '-' . $dateInput[1] . '-' . $dateInput[0];

        $dateissue = explode('/', "$_POST[employee_issue_date]");
        $employee_issue_date = $dateissue[2] . '-' . $dateissue[1] . '-' . $dateissue[0];

        $datefinish = explode('/', "$_POST[employee_finish_date]");
        $employee_finish_date = $datefinish[2] . '-' . $datefinish[1] . '-' . $datefinish[0];

        $data = array(
            'employee_pps_number' => $_POST['employee_pps_number'],
            'employee_first_name' => $_POST['employee_first_name'],
            'employee_last_name' => $_POST['employee_last_name'],
            'employee_type' => $_POST['employee_type'],
            'employee_date_of_birth' => "$date_of_birth"
        );
        $this->db->insert('employee', $data);
        $employee_id = $this->db->insert_id();
        $data1 = array(
            'employee_id' => $employee_id
        );
        $this->db->insert('employee_salary', $data1);
        return $employee_id;
    }

    function save_employee_add($employee_id = '') {

        $data = array(
            'employee_id' => "$employee_id");
        $this->db->insert('address_details', $data);

        $data = array(
            'employee_id' => "$employee_id");
        $this->db->insert('contact_details', $data);
        return true;
    }

    function get_holiday_report_grid() {
        $sortname = common::getVar('sidx', 'e.employee_id');
        $sortorder = common::getVar('sord', 'asc');
        $sort = "ORDER BY $sortname $sortorder";

        $year = date('Y');
        $sql = "select e.employee_id,e.employee_first_name, e.employee_last_name,e.billable_hours_id,year(e.employee_issue_date) as start_year,e.employee_issue_date,e.leave_left
                from employee as e 
                where e.employee_status=1 and e.billable_hours_id !='' ORDER BY e.employee_id";

        $page = common::getVar('page', 1);
        $limit = common::getVar('rows');
        $temp = $this->db->query($sql);
        $count = count($temp->result_array());
        if ($count > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }
        if ($page > $total_pages)
            $page = $total_pages;

        if ($limit < 0)
            $limit = 0;
        $start = $limit * $page - $limit;
        if ($start < 0)
            $start = 0;

        $sql_query = $this->db->query($sql . " limit $start, $limit");
        $rows = $sql_query->result_array();

        $i = 0;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;

        $year = date('Y');
        foreach ($rows as $p) {

            $date_sql = "SELECT min(DayVal) as leaving_date,max(DayVal) as return_date,  change_by_emp_id as authorized_id from leavcalender where status=1 and employee_id=$p[employee_id] AND count_leave =  
                   (SELECT max(count_leave) from leavcalender where status=1 and year(DayVal)='$year' and employee_id=$p[employee_id])";
            $query = $this->db->query($date_sql);
            $date_info = $query->row_array();

            $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$year'", "count(bank_holiday_id) as total_bank_holiday");
            $authorized_info = sql::row('employee', "employee_id='$date_info[authorized_id]'", "employee_first_name,employee_last_name");


            $this_year = sql::row("leavcalender", "year(DayVal)='$year' and status=1 and employee_id='$p[employee_id]'", "count(leave_calender_id) as total_used");
            $this_year_used_leave = $this_year['total_used'];


            $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$p[billable_hours_id]'", "annual_leave,week_per_year");
            if ($annual_leave['week_per_year'] != '') {
                $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
            }
            $employee_start_year = $p['start_year'];
            $joining_week = date('W', strtotime($p[employee_issue_date]));
            if ($employee_start_year == "$year") {
                $week_left = $annual_leave['week_per_year'] - $joining_week;
                $a_leave = round($per_week_holiday * $week_left);
            } else {
                $days_used = round($per_week_holiday * $joining_week);
                $a_leave = $annual_leave['annual_leave'];
            }


            $total_used_leave = sql::row("leavcalender", "year(DayVal)<'$year' and status=1 and employee_id='$p[employee_id]'", "count(leave_calender_id) as total_used");
            $used_leave = $total_used_leave['total_used'];
            $total_leave = sql::row("billable_hours", "year<'$year' and year>'$employee_start_year' and billable_hour_name='$p[billable_hours_id]'", "sum(annual_leave) as total_annual");

            $firs_year_week_left = $annual_leave['week_per_year'] - $joining_week;
            $first_year_leave = round($per_week_holiday * $firs_year_week_left);


            $available_leave = $total_leave['total_annual'];
            if ($year > $employee_start_year) {
                $available_leave = $total_leave['total_annual'] + $first_year_leave;
            }

            $carried_forward = $available_leave - $used_leave + $p['leave_left'];

            $available_leave = $a_leave + $carried_forward - $this_year_used_leave;

            if ($date_info['leaving_date'] == '') {
                $l_date = 'No leave this year';
            } else {
                $l_date = date('d/m/Y', strtotime($date_info['leaving_date']));
            }
            if ($date_info['return_date'] == '') {
                $r_date = 'No leave this year';
            } else {
                $r_date = date('d/m/Y', strtotime($date_info['return_date']));
            }

            $print_href = "<a href='" . site_url('employee/employee_leave_report/' . $p['employee_id']) . "' style='padding:5px;'  target='_blank'>Details</a>";
            $responce->rows[$i]['id'] = $p['employee_id'];
            $responce->rows[$i]['cell'] = array($p['employee_first_name'] . ' ' . $p['employee_last_name'], $l_date, $r_date, $authorized_info['employee_first_name'] . ' ' . $authorized_info['employee_last_name'], $bank_holiday['total_bank_holiday'], $a_leave, $carried_forward, $this_year_used_leave, $available_leave, $print_href);
            $i++;
        }



        header("Expires: Sat, 17 Jul 2020 05:00:00 GMT");
        header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT");
        header("Cache-Control: no-cache, must-revalidate");
        header("Pragma: no-cache");
        header("Author: Rajib paul");
        header("Email: rajibpaul51@gmail.com");
        header("Content-type: text/x-json");
        echo json_encode($responce);
        return '';
    }

    function get_holiday_report_grid_old() {
        $sortname = common::getVar('sidx', 'year');
        $sortorder = common::getVar('sord', 'desc');
        $sort = "ORDER BY $sortname $sortorder";


        $con = '1';
        $cid = common::getVar('cid');
        $uid = common::getVar('uid');

        if ($uid != '') {
            //$con.=" and user_name like '$uid%'";
        }

        $year = date('Y');
        if ($year != '') {
            $con .= " and year(leavcalender.DayVal)='$year'";
        }
        if ($_POST['search']) {
            $year = date('Y');
            $data['employee_id'] = $_POST['employee_id'];
            if ($year != '') {
                $con .= " and year(leavcalender.DayVal)='$year'";
            }
            if ($employee_id != '') {
                $con .= " and employee_id='$data[employee_id]'";
            }
        }

        //$data['leave'] = $this->employee_model->get_employee_leave();
        //$data['leave_year_data'] = sql::rows("leavcalender", "$con and status=1 group by year(leavcalender.DayVal) order by year(leavcalender.DayVal) desc", "year(leavcalender.DayVal) as year");




        $sql = "select year(leavcalender.DayVal) as year from leavcalender 
                where $con and status=1 group by year(leavcalender.DayVal)";

        $page = common::getVar('page', 1);
        $limit = common::getVar('rows');
        $temp = $this->db->query($sql);
        $count = count($temp->result_array());
        if ($count > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }
        if ($page > $total_pages)
            $page = $total_pages;

        if ($limit < 0)
            $limit = 0;
        $start = $limit * $page - $limit;
        if ($start < 0)
            $start = 0;

        $sql_query = $this->db->query($sql . " limit $start, $limit");
        $rows = $sql_query->result_array();

        $i = 0;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;


        foreach ($rows as $p) {
            $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$p[year]'", "count(bank_holiday_id) as total_bank_holiday");
            $leave = $this->employee_model->get_employee_leave_grid($p['year']);


            foreach ($leave as $leave) {

                //echo $leave['employee_first_name'] . ' ' . $leave['employee_last_name'];
                $date_interval = sql::row("leavcalender", "status=0 and employee_id=$leave[employee_id]", "min(DayVal) as min_date,max(DayVal) as max_date");
                // echo date('d/m/Y', strtotime($date_interval['min_date']));
                // echo date('d/m/Y', strtotime($date_interval['max_date']));
                // echo $bank_holiday['total_bank_holiday'];

                $annual_leave = sql::row("billable_hours", "year='$p[year]' and billable_hour_name='$leave[billable_hours_id]'", "annual_leave,week_per_year");
                if ($annual_leave['week_per_year'] != '') {
                    $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
                }
                $employee_start_year = $leave['start_year'];
                if ($employee_start_year == "$p[year]") {
                    $joining_week = date('W', strtotime($leave[employee_issue_date]));
                    $week_left = $annual_leave['week_per_year'] - $joining_week;
                    $leave_days = round($per_week_holiday * $week_left);
                } else {
                    $joining_week = date('W', strtotime($leave[employee_issue_date]));
                    $days_used = round($per_week_holiday * $joining_week);
                    $leave_days = $annual_leave['annual_leave'] - $days_used;
                }
                $total_used_leave = sql::row("leavcalender", "year(DayVal)<'$p[year]' and status=1 and employee_id='$leave[employee_id]'", "count(leave_calender_id) as total_used");
                $used_leave = $total_used_leave['total_used'];
                $total_leave = sql::row("billable_hours", "year<'$p[year]' and year>='$employee_start_year' and billable_hour_name='$leave[billable_hours_id]'", "sum(annual_leave) as total_annual");

                $available_leaved = $total_leave['total_annual'];
                $avail = $available_leaved - $used_leave;
                $annual_leave_for_this_year = $avail + $leave_days;

                //echo $annual_leave_for_this_year + $leave['leave_left'];
                //echo $leave['used_in_year'];
                // echo $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'];
                $available_leave = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'];

                $print_href = "<a href='" . site_url('employee/employee_leave_report/' . $leave['employee_id']) . "' style='padding:5px;'  target='_blank'>Details</a>";

                //$responce->rows[$i]['id'] = $p['id'];
                //$responce->rows[$i]['cell'] = array($leave['employee_first_name'] . ' ' . $leave['employee_last_name'],date('d/m/Y', strtotime($date_interval['min_date'])),date('d/m/Y', strtotime($date_interval['max_date'])),' ',$bank_holiday['total_bank_holiday'],$annual_leave_for_this_year + $leave['leave_left'],'',$leave['used_in_year'],$annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'],$print_href,'Edit');
                $responce->rows[$i]['cell'] = array($leave['employee_first_name'] . ' ' . $leave['employee_last_name'], date('d/m/Y', strtotime($date_interval['min_date'])), date('d/m/Y', strtotime($date_interval['max_date'])), ' ', $bank_holiday['total_bank_holiday'], $annual_leave_for_this_year + $leave['leave_left'], '', $leave['used_in_year'], $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'], $print_href);
                $i++;
            }
            header("Expires: Sat, 17 Jul 2020 05:00:00 GMT");
            header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT");
            header("Cache-Control: no-cache, must-revalidate");
            header("Pragma: no-cache");
            header("Author: Rajib paul");
            header("Email: rajibpaul51@gmail.com");
            header("Content-type: text/x-json");
            echo json_encode($responce);
            return '';
        }
    }

    function save_employee_not_in_work() {
        $employee_id = $this->session->userdata('employee_id');
        //$max = sql::row("leavcalender", "1", "max(count_leave) as c_leave");
        $today = date('Y-m-d');
        if ($_POST['request_date'] > 0) {
            $inc = 0;
            //$count_leave = $max['c_leave'] + 1;
            $temp_request_date = '0000-00-00';
            foreach ($_POST['request_date'] as $val) {
                $request_date = $_POST['request_date'][$inc];
                $temp_request_date = $request_date;
                $is_exist = sql::row("not_in_work", "DayVal='$request_date' and employee_id='$employee_id'");
                if (count($is_exist) == '') {
                    $data = array(
                        'DayVal' => $request_date,
                        'request_date' => $today,
                        'employee_id' => $employee_id,
                        'leave_count' => 1
                    );
                    $this->db->insert("not_in_work", $data);
                }
                $inc++;
            }
        }
        return true;
    }

    function save_employee_holiday_request_am() {
        $employee_id = $this->session->userdata('employee_id');
        $max = sql::row("leavcalender", "1", "max(count_leave) as c_leave");
        $today = date('Y-m-d');
        if ($_POST['request_date'] > 0) {
            $inc = 0;
            $count_leave = $max['c_leave'] + 1;
            $temp_request_date = '0000-00-00';
            foreach ($_POST['request_date'] as $val) {
                $request_date = $_POST['request_date'][$inc];
                $compare_date = date('Y-m-d', strtotime("$temp_request_date +1 day"));
                if ($request_date == "$compare_date") {
                    $count_leave = $count_leave;
                } else {
                    $count_leave = $count_leave + 1;
                }
                $temp_request_date = $request_date;
                $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
                if ($is_exist['employee_id']== '') {
                    $data = array(
                        'DayVal' => $request_date,
                        'request_date' => $today,
                        'employee_id' => $employee_id,
                        'leave_count' => 0.5,
                        'leave_type' => 'am',
                        'count_leave' => $count_leave
                    );
                    $this->db->insert("leavcalender", $data);
                }
                $inc++;
            }
        }
        return true;
    }

    function save_employee_holiday_request_pm() {
        $employee_id = $this->session->userdata('employee_id');
        $max = sql::row("leavcalender", "1", "max(count_leave) as c_leave");
        $today = date('Y-m-d');
        if ($_POST['request_date'] > 0) {
            $inc = 0;
            $count_leave = $max['c_leave'] + 1;
            $temp_request_date = '0000-00-00';
            foreach ($_POST['request_date'] as $val) {
                $request_date = $_POST['request_date'][$inc];
                $compare_date = date('Y-m-d', strtotime("$temp_request_date +1 day"));
                if ($request_date == "$compare_date") {
                    $count_leave = $count_leave;
                } else {
                    $count_leave = $count_leave + 1;
                }
                $temp_request_date = $request_date;
                $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
                if ($is_exist['employee_id']== '') {
                    $data = array(
                        'DayVal' => $request_date,
                        'request_date' => $today,
                        'employee_id' => $employee_id,
                        'leave_count' => 0.5,
                        'leave_type' => 'pm',
                        'count_leave' => $count_leave
                    );
                    $this->db->insert("leavcalender", $data);
                }
                $inc++;
            }
        }
        return true;
    }

}

?>