<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
        <meta charset="utf-8">
        <title>Direction of Poles</title>
        <style>
            #map {
                height: 100%;
            }
            html, body {
                height: 100%;
                margin: 0;
                padding: 0;
            }
            #floating-panel {
                position: absolute;
                top: 10px;
                left: 25%;
                z-index: 5;
                background-color: #fff;
                padding: 5px;
                border: 1px solid #999;
                text-align: center;
                font-family: 'Roboto','sans-serif';
                line-height: 30px;
                padding-left: 10px;
            }
        </style>
    </head>
    <body>
	<div style="height:auto;width:100%;background-color:#f9f9f9;padding:20px;">
	<p><span>Site id: </span> <span><?php echo $sinfo['site_number']?></span></p>
	<p><span>Site name: </span> <span><?php echo $sinfo['site_username']?></span></p>
	<p><span>Address: </span> <span><?php echo $sinfo['site_address']?></span></p>
	<p><span>Latitude: </span> <span><?php echo $sinfo['lat']?></span></p>
	<p><span>Longitude: </span> <span><?php echo $sinfo['lng']?></span></p>
        <br/> <br/></div>
<a id="autoclick" style="background-color: darkred; color: #fff; text-decoration: none; padding: 10px; display: block; text-align: center; width: 150px; margin: 20px auto;" href="javascript:void(0)" onclick="calcRoute(1);">Generate Map</a>





<script type="text/javascript">
var myLat,myLong;
var site_lat=<?php echo $sinfo[lat]; ?>;
var site_lng=<?php echo $sinfo[lng]; ?>;


navigator.geolocation.getCurrentPosition(function (position) {
			/*
			 var pos = new google.maps.LatLng(position.coords.latitude,
			 position.coords.longitude);
			 var myLat = position.coords.latitude;
			 var myLong = position.coords.longitude;
			 */
			 myLat = position.coords.latitude;
			 myLong = position.coords.longitude;
			 //console.log(myLat);
			 //console.log(myLong);
			document.getElementById("lat").value = myLat;
			document.getElementById("long").value = myLong;
			//add_location('My location',
			//		position.coords.latitude,
			//		position.coords.longitude);
//
			//set_markers(new google.maps.LatLngBounds(), map);
		}, function error(err) {
			//console.log('error: ' + err.message);
			//set_markers(new google.maps.LatLngBounds(), map);
		});


//function set_current_location() {
//	if (navigator.geolocation) {
		

//	} 
//}


function initMap() {
   directionsService = new google.maps.DirectionsService();
   directionsRenderer = new google.maps.DirectionsRenderer();
   //haight = new google.maps.LatLng(53.3646962197,-7.38349959748);
   //oceanBeach = new google.maps.LatLng(53.3739100555,-7.42765942561);
   
   //set_current_location();
   
   myLat=document.getElementById("lat").value;
   myLong=document.getElementById("long").value;
 
   if(myLat==''){
	   myLat=site_lat;
   }
   if(myLong==''){
	   myLong=site_lng;
   }
   

   //myLat=53.3646962197;
   //myLong=-7.38349959748;
   
   haight = new google.maps.LatLng(myLat,myLong);
   oceanBeach = new google.maps.LatLng(site_lat,site_lng);
   
  var mapOptions = {
    zoom: 14,
    center: haight
  }
  var map = new google.maps.Map(document.getElementById('map'), mapOptions);
  directionsRenderer.setMap(map);
  
  
}

function calcRoute(opentoapp) {
  var selectedMode = document.getElementById('mode').value;
  //var selectedMode = 'Driving';
  
  myLat=document.getElementById("lat").value;
   myLong=document.getElementById("long").value;
 
   if(myLat==''){
	   myLat=site_lat;
   }
   if(myLong==''){
	   myLong=site_lng;
   }
   
   //myLat=53.3646962197;
   //myLong=-7.38349959748;
   
   haight = new google.maps.LatLng(myLat,myLong);
  
  
  var request = {
      origin: haight,
      destination: oceanBeach,
      // Note that JavaScript allows us to access the constant
      // using square brackets and a string value as its
      // "property."
      travelMode: google.maps.TravelMode[selectedMode]
  };
  directionsService.route(request, function(response, status) {
    if (status == 'OK') {
      directionsRenderer.setDirections(response);
    }
  });
  if(opentoapp==1){
  window.location ='https://maps.google.com/maps?saddr='+myLat+','+myLong+'&daddr='+site_lat+','+site_lng;
  }
}

//function doAdelay(){
//    setTimeout(function(){return true;},5000);
//};

</script>

<div id="map" style="width:100%;height:100%"></div>
<input type="hidden" id="lat" value="">
<input type="hidden" id="long" value="">
<input type="hidden" id="mode" value="DRIVING">


<script type="text/javascript">
    //window.onload = function() {
     //   doAdelay();
    //  document.getElementById("autoclick").click();
    //};
</script>


<script type="text/javascript">
window.onload = function() {
  calcRoute();
};
	</script>


<!--

<div>
<strong>Mode of Travel: </strong>
<select id="mode" onchange="calcRoute();">
  <option value="DRIVING">Driving</option>
  <option value="WALKING">Walking</option>
  <option value="BICYCLING">Bicycling</option>
  <option value="TRANSIT">Transit</option>
</select>
</div>
-->



<div id="directionsPanel" style="float:right;width:30%;height:100%"></div>
<!--<div>
<strong>Start: </strong>
<select id="start" onchange="calcRoute();">
  <option value="chicago, il">Chicago</option>
  <option value="st louis, mo">St Louis</option>
  <option value="joplin, mo">Joplin, MO</option>
  <option value="oklahoma city, ok">Oklahoma City</option>
  <option value="amarillo, tx">Amarillo</option>
  <option value="gallup, nm">Gallup, NM</option>
  <option value="flagstaff, az">Flagstaff, AZ</option>
  <option value="winona, az">Winona</option>
  <option value="kingman, az">Kingman</option>
  <option value="barstow, ca">Barstow</option>
  <option value="san bernardino, ca">San Bernardino</option>
  <option value="los angeles, ca">Los Angeles</option>
</select>
<strong>End: </strong>
<select id="end" onchange="calcRoute();">
  <option value="chicago, il">Chicago</option>
  <option value="st louis, mo">St Louis</option>
  <option value="joplin, mo">Joplin, MO</option>
  <option value="oklahoma city, ok">Oklahoma City</option>
  <option value="amarillo, tx">Amarillo</option>
  <option value="gallup, nm">Gallup, NM</option>
  <option value="flagstaff, az">Flagstaff, AZ</option>
  <option value="winona, az">Winona</option>
  <option value="kingman, az">Kingman</option>
  <option value="barstow, ca">Barstow</option>
  <option value="san bernardino, ca">San Bernardino</option>
  <option value="los angeles, ca">Los Angeles</option>
</select>
</div>
-->
   <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBQEsxxe732cUo-3ZQ-Zw14zJ15cfozvWM&callback=initMap"></script>

	
    </body>
</html>